/*===========================================================================*/
/*   (SawMsil/inline.scm)                                                    */
/*   Bigloo (3.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 26 07:46:09 CEST 2011       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.7a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent SawMsil/inline.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_dotnetz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
		obj_t BgL_outz00;
		obj_t BgL_qnamez00;
	}                *BgL_dotnetz00_bglt;

	typedef struct BgL_rtl_funz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}                 *BgL_rtl_funz00_bglt;

	typedef struct BgL_rtl_loadiz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_atomz00_bgl *BgL_constantz00;
	}                   *BgL_rtl_loadiz00_bglt;

	typedef struct BgL_rtl_insz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_z52spillz52;
		obj_t BgL_destz00;
		struct BgL_rtl_funz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}                 *BgL_rtl_insz00_bglt;


	extern obj_t BGl_rtl_insz00zzsaw_defsz00;
	static obj_t BGl_z62zc3anonymousza34932ze3ze1zzmsil_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza34916ze3ze1zzmsil_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62inlinezd2predicatezf3z43zzmsil_inlinez00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza34950ze3ze1zzmsil_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza34861ze3ze1zzmsil_inlinez00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza34934ze3ze1zzmsil_inlinez00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza34845ze3ze1zzmsil_inlinez00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza34918ze3ze1zzmsil_inlinez00(obj_t, obj_t);
	extern obj_t BGl_bitxorz00zzmsil_outz00(BgL_dotnetz00_bglt);
	static obj_t BGl_z62zc3anonymousza34952ze3ze1zzmsil_inlinez00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza34863ze3ze1zzmsil_inlinez00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza34936ze3ze1zzmsil_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza34848ze3ze1zzmsil_inlinez00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza34970ze3ze1zzmsil_inlinez00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza34881ze3ze1zzmsil_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza34954ze3ze1zzmsil_inlinez00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza34865ze3ze1zzmsil_inlinez00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza34938ze3ze1zzmsil_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza34972ze3ze1zzmsil_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza34883ze3ze1zzmsil_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza34956ze3ze1zzmsil_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza34867ze3ze1zzmsil_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_rtl_movz00zzsaw_defsz00;
	extern obj_t BGl_beqz00zzmsil_outz00(BgL_dotnetz00_bglt, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza34990ze3ze1zzmsil_inlinez00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza34974ze3ze1zzmsil_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza34885ze3ze1zzmsil_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza34958ze3ze1zzmsil_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza34869ze3ze1zzmsil_inlinez00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzmsil_inlinez00();
	extern obj_t BGl_bgez00zzmsil_outz00(BgL_dotnetz00_bglt, obj_t, obj_t);
	extern obj_t BGl_bgtz00zzmsil_outz00(BgL_dotnetz00_bglt, obj_t, obj_t);
	extern obj_t BGl_bitorz00zzmsil_outz00(BgL_dotnetz00_bglt);
	static obj_t BGl_z62zc3anonymousza34992ze3ze1zzmsil_inlinez00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza34976ze3ze1zzmsil_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza34887ze3ze1zzmsil_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62inlinezd2callzf3z43zzmsil_inlinez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza34994ze3ze1zzmsil_inlinez00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza34978ze3ze1zzmsil_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza34889ze3ze1zzmsil_inlinez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_inlinezd2callzd2withzd2argszf3z21zzmsil_inlinez00(BgL_dotnetz00_bglt,
		BgL_globalz00_bglt, obj_t);
	extern obj_t BGl_mulz00zzmsil_outz00(BgL_dotnetz00_bglt);
	extern obj_t BGl_blez00zzmsil_outz00(BgL_dotnetz00_bglt, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza34996ze3ze1zzmsil_inlinez00(obj_t, obj_t);
	extern obj_t BGl_bltz00zzmsil_outz00(BgL_dotnetz00_bglt, obj_t, obj_t);
	extern obj_t BGl_storezd2fieldzd2zzmsil_outz00(BgL_dotnetz00_bglt, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_divz00zzmsil_outz00(BgL_dotnetz00_bglt);
	extern obj_t BGl_bnez00zzmsil_outz00(BgL_dotnetz00_bglt, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza34998ze3ze1zzmsil_inlinez00(obj_t, obj_t);
	extern obj_t BGl_pushzd2constant2zd2zzmsil_outz00(BgL_dotnetz00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_pushzd2constantzd2zzmsil_outz00(BgL_dotnetz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_inlinezd2predicatezf3z21zzmsil_inlinez00(BgL_dotnetz00_bglt,
		BgL_globalz00_bglt, obj_t, obj_t);
	extern obj_t BGl_newobjz00zzmsil_outz00(BgL_dotnetz00_bglt, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza34901ze3ze1zzmsil_inlinez00(obj_t, obj_t);
	extern obj_t BGl_getzd2cnstzd2tablez00zzcnst_allocz00();
	static obj_t BGl_z62inlinezd2callzd2withzd2argszf3z43zzmsil_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl_z62zc3anonymousza34903ze3ze1zzmsil_inlinez00(obj_t, obj_t);
	extern obj_t BGl_subz00zzmsil_outz00(BgL_dotnetz00_bglt);
	static obj_t BGl_z62zc3anonymousza34920ze3ze1zzmsil_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_newarrayz00zzmsil_outz00(BgL_dotnetz00_bglt, obj_t);
	static obj_t BGl_z62zc3anonymousza34905ze3ze1zzmsil_inlinez00(obj_t, obj_t);
	extern obj_t BGl_dupz00zzmsil_outz00(BgL_dotnetz00_bglt);
	static obj_t BGl_z62zc3anonymousza34833ze3ze1zzmsil_inlinez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza34923ze3ze1zzmsil_inlinez00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza34907ze3ze1zzmsil_inlinez00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_putpropz12z12zz__r4_symbols_6_4z00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62checkzd2msilzd2inlinesz62zzmsil_inlinez00(obj_t);
	static obj_t BGl_z62zc3anonymousza34851ze3ze1zzmsil_inlinez00(obj_t, obj_t);
	extern obj_t BGl_genzd2exprzd2zzmsil_codez00(BgL_dotnetz00_bglt, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzmsil_inlinez00 = BUNSPEC;
	extern obj_t BGl_brtruez00zzmsil_outz00(BgL_dotnetz00_bglt, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza34941ze3ze1zzmsil_inlinez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza34925ze3ze1zzmsil_inlinez00(obj_t, obj_t);
	extern obj_t BGl_negz00zzmsil_outz00(BgL_dotnetz00_bglt);
	static obj_t BGl_z62zc3anonymousza34853ze3ze1zzmsil_inlinez00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza34837ze3ze1zzmsil_inlinez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza34927ze3ze1zzmsil_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzmsil_inlinez00();
	static obj_t BGl_z62zc3anonymousza34871ze3ze1zzmsil_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza34855ze3ze1zzmsil_inlinez00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza35004ze3ze1zzmsil_inlinez00(obj_t, obj_t);
	extern obj_t BGl_loadzd2fieldzd2zzmsil_outz00(BgL_dotnetz00_bglt, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza34961ze3ze1zzmsil_inlinez00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza34945ze3ze1zzmsil_inlinez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_genericzd2initzd2zzmsil_inlinez00();
	extern obj_t BGl_addz00zzmsil_outz00(BgL_dotnetz00_bglt);
	static obj_t BGl_z62zc3anonymousza34873ze3ze1zzmsil_inlinez00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza34857ze3ze1zzmsil_inlinez00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza34963ze3ze1zzmsil_inlinez00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza34980ze3ze1zzmsil_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza34891ze3ze1zzmsil_inlinez00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza34875ze3ze1zzmsil_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza34859ze3ze1zzmsil_inlinez00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza34965ze3ze1zzmsil_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_remz00zzmsil_outz00(BgL_dotnetz00_bglt);
	static obj_t BGl_z62zc3anonymousza34982ze3ze1zzmsil_inlinez00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza34893ze3ze1zzmsil_inlinez00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza34877ze3ze1zzmsil_inlinez00(obj_t, obj_t);
	extern obj_t BGl_ceqz00zzmsil_outz00(BgL_dotnetz00_bglt);
	static obj_t BGl_z62zc3anonymousza34984ze3ze1zzmsil_inlinez00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza34895ze3ze1zzmsil_inlinez00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza34968ze3ze1zzmsil_inlinez00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza34879ze3ze1zzmsil_inlinez00(obj_t, obj_t);
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_labelz00zzmsil_outz00(BgL_dotnetz00_bglt, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_filterz00zz__r4_control_features_6_9z00(obj_t, obj_t);
	static obj_t BGl_skipzd2movzd2zzmsil_inlinez00(obj_t);
	extern obj_t BGl_cgtz00zzmsil_outz00(BgL_dotnetz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_checkzd2msilzd2inlinesz00zzmsil_inlinez00();
	extern obj_t BGl_brfalsez00zzmsil_outz00(BgL_dotnetz00_bglt, obj_t, obj_t);
	static obj_t BGl_za2msilzd2inlinesza2zd2zzmsil_inlinez00 = BUNSPEC;
	extern obj_t BGl_storezd2vectorzd2zzmsil_outz00(BgL_dotnetz00_bglt, obj_t);
	static obj_t BGl_z62zc3anonymousza34986ze3ze1zzmsil_inlinez00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza34897ze3ze1zzmsil_inlinez00(obj_t, obj_t);
	extern obj_t BGl_bitnotz00zzmsil_outz00(BgL_dotnetz00_bglt);
	static obj_t BGl_z62zc3anonymousza34988ze3ze1zzmsil_inlinez00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza34899ze3ze1zzmsil_inlinez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzmsil_inlinez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmsil_codez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmsil_outz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_defsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_dotnet_classz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_bvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcnst_allocz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_cltz00zzmsil_outz00(BgL_dotnetz00_bglt);
	extern obj_t BGl_bitandz00zzmsil_outz00(BgL_dotnetz00_bglt);
	extern obj_t BGl_rtl_loadiz00zzsaw_defsz00;
	extern obj_t BGl_loadzd2vectorzd2zzmsil_outz00(BgL_dotnetz00_bglt, obj_t);
	static obj_t BGl_cnstzd2initzd2zzmsil_inlinez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzmsil_inlinez00();
	static obj_t BGl_importedzd2moduleszd2initz00zzmsil_inlinez00();
	extern obj_t BGl_loadzd2globalzd2zzmsil_outz00(BgL_dotnetz00_bglt,
		BgL_globalz00_bglt);
	extern obj_t BGl_loadzd2vectorzd2lengthz00zzmsil_outz00(BgL_dotnetz00_bglt);
	BGL_IMPORT obj_t BGl_getpropz00zz__r4_symbols_6_4z00(obj_t, obj_t);
	extern BgL_typez00_bglt BGl_findzd2typezd2zztype_envz00(obj_t);
	extern obj_t BGl_brz00zzmsil_outz00(BgL_dotnetz00_bglt, obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_pushzd2intzd2zzmsil_outz00(BgL_dotnetz00_bglt, obj_t);
	extern obj_t BGl_isinstz00zzmsil_outz00(BgL_dotnetz00_bglt, BgL_typez00_bglt);
	static obj_t BGl_z62zc3anonymousza34930ze3ze1zzmsil_inlinez00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza34914ze3ze1zzmsil_inlinez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_inlinezd2callzf3z21zzmsil_inlinez00(BgL_dotnetz00_bglt,
		BgL_globalz00_bglt);
	static obj_t BGl_z62zc3anonymousza34842ze3ze1zzmsil_inlinez00(obj_t, obj_t);
	static obj_t __cnst[86];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_checkzd2msilzd2inlineszd2envzd2zzmsil_inlinez00,
		BgL_bgl_za762checkza7d2msilza75205za7,
		BGl_z62checkzd2msilzd2inlinesz62zzmsil_inlinez00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string5200z00zzmsil_inlinez00,
		BgL_bgl_string5200za700za7za7m5206za7, "Cannot find inlined functions", 29);
	      DEFINE_STRING(BGl_string5201z00zzmsil_inlinez00,
		BgL_bgl_string5201za700za7za7m5207za7, "msil_inline", 11);
	      DEFINE_STRING(BGl_string5202z00zzmsil_inlinez00,
		BgL_bgl_string5202za700za7za7m5208za7,
		"not-inlined SawMsil (int int int) int (obj obj) pair bint procedure env vector car no-value cdr obj symbol pname bstring real (double) value double c-bitnot c-bitxor c-bitand c-bitor c-negfl c-/fl c-*fl c--fl c-+fl c->=fl c-<=fl c->fl c-<fl c-=fl $real->double $double->real c-flonum? c-symbol->string $string-length c-symbol? $null? $set-cdr! $set-car! c-boxed-eq? procedure-set! procedure-ref c-procedure? $vector-bound-check? $string-bound-check? c-fixnum? $cdr $car $pair? $cons $obj->bool $bool->bbool c-remainderfx c-quotientfx c-negfx c-/fx c-*fx c--fx c-+fx c->=fx c-<=fx c->fx c-<fx c-=llong c-=elong msil_inline_predicate c-=fx $bint->long $bint->int $int->long $long->int procedure-el-set! procedure-el-ref make-el-procedure make-l-procedure make-va-procedure msil_inline_function make-fx-procedure cnst-table-set! msil_inline_function_args cnst-table-ref ",
		867);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5115z00zzmsil_inlinez00,
		BgL_bgl_za762za7c3anonymousza75209za7,
		BGl_z62zc3anonymousza34833ze3ze1zzmsil_inlinez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5116z00zzmsil_inlinez00,
		BgL_bgl_za762za7c3anonymousza75210za7,
		BGl_z62zc3anonymousza34837ze3ze1zzmsil_inlinez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5117z00zzmsil_inlinez00,
		BgL_bgl_za762za7c3anonymousza75211za7,
		BGl_z62zc3anonymousza34842ze3ze1zzmsil_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5118z00zzmsil_inlinez00,
		BgL_bgl_za762za7c3anonymousza75212za7,
		BGl_z62zc3anonymousza34845ze3ze1zzmsil_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5119z00zzmsil_inlinez00,
		BgL_bgl_za762za7c3anonymousza75213za7,
		BGl_z62zc3anonymousza34848ze3ze1zzmsil_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5120z00zzmsil_inlinez00,
		BgL_bgl_za762za7c3anonymousza75214za7,
		BGl_z62zc3anonymousza34851ze3ze1zzmsil_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5121z00zzmsil_inlinez00,
		BgL_bgl_za762za7c3anonymousza75215za7,
		BGl_z62zc3anonymousza34853ze3ze1zzmsil_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5122z00zzmsil_inlinez00,
		BgL_bgl_za762za7c3anonymousza75216za7,
		BGl_z62zc3anonymousza34855ze3ze1zzmsil_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5123z00zzmsil_inlinez00,
		BgL_bgl_za762za7c3anonymousza75217za7,
		BGl_z62zc3anonymousza34857ze3ze1zzmsil_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5124z00zzmsil_inlinez00,
		BgL_bgl_za762za7c3anonymousza75218za7,
		BGl_z62zc3anonymousza34859ze3ze1zzmsil_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5125z00zzmsil_inlinez00,
		BgL_bgl_za762za7c3anonymousza75219za7,
		BGl_z62zc3anonymousza34861ze3ze1zzmsil_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5126z00zzmsil_inlinez00,
		BgL_bgl_za762za7c3anonymousza75220za7,
		BGl_z62zc3anonymousza34863ze3ze1zzmsil_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5127z00zzmsil_inlinez00,
		BgL_bgl_za762za7c3anonymousza75221za7,
		BGl_z62zc3anonymousza34865ze3ze1zzmsil_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5128z00zzmsil_inlinez00,
		BgL_bgl_za762za7c3anonymousza75222za7,
		BGl_z62zc3anonymousza34867ze3ze1zzmsil_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5129z00zzmsil_inlinez00,
		BgL_bgl_za762za7c3anonymousza75223za7,
		BGl_z62zc3anonymousza34869ze3ze1zzmsil_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5130z00zzmsil_inlinez00,
		BgL_bgl_za762za7c3anonymousza75224za7,
		BGl_z62zc3anonymousza34871ze3ze1zzmsil_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5131z00zzmsil_inlinez00,
		BgL_bgl_za762za7c3anonymousza75225za7,
		BGl_z62zc3anonymousza34873ze3ze1zzmsil_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5132z00zzmsil_inlinez00,
		BgL_bgl_za762za7c3anonymousza75226za7,
		BGl_z62zc3anonymousza34875ze3ze1zzmsil_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5133z00zzmsil_inlinez00,
		BgL_bgl_za762za7c3anonymousza75227za7,
		BGl_z62zc3anonymousza34877ze3ze1zzmsil_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5134z00zzmsil_inlinez00,
		BgL_bgl_za762za7c3anonymousza75228za7,
		BGl_z62zc3anonymousza34879ze3ze1zzmsil_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5135z00zzmsil_inlinez00,
		BgL_bgl_za762za7c3anonymousza75229za7,
		BGl_z62zc3anonymousza34881ze3ze1zzmsil_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5136z00zzmsil_inlinez00,
		BgL_bgl_za762za7c3anonymousza75230za7,
		BGl_z62zc3anonymousza34883ze3ze1zzmsil_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5137z00zzmsil_inlinez00,
		BgL_bgl_za762za7c3anonymousza75231za7,
		BGl_z62zc3anonymousza34885ze3ze1zzmsil_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5138z00zzmsil_inlinez00,
		BgL_bgl_za762za7c3anonymousza75232za7,
		BGl_z62zc3anonymousza34887ze3ze1zzmsil_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5139z00zzmsil_inlinez00,
		BgL_bgl_za762za7c3anonymousza75233za7,
		BGl_z62zc3anonymousza34889ze3ze1zzmsil_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5140z00zzmsil_inlinez00,
		BgL_bgl_za762za7c3anonymousza75234za7,
		BGl_z62zc3anonymousza34891ze3ze1zzmsil_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5141z00zzmsil_inlinez00,
		BgL_bgl_za762za7c3anonymousza75235za7,
		BGl_z62zc3anonymousza34893ze3ze1zzmsil_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5142z00zzmsil_inlinez00,
		BgL_bgl_za762za7c3anonymousza75236za7,
		BGl_z62zc3anonymousza34895ze3ze1zzmsil_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5143z00zzmsil_inlinez00,
		BgL_bgl_za762za7c3anonymousza75237za7,
		BGl_z62zc3anonymousza34897ze3ze1zzmsil_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5144z00zzmsil_inlinez00,
		BgL_bgl_za762za7c3anonymousza75238za7,
		BGl_z62zc3anonymousza34899ze3ze1zzmsil_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5145z00zzmsil_inlinez00,
		BgL_bgl_za762za7c3anonymousza75239za7,
		BGl_z62zc3anonymousza34901ze3ze1zzmsil_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5146z00zzmsil_inlinez00,
		BgL_bgl_za762za7c3anonymousza75240za7,
		BGl_z62zc3anonymousza34903ze3ze1zzmsil_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5147z00zzmsil_inlinez00,
		BgL_bgl_za762za7c3anonymousza75241za7,
		BGl_z62zc3anonymousza34905ze3ze1zzmsil_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5148z00zzmsil_inlinez00,
		BgL_bgl_za762za7c3anonymousza75242za7,
		BGl_z62zc3anonymousza34907ze3ze1zzmsil_inlinez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5149z00zzmsil_inlinez00,
		BgL_bgl_za762za7c3anonymousza75243za7,
		BGl_z62zc3anonymousza34914ze3ze1zzmsil_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5150z00zzmsil_inlinez00,
		BgL_bgl_za762za7c3anonymousza75244za7,
		BGl_z62zc3anonymousza34916ze3ze1zzmsil_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5151z00zzmsil_inlinez00,
		BgL_bgl_za762za7c3anonymousza75245za7,
		BGl_z62zc3anonymousza34918ze3ze1zzmsil_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5152z00zzmsil_inlinez00,
		BgL_bgl_za762za7c3anonymousza75246za7,
		BGl_z62zc3anonymousza34920ze3ze1zzmsil_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5153z00zzmsil_inlinez00,
		BgL_bgl_za762za7c3anonymousza75247za7,
		BGl_z62zc3anonymousza34923ze3ze1zzmsil_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5154z00zzmsil_inlinez00,
		BgL_bgl_za762za7c3anonymousza75248za7,
		BGl_z62zc3anonymousza34925ze3ze1zzmsil_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5155z00zzmsil_inlinez00,
		BgL_bgl_za762za7c3anonymousza75249za7,
		BGl_z62zc3anonymousza34927ze3ze1zzmsil_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5156z00zzmsil_inlinez00,
		BgL_bgl_za762za7c3anonymousza75250za7,
		BGl_z62zc3anonymousza34930ze3ze1zzmsil_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5157z00zzmsil_inlinez00,
		BgL_bgl_za762za7c3anonymousza75251za7,
		BGl_z62zc3anonymousza34932ze3ze1zzmsil_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5158z00zzmsil_inlinez00,
		BgL_bgl_za762za7c3anonymousza75252za7,
		BGl_z62zc3anonymousza34934ze3ze1zzmsil_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5159z00zzmsil_inlinez00,
		BgL_bgl_za762za7c3anonymousza75253za7,
		BGl_z62zc3anonymousza34936ze3ze1zzmsil_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5160z00zzmsil_inlinez00,
		BgL_bgl_za762za7c3anonymousza75254za7,
		BGl_z62zc3anonymousza34938ze3ze1zzmsil_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5161z00zzmsil_inlinez00,
		BgL_bgl_za762za7c3anonymousza75255za7,
		BGl_z62zc3anonymousza34941ze3ze1zzmsil_inlinez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5162z00zzmsil_inlinez00,
		BgL_bgl_za762za7c3anonymousza75256za7,
		BGl_z62zc3anonymousza34945ze3ze1zzmsil_inlinez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5163z00zzmsil_inlinez00,
		BgL_bgl_za762za7c3anonymousza75257za7,
		BGl_z62zc3anonymousza34950ze3ze1zzmsil_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5164z00zzmsil_inlinez00,
		BgL_bgl_za762za7c3anonymousza75258za7,
		BGl_z62zc3anonymousza34952ze3ze1zzmsil_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5165z00zzmsil_inlinez00,
		BgL_bgl_za762za7c3anonymousza75259za7,
		BGl_z62zc3anonymousza34954ze3ze1zzmsil_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5166z00zzmsil_inlinez00,
		BgL_bgl_za762za7c3anonymousza75260za7,
		BGl_z62zc3anonymousza34956ze3ze1zzmsil_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5167z00zzmsil_inlinez00,
		BgL_bgl_za762za7c3anonymousza75261za7,
		BGl_z62zc3anonymousza34958ze3ze1zzmsil_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5168z00zzmsil_inlinez00,
		BgL_bgl_za762za7c3anonymousza75262za7,
		BGl_z62zc3anonymousza34961ze3ze1zzmsil_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5169z00zzmsil_inlinez00,
		BgL_bgl_za762za7c3anonymousza75263za7,
		BGl_z62zc3anonymousza34963ze3ze1zzmsil_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5170z00zzmsil_inlinez00,
		BgL_bgl_za762za7c3anonymousza75264za7,
		BGl_z62zc3anonymousza34965ze3ze1zzmsil_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5171z00zzmsil_inlinez00,
		BgL_bgl_za762za7c3anonymousza75265za7,
		BGl_z62zc3anonymousza34968ze3ze1zzmsil_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5172z00zzmsil_inlinez00,
		BgL_bgl_za762za7c3anonymousza75266za7,
		BGl_z62zc3anonymousza34970ze3ze1zzmsil_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5173z00zzmsil_inlinez00,
		BgL_bgl_za762za7c3anonymousza75267za7,
		BGl_z62zc3anonymousza34972ze3ze1zzmsil_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5174z00zzmsil_inlinez00,
		BgL_bgl_za762za7c3anonymousza75268za7,
		BGl_z62zc3anonymousza34974ze3ze1zzmsil_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5175z00zzmsil_inlinez00,
		BgL_bgl_za762za7c3anonymousza75269za7,
		BGl_z62zc3anonymousza34976ze3ze1zzmsil_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5176z00zzmsil_inlinez00,
		BgL_bgl_za762za7c3anonymousza75270za7,
		BGl_z62zc3anonymousza34978ze3ze1zzmsil_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5177z00zzmsil_inlinez00,
		BgL_bgl_za762za7c3anonymousza75271za7,
		BGl_z62zc3anonymousza34980ze3ze1zzmsil_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5178z00zzmsil_inlinez00,
		BgL_bgl_za762za7c3anonymousza75272za7,
		BGl_z62zc3anonymousza34982ze3ze1zzmsil_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5179z00zzmsil_inlinez00,
		BgL_bgl_za762za7c3anonymousza75273za7,
		BGl_z62zc3anonymousza34984ze3ze1zzmsil_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5180z00zzmsil_inlinez00,
		BgL_bgl_za762za7c3anonymousza75274za7,
		BGl_z62zc3anonymousza34986ze3ze1zzmsil_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5181z00zzmsil_inlinez00,
		BgL_bgl_za762za7c3anonymousza75275za7,
		BGl_z62zc3anonymousza34988ze3ze1zzmsil_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5182z00zzmsil_inlinez00,
		BgL_bgl_za762za7c3anonymousza75276za7,
		BGl_z62zc3anonymousza34990ze3ze1zzmsil_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5183z00zzmsil_inlinez00,
		BgL_bgl_za762za7c3anonymousza75277za7,
		BGl_z62zc3anonymousza34992ze3ze1zzmsil_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5184z00zzmsil_inlinez00,
		BgL_bgl_za762za7c3anonymousza75278za7,
		BGl_z62zc3anonymousza34994ze3ze1zzmsil_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5185z00zzmsil_inlinez00,
		BgL_bgl_za762za7c3anonymousza75279za7,
		BGl_z62zc3anonymousza34996ze3ze1zzmsil_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5186z00zzmsil_inlinez00,
		BgL_bgl_za762za7c3anonymousza75280za7,
		BGl_z62zc3anonymousza34998ze3ze1zzmsil_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc5199z00zzmsil_inlinez00,
		BgL_bgl_za762za7c3anonymousza75281za7,
		BGl_z62zc3anonymousza35004ze3ze1zzmsil_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_inlinezd2callzd2withzd2argszf3zd2envzf3zzmsil_inlinez00,
		BgL_bgl_za762inlineza7d2call5282z00,
		BGl_z62inlinezd2callzd2withzd2argszf3z43zzmsil_inlinez00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_inlinezd2predicatezf3zd2envzf3zzmsil_inlinez00,
		BgL_bgl_za762inlineza7d2pred5283z00,
		BGl_z62inlinezd2predicatezf3z43zzmsil_inlinez00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string5187z00zzmsil_inlinez00,
		BgL_bgl_string5187za700za7za7m5284za7, "L", 1);
	      DEFINE_STRING(BGl_string5188z00zzmsil_inlinez00,
		BgL_bgl_string5188za700za7za7m5285za7, "bigloo.real", 11);
	      DEFINE_STRING(BGl_string5189z00zzmsil_inlinez00,
		BgL_bgl_string5189za700za7za7m5286za7, "bigloo.symbol", 13);
	      DEFINE_STRING(BGl_string5190z00zzmsil_inlinez00,
		BgL_bgl_string5190za700za7za7m5287za7, "nil", 3);
	      DEFINE_STRING(BGl_string5191z00zzmsil_inlinez00,
		BgL_bgl_string5191za700za7za7m5288za7, "bigloo.pair", 11);
	      DEFINE_STRING(BGl_string5192z00zzmsil_inlinez00,
		BgL_bgl_string5192za700za7za7m5289za7, "bigloo.procedure", 16);
	      DEFINE_STRING(BGl_string5193z00zzmsil_inlinez00,
		BgL_bgl_string5193za700za7za7m5290za7, "bbool", 5);
	      DEFINE_STRING(BGl_string5194z00zzmsil_inlinez00,
		BgL_bgl_string5194za700za7za7m5291za7, "faux", 4);
	      DEFINE_STRING(BGl_string5195z00zzmsil_inlinez00,
		BgL_bgl_string5195za700za7za7m5292za7, "vrai", 4);
	      DEFINE_STRING(BGl_string5196z00zzmsil_inlinez00,
		BgL_bgl_string5196za700za7za7m5293za7, "I", 1);
	      DEFINE_STRING(BGl_string5197z00zzmsil_inlinez00,
		BgL_bgl_string5197za700za7za7m5294za7, "", 0);
	      DEFINE_STRING(BGl_string5198z00zzmsil_inlinez00,
		BgL_bgl_string5198za700za7za7m5295za7, "bigloo.bint", 11);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_inlinezd2callzf3zd2envzf3zzmsil_inlinez00,
		BgL_bgl_za762inlineza7d2call5296z00,
		BGl_z62inlinezd2callzf3z43zzmsil_inlinez00, 0L, BUNSPEC, 2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzmsil_inlinez00(long
		BgL_checksumz00_2939, char *BgL_fromz00_2940)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzmsil_inlinez00))
				{
					BGl_requirezd2initializa7ationz75zzmsil_inlinez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzmsil_inlinez00();
					BGl_cnstzd2initzd2zzmsil_inlinez00();
					BGl_importedzd2moduleszd2initz00zzmsil_inlinez00();
					BGl_toplevelzd2initzd2zzmsil_inlinez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzmsil_inlinez00()
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 1 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "msil_inline");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "msil_inline");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"msil_inline");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "msil_inline");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long) 0),
				"msil_inline");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzmsil_inlinez00()
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 1 */
			{	/* SawMsil/inline.scm 1 */
				obj_t BgL_cportz00_2905;

				BgL_cportz00_2905 =
					bgl_open_input_string(BGl_string5202z00zzmsil_inlinez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2906;

					BgL_iz00_2906 = ((long) 85);
				BgL_loopz00_2907:
					if ((BgL_iz00_2906 == ((long) -1)))
						{	/* SawMsil/inline.scm 1 */
							return BUNSPEC;
						}
					else
						{	/* SawMsil/inline.scm 1 */
							{	/* SawMsil/inline.scm 1 */
								obj_t BgL_arg5204z00_2909;

								{	/* SawMsil/inline.scm 1 */

									{	/* SawMsil/inline.scm 1 */
										obj_t BgL_locationz00_2911;

										BgL_locationz00_2911 = BBOOL(((bool_t) 0));
										{	/* SawMsil/inline.scm 1 */

											BgL_arg5204z00_2909 =
												BGl_readz00zz__readerz00(BgL_cportz00_2905,
												BgL_locationz00_2911);
										}
									}
								}
								{	/* SawMsil/inline.scm 1 */
									int BgL_auxz00_2959;

									BgL_auxz00_2959 = (int) (BgL_iz00_2906);
									CNST_TABLE_SET(BgL_auxz00_2959, BgL_arg5204z00_2909);
							}}
							{	/* SawMsil/inline.scm 1 */
								int BgL_auxz00_2912;

								BgL_auxz00_2912 = (int) ((BgL_iz00_2906 - ((long) 1)));
								{
									long BgL_iz00_2964;

									BgL_iz00_2964 = (long) (BgL_auxz00_2912);
									BgL_iz00_2906 = BgL_iz00_2964;
									goto BgL_loopz00_2907;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzmsil_inlinez00()
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 1 */
			BGl_za2msilzd2inlinesza2zd2zzmsil_inlinez00 = BNIL;
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 0)),
				CNST_TABLE_REF(((long) 1)), BGl_proc5115z00zzmsil_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 2)),
				CNST_TABLE_REF(((long) 1)), BGl_proc5116z00zzmsil_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 3)),
				CNST_TABLE_REF(((long) 4)), BGl_proc5117z00zzmsil_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 5)),
				CNST_TABLE_REF(((long) 4)), BGl_proc5118z00zzmsil_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 6)),
				CNST_TABLE_REF(((long) 4)), BGl_proc5119z00zzmsil_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 7)),
				CNST_TABLE_REF(((long) 4)), BGl_proc5120z00zzmsil_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 8)),
				CNST_TABLE_REF(((long) 4)), BGl_proc5121z00zzmsil_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 9)),
				CNST_TABLE_REF(((long) 4)), BGl_proc5122z00zzmsil_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 10)),
				CNST_TABLE_REF(((long) 4)), BGl_proc5123z00zzmsil_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 11)),
				CNST_TABLE_REF(((long) 4)), BGl_proc5124z00zzmsil_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 12)),
				CNST_TABLE_REF(((long) 4)), BGl_proc5125z00zzmsil_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 13)),
				CNST_TABLE_REF(((long) 4)), BGl_proc5126z00zzmsil_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 14)),
				CNST_TABLE_REF(((long) 4)), BGl_proc5127z00zzmsil_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 14)),
				CNST_TABLE_REF(((long) 15)), BGl_proc5128z00zzmsil_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 16)),
				CNST_TABLE_REF(((long) 4)), BGl_proc5129z00zzmsil_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 16)),
				CNST_TABLE_REF(((long) 15)), BGl_proc5130z00zzmsil_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 17)),
				CNST_TABLE_REF(((long) 4)), BGl_proc5131z00zzmsil_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 17)),
				CNST_TABLE_REF(((long) 15)), BGl_proc5132z00zzmsil_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 18)),
				CNST_TABLE_REF(((long) 4)), BGl_proc5133z00zzmsil_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 19)),
				CNST_TABLE_REF(((long) 4)), BGl_proc5134z00zzmsil_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 18)),
				CNST_TABLE_REF(((long) 15)), BGl_proc5135z00zzmsil_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 19)),
				CNST_TABLE_REF(((long) 15)), BGl_proc5136z00zzmsil_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 20)),
				CNST_TABLE_REF(((long) 15)), BGl_proc5137z00zzmsil_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 21)),
				CNST_TABLE_REF(((long) 15)), BGl_proc5138z00zzmsil_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 22)),
				CNST_TABLE_REF(((long) 4)), BGl_proc5139z00zzmsil_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 23)),
				CNST_TABLE_REF(((long) 4)), BGl_proc5140z00zzmsil_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 24)),
				CNST_TABLE_REF(((long) 4)), BGl_proc5141z00zzmsil_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 25)),
				CNST_TABLE_REF(((long) 4)), BGl_proc5142z00zzmsil_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 26)),
				CNST_TABLE_REF(((long) 4)), BGl_proc5143z00zzmsil_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 27)),
				CNST_TABLE_REF(((long) 4)), BGl_proc5144z00zzmsil_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 28)),
				CNST_TABLE_REF(((long) 4)), BGl_proc5145z00zzmsil_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 20)),
				CNST_TABLE_REF(((long) 4)), BGl_proc5146z00zzmsil_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 21)),
				CNST_TABLE_REF(((long) 4)), BGl_proc5147z00zzmsil_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 29)),
				CNST_TABLE_REF(((long) 1)), BGl_proc5148z00zzmsil_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 30)),
				CNST_TABLE_REF(((long) 4)), BGl_proc5149z00zzmsil_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 30)),
				CNST_TABLE_REF(((long) 15)), BGl_proc5150z00zzmsil_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 31)),
				CNST_TABLE_REF(((long) 4)), BGl_proc5151z00zzmsil_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 32)),
				CNST_TABLE_REF(((long) 15)), BGl_proc5152z00zzmsil_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 33)),
				CNST_TABLE_REF(((long) 4)), BGl_proc5153z00zzmsil_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 34)),
				CNST_TABLE_REF(((long) 4)), BGl_proc5154z00zzmsil_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 35)),
				CNST_TABLE_REF(((long) 15)), BGl_proc5155z00zzmsil_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 36)),
				CNST_TABLE_REF(((long) 4)), BGl_proc5156z00zzmsil_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 36)),
				CNST_TABLE_REF(((long) 15)), BGl_proc5157z00zzmsil_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 37)),
				CNST_TABLE_REF(((long) 4)), BGl_proc5158z00zzmsil_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 37)),
				CNST_TABLE_REF(((long) 15)), BGl_proc5159z00zzmsil_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 38)),
				CNST_TABLE_REF(((long) 15)), BGl_proc5160z00zzmsil_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 39)),
				CNST_TABLE_REF(((long) 1)), BGl_proc5161z00zzmsil_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 40)),
				CNST_TABLE_REF(((long) 1)), BGl_proc5162z00zzmsil_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 41)),
				CNST_TABLE_REF(((long) 15)), BGl_proc5163z00zzmsil_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 42)),
				CNST_TABLE_REF(((long) 4)), BGl_proc5164z00zzmsil_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 43)),
				CNST_TABLE_REF(((long) 4)), BGl_proc5165z00zzmsil_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 44)),
				CNST_TABLE_REF(((long) 15)), BGl_proc5166z00zzmsil_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 45)),
				CNST_TABLE_REF(((long) 15)), BGl_proc5167z00zzmsil_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 46)),
				CNST_TABLE_REF(((long) 4)), BGl_proc5168z00zzmsil_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 47)),
				CNST_TABLE_REF(((long) 4)), BGl_proc5169z00zzmsil_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 48)),
				CNST_TABLE_REF(((long) 15)), BGl_proc5170z00zzmsil_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 49)),
				CNST_TABLE_REF(((long) 4)), BGl_proc5171z00zzmsil_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 50)),
				CNST_TABLE_REF(((long) 4)), BGl_proc5172z00zzmsil_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 51)),
				CNST_TABLE_REF(((long) 15)), BGl_proc5173z00zzmsil_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 52)),
				CNST_TABLE_REF(((long) 15)), BGl_proc5174z00zzmsil_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 53)),
				CNST_TABLE_REF(((long) 15)), BGl_proc5175z00zzmsil_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 54)),
				CNST_TABLE_REF(((long) 15)), BGl_proc5176z00zzmsil_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 55)),
				CNST_TABLE_REF(((long) 15)), BGl_proc5177z00zzmsil_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 56)),
				CNST_TABLE_REF(((long) 4)), BGl_proc5178z00zzmsil_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 57)),
				CNST_TABLE_REF(((long) 4)), BGl_proc5179z00zzmsil_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 58)),
				CNST_TABLE_REF(((long) 4)), BGl_proc5180z00zzmsil_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 59)),
				CNST_TABLE_REF(((long) 4)), BGl_proc5181z00zzmsil_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 60)),
				CNST_TABLE_REF(((long) 4)), BGl_proc5182z00zzmsil_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 61)),
				CNST_TABLE_REF(((long) 4)), BGl_proc5183z00zzmsil_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 62)),
				CNST_TABLE_REF(((long) 4)), BGl_proc5184z00zzmsil_inlinez00);
			BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 63)),
				CNST_TABLE_REF(((long) 4)), BGl_proc5185z00zzmsil_inlinez00);
			return
				BGl_putpropz12z12zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 64)),
				CNST_TABLE_REF(((long) 4)), BGl_proc5186z00zzmsil_inlinez00);
		}
	}



/* &<anonymous:4998> */
	obj_t BGl_z62zc3anonymousza34998ze3ze1zzmsil_inlinez00(obj_t BgL_envz00_2537,
		obj_t BgL_mez00_2538)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 387 */
			return BGl_bitnotz00zzmsil_outz00(((BgL_dotnetz00_bglt) BgL_mez00_2538));
		}
	}



/* &<anonymous:4996> */
	obj_t BGl_z62zc3anonymousza34996ze3ze1zzmsil_inlinez00(obj_t BgL_envz00_2539,
		obj_t BgL_mez00_2540)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 384 */
			return BGl_bitxorz00zzmsil_outz00(((BgL_dotnetz00_bglt) BgL_mez00_2540));
		}
	}



/* &<anonymous:4994> */
	obj_t BGl_z62zc3anonymousza34994ze3ze1zzmsil_inlinez00(obj_t BgL_envz00_2541,
		obj_t BgL_mez00_2542)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 381 */
			return BGl_bitandz00zzmsil_outz00(((BgL_dotnetz00_bglt) BgL_mez00_2542));
		}
	}



/* &<anonymous:4992> */
	obj_t BGl_z62zc3anonymousza34992ze3ze1zzmsil_inlinez00(obj_t BgL_envz00_2543,
		obj_t BgL_mez00_2544)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 378 */
			return BGl_bitorz00zzmsil_outz00(((BgL_dotnetz00_bglt) BgL_mez00_2544));
		}
	}



/* &<anonymous:4990> */
	obj_t BGl_z62zc3anonymousza34990ze3ze1zzmsil_inlinez00(obj_t BgL_envz00_2545,
		obj_t BgL_mez00_2546)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 372 */
			return BGl_negz00zzmsil_outz00(((BgL_dotnetz00_bglt) BgL_mez00_2546));
		}
	}



/* &<anonymous:4988> */
	obj_t BGl_z62zc3anonymousza34988ze3ze1zzmsil_inlinez00(obj_t BgL_envz00_2547,
		obj_t BgL_mez00_2548)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 369 */
			return BGl_divz00zzmsil_outz00(((BgL_dotnetz00_bglt) BgL_mez00_2548));
		}
	}



/* &<anonymous:4986> */
	obj_t BGl_z62zc3anonymousza34986ze3ze1zzmsil_inlinez00(obj_t BgL_envz00_2549,
		obj_t BgL_mez00_2550)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 366 */
			return BGl_mulz00zzmsil_outz00(((BgL_dotnetz00_bglt) BgL_mez00_2550));
		}
	}



/* &<anonymous:4984> */
	obj_t BGl_z62zc3anonymousza34984ze3ze1zzmsil_inlinez00(obj_t BgL_envz00_2551,
		obj_t BgL_mez00_2552)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 363 */
			return BGl_subz00zzmsil_outz00(((BgL_dotnetz00_bglt) BgL_mez00_2552));
		}
	}



/* &<anonymous:4982> */
	obj_t BGl_z62zc3anonymousza34982ze3ze1zzmsil_inlinez00(obj_t BgL_envz00_2553,
		obj_t BgL_mez00_2554)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 360 */
			return BGl_addz00zzmsil_outz00(((BgL_dotnetz00_bglt) BgL_mez00_2554));
		}
	}



/* &<anonymous:4980> */
	obj_t BGl_z62zc3anonymousza34980ze3ze1zzmsil_inlinez00(obj_t BgL_envz00_2555,
		obj_t BgL_mez00_2556, obj_t BgL_onzf3zf3_2557, obj_t BgL_labz00_2558)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 356 */
			{
				obj_t BgL_mez00_1690;
				obj_t BgL_onzf3zf3_1691;
				obj_t BgL_labz00_1692;

				BgL_mez00_1690 = BgL_mez00_2556;
				BgL_onzf3zf3_1691 = BgL_onzf3zf3_2557;
				BgL_labz00_1692 = BgL_labz00_2558;
				if (CBOOL(BgL_onzf3zf3_1691))
					{	/* SawMsil/inline.scm 357 */
						return
							BGl_bgez00zzmsil_outz00(
							((BgL_dotnetz00_bglt) BgL_mez00_1690),
							BGl_string5187z00zzmsil_inlinez00, BgL_labz00_1692);
					}
				else
					{	/* SawMsil/inline.scm 357 */
						return
							BGl_bltz00zzmsil_outz00(
							((BgL_dotnetz00_bglt) BgL_mez00_1690),
							BGl_string5187z00zzmsil_inlinez00, BgL_labz00_1692);
					}
			}
		}
	}



/* &<anonymous:4978> */
	obj_t BGl_z62zc3anonymousza34978ze3ze1zzmsil_inlinez00(obj_t BgL_envz00_2559,
		obj_t BgL_mez00_2560, obj_t BgL_onzf3zf3_2561, obj_t BgL_labz00_2562)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 353 */
			{
				obj_t BgL_mez00_1684;
				obj_t BgL_onzf3zf3_1685;
				obj_t BgL_labz00_1686;

				BgL_mez00_1684 = BgL_mez00_2560;
				BgL_onzf3zf3_1685 = BgL_onzf3zf3_2561;
				BgL_labz00_1686 = BgL_labz00_2562;
				if (CBOOL(BgL_onzf3zf3_1685))
					{	/* SawMsil/inline.scm 354 */
						return
							BGl_blez00zzmsil_outz00(
							((BgL_dotnetz00_bglt) BgL_mez00_1684),
							BGl_string5187z00zzmsil_inlinez00, BgL_labz00_1686);
					}
				else
					{	/* SawMsil/inline.scm 354 */
						return
							BGl_bgtz00zzmsil_outz00(
							((BgL_dotnetz00_bglt) BgL_mez00_1684),
							BGl_string5187z00zzmsil_inlinez00, BgL_labz00_1686);
					}
			}
		}
	}



/* &<anonymous:4976> */
	obj_t BGl_z62zc3anonymousza34976ze3ze1zzmsil_inlinez00(obj_t BgL_envz00_2563,
		obj_t BgL_mez00_2564, obj_t BgL_onzf3zf3_2565, obj_t BgL_labz00_2566)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 350 */
			{
				obj_t BgL_mez00_1678;
				obj_t BgL_onzf3zf3_1679;
				obj_t BgL_labz00_1680;

				BgL_mez00_1678 = BgL_mez00_2564;
				BgL_onzf3zf3_1679 = BgL_onzf3zf3_2565;
				BgL_labz00_1680 = BgL_labz00_2566;
				if (CBOOL(BgL_onzf3zf3_1679))
					{	/* SawMsil/inline.scm 351 */
						return
							BGl_bgtz00zzmsil_outz00(
							((BgL_dotnetz00_bglt) BgL_mez00_1678),
							BGl_string5187z00zzmsil_inlinez00, BgL_labz00_1680);
					}
				else
					{	/* SawMsil/inline.scm 351 */
						return
							BGl_blez00zzmsil_outz00(
							((BgL_dotnetz00_bglt) BgL_mez00_1678),
							BGl_string5187z00zzmsil_inlinez00, BgL_labz00_1680);
					}
			}
		}
	}



/* &<anonymous:4974> */
	obj_t BGl_z62zc3anonymousza34974ze3ze1zzmsil_inlinez00(obj_t BgL_envz00_2567,
		obj_t BgL_mez00_2568, obj_t BgL_onzf3zf3_2569, obj_t BgL_labz00_2570)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 347 */
			{
				obj_t BgL_mez00_1672;
				obj_t BgL_onzf3zf3_1673;
				obj_t BgL_labz00_1674;

				BgL_mez00_1672 = BgL_mez00_2568;
				BgL_onzf3zf3_1673 = BgL_onzf3zf3_2569;
				BgL_labz00_1674 = BgL_labz00_2570;
				if (CBOOL(BgL_onzf3zf3_1673))
					{	/* SawMsil/inline.scm 348 */
						return
							BGl_bltz00zzmsil_outz00(
							((BgL_dotnetz00_bglt) BgL_mez00_1672),
							BGl_string5187z00zzmsil_inlinez00, BgL_labz00_1674);
					}
				else
					{	/* SawMsil/inline.scm 348 */
						return
							BGl_bgez00zzmsil_outz00(
							((BgL_dotnetz00_bglt) BgL_mez00_1672),
							BGl_string5187z00zzmsil_inlinez00, BgL_labz00_1674);
					}
			}
		}
	}



/* &<anonymous:4972> */
	obj_t BGl_z62zc3anonymousza34972ze3ze1zzmsil_inlinez00(obj_t BgL_envz00_2571,
		obj_t BgL_mez00_2572, obj_t BgL_onzf3zf3_2573, obj_t BgL_labz00_2574)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 344 */
			{
				obj_t BgL_mez00_1666;
				obj_t BgL_onzf3zf3_1667;
				obj_t BgL_labz00_1668;

				BgL_mez00_1666 = BgL_mez00_2572;
				BgL_onzf3zf3_1667 = BgL_onzf3zf3_2573;
				BgL_labz00_1668 = BgL_labz00_2574;
				if (CBOOL(BgL_onzf3zf3_1667))
					{	/* SawMsil/inline.scm 345 */
						return
							BGl_beqz00zzmsil_outz00(
							((BgL_dotnetz00_bglt) BgL_mez00_1666),
							BGl_string5187z00zzmsil_inlinez00, BgL_labz00_1668);
					}
				else
					{	/* SawMsil/inline.scm 345 */
						return
							BGl_bnez00zzmsil_outz00(
							((BgL_dotnetz00_bglt) BgL_mez00_1666),
							BGl_string5187z00zzmsil_inlinez00, BgL_labz00_1668);
					}
			}
		}
	}



/* &<anonymous:4970> */
	obj_t BGl_z62zc3anonymousza34970ze3ze1zzmsil_inlinez00(obj_t BgL_envz00_2575,
		obj_t BgL_mez00_2576)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 341 */
			{
				obj_t BgL_mez00_1662;

				BgL_mez00_1662 = BgL_mez00_2576;
				return
					BGl_loadzd2fieldzd2zzmsil_outz00(
					((BgL_dotnetz00_bglt) BgL_mez00_1662),
					CNST_TABLE_REF(((long) 65)), BGl_string5188z00zzmsil_inlinez00,
					CNST_TABLE_REF(((long) 66)));
		}}
	}



/* &<anonymous:4968> */
	obj_t BGl_z62zc3anonymousza34968ze3ze1zzmsil_inlinez00(obj_t BgL_envz00_2577,
		obj_t BgL_mez00_2578)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 338 */
			{
				obj_t BgL_mez00_1658;

				BgL_mez00_1658 = BgL_mez00_2578;
				return
					BGl_newobjz00zzmsil_outz00(
					((BgL_dotnetz00_bglt) BgL_mez00_1658),
					BGl_string5188z00zzmsil_inlinez00, CNST_TABLE_REF(((long) 67)));
		}}
	}



/* &<anonymous:4965> */
	obj_t BGl_z62zc3anonymousza34965ze3ze1zzmsil_inlinez00(obj_t BgL_envz00_2579,
		obj_t BgL_mez00_2580, obj_t BgL_onzf3zf3_2581, obj_t BgL_labz00_2582)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 334 */
			{
				obj_t BgL_mez00_1651;
				obj_t BgL_onzf3zf3_1652;
				obj_t BgL_labz00_1653;

				BgL_mez00_1651 = BgL_mez00_2580;
				BgL_onzf3zf3_1652 = BgL_onzf3zf3_2581;
				BgL_labz00_1653 = BgL_labz00_2582;
				{	/* SawMsil/inline.scm 335 */
					BgL_typez00_bglt BgL_arg4966z00_2446;

					BgL_arg4966z00_2446 =
						BGl_findzd2typezd2zztype_envz00(CNST_TABLE_REF(((long) 68)));
					BGl_isinstz00zzmsil_outz00(
						((BgL_dotnetz00_bglt) BgL_mez00_1651), BgL_arg4966z00_2446);
				}
				if (CBOOL(BgL_onzf3zf3_1652))
					{	/* SawMsil/inline.scm 335 */
						return
							BGl_brtruez00zzmsil_outz00(
							((BgL_dotnetz00_bglt) BgL_mez00_1651),
							BGl_string5187z00zzmsil_inlinez00, BgL_labz00_1653);
					}
				else
					{	/* SawMsil/inline.scm 335 */
						return
							BGl_brfalsez00zzmsil_outz00(
							((BgL_dotnetz00_bglt) BgL_mez00_1651),
							BGl_string5187z00zzmsil_inlinez00, BgL_labz00_1653);
					}
			}
		}
	}



/* &<anonymous:4963> */
	obj_t BGl_z62zc3anonymousza34963ze3ze1zzmsil_inlinez00(obj_t BgL_envz00_2583,
		obj_t BgL_mez00_2584)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 328 */
			{
				obj_t BgL_mez00_1647;

				BgL_mez00_1647 = BgL_mez00_2584;
				return
					BGl_loadzd2fieldzd2zzmsil_outz00(
					((BgL_dotnetz00_bglt) BgL_mez00_1647),
					CNST_TABLE_REF(((long) 69)), BGl_string5189z00zzmsil_inlinez00,
					CNST_TABLE_REF(((long) 70)));
		}}
	}



/* &<anonymous:4961> */
	obj_t BGl_z62zc3anonymousza34961ze3ze1zzmsil_inlinez00(obj_t BgL_envz00_2585,
		obj_t BgL_mez00_2586)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 325 */
			return
				BGl_loadzd2vectorzd2lengthz00zzmsil_outz00(
				((BgL_dotnetz00_bglt) BgL_mez00_2586));
		}
	}



/* &<anonymous:4958> */
	obj_t BGl_z62zc3anonymousza34958ze3ze1zzmsil_inlinez00(obj_t BgL_envz00_2587,
		obj_t BgL_mez00_2588, obj_t BgL_onzf3zf3_2589, obj_t BgL_labz00_2590)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 305 */
			{
				obj_t BgL_mez00_1636;
				obj_t BgL_onzf3zf3_1637;
				obj_t BgL_labz00_1638;

				BgL_mez00_1636 = BgL_mez00_2588;
				BgL_onzf3zf3_1637 = BgL_onzf3zf3_2589;
				BgL_labz00_1638 = BgL_labz00_2590;
				{	/* SawMsil/inline.scm 306 */
					BgL_typez00_bglt BgL_arg4959z00_2445;

					BgL_arg4959z00_2445 =
						BGl_findzd2typezd2zztype_envz00(CNST_TABLE_REF(((long) 71)));
					BGl_isinstz00zzmsil_outz00(
						((BgL_dotnetz00_bglt) BgL_mez00_1636), BgL_arg4959z00_2445);
				}
				if (CBOOL(BgL_onzf3zf3_1637))
					{	/* SawMsil/inline.scm 306 */
						return
							BGl_brtruez00zzmsil_outz00(
							((BgL_dotnetz00_bglt) BgL_mez00_1636),
							BGl_string5187z00zzmsil_inlinez00, BgL_labz00_1638);
					}
				else
					{	/* SawMsil/inline.scm 306 */
						return
							BGl_brfalsez00zzmsil_outz00(
							((BgL_dotnetz00_bglt) BgL_mez00_1636),
							BGl_string5187z00zzmsil_inlinez00, BgL_labz00_1638);
					}
			}
		}
	}



/* &<anonymous:4956> */
	obj_t BGl_z62zc3anonymousza34956ze3ze1zzmsil_inlinez00(obj_t BgL_envz00_2591,
		obj_t BgL_mez00_2592, obj_t BgL_onzf3zf3_2593, obj_t BgL_labz00_2594)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 301 */
			{
				obj_t BgL_mez00_1630;
				obj_t BgL_onzf3zf3_1631;
				obj_t BgL_labz00_1632;

				BgL_mez00_1630 = BgL_mez00_2592;
				BgL_onzf3zf3_1631 = BgL_onzf3zf3_2593;
				BgL_labz00_1632 = BgL_labz00_2594;
				BGl_pushzd2constantzd2zzmsil_outz00(
					((BgL_dotnetz00_bglt) BgL_mez00_1630),
					BGl_string5190z00zzmsil_inlinez00);
				if (CBOOL(BgL_onzf3zf3_1631))
					{	/* SawMsil/inline.scm 303 */
						return
							BGl_beqz00zzmsil_outz00(
							((BgL_dotnetz00_bglt) BgL_mez00_1630),
							BGl_string5187z00zzmsil_inlinez00, BgL_labz00_1632);
					}
				else
					{	/* SawMsil/inline.scm 303 */
						return
							BGl_bnez00zzmsil_outz00(
							((BgL_dotnetz00_bglt) BgL_mez00_1630),
							BGl_string5187z00zzmsil_inlinez00, BgL_labz00_1632);
					}
			}
		}
	}



/* &<anonymous:4954> */
	obj_t BGl_z62zc3anonymousza34954ze3ze1zzmsil_inlinez00(obj_t BgL_envz00_2595,
		obj_t BgL_mez00_2596)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 297 */
			{
				obj_t BgL_mez00_1626;

				BgL_mez00_1626 = BgL_mez00_2596;
				BGl_storezd2fieldzd2zzmsil_outz00(
					((BgL_dotnetz00_bglt) BgL_mez00_1626),
					CNST_TABLE_REF(((long) 72)), BGl_string5191z00zzmsil_inlinez00,
					CNST_TABLE_REF(((long) 73)));
				return CNST_TABLE_REF(((long) 74));
		}}
	}



/* &<anonymous:4952> */
	obj_t BGl_z62zc3anonymousza34952ze3ze1zzmsil_inlinez00(obj_t BgL_envz00_2597,
		obj_t BgL_mez00_2598)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 293 */
			{
				obj_t BgL_mez00_1622;

				BgL_mez00_1622 = BgL_mez00_2598;
				BGl_storezd2fieldzd2zzmsil_outz00(
					((BgL_dotnetz00_bglt) BgL_mez00_1622),
					CNST_TABLE_REF(((long) 72)), BGl_string5191z00zzmsil_inlinez00,
					CNST_TABLE_REF(((long) 75)));
				return CNST_TABLE_REF(((long) 74));
		}}
	}



/* &<anonymous:4950> */
	obj_t BGl_z62zc3anonymousza34950ze3ze1zzmsil_inlinez00(obj_t BgL_envz00_2599,
		obj_t BgL_mez00_2600, obj_t BgL_onzf3zf3_2601, obj_t BgL_labz00_2602)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 290 */
			{
				obj_t BgL_mez00_1616;
				obj_t BgL_onzf3zf3_1617;
				obj_t BgL_labz00_1618;

				BgL_mez00_1616 = BgL_mez00_2600;
				BgL_onzf3zf3_1617 = BgL_onzf3zf3_2601;
				BgL_labz00_1618 = BgL_labz00_2602;
				if (CBOOL(BgL_onzf3zf3_1617))
					{	/* SawMsil/inline.scm 291 */
						return
							BGl_beqz00zzmsil_outz00(
							((BgL_dotnetz00_bglt) BgL_mez00_1616),
							BGl_string5187z00zzmsil_inlinez00, BgL_labz00_1618);
					}
				else
					{	/* SawMsil/inline.scm 291 */
						return
							BGl_bnez00zzmsil_outz00(
							((BgL_dotnetz00_bglt) BgL_mez00_1616),
							BGl_string5187z00zzmsil_inlinez00, BgL_labz00_1618);
					}
			}
		}
	}



/* &<anonymous:4945> */
	obj_t BGl_z62zc3anonymousza34945ze3ze1zzmsil_inlinez00(obj_t BgL_envz00_2603,
		obj_t BgL_mez00_2604, obj_t BgL_argsz00_2605)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 282 */
			{
				obj_t BgL_mez00_1608;
				obj_t BgL_argsz00_1609;

				BgL_mez00_1608 = BgL_mez00_2604;
				BgL_argsz00_1609 = BgL_argsz00_2605;
				{	/* SawMsil/inline.scm 283 */
					obj_t BgL_arg4946z00_1611;

					BgL_arg4946z00_1611 = CAR(BgL_argsz00_1609);
					BGl_genzd2exprzd2zzmsil_codez00(
						((BgL_dotnetz00_bglt) BgL_mez00_1608), BgL_arg4946z00_1611);
				}
				BGl_loadzd2fieldzd2zzmsil_outz00(
					((BgL_dotnetz00_bglt) BgL_mez00_1608),
					CNST_TABLE_REF(((long) 76)), BGl_string5192z00zzmsil_inlinez00,
					CNST_TABLE_REF(((long) 77)));
				{	/* SawMsil/inline.scm 285 */
					obj_t BgL_arg4947z00_1612;

					{	/* SawMsil/inline.scm 285 */
						obj_t BgL_pairz00_2435;

						BgL_pairz00_2435 = BgL_argsz00_1609;
						BgL_arg4947z00_1612 = CAR(CDR(BgL_pairz00_2435));
					}
					BGl_genzd2exprzd2zzmsil_codez00(
						((BgL_dotnetz00_bglt) BgL_mez00_1608), BgL_arg4947z00_1612);
				}
				{	/* SawMsil/inline.scm 286 */
					obj_t BgL_arg4948z00_1613;

					{	/* SawMsil/inline.scm 286 */
						obj_t BgL_pairz00_2439;

						BgL_pairz00_2439 = BgL_argsz00_1609;
						BgL_arg4948z00_1613 = CAR(CDR(CDR(BgL_pairz00_2439)));
					}
					BGl_genzd2exprzd2zzmsil_codez00(
						((BgL_dotnetz00_bglt) BgL_mez00_1608), BgL_arg4948z00_1613);
				}
				BGl_storezd2vectorzd2zzmsil_outz00(
					((BgL_dotnetz00_bglt) BgL_mez00_1608), CNST_TABLE_REF(((long) 72)));
				return CNST_TABLE_REF(((long) 74));
		}}
	}



/* &<anonymous:4941> */
	obj_t BGl_z62zc3anonymousza34941ze3ze1zzmsil_inlinez00(obj_t BgL_envz00_2606,
		obj_t BgL_mez00_2607, obj_t BgL_argsz00_2608)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 276 */
			{
				obj_t BgL_mez00_1601;
				obj_t BgL_argsz00_1602;

				BgL_mez00_1601 = BgL_mez00_2607;
				BgL_argsz00_1602 = BgL_argsz00_2608;
				{	/* SawMsil/inline.scm 277 */
					obj_t BgL_arg4942z00_1604;

					BgL_arg4942z00_1604 = CAR(BgL_argsz00_1602);
					BGl_genzd2exprzd2zzmsil_codez00(
						((BgL_dotnetz00_bglt) BgL_mez00_1601), BgL_arg4942z00_1604);
				}
				BGl_loadzd2fieldzd2zzmsil_outz00(
					((BgL_dotnetz00_bglt) BgL_mez00_1601),
					CNST_TABLE_REF(((long) 76)), BGl_string5192z00zzmsil_inlinez00,
					CNST_TABLE_REF(((long) 77)));
				{	/* SawMsil/inline.scm 279 */
					obj_t BgL_arg4943z00_1605;

					{	/* SawMsil/inline.scm 279 */
						obj_t BgL_pairz00_2430;

						BgL_pairz00_2430 = BgL_argsz00_1602;
						BgL_arg4943z00_1605 = CAR(CDR(BgL_pairz00_2430));
					}
					BGl_genzd2exprzd2zzmsil_codez00(
						((BgL_dotnetz00_bglt) BgL_mez00_1601), BgL_arg4943z00_1605);
				}
				return
					BGl_loadzd2vectorzd2zzmsil_outz00(
					((BgL_dotnetz00_bglt) BgL_mez00_1601), CNST_TABLE_REF(((long) 72)));
		}}
	}



/* &<anonymous:4938> */
	obj_t BGl_z62zc3anonymousza34938ze3ze1zzmsil_inlinez00(obj_t BgL_envz00_2609,
		obj_t BgL_mez00_2610, obj_t BgL_onzf3zf3_2611, obj_t BgL_labz00_2612)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 272 */
			{
				obj_t BgL_mez00_1594;
				obj_t BgL_onzf3zf3_1595;
				obj_t BgL_labz00_1596;

				BgL_mez00_1594 = BgL_mez00_2610;
				BgL_onzf3zf3_1595 = BgL_onzf3zf3_2611;
				BgL_labz00_1596 = BgL_labz00_2612;
				{	/* SawMsil/inline.scm 273 */
					BgL_typez00_bglt BgL_arg4939z00_2428;

					BgL_arg4939z00_2428 =
						BGl_findzd2typezd2zztype_envz00(CNST_TABLE_REF(((long) 78)));
					BGl_isinstz00zzmsil_outz00(
						((BgL_dotnetz00_bglt) BgL_mez00_1594), BgL_arg4939z00_2428);
				}
				if (CBOOL(BgL_onzf3zf3_1595))
					{	/* SawMsil/inline.scm 273 */
						return
							BGl_brtruez00zzmsil_outz00(
							((BgL_dotnetz00_bglt) BgL_mez00_1594),
							BGl_string5187z00zzmsil_inlinez00, BgL_labz00_1596);
					}
				else
					{	/* SawMsil/inline.scm 273 */
						return
							BGl_brfalsez00zzmsil_outz00(
							((BgL_dotnetz00_bglt) BgL_mez00_1594),
							BGl_string5187z00zzmsil_inlinez00, BgL_labz00_1596);
					}
			}
		}
	}



/* &<anonymous:4936> */
	obj_t BGl_z62zc3anonymousza34936ze3ze1zzmsil_inlinez00(obj_t BgL_envz00_2613,
		obj_t BgL_mez00_2614, obj_t BgL_onzf3zf3_2615, obj_t BgL_labz00_2616)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 266 */
			{
				obj_t BgL_mez00_1588;
				obj_t BgL_onzf3zf3_1589;
				obj_t BgL_labz00_1590;

				BgL_mez00_1588 = BgL_mez00_2614;
				BgL_onzf3zf3_1589 = BgL_onzf3zf3_2615;
				BgL_labz00_1590 = BgL_labz00_2616;
				if (CBOOL(BgL_onzf3zf3_1589))
					{	/* SawMsil/inline.scm 267 */
						return
							BGl_bltz00zzmsil_outz00(
							((BgL_dotnetz00_bglt) BgL_mez00_1588),
							BGl_string5187z00zzmsil_inlinez00, BgL_labz00_1590);
					}
				else
					{	/* SawMsil/inline.scm 267 */
						return
							BGl_bgez00zzmsil_outz00(
							((BgL_dotnetz00_bglt) BgL_mez00_1588),
							BGl_string5187z00zzmsil_inlinez00, BgL_labz00_1590);
					}
			}
		}
	}



/* &<anonymous:4934> */
	obj_t BGl_z62zc3anonymousza34934ze3ze1zzmsil_inlinez00(obj_t BgL_envz00_2617,
		obj_t BgL_mez00_2618)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 263 */
			return BGl_cltz00zzmsil_outz00(((BgL_dotnetz00_bglt) BgL_mez00_2618));
		}
	}



/* &<anonymous:4932> */
	obj_t BGl_z62zc3anonymousza34932ze3ze1zzmsil_inlinez00(obj_t BgL_envz00_2619,
		obj_t BgL_mez00_2620, obj_t BgL_onzf3zf3_2621, obj_t BgL_labz00_2622)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 260 */
			{
				obj_t BgL_mez00_1578;
				obj_t BgL_onzf3zf3_1579;
				obj_t BgL_labz00_1580;

				BgL_mez00_1578 = BgL_mez00_2620;
				BgL_onzf3zf3_1579 = BgL_onzf3zf3_2621;
				BgL_labz00_1580 = BgL_labz00_2622;
				if (CBOOL(BgL_onzf3zf3_1579))
					{	/* SawMsil/inline.scm 261 */
						return
							BGl_bltz00zzmsil_outz00(
							((BgL_dotnetz00_bglt) BgL_mez00_1578),
							BGl_string5187z00zzmsil_inlinez00, BgL_labz00_1580);
					}
				else
					{	/* SawMsil/inline.scm 261 */
						return
							BGl_bgez00zzmsil_outz00(
							((BgL_dotnetz00_bglt) BgL_mez00_1578),
							BGl_string5187z00zzmsil_inlinez00, BgL_labz00_1580);
					}
			}
		}
	}



/* &<anonymous:4930> */
	obj_t BGl_z62zc3anonymousza34930ze3ze1zzmsil_inlinez00(obj_t BgL_envz00_2623,
		obj_t BgL_mez00_2624)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 257 */
			return BGl_cltz00zzmsil_outz00(((BgL_dotnetz00_bglt) BgL_mez00_2624));
		}
	}



/* &<anonymous:4927> */
	obj_t BGl_z62zc3anonymousza34927ze3ze1zzmsil_inlinez00(obj_t BgL_envz00_2625,
		obj_t BgL_mez00_2626, obj_t BgL_onzf3zf3_2627, obj_t BgL_labz00_2628)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 253 */
			{
				obj_t BgL_mez00_1567;
				obj_t BgL_onzf3zf3_1568;
				obj_t BgL_labz00_1569;

				BgL_mez00_1567 = BgL_mez00_2626;
				BgL_onzf3zf3_1568 = BgL_onzf3zf3_2627;
				BgL_labz00_1569 = BgL_labz00_2628;
				{	/* SawMsil/inline.scm 254 */
					BgL_typez00_bglt BgL_arg4928z00_2427;

					BgL_arg4928z00_2427 =
						BGl_findzd2typezd2zztype_envz00(CNST_TABLE_REF(((long) 79)));
					BGl_isinstz00zzmsil_outz00(
						((BgL_dotnetz00_bglt) BgL_mez00_1567), BgL_arg4928z00_2427);
				}
				if (CBOOL(BgL_onzf3zf3_1568))
					{	/* SawMsil/inline.scm 254 */
						return
							BGl_brtruez00zzmsil_outz00(
							((BgL_dotnetz00_bglt) BgL_mez00_1567),
							BGl_string5187z00zzmsil_inlinez00, BgL_labz00_1569);
					}
				else
					{	/* SawMsil/inline.scm 254 */
						return
							BGl_brfalsez00zzmsil_outz00(
							((BgL_dotnetz00_bglt) BgL_mez00_1567),
							BGl_string5187z00zzmsil_inlinez00, BgL_labz00_1569);
					}
			}
		}
	}



/* &<anonymous:4925> */
	obj_t BGl_z62zc3anonymousza34925ze3ze1zzmsil_inlinez00(obj_t BgL_envz00_2629,
		obj_t BgL_mez00_2630)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 250 */
			{
				obj_t BgL_mez00_1563;

				BgL_mez00_1563 = BgL_mez00_2630;
				return
					BGl_loadzd2fieldzd2zzmsil_outz00(
					((BgL_dotnetz00_bglt) BgL_mez00_1563),
					CNST_TABLE_REF(((long) 72)), BGl_string5191z00zzmsil_inlinez00,
					CNST_TABLE_REF(((long) 73)));
		}}
	}



/* &<anonymous:4923> */
	obj_t BGl_z62zc3anonymousza34923ze3ze1zzmsil_inlinez00(obj_t BgL_envz00_2631,
		obj_t BgL_mez00_2632)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 247 */
			{
				obj_t BgL_mez00_1559;

				BgL_mez00_1559 = BgL_mez00_2632;
				return
					BGl_loadzd2fieldzd2zzmsil_outz00(
					((BgL_dotnetz00_bglt) BgL_mez00_1559),
					CNST_TABLE_REF(((long) 72)), BGl_string5191z00zzmsil_inlinez00,
					CNST_TABLE_REF(((long) 75)));
		}}
	}



/* &<anonymous:4920> */
	obj_t BGl_z62zc3anonymousza34920ze3ze1zzmsil_inlinez00(obj_t BgL_envz00_2633,
		obj_t BgL_mez00_2634, obj_t BgL_onzf3zf3_2635, obj_t BgL_labz00_2636)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 243 */
			{
				obj_t BgL_mez00_1552;
				obj_t BgL_onzf3zf3_1553;
				obj_t BgL_labz00_1554;

				BgL_mez00_1552 = BgL_mez00_2634;
				BgL_onzf3zf3_1553 = BgL_onzf3zf3_2635;
				BgL_labz00_1554 = BgL_labz00_2636;
				{	/* SawMsil/inline.scm 244 */
					BgL_typez00_bglt BgL_arg4921z00_2426;

					BgL_arg4921z00_2426 =
						BGl_findzd2typezd2zztype_envz00(CNST_TABLE_REF(((long) 80)));
					BGl_isinstz00zzmsil_outz00(
						((BgL_dotnetz00_bglt) BgL_mez00_1552), BgL_arg4921z00_2426);
				}
				if (CBOOL(BgL_onzf3zf3_1553))
					{	/* SawMsil/inline.scm 244 */
						return
							BGl_brtruez00zzmsil_outz00(
							((BgL_dotnetz00_bglt) BgL_mez00_1552),
							BGl_string5187z00zzmsil_inlinez00, BgL_labz00_1554);
					}
				else
					{	/* SawMsil/inline.scm 244 */
						return
							BGl_brfalsez00zzmsil_outz00(
							((BgL_dotnetz00_bglt) BgL_mez00_1552),
							BGl_string5187z00zzmsil_inlinez00, BgL_labz00_1554);
					}
			}
		}
	}



/* &<anonymous:4918> */
	obj_t BGl_z62zc3anonymousza34918ze3ze1zzmsil_inlinez00(obj_t BgL_envz00_2637,
		obj_t BgL_mez00_2638)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 240 */
			{
				obj_t BgL_mez00_1548;

				BgL_mez00_1548 = BgL_mez00_2638;
				return
					BGl_newobjz00zzmsil_outz00(
					((BgL_dotnetz00_bglt) BgL_mez00_1548),
					BGl_string5191z00zzmsil_inlinez00, CNST_TABLE_REF(((long) 81)));
		}}
	}



/* &<anonymous:4916> */
	obj_t BGl_z62zc3anonymousza34916ze3ze1zzmsil_inlinez00(obj_t BgL_envz00_2639,
		obj_t BgL_mez00_2640, obj_t BgL_onzf3zf3_2641, obj_t BgL_labz00_2642)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 236 */
			{
				obj_t BgL_mez00_1542;
				obj_t BgL_onzf3zf3_1543;
				obj_t BgL_labz00_1544;

				BgL_mez00_1542 = BgL_mez00_2640;
				BgL_onzf3zf3_1543 = BgL_onzf3zf3_2641;
				BgL_labz00_1544 = BgL_labz00_2642;
				BGl_pushzd2constant2zd2zzmsil_outz00(
					((BgL_dotnetz00_bglt) BgL_mez00_1542),
					BGl_string5193z00zzmsil_inlinez00, BGl_string5194z00zzmsil_inlinez00);
				if (CBOOL(BgL_onzf3zf3_1543))
					{	/* SawMsil/inline.scm 238 */
						return
							BGl_bnez00zzmsil_outz00(
							((BgL_dotnetz00_bglt) BgL_mez00_1542),
							BGl_string5187z00zzmsil_inlinez00, BgL_labz00_1544);
					}
				else
					{	/* SawMsil/inline.scm 238 */
						return
							BGl_beqz00zzmsil_outz00(
							((BgL_dotnetz00_bglt) BgL_mez00_1542),
							BGl_string5187z00zzmsil_inlinez00, BgL_labz00_1544);
					}
			}
		}
	}



/* &<anonymous:4914> */
	obj_t BGl_z62zc3anonymousza34914ze3ze1zzmsil_inlinez00(obj_t BgL_envz00_2643,
		obj_t BgL_mez00_2644)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 230 */
			{
				obj_t BgL_mez00_1538;

				BgL_mez00_1538 = BgL_mez00_2644;
				BGl_pushzd2constant2zd2zzmsil_outz00(
					((BgL_dotnetz00_bglt) BgL_mez00_1538),
					BGl_string5193z00zzmsil_inlinez00, BGl_string5194z00zzmsil_inlinez00);
				BGl_ceqz00zzmsil_outz00(((BgL_dotnetz00_bglt) BgL_mez00_1538));
				BGl_pushzd2intzd2zzmsil_outz00(
					((BgL_dotnetz00_bglt) BgL_mez00_1538), BINT(((long) 1)));
				return
					BGl_bitxorz00zzmsil_outz00(((BgL_dotnetz00_bglt) BgL_mez00_1538));
			}
		}
	}



/* &<anonymous:4907> */
	obj_t BGl_z62zc3anonymousza34907ze3ze1zzmsil_inlinez00(obj_t BgL_envz00_2645,
		obj_t BgL_mez00_2646, obj_t BgL_argsz00_2647)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 215 */
			{
				obj_t BgL_mez00_1525;
				obj_t BgL_argsz00_1526;

				BgL_mez00_1525 = BgL_mez00_2646;
				BgL_argsz00_1526 = BgL_argsz00_2647;
				{	/* SawMsil/inline.scm 216 */
					obj_t BgL_funz00_1528;

					BgL_funz00_1528 =
						BGl_skipzd2movzd2zzmsil_inlinez00(CAR(BgL_argsz00_1526));
					if (BGl_iszd2azf3z21zz__objectz00(BgL_funz00_1528,
							BGl_rtl_loadiz00zzsaw_defsz00))
						{	/* SawMsil/inline.scm 218 */
							bool_t BgL_testz00_3399;

							{	/* SawMsil/inline.scm 218 */
								BgL_atomz00_bglt BgL_obj2181z00_2424;

								{	/* SawMsil/inline.scm 218 */
									BgL_rtl_loadiz00_bglt BgL_obj4329z00_2423;

									BgL_obj4329z00_2423 =
										((BgL_rtl_loadiz00_bglt) BgL_funz00_1528);
									BgL_obj2181z00_2424 =
										(((BgL_rtl_loadiz00_bglt) CREF(
												((obj_t) BgL_obj4329z00_2423)))->BgL_constantz00);
								}
								BgL_testz00_3399 =
									CBOOL(
									(((BgL_atomz00_bglt) CREF(
												((obj_t) BgL_obj2181z00_2424)))->BgL_valuez00));
							}
							if (BgL_testz00_3399)
								{	/* SawMsil/inline.scm 218 */
									return
										BGl_pushzd2constant2zd2zzmsil_outz00(
										((BgL_dotnetz00_bglt) BgL_mez00_1525),
										BGl_string5193z00zzmsil_inlinez00,
										BGl_string5195z00zzmsil_inlinez00);
								}
							else
								{	/* SawMsil/inline.scm 218 */
									return
										BGl_pushzd2constant2zd2zzmsil_outz00(
										((BgL_dotnetz00_bglt) BgL_mez00_1525),
										BGl_string5193z00zzmsil_inlinez00,
										BGl_string5194z00zzmsil_inlinez00);
								}
						}
					else
						{	/* SawMsil/inline.scm 221 */
							obj_t BgL_l1z00_1532;
							obj_t BgL_l2z00_1533;

							BgL_l1z00_1532 =
								BGl_gensymz00zz__r4_symbols_6_4z00
								(BGl_string5196z00zzmsil_inlinez00);
							BgL_l2z00_1533 =
								BGl_gensymz00zz__r4_symbols_6_4z00
								(BGl_string5196z00zzmsil_inlinez00);
							{	/* SawMsil/inline.scm 222 */
								obj_t BgL_arg4911z00_1534;

								BgL_arg4911z00_1534 = CAR(BgL_argsz00_1526);
								BGl_genzd2exprzd2zzmsil_codez00(
									((BgL_dotnetz00_bglt) BgL_mez00_1525), BgL_arg4911z00_1534);
							}
							BGl_brfalsez00zzmsil_outz00(
								((BgL_dotnetz00_bglt) BgL_mez00_1525),
								BGl_string5197z00zzmsil_inlinez00, BgL_l1z00_1532);
							BGl_pushzd2constant2zd2zzmsil_outz00(((BgL_dotnetz00_bglt)
									BgL_mez00_1525), BGl_string5193z00zzmsil_inlinez00,
								BGl_string5195z00zzmsil_inlinez00);
							BGl_brz00zzmsil_outz00(((BgL_dotnetz00_bglt) BgL_mez00_1525),
								BGl_string5197z00zzmsil_inlinez00, BgL_l2z00_1533);
							BGl_labelz00zzmsil_outz00(((BgL_dotnetz00_bglt) BgL_mez00_1525),
								BGl_string5197z00zzmsil_inlinez00, BgL_l1z00_1532);
							BGl_pushzd2constant2zd2zzmsil_outz00(((BgL_dotnetz00_bglt)
									BgL_mez00_1525), BGl_string5193z00zzmsil_inlinez00,
								BGl_string5194z00zzmsil_inlinez00);
							return BGl_labelz00zzmsil_outz00(((BgL_dotnetz00_bglt)
									BgL_mez00_1525), BGl_string5197z00zzmsil_inlinez00,
								BgL_l2z00_1533);
						}
				}
			}
		}
	}



/* &<anonymous:4905> */
	obj_t BGl_z62zc3anonymousza34905ze3ze1zzmsil_inlinez00(obj_t BgL_envz00_2648,
		obj_t BgL_mez00_2649)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 207 */
			{
				obj_t BgL_mez00_1521;

				BgL_mez00_1521 = BgL_mez00_2649;
				BGl_cltz00zzmsil_outz00(((BgL_dotnetz00_bglt) BgL_mez00_1521));
				BGl_pushzd2intzd2zzmsil_outz00(
					((BgL_dotnetz00_bglt) BgL_mez00_1521), BINT(((long) 1)));
				return
					BGl_bitxorz00zzmsil_outz00(((BgL_dotnetz00_bglt) BgL_mez00_1521));
			}
		}
	}



/* &<anonymous:4903> */
	obj_t BGl_z62zc3anonymousza34903ze3ze1zzmsil_inlinez00(obj_t BgL_envz00_2650,
		obj_t BgL_mez00_2651)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 202 */
			{
				obj_t BgL_mez00_1517;

				BgL_mez00_1517 = BgL_mez00_2651;
				BGl_cgtz00zzmsil_outz00(((BgL_dotnetz00_bglt) BgL_mez00_1517));
				BGl_pushzd2intzd2zzmsil_outz00(
					((BgL_dotnetz00_bglt) BgL_mez00_1517), BINT(((long) 1)));
				return
					BGl_bitxorz00zzmsil_outz00(((BgL_dotnetz00_bglt) BgL_mez00_1517));
			}
		}
	}



/* &<anonymous:4901> */
	obj_t BGl_z62zc3anonymousza34901ze3ze1zzmsil_inlinez00(obj_t BgL_envz00_2652,
		obj_t BgL_mez00_2653)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 196 */
			return BGl_remz00zzmsil_outz00(((BgL_dotnetz00_bglt) BgL_mez00_2653));
		}
	}



/* &<anonymous:4899> */
	obj_t BGl_z62zc3anonymousza34899ze3ze1zzmsil_inlinez00(obj_t BgL_envz00_2654,
		obj_t BgL_mez00_2655)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 193 */
			return BGl_divz00zzmsil_outz00(((BgL_dotnetz00_bglt) BgL_mez00_2655));
		}
	}



/* &<anonymous:4897> */
	obj_t BGl_z62zc3anonymousza34897ze3ze1zzmsil_inlinez00(obj_t BgL_envz00_2656,
		obj_t BgL_mez00_2657)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 190 */
			return BGl_negz00zzmsil_outz00(((BgL_dotnetz00_bglt) BgL_mez00_2657));
		}
	}



/* &<anonymous:4895> */
	obj_t BGl_z62zc3anonymousza34895ze3ze1zzmsil_inlinez00(obj_t BgL_envz00_2658,
		obj_t BgL_mez00_2659)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 187 */
			return BGl_divz00zzmsil_outz00(((BgL_dotnetz00_bglt) BgL_mez00_2659));
		}
	}



/* &<anonymous:4893> */
	obj_t BGl_z62zc3anonymousza34893ze3ze1zzmsil_inlinez00(obj_t BgL_envz00_2660,
		obj_t BgL_mez00_2661)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 184 */
			return BGl_mulz00zzmsil_outz00(((BgL_dotnetz00_bglt) BgL_mez00_2661));
		}
	}



/* &<anonymous:4891> */
	obj_t BGl_z62zc3anonymousza34891ze3ze1zzmsil_inlinez00(obj_t BgL_envz00_2662,
		obj_t BgL_mez00_2663)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 181 */
			return BGl_subz00zzmsil_outz00(((BgL_dotnetz00_bglt) BgL_mez00_2663));
		}
	}



/* &<anonymous:4889> */
	obj_t BGl_z62zc3anonymousza34889ze3ze1zzmsil_inlinez00(obj_t BgL_envz00_2664,
		obj_t BgL_mez00_2665)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 178 */
			return BGl_addz00zzmsil_outz00(((BgL_dotnetz00_bglt) BgL_mez00_2665));
		}
	}



/* &<anonymous:4887> */
	obj_t BGl_z62zc3anonymousza34887ze3ze1zzmsil_inlinez00(obj_t BgL_envz00_2666,
		obj_t BgL_mez00_2667, obj_t BgL_onzf3zf3_2668, obj_t BgL_labz00_2669)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 172 */
			{
				obj_t BgL_mez00_1483;
				obj_t BgL_onzf3zf3_1484;
				obj_t BgL_labz00_1485;

				BgL_mez00_1483 = BgL_mez00_2667;
				BgL_onzf3zf3_1484 = BgL_onzf3zf3_2668;
				BgL_labz00_1485 = BgL_labz00_2669;
				if (CBOOL(BgL_onzf3zf3_1484))
					{	/* SawMsil/inline.scm 173 */
						return
							BGl_bgez00zzmsil_outz00(
							((BgL_dotnetz00_bglt) BgL_mez00_1483),
							BGl_string5187z00zzmsil_inlinez00, BgL_labz00_1485);
					}
				else
					{	/* SawMsil/inline.scm 173 */
						return
							BGl_bltz00zzmsil_outz00(
							((BgL_dotnetz00_bglt) BgL_mez00_1483),
							BGl_string5187z00zzmsil_inlinez00, BgL_labz00_1485);
					}
			}
		}
	}



/* &<anonymous:4885> */
	obj_t BGl_z62zc3anonymousza34885ze3ze1zzmsil_inlinez00(obj_t BgL_envz00_2670,
		obj_t BgL_mez00_2671, obj_t BgL_onzf3zf3_2672, obj_t BgL_labz00_2673)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 169 */
			{
				obj_t BgL_mez00_1477;
				obj_t BgL_onzf3zf3_1478;
				obj_t BgL_labz00_1479;

				BgL_mez00_1477 = BgL_mez00_2671;
				BgL_onzf3zf3_1478 = BgL_onzf3zf3_2672;
				BgL_labz00_1479 = BgL_labz00_2673;
				if (CBOOL(BgL_onzf3zf3_1478))
					{	/* SawMsil/inline.scm 170 */
						return
							BGl_blez00zzmsil_outz00(
							((BgL_dotnetz00_bglt) BgL_mez00_1477),
							BGl_string5187z00zzmsil_inlinez00, BgL_labz00_1479);
					}
				else
					{	/* SawMsil/inline.scm 170 */
						return
							BGl_bgtz00zzmsil_outz00(
							((BgL_dotnetz00_bglt) BgL_mez00_1477),
							BGl_string5187z00zzmsil_inlinez00, BgL_labz00_1479);
					}
			}
		}
	}



/* &<anonymous:4883> */
	obj_t BGl_z62zc3anonymousza34883ze3ze1zzmsil_inlinez00(obj_t BgL_envz00_2674,
		obj_t BgL_mez00_2675, obj_t BgL_onzf3zf3_2676, obj_t BgL_labz00_2677)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 166 */
			{
				obj_t BgL_mez00_1471;
				obj_t BgL_onzf3zf3_1472;
				obj_t BgL_labz00_1473;

				BgL_mez00_1471 = BgL_mez00_2675;
				BgL_onzf3zf3_1472 = BgL_onzf3zf3_2676;
				BgL_labz00_1473 = BgL_labz00_2677;
				if (CBOOL(BgL_onzf3zf3_1472))
					{	/* SawMsil/inline.scm 167 */
						return
							BGl_bgtz00zzmsil_outz00(
							((BgL_dotnetz00_bglt) BgL_mez00_1471),
							BGl_string5187z00zzmsil_inlinez00, BgL_labz00_1473);
					}
				else
					{	/* SawMsil/inline.scm 167 */
						return
							BGl_blez00zzmsil_outz00(
							((BgL_dotnetz00_bglt) BgL_mez00_1471),
							BGl_string5187z00zzmsil_inlinez00, BgL_labz00_1473);
					}
			}
		}
	}



/* &<anonymous:4881> */
	obj_t BGl_z62zc3anonymousza34881ze3ze1zzmsil_inlinez00(obj_t BgL_envz00_2678,
		obj_t BgL_mez00_2679, obj_t BgL_onzf3zf3_2680, obj_t BgL_labz00_2681)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 163 */
			{
				obj_t BgL_mez00_1465;
				obj_t BgL_onzf3zf3_1466;
				obj_t BgL_labz00_1467;

				BgL_mez00_1465 = BgL_mez00_2679;
				BgL_onzf3zf3_1466 = BgL_onzf3zf3_2680;
				BgL_labz00_1467 = BgL_labz00_2681;
				if (CBOOL(BgL_onzf3zf3_1466))
					{	/* SawMsil/inline.scm 164 */
						return
							BGl_bltz00zzmsil_outz00(
							((BgL_dotnetz00_bglt) BgL_mez00_1465),
							BGl_string5187z00zzmsil_inlinez00, BgL_labz00_1467);
					}
				else
					{	/* SawMsil/inline.scm 164 */
						return
							BGl_bgez00zzmsil_outz00(
							((BgL_dotnetz00_bglt) BgL_mez00_1465),
							BGl_string5187z00zzmsil_inlinez00, BgL_labz00_1467);
					}
			}
		}
	}



/* &<anonymous:4879> */
	obj_t BGl_z62zc3anonymousza34879ze3ze1zzmsil_inlinez00(obj_t BgL_envz00_2682,
		obj_t BgL_mez00_2683)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 160 */
			return BGl_cgtz00zzmsil_outz00(((BgL_dotnetz00_bglt) BgL_mez00_2683));
		}
	}



/* &<anonymous:4877> */
	obj_t BGl_z62zc3anonymousza34877ze3ze1zzmsil_inlinez00(obj_t BgL_envz00_2684,
		obj_t BgL_mez00_2685)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 157 */
			return BGl_cltz00zzmsil_outz00(((BgL_dotnetz00_bglt) BgL_mez00_2685));
		}
	}



/* &<anonymous:4875> */
	obj_t BGl_z62zc3anonymousza34875ze3ze1zzmsil_inlinez00(obj_t BgL_envz00_2686,
		obj_t BgL_mez00_2687, obj_t BgL_onzf3zf3_2688, obj_t BgL_labz00_2689)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 154 */
			{
				obj_t BgL_mez00_1451;
				obj_t BgL_onzf3zf3_1452;
				obj_t BgL_labz00_1453;

				BgL_mez00_1451 = BgL_mez00_2687;
				BgL_onzf3zf3_1452 = BgL_onzf3zf3_2688;
				BgL_labz00_1453 = BgL_labz00_2689;
				if (CBOOL(BgL_onzf3zf3_1452))
					{	/* SawMsil/inline.scm 155 */
						return
							BGl_beqz00zzmsil_outz00(
							((BgL_dotnetz00_bglt) BgL_mez00_1451),
							BGl_string5187z00zzmsil_inlinez00, BgL_labz00_1453);
					}
				else
					{	/* SawMsil/inline.scm 155 */
						return
							BGl_bnez00zzmsil_outz00(
							((BgL_dotnetz00_bglt) BgL_mez00_1451),
							BGl_string5187z00zzmsil_inlinez00, BgL_labz00_1453);
					}
			}
		}
	}



/* &<anonymous:4873> */
	obj_t BGl_z62zc3anonymousza34873ze3ze1zzmsil_inlinez00(obj_t BgL_envz00_2690,
		obj_t BgL_mez00_2691)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 151 */
			return BGl_ceqz00zzmsil_outz00(((BgL_dotnetz00_bglt) BgL_mez00_2691));
		}
	}



/* &<anonymous:4871> */
	obj_t BGl_z62zc3anonymousza34871ze3ze1zzmsil_inlinez00(obj_t BgL_envz00_2692,
		obj_t BgL_mez00_2693, obj_t BgL_onzf3zf3_2694, obj_t BgL_labz00_2695)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 148 */
			{
				obj_t BgL_mez00_1441;
				obj_t BgL_onzf3zf3_1442;
				obj_t BgL_labz00_1443;

				BgL_mez00_1441 = BgL_mez00_2693;
				BgL_onzf3zf3_1442 = BgL_onzf3zf3_2694;
				BgL_labz00_1443 = BgL_labz00_2695;
				if (CBOOL(BgL_onzf3zf3_1442))
					{	/* SawMsil/inline.scm 149 */
						return
							BGl_beqz00zzmsil_outz00(
							((BgL_dotnetz00_bglt) BgL_mez00_1441),
							BGl_string5187z00zzmsil_inlinez00, BgL_labz00_1443);
					}
				else
					{	/* SawMsil/inline.scm 149 */
						return
							BGl_bnez00zzmsil_outz00(
							((BgL_dotnetz00_bglt) BgL_mez00_1441),
							BGl_string5187z00zzmsil_inlinez00, BgL_labz00_1443);
					}
			}
		}
	}



/* &<anonymous:4869> */
	obj_t BGl_z62zc3anonymousza34869ze3ze1zzmsil_inlinez00(obj_t BgL_envz00_2696,
		obj_t BgL_mez00_2697)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 145 */
			return BGl_ceqz00zzmsil_outz00(((BgL_dotnetz00_bglt) BgL_mez00_2697));
		}
	}



/* &<anonymous:4867> */
	obj_t BGl_z62zc3anonymousza34867ze3ze1zzmsil_inlinez00(obj_t BgL_envz00_2698,
		obj_t BgL_mez00_2699, obj_t BgL_onzf3zf3_2700, obj_t BgL_labz00_2701)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 142 */
			{
				obj_t BgL_mez00_1431;
				obj_t BgL_onzf3zf3_1432;
				obj_t BgL_labz00_1433;

				BgL_mez00_1431 = BgL_mez00_2699;
				BgL_onzf3zf3_1432 = BgL_onzf3zf3_2700;
				BgL_labz00_1433 = BgL_labz00_2701;
				if (CBOOL(BgL_onzf3zf3_1432))
					{	/* SawMsil/inline.scm 143 */
						return
							BGl_beqz00zzmsil_outz00(
							((BgL_dotnetz00_bglt) BgL_mez00_1431),
							BGl_string5187z00zzmsil_inlinez00, BgL_labz00_1433);
					}
				else
					{	/* SawMsil/inline.scm 143 */
						return
							BGl_bnez00zzmsil_outz00(
							((BgL_dotnetz00_bglt) BgL_mez00_1431),
							BGl_string5187z00zzmsil_inlinez00, BgL_labz00_1433);
					}
			}
		}
	}



/* &<anonymous:4865> */
	obj_t BGl_z62zc3anonymousza34865ze3ze1zzmsil_inlinez00(obj_t BgL_envz00_2702,
		obj_t BgL_mez00_2703)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 139 */
			return BGl_ceqz00zzmsil_outz00(((BgL_dotnetz00_bglt) BgL_mez00_2703));
		}
	}



/* &<anonymous:4863> */
	obj_t BGl_z62zc3anonymousza34863ze3ze1zzmsil_inlinez00(obj_t BgL_envz00_2704,
		obj_t BgL_mez00_2705)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 132 */
			{
				obj_t BgL_mez00_1423;

				BgL_mez00_1423 = BgL_mez00_2705;
				return
					BGl_loadzd2fieldzd2zzmsil_outz00(
					((BgL_dotnetz00_bglt) BgL_mez00_1423),
					CNST_TABLE_REF(((long) 82)), BGl_string5198z00zzmsil_inlinez00,
					CNST_TABLE_REF(((long) 66)));
		}}
	}



/* &<anonymous:4861> */
	obj_t BGl_z62zc3anonymousza34861ze3ze1zzmsil_inlinez00(obj_t BgL_envz00_2706,
		obj_t BgL_mez00_2707)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 129 */
			{
				obj_t BgL_mez00_1419;

				BgL_mez00_1419 = BgL_mez00_2707;
				return
					BGl_loadzd2fieldzd2zzmsil_outz00(
					((BgL_dotnetz00_bglt) BgL_mez00_1419),
					CNST_TABLE_REF(((long) 82)), BGl_string5198z00zzmsil_inlinez00,
					CNST_TABLE_REF(((long) 66)));
		}}
	}



/* &<anonymous:4859> */
	obj_t BGl_z62zc3anonymousza34859ze3ze1zzmsil_inlinez00(obj_t BgL_envz00_2708,
		obj_t BgL_mez00_2709)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 123 */
			return BUNSPEC;
		}
	}



/* &<anonymous:4857> */
	obj_t BGl_z62zc3anonymousza34857ze3ze1zzmsil_inlinez00(obj_t BgL_envz00_2710,
		obj_t BgL_mez00_2711)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 120 */
			return BUNSPEC;
		}
	}



/* &<anonymous:4855> */
	obj_t BGl_z62zc3anonymousza34855ze3ze1zzmsil_inlinez00(obj_t BgL_envz00_2712,
		obj_t BgL_mez00_2713)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 113 */
			{
				obj_t BgL_mez00_1407;

				BgL_mez00_1407 = BgL_mez00_2713;
				BGl_storezd2vectorzd2zzmsil_outz00(
					((BgL_dotnetz00_bglt) BgL_mez00_1407), CNST_TABLE_REF(((long) 72)));
				return CNST_TABLE_REF(((long) 74));
		}}
	}



/* &<anonymous:4853> */
	obj_t BGl_z62zc3anonymousza34853ze3ze1zzmsil_inlinez00(obj_t BgL_envz00_2714,
		obj_t BgL_mez00_2715)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 110 */
			{
				obj_t BgL_mez00_1403;

				BgL_mez00_1403 = BgL_mez00_2715;
				return
					BGl_loadzd2vectorzd2zzmsil_outz00(
					((BgL_dotnetz00_bglt) BgL_mez00_1403), CNST_TABLE_REF(((long) 72)));
		}}
	}



/* &<anonymous:4851> */
	obj_t BGl_z62zc3anonymousza34851ze3ze1zzmsil_inlinez00(obj_t BgL_envz00_2716,
		obj_t BgL_mez00_2717)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 107 */
			{
				obj_t BgL_mez00_1399;

				BgL_mez00_1399 = BgL_mez00_2717;
				return
					BGl_newarrayz00zzmsil_outz00(
					((BgL_dotnetz00_bglt) BgL_mez00_1399), CNST_TABLE_REF(((long) 72)));
		}}
	}



/* &<anonymous:4848> */
	obj_t BGl_z62zc3anonymousza34848ze3ze1zzmsil_inlinez00(obj_t BgL_envz00_2718,
		obj_t BgL_mez00_2719)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 103 */
			{
				obj_t BgL_mez00_1394;

				BgL_mez00_1394 = BgL_mez00_2719;
				BGl_dupz00zzmsil_outz00(((BgL_dotnetz00_bglt) BgL_mez00_1394));
				{	/* SawMsil/inline.scm 105 */
					obj_t BgL_arg4849z00_1396;

					{	/* SawMsil/inline.scm 105 */
						BgL_dotnetz00_bglt BgL_obj3980z00_2419;

						BgL_obj3980z00_2419 = ((BgL_dotnetz00_bglt) BgL_mez00_1394);
						BgL_arg4849z00_1396 =
							(((BgL_dotnetz00_bglt) CREF(
									((obj_t) BgL_obj3980z00_2419)))->BgL_qnamez00);
					}
					return
						BGl_newobjz00zzmsil_outz00(
						((BgL_dotnetz00_bglt) BgL_mez00_1394), BgL_arg4849z00_1396,
						CNST_TABLE_REF(((long) 83)));
		}}}
	}



/* &<anonymous:4845> */
	obj_t BGl_z62zc3anonymousza34845ze3ze1zzmsil_inlinez00(obj_t BgL_envz00_2720,
		obj_t BgL_mez00_2721)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 100 */
			{
				obj_t BgL_mez00_1389;

				BgL_mez00_1389 = BgL_mez00_2721;
				{	/* SawMsil/inline.scm 101 */
					obj_t BgL_arg4846z00_2417;

					{	/* SawMsil/inline.scm 101 */
						BgL_dotnetz00_bglt BgL_obj3980z00_2418;

						BgL_obj3980z00_2418 = ((BgL_dotnetz00_bglt) BgL_mez00_1389);
						BgL_arg4846z00_2417 =
							(((BgL_dotnetz00_bglt) CREF(
									((obj_t) BgL_obj3980z00_2418)))->BgL_qnamez00);
					}
					return
						BGl_newobjz00zzmsil_outz00(
						((BgL_dotnetz00_bglt) BgL_mez00_1389), BgL_arg4846z00_2417,
						CNST_TABLE_REF(((long) 83)));
		}}}
	}



/* &<anonymous:4842> */
	obj_t BGl_z62zc3anonymousza34842ze3ze1zzmsil_inlinez00(obj_t BgL_envz00_2722,
		obj_t BgL_mez00_2723)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 97 */
			{
				obj_t BgL_mez00_1384;

				BgL_mez00_1384 = BgL_mez00_2723;
				{	/* SawMsil/inline.scm 98 */
					obj_t BgL_arg4843z00_2415;

					{	/* SawMsil/inline.scm 98 */
						BgL_dotnetz00_bglt BgL_obj3980z00_2416;

						BgL_obj3980z00_2416 = ((BgL_dotnetz00_bglt) BgL_mez00_1384);
						BgL_arg4843z00_2415 =
							(((BgL_dotnetz00_bglt) CREF(
									((obj_t) BgL_obj3980z00_2416)))->BgL_qnamez00);
					}
					return
						BGl_newobjz00zzmsil_outz00(
						((BgL_dotnetz00_bglt) BgL_mez00_1384), BgL_arg4843z00_2415,
						CNST_TABLE_REF(((long) 83)));
		}}}
	}



/* &<anonymous:4837> */
	obj_t BGl_z62zc3anonymousza34837ze3ze1zzmsil_inlinez00(obj_t BgL_envz00_2724,
		obj_t BgL_mez00_2725, obj_t BgL_argsz00_2726)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 90 */
			{
				obj_t BgL_mez00_1376;
				obj_t BgL_argsz00_1377;

				BgL_mez00_1376 = BgL_mez00_2725;
				BgL_argsz00_1377 = BgL_argsz00_2726;
				{	/* SawMsil/inline.scm 91 */
					obj_t BgL_arg4838z00_1379;

					BgL_arg4838z00_1379 = BGl_getzd2cnstzd2tablez00zzcnst_allocz00();
					BGl_loadzd2globalzd2zzmsil_outz00(
						((BgL_dotnetz00_bglt) BgL_mez00_1376),
						((BgL_globalz00_bglt) BgL_arg4838z00_1379));
				}
				{	/* SawMsil/inline.scm 92 */
					obj_t BgL_arg4839z00_1380;

					BgL_arg4839z00_1380 = CAR(BgL_argsz00_1377);
					BGl_genzd2exprzd2zzmsil_codez00(
						((BgL_dotnetz00_bglt) BgL_mez00_1376), BgL_arg4839z00_1380);
				}
				{	/* SawMsil/inline.scm 93 */
					obj_t BgL_arg4840z00_1381;

					{	/* SawMsil/inline.scm 93 */
						obj_t BgL_pairz00_2411;

						BgL_pairz00_2411 = BgL_argsz00_1377;
						BgL_arg4840z00_1381 = CAR(CDR(BgL_pairz00_2411));
					}
					BGl_genzd2exprzd2zzmsil_codez00(
						((BgL_dotnetz00_bglt) BgL_mez00_1376), BgL_arg4840z00_1381);
				}
				BGl_storezd2vectorzd2zzmsil_outz00(
					((BgL_dotnetz00_bglt) BgL_mez00_1376), CNST_TABLE_REF(((long) 72)));
				return CNST_TABLE_REF(((long) 74));
		}}
	}



/* &<anonymous:4833> */
	obj_t BGl_z62zc3anonymousza34833ze3ze1zzmsil_inlinez00(obj_t BgL_envz00_2727,
		obj_t BgL_mez00_2728, obj_t BgL_argsz00_2729)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 85 */
			{
				obj_t BgL_mez00_1369;
				obj_t BgL_argsz00_1370;

				BgL_mez00_1369 = BgL_mez00_2728;
				BgL_argsz00_1370 = BgL_argsz00_2729;
				{	/* SawMsil/inline.scm 86 */
					obj_t BgL_arg4834z00_1372;

					BgL_arg4834z00_1372 = BGl_getzd2cnstzd2tablez00zzcnst_allocz00();
					BGl_loadzd2globalzd2zzmsil_outz00(
						((BgL_dotnetz00_bglt) BgL_mez00_1369),
						((BgL_globalz00_bglt) BgL_arg4834z00_1372));
				}
				{	/* SawMsil/inline.scm 87 */
					obj_t BgL_arg4835z00_1373;

					BgL_arg4835z00_1373 = CAR(BgL_argsz00_1370);
					BGl_genzd2exprzd2zzmsil_codez00(
						((BgL_dotnetz00_bglt) BgL_mez00_1369), BgL_arg4835z00_1373);
				}
				return
					BGl_loadzd2vectorzd2zzmsil_outz00(
					((BgL_dotnetz00_bglt) BgL_mez00_1369), CNST_TABLE_REF(((long) 72)));
		}}
	}



/* check-msil-inlines */
	BGL_EXPORTED_DEF obj_t BGl_checkzd2msilzd2inlinesz00zzmsil_inlinez00()
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 25 */
			{	/* SawMsil/inline.scm 26 */
				obj_t BgL_unresolvedz00_1739;

				BgL_unresolvedz00_1739 =
					BGl_filterz00zz__r4_control_features_6_9z00
					(BGl_proc5199z00zzmsil_inlinez00, BNIL);
				if (NULLP(BgL_unresolvedz00_1739))
					{	/* SawMsil/inline.scm 28 */
						return BFALSE;
					}
				else
					{	/* SawMsil/inline.scm 28 */
						return
							BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 84)),
							BGl_string5200z00zzmsil_inlinez00, BgL_unresolvedz00_1739);
		}}}
	}



/* &check-msil-inlines */
	obj_t BGl_z62checkzd2msilzd2inlinesz62zzmsil_inlinez00(obj_t BgL_envz00_2731)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 25 */
			return BGl_checkzd2msilzd2inlinesz00zzmsil_inlinez00();
		}
	}



/* &<anonymous:5004> */
	obj_t BGl_z62zc3anonymousza35004ze3ze1zzmsil_inlinez00(obj_t BgL_envz00_2732,
		obj_t BgL_iz00_2733)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 26 */
			{
				obj_t BgL_iz00_1742;

				{	/* SawMsil/inline.scm 26 */
					bool_t BgL_auxz00_3576;

					BgL_iz00_1742 = BgL_iz00_2733;
					if (CBOOL(BGl_findzd2globalzd2zzast_envz00(BgL_iz00_1742, BNIL)))
						{	/* SawMsil/inline.scm 26 */
							BgL_auxz00_3576 = ((bool_t) 0);
						}
					else
						{	/* SawMsil/inline.scm 26 */
							BgL_auxz00_3576 = ((bool_t) 1);
						}
					return BBOOL(BgL_auxz00_3576);
				}
			}
		}
	}



/* inline-call? */
	BGL_EXPORTED_DEF obj_t
		BGl_inlinezd2callzf3z21zzmsil_inlinez00(BgL_dotnetz00_bglt BgL_mez00_3,
		BgL_globalz00_bglt BgL_varz00_4)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 36 */
			{	/* SawMsil/inline.scm 37 */
				obj_t BgL_funz00_2449;

				{	/* SawMsil/inline.scm 37 */
					obj_t BgL_auxz00_3581;

					{	/* SawMsil/inline.scm 37 */
						BgL_variablez00_bglt BgL_obj1605z00_2451;

						BgL_obj1605z00_2451 = ((BgL_variablez00_bglt) BgL_varz00_4);
						BgL_auxz00_3581 =
							(((BgL_variablez00_bglt) CREF(
									((obj_t) BgL_obj1605z00_2451)))->BgL_idz00);
					}
					BgL_funz00_2449 =
						BGl_getpropz00zz__r4_symbols_6_4z00(BgL_auxz00_3581,
						CNST_TABLE_REF(((long) 4)));
				}
				if (CBOOL(BgL_funz00_2449))
					{	/* SawMsil/inline.scm 37 */
						return
							PROCEDURE_ENTRY(BgL_funz00_2449) (BgL_funz00_2449,
							((obj_t) BgL_mez00_3), BEOA);
					}
				else
					{	/* SawMsil/inline.scm 37 */
						return CNST_TABLE_REF(((long) 85));
		}}}
	}



/* &inline-call? */
	obj_t BGl_z62inlinezd2callzf3z43zzmsil_inlinez00(obj_t BgL_envz00_2734,
		obj_t BgL_mez00_2735, obj_t BgL_varz00_2736)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 36 */
			return
				BGl_inlinezd2callzf3z21zzmsil_inlinez00(
				((BgL_dotnetz00_bglt) BgL_mez00_2735),
				((BgL_globalz00_bglt) BgL_varz00_2736));
		}
	}



/* inline-call-with-args? */
	BGL_EXPORTED_DEF obj_t
		BGl_inlinezd2callzd2withzd2argszf3z21zzmsil_inlinez00(BgL_dotnetz00_bglt
		BgL_mez00_5, BgL_globalz00_bglt BgL_varz00_6, obj_t BgL_argsz00_7)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 49 */
			{	/* SawMsil/inline.scm 50 */
				obj_t BgL_funz00_2452;

				{	/* SawMsil/inline.scm 50 */
					obj_t BgL_auxz00_3598;

					{	/* SawMsil/inline.scm 50 */
						BgL_variablez00_bglt BgL_obj1605z00_2454;

						BgL_obj1605z00_2454 = ((BgL_variablez00_bglt) BgL_varz00_6);
						BgL_auxz00_3598 =
							(((BgL_variablez00_bglt) CREF(
									((obj_t) BgL_obj1605z00_2454)))->BgL_idz00);
					}
					BgL_funz00_2452 =
						BGl_getpropz00zz__r4_symbols_6_4z00(BgL_auxz00_3598,
						CNST_TABLE_REF(((long) 1)));
				}
				if (CBOOL(BgL_funz00_2452))
					{	/* SawMsil/inline.scm 50 */
						return
							PROCEDURE_ENTRY(BgL_funz00_2452) (BgL_funz00_2452,
							((obj_t) BgL_mez00_5), BgL_argsz00_7, BEOA);
					}
				else
					{	/* SawMsil/inline.scm 50 */
						return CNST_TABLE_REF(((long) 85));
		}}}
	}



/* &inline-call-with-args? */
	obj_t BGl_z62inlinezd2callzd2withzd2argszf3z43zzmsil_inlinez00(obj_t
		BgL_envz00_2737, obj_t BgL_mez00_2738, obj_t BgL_varz00_2739,
		obj_t BgL_argsz00_2740)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 49 */
			return
				BGl_inlinezd2callzd2withzd2argszf3z21zzmsil_inlinez00(
				((BgL_dotnetz00_bglt) BgL_mez00_2738),
				((BgL_globalz00_bglt) BgL_varz00_2739), BgL_argsz00_2740);
		}
	}



/* inline-predicate? */
	BGL_EXPORTED_DEF obj_t
		BGl_inlinezd2predicatezf3z21zzmsil_inlinez00(BgL_dotnetz00_bglt BgL_mez00_8,
		BgL_globalz00_bglt BgL_varz00_9, obj_t BgL_onzf3zf3_10, obj_t BgL_labz00_11)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 61 */
			{	/* SawMsil/inline.scm 62 */
				obj_t BgL_funz00_2455;

				{	/* SawMsil/inline.scm 62 */
					obj_t BgL_auxz00_3616;

					{	/* SawMsil/inline.scm 62 */
						BgL_variablez00_bglt BgL_obj1605z00_2457;

						BgL_obj1605z00_2457 = ((BgL_variablez00_bglt) BgL_varz00_9);
						BgL_auxz00_3616 =
							(((BgL_variablez00_bglt) CREF(
									((obj_t) BgL_obj1605z00_2457)))->BgL_idz00);
					}
					BgL_funz00_2455 =
						BGl_getpropz00zz__r4_symbols_6_4z00(BgL_auxz00_3616,
						CNST_TABLE_REF(((long) 15)));
				}
				if (CBOOL(BgL_funz00_2455))
					{	/* SawMsil/inline.scm 62 */
						return
							PROCEDURE_ENTRY(BgL_funz00_2455) (BgL_funz00_2455,
							((obj_t) BgL_mez00_8), BgL_onzf3zf3_10, BgL_labz00_11, BEOA);
					}
				else
					{	/* SawMsil/inline.scm 62 */
						return CNST_TABLE_REF(((long) 85));
		}}}
	}



/* &inline-predicate? */
	obj_t BGl_z62inlinezd2predicatezf3z43zzmsil_inlinez00(obj_t BgL_envz00_2741,
		obj_t BgL_mez00_2742, obj_t BgL_varz00_2743, obj_t BgL_onzf3zf3_2744,
		obj_t BgL_labz00_2745)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 61 */
			return
				BGl_inlinezd2predicatezf3z21zzmsil_inlinez00(
				((BgL_dotnetz00_bglt) BgL_mez00_2742),
				((BgL_globalz00_bglt) BgL_varz00_2743), BgL_onzf3zf3_2744,
				BgL_labz00_2745);
		}
	}



/* skip-mov */
	obj_t BGl_skipzd2movzd2zzmsil_inlinez00(obj_t BgL_argz00_12)
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 74 */
		BGl_skipzd2movzd2zzmsil_inlinez00:
			if (BGl_iszd2azf3z21zz__objectz00(BgL_argz00_12,
					BGl_rtl_insz00zzsaw_defsz00))
				{	/* SawMsil/inline.scm 76 */
					BgL_rtl_funz00_bglt BgL_funz00_1754;

					{	/* SawMsil/inline.scm 76 */
						BgL_rtl_insz00_bglt BgL_obj4770z00_2460;

						BgL_obj4770z00_2460 = ((BgL_rtl_insz00_bglt) BgL_argz00_12);
						BgL_funz00_1754 =
							(((BgL_rtl_insz00_bglt) CREF(
									((obj_t) BgL_obj4770z00_2460)))->BgL_funz00);
					}
					{	/* SawMsil/inline.scm 77 */
						bool_t BgL_testz00_3640;

						{	/* SawMsil/inline.scm 77 */
							bool_t BgL_res5114z00_2462;

							{	/* SawMsil/inline.scm 77 */
								obj_t BgL_obj4325z00_2461;

								BgL_obj4325z00_2461 = ((obj_t) BgL_funz00_1754);
								BgL_res5114z00_2462 =
									BGl_iszd2azf3z21zz__objectz00(BgL_obj4325z00_2461,
									BGl_rtl_movz00zzsaw_defsz00);
							}
							BgL_testz00_3640 = BgL_res5114z00_2462;
						}
						if (BgL_testz00_3640)
							{
								obj_t BgL_argz00_3643;

								{	/* SawMsil/inline.scm 78 */
									obj_t BgL_pairz00_2464;

									{	/* SawMsil/inline.scm 78 */
										BgL_rtl_insz00_bglt BgL_obj4773z00_2463;

										BgL_obj4773z00_2463 = ((BgL_rtl_insz00_bglt) BgL_argz00_12);
										BgL_pairz00_2464 =
											(((BgL_rtl_insz00_bglt) CREF(
													((obj_t) BgL_obj4773z00_2463)))->BgL_argsz00);
									}
									BgL_argz00_3643 = CAR(BgL_pairz00_2464);
								}
								BgL_argz00_12 = BgL_argz00_3643;
								goto BGl_skipzd2movzd2zzmsil_inlinez00;
							}
						else
							{	/* SawMsil/inline.scm 77 */
								return ((obj_t) BgL_funz00_1754);
							}
					}
				}
			else
				{	/* SawMsil/inline.scm 75 */
					return BgL_argz00_12;
				}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzmsil_inlinez00()
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 1 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzmsil_inlinez00()
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 1 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzmsil_inlinez00()
	{
		AN_OBJECT;
		{	/* SawMsil/inline.scm 1 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string5201z00zzmsil_inlinez00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string5201z00zzmsil_inlinez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string5201z00zzmsil_inlinez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string5201z00zzmsil_inlinez00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 410272834),
				BSTRING_TO_STRING(BGl_string5201z00zzmsil_inlinez00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long) 485965945),
				BSTRING_TO_STRING(BGl_string5201z00zzmsil_inlinez00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string5201z00zzmsil_inlinez00));
			BGl_modulezd2initializa7ationz75zzcnst_allocz00(((long) 192699852),
				BSTRING_TO_STRING(BGl_string5201z00zzmsil_inlinez00));
			BGl_modulezd2initializa7ationz75zzread_jvmz00(((long) 261574382),
				BSTRING_TO_STRING(BGl_string5201z00zzmsil_inlinez00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 57787772),
				BSTRING_TO_STRING(BGl_string5201z00zzmsil_inlinez00));
			BGl_modulezd2initializa7ationz75zzbackend_bvmz00(((long) 443870496),
				BSTRING_TO_STRING(BGl_string5201z00zzmsil_inlinez00));
			BGl_modulezd2initializa7ationz75zzbackend_dotnet_classz00(((long) 0),
				BSTRING_TO_STRING(BGl_string5201z00zzmsil_inlinez00));
			BGl_modulezd2initializa7ationz75zzsaw_defsz00(((long) 58109075),
				BSTRING_TO_STRING(BGl_string5201z00zzmsil_inlinez00));
			BGl_modulezd2initializa7ationz75zzmsil_outz00(((long) 449559420),
				BSTRING_TO_STRING(BGl_string5201z00zzmsil_inlinez00));
			BGl_modulezd2initializa7ationz75zzmsil_codez00(((long) 114151277),
				BSTRING_TO_STRING(BGl_string5201z00zzmsil_inlinez00));
			return
				BGl_modulezd2initializa7ationz75zzast_envz00(((long) 53901219),
				BSTRING_TO_STRING(BGl_string5201z00zzmsil_inlinez00));
		}
	}

#ifdef __cplusplus
}
#endif
