/*===========================================================================*/
/*   (Llib/bigloo.scm)                                                       */
/*   Bigloo (3.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 26 07:46:09 CEST 2011       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.7a -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Llib/bigloo.scm -indent -o objs/obj_u/Llib/bigloo.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	static obj_t BGl_z62bigloozd2classzd2demanglez62zz__biglooz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_cnstzf3zf3zz__biglooz00(obj_t);
	static obj_t BGl_z62bigloozd2classzd2mangledzf3z91zz__biglooz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_opaquezf3zf3zz__biglooz00(obj_t);
	static obj_t BGl_z62opaquezf3z91zz__biglooz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__biglooz00 = BUNSPEC;
	static long BGl_getzd28bitszd2integerz00zz__biglooz00(obj_t, obj_t);
	static long BGl_charzd2ze3digitz31zz__biglooz00(unsigned char);
	static obj_t BGl_za2levelza2z00zz__biglooz00 = BUNSPEC;
	static obj_t BGl_z62timez62zz__biglooz00(obj_t, obj_t);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__configurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_z62bigloozd2needzd2manglingzf3z91zz__biglooz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t bigloo_demangle(obj_t);
	static obj_t BGl_z62bigloozd2demanglezb0zz__biglooz00(obj_t, obj_t);
	static obj_t BGl_z62bigloozd2modulezd2manglez62zz__biglooz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62bigloozd2exitzd2applyz62zz__biglooz00(obj_t, obj_t);
	extern obj_t string_to_bstring(char *);
	BGL_EXPORTED_DECL bool_t bigloo_mangledp(obj_t);
	static obj_t BGl_z62bigloozd2mangledzf3z43zz__biglooz00(obj_t, obj_t);
	static obj_t BGl_z62bigloozd2exitzd2mutexz62zz__biglooz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_procedurezd2attrzd2setz12z12zz__biglooz00(obj_t,
		obj_t);
	static obj_t BGl_toplevelzd2initzd2zz__biglooz00();
	static obj_t BGl_za2exitzd2mutexza2zd2zz__biglooz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_timez00zz__biglooz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_checkzd2versionz12zc0zz__biglooz00(obj_t, char *,
		obj_t);
	static obj_t BGl_z62cnstzf3z91zz__biglooz00(obj_t, obj_t);
	extern bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_unspecifiedz00zz__biglooz00();
	BGL_EXPORTED_DECL obj_t bigloo_module_mangle(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zz__biglooz00();
	static obj_t BGl_genericzd2initzd2zz__biglooz00();
	extern obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__biglooz00();
	static obj_t BGl_z62bmemzd2resetz12za2zz__biglooz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_opaquezd2nilzd2zz__biglooz00();
	BGL_EXPORTED_DECL obj_t bigloo_mangle(obj_t);
	static obj_t BGl_bigloozd2demanglezd2atz00zz__biglooz00(obj_t, long, obj_t);
	BGL_EXPORTED_DECL obj_t bigloo_exit_apply(obj_t);
	static obj_t BGl_za2bigloozd2exitzd2functionsza2z00zz__biglooz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t bgl_exit_mutex();
	static obj_t BGl_za2releaseza2z00zz__biglooz00 = BUNSPEC;
	static obj_t BGl_z62procedurezd2attrzb0zz__biglooz00(obj_t, obj_t);
	extern obj_t bgl_bmem_reset();
	static obj_t BGl_z62opaquezd2nilzb0zz__biglooz00(obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	extern obj_t c_substring(obj_t, long, long);
	BGL_EXPORTED_DECL obj_t
		BGl_registerzd2exitzd2functionz12z12zz__biglooz00(obj_t);
	static obj_t BGl_symbol2513z00zz__biglooz00 = BUNSPEC;
	static obj_t BGl_methodzd2initzd2zz__biglooz00();
	static obj_t BGl_z62bigloozd2manglezb0zz__biglooz00(obj_t, obj_t);
	static obj_t BGl_z62registerzd2exitzd2functionz12z70zz__biglooz00(obj_t,
		obj_t);
	extern obj_t blit_string(obj_t, long, obj_t, long, long);
	BGL_EXPORTED_DECL obj_t bigloo_class_demangle(obj_t);
	static obj_t BGl_z62procedurezd2attrzd2setz12z70zz__biglooz00(obj_t, obj_t,
		obj_t);
	static long BGl_manglezd2atz12zc0zz__biglooz00(obj_t, obj_t, long, long);
	BGL_EXPORTED_DECL bool_t bigloo_class_mangledp(obj_t);
	extern obj_t make_string(long, unsigned char);
	static obj_t BGl_za2modulesza2z00zz__biglooz00 = BUNSPEC;
	static obj_t BGl_z62unspecifiedz62zz__biglooz00(obj_t);
	BGL_EXPORTED_DECL int BGl_procedurezd2arityzd2zz__biglooz00(obj_t);
	extern obj_t string_append(obj_t, obj_t);
	static obj_t BGl_symbol2544z00zz__biglooz00 = BUNSPEC;
	static obj_t BGl_z62procedurezd2arityzb0zz__biglooz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_procedurezd2attrzd2zz__biglooz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_bmemzd2resetz12zc0zz__biglooz00();
	extern bool_t bigloo_strcmp(obj_t, obj_t);
	static obj_t BGl_z62checkzd2versionz12za2zz__biglooz00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_bigloozd2needzd2manglingzf3zf3zz__biglooz00(obj_t);
	extern bool_t bigloo_strncmp(obj_t, obj_t, long);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_unspecifiedzd2envzd2zz__biglooz00,
		BgL_bgl_za762unspecifiedza762548z00, BGl_z62unspecifiedz62zz__biglooz00, 0L,
		BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_procedurezd2attrzd2envz00zz__biglooz00,
		BgL_bgl_za762procedureza7d2a2549z00,
		BGl_z62procedurezd2attrzb0zz__biglooz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_opaquezd2nilzd2envz00zz__biglooz00,
		BgL_bgl_za762opaqueza7d2nilza72550za7, BGl_z62opaquezd2nilzb0zz__biglooz00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_bigloozd2mangledzf3zd2envzf3zz__biglooz00,
		BgL_bgl_za762biglooza7d2mang2551z00,
		BGl_z62bigloozd2mangledzf3z43zz__biglooz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_bigloozd2exitzd2mutexzd2envzd2zz__biglooz00,
		BgL_bgl_za762biglooza7d2exit2552z00,
		BGl_z62bigloozd2exitzd2mutexz62zz__biglooz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bigloozd2modulezd2manglezd2envzd2zz__biglooz00,
		BgL_bgl_za762biglooza7d2modu2553z00,
		BGl_z62bigloozd2modulezd2manglez62zz__biglooz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_bmemzd2resetz12zd2envz12zz__biglooz00,
		BgL_bgl_za762bmemza7d2resetza72554za7,
		BGl_z62bmemzd2resetz12za2zz__biglooz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bigloozd2needzd2manglingzf3zd2envz21zz__biglooz00,
		BgL_bgl_za762biglooza7d2need2555z00,
		BGl_z62bigloozd2needzd2manglingzf3z91zz__biglooz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2514z00zz__biglooz00,
		BgL_bgl_string2514za700za7za7_2556za7, "bigloo-exit", 11);
	      DEFINE_STRING(BGl_string2515z00zz__biglooz00,
		BgL_bgl_string2515za700za7za7_2557za7, " (level 0)", 10);
	      DEFINE_STRING(BGl_string2516z00zz__biglooz00,
		BgL_bgl_string2516za700za7za7_2558za7,
		"Some modules have been compiled by: ", 36);
	      DEFINE_STRING(BGl_string2517z00zz__biglooz00,
		BgL_bgl_string2517za700za7za7_2559za7, "and other by: ", 14);
	      DEFINE_STRING(BGl_string2518z00zz__biglooz00,
		BgL_bgl_string2518za700za7za7_2560za7,
		"/tmp/bigloo/runtime/Llib/bigloo.scm", 35);
	      DEFINE_STRING(BGl_string2519z00zz__biglooz00,
		BgL_bgl_string2519za700za7za7_2561za7, "&check-version!", 15);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bigloozd2classzd2mangledzf3zd2envz21zz__biglooz00,
		BgL_bgl_za762biglooza7d2clas2562z00,
		BGl_z62bigloozd2classzd2mangledzf3z91zz__biglooz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2520z00zz__biglooz00,
		BgL_bgl_string2520za700za7za7_2563za7, "bstring", 7);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_opaquezf3zd2envz21zz__biglooz00,
		BgL_bgl_za762opaqueza7f3za791za72564z00, BGl_z62opaquezf3z91zz__biglooz00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2521z00zz__biglooz00,
		BgL_bgl_string2521za700za7za7_2565za7, "&procedure-arity", 16);
	      DEFINE_STRING(BGl_string2522z00zz__biglooz00,
		BgL_bgl_string2522za700za7za7_2566za7, "procedure", 9);
	      DEFINE_STRING(BGl_string2523z00zz__biglooz00,
		BgL_bgl_string2523za700za7za7_2567za7, "&procedure-attr", 15);
	      DEFINE_STRING(BGl_string2524z00zz__biglooz00,
		BgL_bgl_string2524za700za7za7_2568za7, "&procedure-attr-set!", 20);
	      DEFINE_STRING(BGl_string2525z00zz__biglooz00,
		BgL_bgl_string2525za700za7za7_2569za7, "0123456789abcdef", 16);
	      DEFINE_STRING(BGl_string2526z00zz__biglooz00,
		BgL_bgl_string2526za700za7za7_2570za7, "bigloo-mangle-string", 20);
	      DEFINE_STRING(BGl_string2527z00zz__biglooz00,
		BgL_bgl_string2527za700za7za7_2571za7, "Can't mangle empty string", 25);
	      DEFINE_STRING(BGl_string2528z00zz__biglooz00,
		BgL_bgl_string2528za700za7za7_2572za7, "BgL_", 4);
	      DEFINE_STRING(BGl_string2529z00zz__biglooz00,
		BgL_bgl_string2529za700za7za7_2573za7, "&bigloo-mangle", 14);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_procedurezd2arityzd2envz00zz__biglooz00,
		BgL_bgl_za762procedureza7d2a2574z00,
		BGl_z62procedurezd2arityzb0zz__biglooz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2530z00zz__biglooz00,
		BgL_bgl_string2530za700za7za7_2575za7, "BGl_", 4);
	      DEFINE_STRING(BGl_string2531z00zz__biglooz00,
		BgL_bgl_string2531za700za7za7_2576za7, "&bigloo-module-mangle", 21);
	      DEFINE_STRING(BGl_string2532z00zz__biglooz00,
		BgL_bgl_string2532za700za7za7_2577za7, "&bigloo-mangled?", 16);
	      DEFINE_STRING(BGl_string2533z00zz__biglooz00,
		BgL_bgl_string2533za700za7za7_2578za7, "&bigloo-need-mangling?", 22);
	      DEFINE_STRING(BGl_string2534z00zz__biglooz00,
		BgL_bgl_string2534za700za7za7_2579za7, "bigloo-demangle", 15);
	      DEFINE_STRING(BGl_string2535z00zz__biglooz00,
		BgL_bgl_string2535za700za7za7_2580za7, "Not a Bigloo mangled identifier",
		31);
	      DEFINE_STRING(BGl_string2536z00zz__biglooz00,
		BgL_bgl_string2536za700za7za7_2581za7, "Illegal mangling on", 19);
	      DEFINE_STRING(BGl_string2537z00zz__biglooz00,
		BgL_bgl_string2537za700za7za7_2582za7, "&bigloo-demangle", 16);
	      DEFINE_STRING(BGl_string2538z00zz__biglooz00,
		BgL_bgl_string2538za700za7za7_2583za7, "&bigloo-class-mangled?", 22);
	      DEFINE_STRING(BGl_string2539z00zz__biglooz00,
		BgL_bgl_string2539za700za7za7_2584za7, "_bglt", 5);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_bigloozd2manglezd2envz00zz__biglooz00,
		BgL_bgl_za762biglooza7d2mang2585z00, BGl_z62bigloozd2manglezb0zz__biglooz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_registerzd2exitzd2functionz12zd2envzc0zz__biglooz00,
		BgL_bgl_za762registerza7d2ex2586z00,
		BGl_z62registerzd2exitzd2functionz12z70zz__biglooz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_bigloozd2demanglezd2envz00zz__biglooz00,
		BgL_bgl_za762biglooza7d2dema2587z00,
		BGl_z62bigloozd2demanglezb0zz__biglooz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2540z00zz__biglooz00,
		BgL_bgl_string2540za700za7za7_2588za7, "&bigloo-class-demangle", 22);
	      DEFINE_STRING(BGl_string2541z00zz__biglooz00,
		BgL_bgl_string2541za700za7za7_2589za7, "bigloo-exit-register!", 21);
	      DEFINE_STRING(BGl_string2542z00zz__biglooz00,
		BgL_bgl_string2542za700za7za7_2590za7, "Wrong procedure arity", 21);
	      DEFINE_STRING(BGl_string2543z00zz__biglooz00,
		BgL_bgl_string2543za700za7za7_2591za7, "&register-exit-function!", 24);
	      DEFINE_STRING(BGl_string2545z00zz__biglooz00,
		BgL_bgl_string2545za700za7za7_2592za7, "time", 4);
	      DEFINE_STRING(BGl_string2546z00zz__biglooz00,
		BgL_bgl_string2546za700za7za7_2593za7, "&time", 5);
	      DEFINE_STRING(BGl_string2547z00zz__biglooz00,
		BgL_bgl_string2547za700za7za7_2594za7, "__bigloo", 8);
	extern obj_t BGl_stringzd2envzd2zz__r4_strings_6_7z00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_checkzd2versionz12zd2envz12zz__biglooz00,
		BgL_bgl_za762checkza7d2versi2595z00,
		BGl_z62checkzd2versionz12za2zz__biglooz00, 0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_cnstzf3zd2envz21zz__biglooz00,
		BgL_bgl_za762cnstza7f3za791za7za7_2596za7, BGl_z62cnstzf3z91zz__biglooz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_bigloozd2exitzd2applyzd2envzd2zz__biglooz00,
		BgL_bgl_za762biglooza7d2exit2597z00,
		BGl_z62bigloozd2exitzd2applyz62zz__biglooz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_bigloozd2classzd2demanglezd2envzd2zz__biglooz00,
		BgL_bgl_za762biglooza7d2clas2598z00,
		BGl_z62bigloozd2classzd2demanglez62zz__biglooz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_procedurezd2attrzd2setz12zd2envzc0zz__biglooz00,
		BgL_bgl_za762procedureza7d2a2599z00,
		BGl_z62procedurezd2attrzd2setz12z70zz__biglooz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_timezd2envzd2zz__biglooz00,
		BgL_bgl_za762timeza762za7za7__bi2600z00, BGl_z62timez62zz__biglooz00, 0L,
		BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long
		BgL_checksumz00_2297, char *BgL_fromz00_2298)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__biglooz00))
				{
					BGl_requirezd2initializa7ationz75zz__biglooz00 = BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__biglooz00();
					BGl_importedzd2moduleszd2initz00zz__biglooz00();
					BGl_toplevelzd2initzd2zz__biglooz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__biglooz00()
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 14 */
			BGl_symbol2513z00zz__biglooz00 =
				bstring_to_symbol(BGl_string2514z00zz__biglooz00);
			return (BGl_symbol2544z00zz__biglooz00 =
				bstring_to_symbol(BGl_string2545z00zz__biglooz00), BUNSPEC);
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__biglooz00()
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 14 */
			BGl_za2releaseza2z00zz__biglooz00 = BFALSE;
			BGl_za2levelza2z00zz__biglooz00 = BFALSE;
			BGl_za2modulesza2z00zz__biglooz00 = BNIL;
			{	/* Llib/bigloo.scm 590 */
				obj_t BgL_res2292z00_1467;

				BgL_res2292z00_1467 = bgl_make_mutex(BGl_symbol2513z00zz__biglooz00);
				BGl_za2exitzd2mutexza2zd2zz__biglooz00 = BgL_res2292z00_1467;
			}
			return (BGl_za2bigloozd2exitzd2functionsza2z00zz__biglooz00 =
				BNIL, BUNSPEC);
		}
	}



/* check-version! */
	BGL_EXPORTED_DEF obj_t BGl_checkzd2versionz12zc0zz__biglooz00(obj_t
		BgL_modulez00_3, char *BgL_releasez00_4, obj_t BgL_levelz00_5)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 318 */
			if (STRINGP(BGl_za2releaseza2z00zz__biglooz00))
				{	/* Llib/bigloo.scm 324 */
					bool_t BgL_testz00_2310;

					{	/* Llib/bigloo.scm 324 */
						bool_t BgL_testz00_2311;

						{	/* Llib/bigloo.scm 324 */
							long BgL_minz00_825;

							{	/* Llib/bigloo.scm 324 */
								long BgL_arg1932z00_829;

								{	/* Llib/bigloo.scm 324 */
									long BgL_xz00_830;
									long BgL_yz00_831;

									BgL_xz00_830 =
										STRING_LENGTH(string_to_bstring(BgL_releasez00_4));
									BgL_yz00_831 =
										STRING_LENGTH(BGl_za2releaseza2z00zz__biglooz00);
									if ((BgL_xz00_830 < BgL_yz00_831))
										{	/* Llib/bigloo.scm 324 */
											BgL_arg1932z00_829 = BgL_xz00_830;
										}
									else
										{	/* Llib/bigloo.scm 324 */
											BgL_arg1932z00_829 = BgL_yz00_831;
										}
								}
								BgL_minz00_825 = (BgL_arg1932z00_829 - ((long) 1));
							}
							if (bigloo_strcmp(c_substring(string_to_bstring(BgL_releasez00_4),
										((long) 0), BgL_minz00_825),
									c_substring(BGl_za2releaseza2z00zz__biglooz00, ((long) 0),
										BgL_minz00_825)))
								{	/* Llib/bigloo.scm 327 */
									BgL_testz00_2311 = ((bool_t) 0);
								}
							else
								{	/* Llib/bigloo.scm 327 */
									BgL_testz00_2311 = ((bool_t) 1);
								}
						}
						if (BgL_testz00_2311)
							{	/* Llib/bigloo.scm 324 */
								BgL_testz00_2310 = ((bool_t) 1);
							}
						else
							{	/* Llib/bigloo.scm 324 */
								if (CHARP(BgL_levelz00_5))
									{	/* Llib/bigloo.scm 329 */
										if (CHARP(BGl_za2levelza2z00zz__biglooz00))
											{	/* Llib/bigloo.scm 329 */
												if (
													(CCHAR(BGl_za2levelza2z00zz__biglooz00) ==
														CCHAR(BgL_levelz00_5)))
													{	/* Llib/bigloo.scm 329 */
														BgL_testz00_2310 = ((bool_t) 0);
													}
												else
													{	/* Llib/bigloo.scm 329 */
														BgL_testz00_2310 = ((bool_t) 1);
													}
											}
										else
											{	/* Llib/bigloo.scm 329 */
												BgL_testz00_2310 = ((bool_t) 0);
											}
									}
								else
									{	/* Llib/bigloo.scm 329 */
										BgL_testz00_2310 = ((bool_t) 0);
									}
							}
					}
					if (BgL_testz00_2310)
						{	/* Llib/bigloo.scm 337 */
							obj_t BgL_arg1918z00_810;
							obj_t BgL_arg1919z00_811;
							obj_t BgL_arg1920z00_812;

							{	/* Llib/bigloo.scm 337 */
								obj_t BgL_arg1922z00_813;

								{	/* Llib/bigloo.scm 337 */
									obj_t BgL_releasez00_1505;
									obj_t BgL_levelz00_1506;

									BgL_releasez00_1505 = BGl_za2releaseza2z00zz__biglooz00;
									BgL_levelz00_1506 = BGl_za2levelza2z00zz__biglooz00;
									if (CHARP(BgL_levelz00_1506))
										{	/* Llib/bigloo.scm 337 */
											obj_t BgL_sz00_1508;

											BgL_sz00_1508 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BGl_string2515z00zz__biglooz00);
											{	/* Llib/bigloo.scm 337 */
												unsigned char BgL_auxz00_2334;

												BgL_auxz00_2334 = CCHAR(BgL_levelz00_1506);
												STRING_SET(BgL_sz00_1508, ((long) 8), BgL_auxz00_2334);
											}
											BgL_arg1922z00_813 =
												string_append(BgL_releasez00_1505, BgL_sz00_1508);
										}
									else
										{	/* Llib/bigloo.scm 337 */
											BgL_arg1922z00_813 = BgL_releasez00_1505;
										}
								}
								BgL_arg1918z00_810 =
									string_append(BGl_string2516z00zz__biglooz00,
									BgL_arg1922z00_813);
							}
							{	/* Llib/bigloo.scm 339 */
								obj_t BgL_arg1923z00_814;

								if (CHARP(BgL_levelz00_5))
									{	/* Llib/bigloo.scm 339 */
										obj_t BgL_sz00_1517;

										BgL_sz00_1517 =
											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
											(BGl_string2515z00zz__biglooz00);
										{	/* Llib/bigloo.scm 339 */
											unsigned char BgL_auxz00_2342;

											BgL_auxz00_2342 = CCHAR(BgL_levelz00_5);
											STRING_SET(BgL_sz00_1517, ((long) 8), BgL_auxz00_2342);
										}
										BgL_arg1923z00_814 =
											string_append(string_to_bstring(BgL_releasez00_4),
											BgL_sz00_1517);
									}
								else
									{	/* Llib/bigloo.scm 339 */
										BgL_arg1923z00_814 = string_to_bstring(BgL_releasez00_4);
									}
								BgL_arg1919z00_811 =
									string_append(BGl_string2517z00zz__biglooz00,
									BgL_arg1923z00_814);
							}
							BgL_arg1920z00_812 =
								MAKE_PAIR(BgL_modulez00_3, BGl_za2modulesza2z00zz__biglooz00);
							return
								BGl_errorz00zz__errorz00(BgL_arg1918z00_810, BgL_arg1919z00_811,
								BgL_arg1920z00_812);
						}
					else
						{	/* Llib/bigloo.scm 324 */
							return (BGl_za2modulesza2z00zz__biglooz00 =
								MAKE_PAIR(BgL_modulez00_3, BGl_za2modulesza2z00zz__biglooz00),
								BUNSPEC);
						}
				}
			else
				{	/* Llib/bigloo.scm 320 */
					{	/* Llib/bigloo.scm 321 */
						obj_t BgL_list1934z00_833;

						BgL_list1934z00_833 = MAKE_PAIR(BgL_modulez00_3, BNIL);
						BGl_za2modulesza2z00zz__biglooz00 = BgL_list1934z00_833;
					}
					BGl_za2releaseza2z00zz__biglooz00 =
						string_to_bstring(BgL_releasez00_4);
					return (BGl_za2levelza2z00zz__biglooz00 = BgL_levelz00_5, BUNSPEC);
				}
		}
	}



/* &check-version! */
	obj_t BGl_z62checkzd2versionz12za2zz__biglooz00(obj_t BgL_envz00_2217,
		obj_t BgL_modulez00_2218, obj_t BgL_releasez00_2219,
		obj_t BgL_levelz00_2220)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 318 */
			{	/* Llib/bigloo.scm 320 */
				char *BgL_auxz00_2354;

				{	/* Llib/bigloo.scm 320 */
					obj_t BgL_auxz00_2355;

					if (STRINGP(BgL_releasez00_2219))
						{	/* Llib/bigloo.scm 320 */
							BgL_auxz00_2355 = BgL_releasez00_2219;
						}
					else
						{
							obj_t BgL_auxz00_2358;

							BgL_auxz00_2358 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string2518z00zz__biglooz00,
								BINT(((long) 11131)), BGl_string2519z00zz__biglooz00,
								BGl_string2520z00zz__biglooz00, BgL_releasez00_2219);
							FAILURE(BgL_auxz00_2358, BFALSE, BFALSE);
						}
					BgL_auxz00_2354 = BSTRING_TO_STRING(BgL_auxz00_2355);
				}
				return
					BGl_checkzd2versionz12zc0zz__biglooz00(BgL_modulez00_2218,
					BgL_auxz00_2354, BgL_levelz00_2220);
			}
		}
	}



/* procedure-arity */
	BGL_EXPORTED_DEF int BGl_procedurezd2arityzd2zz__biglooz00(obj_t
		BgL_procz00_6)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 354 */
			return PROCEDURE_ARITY(BgL_procz00_6);
		}
	}



/* &procedure-arity */
	obj_t BGl_z62procedurezd2arityzb0zz__biglooz00(obj_t BgL_envz00_2221,
		obj_t BgL_procz00_2222)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 354 */
			{	/* Llib/bigloo.scm 355 */
				int BgL_auxz00_2365;

				{	/* Llib/bigloo.scm 355 */
					obj_t BgL_procz00_2291;

					if (PROCEDUREP(BgL_procz00_2222))
						{	/* Llib/bigloo.scm 355 */
							BgL_procz00_2291 = BgL_procz00_2222;
						}
					else
						{
							obj_t BgL_auxz00_2368;

							BgL_auxz00_2368 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string2518z00zz__biglooz00,
								BINT(((long) 12547)), BGl_string2521z00zz__biglooz00,
								BGl_string2522z00zz__biglooz00, BgL_procz00_2222);
							FAILURE(BgL_auxz00_2368, BFALSE, BFALSE);
						}
					BgL_auxz00_2365 = PROCEDURE_ARITY(BgL_procz00_2291);
				}
				return BINT(BgL_auxz00_2365);
			}
		}
	}



/* procedure-attr */
	BGL_EXPORTED_DEF obj_t BGl_procedurezd2attrzd2zz__biglooz00(obj_t
		BgL_procz00_7)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 360 */
			return PROCEDURE_ATTR(BgL_procz00_7);
		}
	}



/* &procedure-attr */
	obj_t BGl_z62procedurezd2attrzb0zz__biglooz00(obj_t BgL_envz00_2223,
		obj_t BgL_procz00_2224)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 360 */
			{	/* Llib/bigloo.scm 361 */
				obj_t BgL_procz00_2292;

				if (PROCEDUREP(BgL_procz00_2224))
					{	/* Llib/bigloo.scm 361 */
						BgL_procz00_2292 = BgL_procz00_2224;
					}
				else
					{
						obj_t BgL_auxz00_2377;

						BgL_auxz00_2377 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2518z00zz__biglooz00,
							BINT(((long) 12835)), BGl_string2523z00zz__biglooz00,
							BGl_string2522z00zz__biglooz00, BgL_procz00_2224);
						FAILURE(BgL_auxz00_2377, BFALSE, BFALSE);
					}
				return PROCEDURE_ATTR(BgL_procz00_2292);
			}
		}
	}



/* procedure-attr-set! */
	BGL_EXPORTED_DEF obj_t BGl_procedurezd2attrzd2setz12z12zz__biglooz00(obj_t
		BgL_procz00_8, obj_t BgL_objz00_9)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 366 */
			PROCEDURE_ATTR_SET(BgL_procz00_8, BgL_objz00_9);
			return BgL_objz00_9;
		}
	}



/* &procedure-attr-set! */
	obj_t BGl_z62procedurezd2attrzd2setz12z70zz__biglooz00(obj_t BgL_envz00_2225,
		obj_t BgL_procz00_2226, obj_t BgL_objz00_2227)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 366 */
			{	/* Llib/bigloo.scm 367 */
				obj_t BgL_procz00_2293;

				if (PROCEDUREP(BgL_procz00_2226))
					{	/* Llib/bigloo.scm 367 */
						BgL_procz00_2293 = BgL_procz00_2226;
					}
				else
					{
						obj_t BgL_auxz00_2385;

						BgL_auxz00_2385 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2518z00zz__biglooz00,
							BINT(((long) 13161)), BGl_string2524z00zz__biglooz00,
							BGl_string2522z00zz__biglooz00, BgL_procz00_2226);
						FAILURE(BgL_auxz00_2385, BFALSE, BFALSE);
					}
				PROCEDURE_ATTR_SET(BgL_procz00_2293, BgL_objz00_2227);
				return BgL_objz00_2227;
			}
		}
	}



/* unspecified */
	BGL_EXPORTED_DEF obj_t BGl_unspecifiedz00zz__biglooz00()
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 373 */
			return BUNSPEC;
		}
	}



/* &unspecified */
	obj_t BGl_z62unspecifiedz62zz__biglooz00(obj_t BgL_envz00_2228)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 373 */
			return BUNSPEC;
		}
	}



/* cnst? */
	BGL_EXPORTED_DEF bool_t BGl_cnstzf3zf3zz__biglooz00(obj_t BgL_objz00_10)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 379 */
			return CNSTP(BgL_objz00_10);
		}
	}



/* &cnst? */
	obj_t BGl_z62cnstzf3z91zz__biglooz00(obj_t BgL_envz00_2229,
		obj_t BgL_objz00_2230)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 379 */
			return BBOOL(CNSTP(BgL_objz00_2230));
		}
	}



/* opaque? */
	BGL_EXPORTED_DEF bool_t BGl_opaquezf3zf3zz__biglooz00(obj_t BgL_objz00_11)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 385 */
			return OPAQUEP(BgL_objz00_11);
		}
	}



/* &opaque? */
	obj_t BGl_z62opaquezf3z91zz__biglooz00(obj_t BgL_envz00_2231,
		obj_t BgL_objz00_2232)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 385 */
			return BBOOL(OPAQUEP(BgL_objz00_2232));
		}
	}



/* opaque-nil */
	BGL_EXPORTED_DEF obj_t BGl_opaquezd2nilzd2zz__biglooz00()
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 391 */
			return BGL_OPAQUE_NIL();
		}
	}



/* &opaque-nil */
	obj_t BGl_z62opaquezd2nilzb0zz__biglooz00(obj_t BgL_envz00_2233)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 391 */
			return BGL_OPAQUE_NIL();
		}
	}



/* mangle-at! */
	long BGl_manglezd2atz12zc0zz__biglooz00(obj_t BgL_newz00_13,
		obj_t BgL_oldz00_14, long BgL_lenz00_15, long BgL_offsetz00_16)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 404 */
			{
				long BgL_rz00_836;
				long BgL_wz00_837;
				long BgL_newzd2lenzd2_838;
				long BgL_checksumz00_839;

				BgL_rz00_836 = ((long) 0);
				BgL_wz00_837 = BgL_offsetz00_16;
				BgL_newzd2lenzd2_838 = BgL_offsetz00_16;
				BgL_checksumz00_839 = ((long) 0);
			BgL_zc3anonymousza31935ze3z83_840:
				if ((BgL_rz00_836 == BgL_lenz00_15))
					{	/* Llib/bigloo.scm 409 */
						STRING_SET(BgL_newz00_13, BgL_wz00_837, ((unsigned char) 'z'));
						{	/* Llib/bigloo.scm 412 */
							unsigned char BgL_auxz00_2403;
							long BgL_auxz00_2401;

							BgL_auxz00_2403 =
								STRING_REF(BGl_string2525z00zz__biglooz00,
								(BgL_checksumz00_839 & ((long) 15)));
							BgL_auxz00_2401 = (BgL_wz00_837 + ((long) 1));
							STRING_SET(BgL_newz00_13, BgL_auxz00_2401, BgL_auxz00_2403);
						}
						{	/* Llib/bigloo.scm 415 */
							unsigned char BgL_auxz00_2409;
							long BgL_auxz00_2407;

							BgL_auxz00_2409 =
								STRING_REF(BGl_string2525z00zz__biglooz00,
								((BgL_checksumz00_839 >> (int) (((long) 4))) & ((long) 15)));
							BgL_auxz00_2407 = (BgL_wz00_837 + ((long) 2));
							STRING_SET(BgL_newz00_13, BgL_auxz00_2407, BgL_auxz00_2409);
						}
						return (BgL_wz00_837 + ((long) 3));
					}
				else
					{	/* Llib/bigloo.scm 419 */
						unsigned char BgL_cz00_849;

						BgL_cz00_849 = STRING_REF(BgL_oldz00_14, BgL_rz00_836);
						{	/* Llib/bigloo.scm 420 */
							bool_t BgL_testz00_2417;

							{	/* Llib/bigloo.scm 420 */
								bool_t BgL_testz00_2418;

								{	/* Llib/bigloo.scm 420 */
									bool_t BgL_testz00_2419;

									{	/* Llib/bigloo.scm 420 */
										bool_t BgL_res2319z00_1573;

										BgL_res2319z00_1573 = isalpha(BgL_cz00_849);
										BgL_testz00_2419 = BgL_res2319z00_1573;
									}
									if (BgL_testz00_2419)
										{	/* Llib/bigloo.scm 420 */
											if ((BgL_cz00_849 == ((unsigned char) 'z')))
												{	/* Llib/bigloo.scm 420 */
													BgL_testz00_2418 = ((bool_t) 0);
												}
											else
												{	/* Llib/bigloo.scm 420 */
													BgL_testz00_2418 = ((bool_t) 1);
												}
										}
									else
										{	/* Llib/bigloo.scm 420 */
											BgL_testz00_2418 = ((bool_t) 0);
										}
								}
								if (BgL_testz00_2418)
									{	/* Llib/bigloo.scm 420 */
										BgL_testz00_2417 = ((bool_t) 1);
									}
								else
									{	/* Llib/bigloo.scm 421 */
										bool_t BgL_testz00_2423;

										{	/* Llib/bigloo.scm 421 */
											bool_t BgL_res2321z00_1578;

											BgL_res2321z00_1578 = isdigit(BgL_cz00_849);
											BgL_testz00_2423 = BgL_res2321z00_1578;
										}
										if (BgL_testz00_2423)
											{	/* Llib/bigloo.scm 421 */
												BgL_testz00_2417 = ((bool_t) 1);
											}
										else
											{	/* Llib/bigloo.scm 421 */
												BgL_testz00_2417 =
													(BgL_cz00_849 == ((unsigned char) '_'));
							}}}
							if (BgL_testz00_2417)
								{	/* Llib/bigloo.scm 420 */
									STRING_SET(BgL_newz00_13, BgL_wz00_837, BgL_cz00_849);
									{
										long BgL_newzd2lenzd2_2431;
										long BgL_wz00_2429;
										long BgL_rz00_2427;

										BgL_rz00_2427 = (BgL_rz00_836 + ((long) 1));
										BgL_wz00_2429 = (BgL_wz00_837 + ((long) 1));
										BgL_newzd2lenzd2_2431 = (BgL_newzd2lenzd2_838 + ((long) 1));
										BgL_newzd2lenzd2_838 = BgL_newzd2lenzd2_2431;
										BgL_wz00_837 = BgL_wz00_2429;
										BgL_rz00_836 = BgL_rz00_2427;
										goto BgL_zc3anonymousza31935ze3z83_840;
									}
								}
							else
								{	/* Llib/bigloo.scm 429 */
									long BgL_icz00_854;

									BgL_icz00_854 = (BgL_cz00_849);
									STRING_SET(BgL_newz00_13, BgL_wz00_837,
										((unsigned char) 'z'));
									{	/* Llib/bigloo.scm 431 */
										unsigned char BgL_auxz00_2437;
										long BgL_auxz00_2435;

										BgL_auxz00_2437 =
											STRING_REF(BGl_string2525z00zz__biglooz00,
											(BgL_icz00_854 & ((long) 15)));
										BgL_auxz00_2435 = (BgL_wz00_837 + ((long) 1));
										STRING_SET(BgL_newz00_13, BgL_auxz00_2435, BgL_auxz00_2437);
									}
									{	/* Llib/bigloo.scm 434 */
										unsigned char BgL_auxz00_2443;
										long BgL_auxz00_2441;

										BgL_auxz00_2443 =
											STRING_REF(BGl_string2525z00zz__biglooz00,
											((BgL_icz00_854 >> (int) (((long) 4))) & ((long) 15)));
										BgL_auxz00_2441 = (BgL_wz00_837 + ((long) 2));
										STRING_SET(BgL_newz00_13, BgL_auxz00_2441, BgL_auxz00_2443);
									}
									{
										long BgL_checksumz00_2455;
										long BgL_newzd2lenzd2_2453;
										long BgL_wz00_2451;
										long BgL_rz00_2449;

										BgL_rz00_2449 = (BgL_rz00_836 + ((long) 1));
										BgL_wz00_2451 = (BgL_wz00_837 + ((long) 3));
										BgL_newzd2lenzd2_2453 = (BgL_newzd2lenzd2_838 + ((long) 3));
										BgL_checksumz00_2455 =
											(BgL_checksumz00_839 ^ (BgL_cz00_849));
										BgL_checksumz00_839 = BgL_checksumz00_2455;
										BgL_newzd2lenzd2_838 = BgL_newzd2lenzd2_2453;
										BgL_wz00_837 = BgL_wz00_2451;
										BgL_rz00_836 = BgL_rz00_2449;
										goto BgL_zc3anonymousza31935ze3z83_840;
									}
								}
						}
					}
			}
		}
	}



/* bigloo-mangle */
	BGL_EXPORTED_DEF obj_t bigloo_mangle(obj_t BgL_stringz00_17)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 445 */
			{	/* Llib/bigloo.scm 446 */
				long BgL_lenz00_872;

				BgL_lenz00_872 = STRING_LENGTH(BgL_stringz00_17);
				{	/* Llib/bigloo.scm 446 */
					obj_t BgL_newz00_873;

					{	/* Llib/bigloo.scm 447 */
						long BgL_arg1968z00_876;

						BgL_arg1968z00_876 = ((BgL_lenz00_872 * ((long) 3)) + ((long) 7));
						{	/* Ieee/string.scm 157 */

							{	/* Ieee/string.scm 157 */
								obj_t BgL_res2342z00_1654;

								{	/* Ieee/string.scm 157 */
									obj_t BgL_charz00_1653;

									BgL_charz00_1653 = BCHAR(((unsigned char) ' '));
									BgL_res2342z00_1654 =
										make_string(BgL_arg1968z00_876, CCHAR(BgL_charz00_1653));
								}
								BgL_newz00_873 = BgL_res2342z00_1654;
					}}}
					{	/* Llib/bigloo.scm 447 */

						if ((BgL_lenz00_872 == ((long) 0)))
							{	/* Llib/bigloo.scm 448 */
								return
									BGl_errorz00zz__errorz00(BGl_string2526z00zz__biglooz00,
									BGl_string2527z00zz__biglooz00, BgL_stringz00_17);
							}
						else
							{	/* Llib/bigloo.scm 450 */
								long BgL_stopz00_875;

								BgL_stopz00_875 =
									BGl_manglezd2atz12zc0zz__biglooz00(BgL_newz00_873,
									BgL_stringz00_17, BgL_lenz00_872, ((long) 4));
								blit_string(BGl_string2528z00zz__biglooz00, ((long) 0),
									BgL_newz00_873, ((long) 0), ((long) 4));
								return c_substring(BgL_newz00_873, ((long) 0), BgL_stopz00_875);
		}}}}}
	}



/* &bigloo-mangle */
	obj_t BGl_z62bigloozd2manglezb0zz__biglooz00(obj_t BgL_envz00_2234,
		obj_t BgL_stringz00_2235)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 445 */
			{	/* Llib/bigloo.scm 446 */
				obj_t BgL_auxz00_2470;

				if (STRINGP(BgL_stringz00_2235))
					{	/* Llib/bigloo.scm 446 */
						BgL_auxz00_2470 = BgL_stringz00_2235;
					}
				else
					{
						obj_t BgL_auxz00_2473;

						BgL_auxz00_2473 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2518z00zz__biglooz00,
							BINT(((long) 16010)), BGl_string2529z00zz__biglooz00,
							BGl_string2520z00zz__biglooz00, BgL_stringz00_2235);
						FAILURE(BgL_auxz00_2473, BFALSE, BFALSE);
					}
				return bigloo_mangle(BgL_auxz00_2470);
			}
		}
	}



/* bigloo-module-mangle */
	BGL_EXPORTED_DEF obj_t bigloo_module_mangle(obj_t BgL_idz00_18,
		obj_t BgL_modulez00_19)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 457 */
			{	/* Llib/bigloo.scm 458 */
				long BgL_lenz00_880;

				BgL_lenz00_880 =
					(STRING_LENGTH(BgL_idz00_18) + STRING_LENGTH(BgL_modulez00_19));
				{	/* Llib/bigloo.scm 458 */
					obj_t BgL_newz00_881;

					{	/* Llib/bigloo.scm 459 */
						long BgL_arg1975z00_889;

						BgL_arg1975z00_889 = ((BgL_lenz00_880 * ((long) 3)) + ((long) 12));
						{	/* Ieee/string.scm 157 */

							{	/* Ieee/string.scm 157 */
								obj_t BgL_res2350z00_1682;

								{	/* Ieee/string.scm 157 */
									obj_t BgL_charz00_1681;

									BgL_charz00_1681 = BCHAR(((unsigned char) ' '));
									BgL_res2350z00_1682 =
										make_string(BgL_arg1975z00_889, CCHAR(BgL_charz00_1681));
								}
								BgL_newz00_881 = BgL_res2350z00_1682;
					}}}
					{	/* Llib/bigloo.scm 459 */

						if ((BgL_lenz00_880 == ((long) 0)))
							{	/* Llib/bigloo.scm 460 */
								return
									BGl_errorz00zz__errorz00(BGl_string2526z00zz__biglooz00,
									BGl_string2527z00zz__biglooz00,
									BGl_stringzd2envzd2zz__r4_strings_6_7z00);
							}
						else
							{	/* Llib/bigloo.scm 462 */
								long BgL_modzd2startzd2_883;

								BgL_modzd2startzd2_883 =
									BGl_manglezd2atz12zc0zz__biglooz00(BgL_newz00_881,
									BgL_idz00_18, STRING_LENGTH(BgL_idz00_18), ((long) 4));
								STRING_SET(BgL_newz00_881, BgL_modzd2startzd2_883,
									((unsigned char) 'z'));
								{	/* Llib/bigloo.scm 464 */
									long BgL_auxz00_2492;

									BgL_auxz00_2492 = (((long) 1) + BgL_modzd2startzd2_883);
									STRING_SET(BgL_newz00_881, BgL_auxz00_2492,
										((unsigned char) 'z'));
								}
								{	/* Llib/bigloo.scm 465 */
									long BgL_stopz00_885;

									BgL_stopz00_885 =
										BGl_manglezd2atz12zc0zz__biglooz00(BgL_newz00_881,
										BgL_modulez00_19, STRING_LENGTH(BgL_modulez00_19),
										(BgL_modzd2startzd2_883 + ((long) 2)));
									blit_string(BGl_string2530z00zz__biglooz00, ((long) 0),
										BgL_newz00_881, ((long) 0), ((long) 4));
									return c_substring(BgL_newz00_881, ((long) 0),
										BgL_stopz00_885);
		}}}}}}
	}



/* &bigloo-module-mangle */
	obj_t BGl_z62bigloozd2modulezd2manglez62zz__biglooz00(obj_t BgL_envz00_2236,
		obj_t BgL_idz00_2237, obj_t BgL_modulez00_2238)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 457 */
			{	/* Llib/bigloo.scm 458 */
				obj_t BgL_auxz00_2507;
				obj_t BgL_auxz00_2500;

				if (STRINGP(BgL_modulez00_2238))
					{	/* Llib/bigloo.scm 458 */
						BgL_auxz00_2507 = BgL_modulez00_2238;
					}
				else
					{
						obj_t BgL_auxz00_2510;

						BgL_auxz00_2510 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2518z00zz__biglooz00,
							BINT(((long) 16566)), BGl_string2531z00zz__biglooz00,
							BGl_string2520z00zz__biglooz00, BgL_modulez00_2238);
						FAILURE(BgL_auxz00_2510, BFALSE, BFALSE);
					}
				if (STRINGP(BgL_idz00_2237))
					{	/* Llib/bigloo.scm 458 */
						BgL_auxz00_2500 = BgL_idz00_2237;
					}
				else
					{
						obj_t BgL_auxz00_2503;

						BgL_auxz00_2503 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2518z00zz__biglooz00,
							BINT(((long) 16566)), BGl_string2531z00zz__biglooz00,
							BGl_string2520z00zz__biglooz00, BgL_idz00_2237);
						FAILURE(BgL_auxz00_2503, BFALSE, BFALSE);
					}
				return bigloo_module_mangle(BgL_auxz00_2500, BgL_auxz00_2507);
			}
		}
	}



/* bigloo-mangled? */
	BGL_EXPORTED_DEF bool_t bigloo_mangledp(obj_t BgL_stringz00_20)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 474 */
			{	/* Llib/bigloo.scm 475 */
				long BgL_lenz00_895;

				BgL_lenz00_895 = STRING_LENGTH(BgL_stringz00_20);
				if ((BgL_lenz00_895 > ((long) 7)))
					{	/* Llib/bigloo.scm 477 */
						bool_t BgL_testz00_2518;

						{	/* Llib/bigloo.scm 477 */
							bool_t BgL__ortest_1832z00_912;

							BgL__ortest_1832z00_912 =
								bigloo_strncmp(BgL_stringz00_20, BGl_string2528z00zz__biglooz00,
								((long) 4));
							if (BgL__ortest_1832z00_912)
								{	/* Llib/bigloo.scm 477 */
									BgL_testz00_2518 = BgL__ortest_1832z00_912;
								}
							else
								{	/* Llib/bigloo.scm 477 */
									BgL_testz00_2518 =
										bigloo_strncmp(BgL_stringz00_20,
										BGl_string2530z00zz__biglooz00, ((long) 4));
						}}
						if (BgL_testz00_2518)
							{	/* Llib/bigloo.scm 477 */
								if (
									(STRING_REF(BgL_stringz00_20,
											(BgL_lenz00_895 - ((long) 3))) == ((unsigned char) 'z')))
									{	/* Llib/bigloo.scm 480 */
										bool_t BgL_testz00_2526;

										{	/* Llib/bigloo.scm 480 */
											bool_t BgL__ortest_1833z00_905;

											{	/* Llib/bigloo.scm 480 */
												unsigned char BgL_arg1985z00_908;

												BgL_arg1985z00_908 =
													STRING_REF(BgL_stringz00_20,
													(BgL_lenz00_895 - ((long) 2)));
												{	/* Llib/bigloo.scm 480 */
													bool_t BgL_res2366z00_1740;

													BgL_res2366z00_1740 = isalpha(BgL_arg1985z00_908);
													BgL__ortest_1833z00_905 = BgL_res2366z00_1740;
											}}
											if (BgL__ortest_1833z00_905)
												{	/* Llib/bigloo.scm 480 */
													BgL_testz00_2526 = BgL__ortest_1833z00_905;
												}
											else
												{	/* Llib/bigloo.scm 481 */
													unsigned char BgL_arg1983z00_906;

													BgL_arg1983z00_906 =
														STRING_REF(BgL_stringz00_20,
														(BgL_lenz00_895 - ((long) 2)));
													{	/* Llib/bigloo.scm 481 */
														bool_t BgL_res2369z00_1748;

														BgL_res2369z00_1748 = isdigit(BgL_arg1983z00_906);
														BgL_testz00_2526 = BgL_res2369z00_1748;
										}}}
										if (BgL_testz00_2526)
											{	/* Llib/bigloo.scm 482 */
												bool_t BgL__ortest_1834z00_900;

												{	/* Llib/bigloo.scm 482 */
													unsigned char BgL_arg1981z00_903;

													BgL_arg1981z00_903 =
														STRING_REF(BgL_stringz00_20,
														(BgL_lenz00_895 - ((long) 1)));
													{	/* Llib/bigloo.scm 482 */
														bool_t BgL_res2372z00_1756;

														BgL_res2372z00_1756 = isalpha(BgL_arg1981z00_903);
														BgL__ortest_1834z00_900 = BgL_res2372z00_1756;
												}}
												if (BgL__ortest_1834z00_900)
													{	/* Llib/bigloo.scm 482 */
														return BgL__ortest_1834z00_900;
													}
												else
													{	/* Llib/bigloo.scm 483 */
														unsigned char BgL_arg1979z00_901;

														BgL_arg1979z00_901 =
															STRING_REF(BgL_stringz00_20,
															(BgL_lenz00_895 - ((long) 1)));
														{	/* Llib/bigloo.scm 483 */
															bool_t BgL_res2375z00_1764;

															BgL_res2375z00_1764 = isdigit(BgL_arg1979z00_901);
															return BgL_res2375z00_1764;
														}
													}
											}
										else
											{	/* Llib/bigloo.scm 480 */
												return ((bool_t) 0);
											}
									}
								else
									{	/* Llib/bigloo.scm 479 */
										return ((bool_t) 0);
									}
							}
						else
							{	/* Llib/bigloo.scm 477 */
								return ((bool_t) 0);
							}
					}
				else
					{	/* Llib/bigloo.scm 476 */
						return ((bool_t) 0);
					}
			}
		}
	}



/* &bigloo-mangled? */
	obj_t BGl_z62bigloozd2mangledzf3z43zz__biglooz00(obj_t BgL_envz00_2241,
		obj_t BgL_stringz00_2242)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 474 */
			{	/* Llib/bigloo.scm 475 */
				bool_t BgL_auxz00_2541;

				{	/* Llib/bigloo.scm 475 */
					obj_t BgL_auxz00_2542;

					if (STRINGP(BgL_stringz00_2242))
						{	/* Llib/bigloo.scm 475 */
							BgL_auxz00_2542 = BgL_stringz00_2242;
						}
					else
						{
							obj_t BgL_auxz00_2545;

							BgL_auxz00_2545 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string2518z00zz__biglooz00,
								BINT(((long) 17336)), BGl_string2532z00zz__biglooz00,
								BGl_string2520z00zz__biglooz00, BgL_stringz00_2242);
							FAILURE(BgL_auxz00_2545, BFALSE, BFALSE);
						}
					BgL_auxz00_2541 = bigloo_mangledp(BgL_auxz00_2542);
				}
				return BBOOL(BgL_auxz00_2541);
			}
		}
	}



/* bigloo-need-mangling? */
	BGL_EXPORTED_DEF bool_t BGl_bigloozd2needzd2manglingzf3zf3zz__biglooz00(obj_t
		BgL_stringz00_21)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 488 */
			{	/* Llib/bigloo.scm 489 */
				long BgL_lenz00_913;

				BgL_lenz00_913 = STRING_LENGTH(BgL_stringz00_21);
				if ((BgL_lenz00_913 > ((long) 0)))
					{	/* Llib/bigloo.scm 491 */
						bool_t BgL__ortest_1836z00_915;

						{	/* Llib/bigloo.scm 491 */
							bool_t BgL_testz00_2554;

							{	/* Llib/bigloo.scm 491 */
								bool_t BgL_testz00_2555;

								{	/* Llib/bigloo.scm 491 */
									unsigned char BgL_arg1998z00_929;

									BgL_arg1998z00_929 = STRING_REF(BgL_stringz00_21, ((long) 0));
									{	/* Llib/bigloo.scm 491 */
										bool_t BgL_res2379z00_1774;

										BgL_res2379z00_1774 = isalpha(BgL_arg1998z00_929);
										BgL_testz00_2555 = BgL_res2379z00_1774;
								}}
								if (BgL_testz00_2555)
									{	/* Llib/bigloo.scm 491 */
										BgL_testz00_2554 = ((bool_t) 1);
									}
								else
									{	/* Llib/bigloo.scm 491 */
										BgL_testz00_2554 =
											(STRING_REF(BgL_stringz00_21,
												((long) 0)) == ((unsigned char) '_'));
							}}
							if (BgL_testz00_2554)
								{	/* Llib/bigloo.scm 491 */
									BgL__ortest_1836z00_915 = ((bool_t) 0);
								}
							else
								{	/* Llib/bigloo.scm 491 */
									BgL__ortest_1836z00_915 = ((bool_t) 1);
								}
						}
						if (BgL__ortest_1836z00_915)
							{	/* Llib/bigloo.scm 491 */
								return BgL__ortest_1836z00_915;
							}
						else
							{
								long BgL_iz00_917;

								BgL_iz00_917 = ((long) 1);
							BgL_zc3anonymousza31989ze3z83_918:
								if ((BgL_iz00_917 >= BgL_lenz00_913))
									{	/* Llib/bigloo.scm 494 */
										return ((bool_t) 0);
									}
								else
									{	/* Llib/bigloo.scm 496 */
										unsigned char BgL_cz00_920;

										BgL_cz00_920 = STRING_REF(BgL_stringz00_21, BgL_iz00_917);
										{	/* Llib/bigloo.scm 497 */
											bool_t BgL_testz00_2564;

											{	/* Llib/bigloo.scm 497 */
												bool_t BgL_testz00_2565;

												{	/* Llib/bigloo.scm 497 */
													bool_t BgL_res2384z00_1788;

													BgL_res2384z00_1788 = isalpha(BgL_cz00_920);
													BgL_testz00_2565 = BgL_res2384z00_1788;
												}
												if (BgL_testz00_2565)
													{	/* Llib/bigloo.scm 497 */
														BgL_testz00_2564 = ((bool_t) 1);
													}
												else
													{	/* Llib/bigloo.scm 498 */
														bool_t BgL_testz00_2567;

														{	/* Llib/bigloo.scm 498 */
															bool_t BgL_res2385z00_1790;

															BgL_res2385z00_1790 = isdigit(BgL_cz00_920);
															BgL_testz00_2567 = BgL_res2385z00_1790;
														}
														if (BgL_testz00_2567)
															{	/* Llib/bigloo.scm 498 */
																BgL_testz00_2564 = ((bool_t) 1);
															}
														else
															{	/* Llib/bigloo.scm 498 */
																BgL_testz00_2564 =
																	(BgL_cz00_920 == ((unsigned char) '_'));
											}}}
											if (BgL_testz00_2564)
												{
													long BgL_iz00_2570;

													BgL_iz00_2570 = (BgL_iz00_917 + ((long) 1));
													BgL_iz00_917 = BgL_iz00_2570;
													goto BgL_zc3anonymousza31989ze3z83_918;
												}
											else
												{	/* Llib/bigloo.scm 497 */
													return ((bool_t) 1);
												}
										}
									}
							}
					}
				else
					{	/* Llib/bigloo.scm 490 */
						return ((bool_t) 0);
					}
			}
		}
	}



/* &bigloo-need-mangling? */
	obj_t BGl_z62bigloozd2needzd2manglingzf3z91zz__biglooz00(obj_t
		BgL_envz00_2243, obj_t BgL_stringz00_2244)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 488 */
			{	/* Llib/bigloo.scm 489 */
				bool_t BgL_auxz00_2572;

				{	/* Llib/bigloo.scm 489 */
					obj_t BgL_auxz00_2573;

					if (STRINGP(BgL_stringz00_2244))
						{	/* Llib/bigloo.scm 489 */
							BgL_auxz00_2573 = BgL_stringz00_2244;
						}
					else
						{
							obj_t BgL_auxz00_2576;

							BgL_auxz00_2576 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string2518z00zz__biglooz00,
								BINT(((long) 18021)), BGl_string2533z00zz__biglooz00,
								BGl_string2520z00zz__biglooz00, BgL_stringz00_2244);
							FAILURE(BgL_auxz00_2576, BFALSE, BFALSE);
						}
					BgL_auxz00_2572 =
						BGl_bigloozd2needzd2manglingzf3zf3zz__biglooz00(BgL_auxz00_2573);
				}
				return BBOOL(BgL_auxz00_2572);
			}
		}
	}



/* bigloo-demangle */
	BGL_EXPORTED_DEF obj_t bigloo_demangle(obj_t BgL_stringz00_22)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 506 */
			{	/* Llib/bigloo.scm 507 */
				long BgL_lenz00_930;

				BgL_lenz00_930 = STRING_LENGTH(BgL_stringz00_22);
				{	/* Llib/bigloo.scm 507 */
					long BgL_clenz00_931;

					BgL_clenz00_931 = (BgL_lenz00_930 - ((long) 3));
					{	/* Llib/bigloo.scm 508 */

						{

							if ((BgL_lenz00_930 < ((long) 8)))
								{	/* Llib/bigloo.scm 557 */
									return
										BGl_errorz00zz__errorz00(BGl_string2534z00zz__biglooz00,
										BGl_string2535z00zz__biglooz00, BgL_stringz00_22);
								}
							else
								{	/* Llib/bigloo.scm 557 */
									if (bigloo_strncmp(BgL_stringz00_22,
											BGl_string2528z00zz__biglooz00, ((long) 4)))
										{	/* Llib/bigloo.scm 559 */
											{	/* Llib/bigloo.scm 547 */
												obj_t BgL_strz00_989;

												BgL_strz00_989 =
													BGl_bigloozd2demanglezd2atz00zz__biglooz00
													(BgL_stringz00_22, BgL_clenz00_931, BINT(((long) 4)));
												{	/* Llib/bigloo.scm 549 */
													obj_t BgL_offsetz00_990;

													{	/* Llib/bigloo.scm 549 */
														int BgL_auxz00_2591;

														BgL_auxz00_2591 = (int) (((long) 1));
														BgL_offsetz00_990 =
															BGL_MVALUES_VAL(BgL_auxz00_2591);
													}
													{	/* Llib/bigloo.scm 549 */
														int BgL_res2423z00_1909;

														{	/* Llib/bigloo.scm 549 */
															int BgL_auxz00_2594;

															BgL_auxz00_2594 = (int) (((long) 2));
															BgL_res2423z00_1909 =
																BGL_MVALUES_NUMBER_SET(BgL_auxz00_2594);
														} BgL_res2423z00_1909;
													}
													{	/* Llib/bigloo.scm 549 */
														int BgL_auxz00_2597;

														BgL_auxz00_2597 = (int) (((long) 1));
														BGL_MVALUES_VAL_SET(BgL_auxz00_2597, BUNSPEC);
													}
													return BgL_strz00_989;
												}
											}
										}
									else
										{	/* Llib/bigloo.scm 559 */
											if (bigloo_strncmp(BgL_stringz00_22,
													BGl_string2530z00zz__biglooz00, ((long) 4)))
												{	/* Llib/bigloo.scm 561 */
													{	/* Llib/bigloo.scm 551 */
														obj_t BgL_idz00_994;

														BgL_idz00_994 =
															BGl_bigloozd2demanglezd2atz00zz__biglooz00
															(BgL_stringz00_22, BgL_clenz00_931,
															BINT(((long) 4)));
														{	/* Llib/bigloo.scm 553 */
															obj_t BgL_offsetz00_995;

															{	/* Llib/bigloo.scm 553 */
																int BgL_auxz00_2604;

																BgL_auxz00_2604 = (int) (((long) 1));
																BgL_offsetz00_995 =
																	BGL_MVALUES_VAL(BgL_auxz00_2604);
															}
															{	/* Llib/bigloo.scm 553 */
																obj_t BgL_modulez00_996;

																BgL_modulez00_996 =
																	BGl_bigloozd2demanglezd2atz00zz__biglooz00
																	(BgL_stringz00_22, BgL_clenz00_931,
																	BgL_offsetz00_995);
																{	/* Llib/bigloo.scm 555 */
																	obj_t BgL_offsetz00_997;

																	{	/* Llib/bigloo.scm 555 */
																		int BgL_auxz00_2608;

																		BgL_auxz00_2608 = (int) (((long) 1));
																		BgL_offsetz00_997 =
																			BGL_MVALUES_VAL(BgL_auxz00_2608);
																	}
																	{	/* Llib/bigloo.scm 555 */
																		int BgL_res2424z00_1915;

																		{	/* Llib/bigloo.scm 555 */
																			int BgL_auxz00_2611;

																			BgL_auxz00_2611 = (int) (((long) 2));
																			BgL_res2424z00_1915 =
																				BGL_MVALUES_NUMBER_SET(BgL_auxz00_2611);
																		} BgL_res2424z00_1915;
																	}
																	{	/* Llib/bigloo.scm 555 */
																		int BgL_auxz00_2614;

																		BgL_auxz00_2614 = (int) (((long) 1));
																		BGL_MVALUES_VAL_SET(BgL_auxz00_2614,
																			BgL_modulez00_996);
																	}
																	return BgL_idz00_994;
																}
															}
														}
													}
												}
											else
												{	/* Llib/bigloo.scm 561 */
													return BgL_stringz00_22;
												}
										}
								}
						}
					}
				}
			}
		}
	}



/* char->digit */
	long BGl_charzd2ze3digitz31zz__biglooz00(unsigned char BgL_cz00_942)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 514 */
			{	/* Llib/bigloo.scm 512 */
				bool_t BgL_testz00_2617;

				{	/* Llib/bigloo.scm 512 */
					bool_t BgL_res2390z00_1803;

					BgL_res2390z00_1803 = isdigit(BgL_cz00_942);
					BgL_testz00_2617 = BgL_res2390z00_1803;
				}
				if (BgL_testz00_2617)
					{	/* Llib/bigloo.scm 512 */
						return ((BgL_cz00_942) - ((long) 48));
					}
				else
					{	/* Llib/bigloo.scm 512 */
						return (((long) 10) + ((BgL_cz00_942) - ((long) 97)));
		}}}
	}



/* get-8bits-integer */
	long BGl_getzd28bitszd2integerz00zz__biglooz00(obj_t BgL_stringz00_2259,
		obj_t BgL_rz00_948)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 520 */
			{	/* Llib/bigloo.scm 519 */

				return
					(BGl_charzd2ze3digitz31zz__biglooz00(STRING_REF(BgL_stringz00_2259,
							((long) CINT(BgL_rz00_948) + ((long) 1)))) +
					(BGl_charzd2ze3digitz31zz__biglooz00(STRING_REF(BgL_stringz00_2259,
								((long) CINT(BgL_rz00_948) + ((long) 2)))) <<
						(int) (((long) 4))));
		}}
	}



/* bigloo-demangle-at */
	obj_t BGl_bigloozd2demanglezd2atz00zz__biglooz00(obj_t BgL_stringz00_2261,
		long BgL_clenz00_2260, obj_t BgL_offsetz00_957)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 545 */
			{	/* Llib/bigloo.scm 522 */
				obj_t BgL_newz00_959;

				{	/* Ieee/string.scm 157 */

					{	/* Ieee/string.scm 157 */
						obj_t BgL_res2402z00_1837;

						{	/* Ieee/string.scm 157 */
							obj_t BgL_charz00_1836;

							BgL_charz00_1836 = BCHAR(((unsigned char) ' '));
							BgL_res2402z00_1837 =
								make_string(BgL_clenz00_2260, CCHAR(BgL_charz00_1836));
						}
						BgL_newz00_959 = BgL_res2402z00_1837;
				}}
				{
					obj_t BgL_rz00_961;
					long BgL_wz00_962;
					long BgL_checksumz00_963;

					BgL_rz00_961 = BgL_offsetz00_957;
					BgL_wz00_962 = ((long) 0);
					BgL_checksumz00_963 = ((long) 0);
				BgL_zc3anonymousza32013ze3z83_964:
					if (((long) CINT(BgL_rz00_961) == BgL_clenz00_2260))
						{	/* Llib/bigloo.scm 526 */
							if (
								(BgL_checksumz00_963 ==
									BGl_getzd28bitszd2integerz00zz__biglooz00(BgL_stringz00_2261,
										BgL_rz00_961)))
								{	/* Llib/bigloo.scm 529 */
									obj_t BgL_val0_1865z00_967;
									long BgL_val1_1866z00_968;

									BgL_val0_1865z00_967 =
										c_substring(BgL_newz00_959, ((long) 0), BgL_wz00_962);
									BgL_val1_1866z00_968 =
										((long) CINT(BgL_rz00_961) + ((long) 3));
									{	/* Llib/bigloo.scm 529 */
										int BgL_res2407z00_1852;

										{	/* Llib/bigloo.scm 529 */
											int BgL_auxz00_2647;

											BgL_auxz00_2647 = (int) (((long) 2));
											BgL_res2407z00_1852 =
												BGL_MVALUES_NUMBER_SET(BgL_auxz00_2647);
										} BgL_res2407z00_1852;
									}
									{	/* Llib/bigloo.scm 529 */
										obj_t BgL_auxz00_2652;
										int BgL_auxz00_2650;

										BgL_auxz00_2652 = BINT(BgL_val1_1866z00_968);
										BgL_auxz00_2650 = (int) (((long) 1));
										BGL_MVALUES_VAL_SET(BgL_auxz00_2650, BgL_auxz00_2652);
									}
									return BgL_val0_1865z00_967;
								}
							else
								{	/* Llib/bigloo.scm 528 */
									return
										BGl_errorz00zz__errorz00(BGl_string2534z00zz__biglooz00,
										BGl_string2536z00zz__biglooz00, BgL_stringz00_2261);
								}
						}
					else
						{	/* Llib/bigloo.scm 531 */
							unsigned char BgL_cz00_970;

							BgL_cz00_970 =
								STRING_REF(BgL_stringz00_2261, (long) CINT(BgL_rz00_961));
							if ((BgL_cz00_970 == ((unsigned char) 'z')))
								{	/* Llib/bigloo.scm 532 */
									if (
										(STRING_REF(BgL_stringz00_2261,
												((long) CINT(BgL_rz00_961) + ((long) 1))) ==
											((unsigned char) 'z')))
										{	/* Llib/bigloo.scm 534 */
											obj_t BgL_val0_1867z00_973;
											long BgL_val1_1868z00_974;

											BgL_val0_1867z00_973 =
												c_substring(BgL_newz00_959, ((long) 0),
												(BgL_wz00_962 - ((long) 1)));
											BgL_val1_1868z00_974 =
												((long) CINT(BgL_rz00_961) + ((long) 2));
											{	/* Llib/bigloo.scm 534 */
												int BgL_res2416z00_1881;

												{	/* Llib/bigloo.scm 534 */
													int BgL_auxz00_2669;

													BgL_auxz00_2669 = (int) (((long) 2));
													BgL_res2416z00_1881 =
														BGL_MVALUES_NUMBER_SET(BgL_auxz00_2669);
												} BgL_res2416z00_1881;
											}
											{	/* Llib/bigloo.scm 534 */
												obj_t BgL_auxz00_2674;
												int BgL_auxz00_2672;

												BgL_auxz00_2674 = BINT(BgL_val1_1868z00_974);
												BgL_auxz00_2672 = (int) (((long) 1));
												BGL_MVALUES_VAL_SET(BgL_auxz00_2672, BgL_auxz00_2674);
											}
											return BgL_val0_1867z00_973;
										}
									else
										{	/* Llib/bigloo.scm 535 */
											long BgL_iz00_976;

											BgL_iz00_976 =
												BGl_getzd28bitszd2integerz00zz__biglooz00
												(BgL_stringz00_2261, BgL_rz00_961);
											{	/* Llib/bigloo.scm 535 */
												unsigned char BgL_ncz00_977;

												BgL_ncz00_977 = (BgL_iz00_976);
												{	/* Llib/bigloo.scm 536 */

													STRING_SET(BgL_newz00_959, BgL_wz00_962,
														BgL_ncz00_977);
													{	/* Llib/bigloo.scm 538 */
														long BgL_arg2020z00_978;
														long BgL_arg2021z00_979;
														long BgL_arg2023z00_980;

														BgL_arg2020z00_978 =
															((long) CINT(BgL_rz00_961) + ((long) 3));
														BgL_arg2021z00_979 = (BgL_wz00_962 + ((long) 1));
														BgL_arg2023z00_980 =
															(BgL_checksumz00_963 ^ BgL_iz00_976);
														{
															long BgL_checksumz00_2687;
															long BgL_wz00_2686;
															obj_t BgL_rz00_2684;

															BgL_rz00_2684 = BINT(BgL_arg2020z00_978);
															BgL_wz00_2686 = BgL_arg2021z00_979;
															BgL_checksumz00_2687 = BgL_arg2023z00_980;
															BgL_checksumz00_963 = BgL_checksumz00_2687;
															BgL_wz00_962 = BgL_wz00_2686;
															BgL_rz00_961 = BgL_rz00_2684;
															goto BgL_zc3anonymousza32013ze3z83_964;
														}
													}
												}
											}
										}
								}
							else
								{	/* Llib/bigloo.scm 532 */
									STRING_SET(BgL_newz00_959, BgL_wz00_962, BgL_cz00_970);
									{	/* Llib/bigloo.scm 543 */
										long BgL_arg2027z00_983;
										long BgL_arg2028z00_984;

										BgL_arg2027z00_983 =
											((long) CINT(BgL_rz00_961) + ((long) 1));
										BgL_arg2028z00_984 = (BgL_wz00_962 + ((long) 1));
										{
											long BgL_wz00_2694;
											obj_t BgL_rz00_2692;

											BgL_rz00_2692 = BINT(BgL_arg2027z00_983);
											BgL_wz00_2694 = BgL_arg2028z00_984;
											BgL_wz00_962 = BgL_wz00_2694;
											BgL_rz00_961 = BgL_rz00_2692;
											goto BgL_zc3anonymousza32013ze3z83_964;
										}
									}
								}
						}
				}
			}
		}
	}



/* &bigloo-demangle */
	obj_t BGl_z62bigloozd2demanglezb0zz__biglooz00(obj_t BgL_envz00_2245,
		obj_t BgL_stringz00_2246)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 506 */
			{	/* Llib/bigloo.scm 507 */
				obj_t BgL_auxz00_2695;

				if (STRINGP(BgL_stringz00_2246))
					{	/* Llib/bigloo.scm 507 */
						BgL_auxz00_2695 = BgL_stringz00_2246;
					}
				else
					{
						obj_t BgL_auxz00_2698;

						BgL_auxz00_2698 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2518z00zz__biglooz00,
							BINT(((long) 18664)), BGl_string2537z00zz__biglooz00,
							BGl_string2520z00zz__biglooz00, BgL_stringz00_2246);
						FAILURE(BgL_auxz00_2698, BFALSE, BFALSE);
					}
				return bigloo_demangle(BgL_auxz00_2695);
			}
		}
	}



/* bigloo-class-mangled? */
	BGL_EXPORTED_DEF bool_t bigloo_class_mangledp(obj_t BgL_stringz00_23)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 569 */
			{	/* Llib/bigloo.scm 570 */
				long BgL_lenz00_1006;

				BgL_lenz00_1006 = STRING_LENGTH(BgL_stringz00_23);
				if ((BgL_lenz00_1006 > ((long) 8)))
					{	/* Llib/bigloo.scm 571 */
						if (
							(STRING_REF(BgL_stringz00_23,
									(BgL_lenz00_1006 - ((long) 1))) == ((unsigned char) 't')))
							{	/* Llib/bigloo.scm 572 */
								if (
									(STRING_REF(BgL_stringz00_23,
											(BgL_lenz00_1006 - ((long) 2))) == ((unsigned char) 'l')))
									{	/* Llib/bigloo.scm 573 */
										if (
											(STRING_REF(BgL_stringz00_23,
													(BgL_lenz00_1006 - ((long) 3))) ==
												((unsigned char) 'g')))
											{	/* Llib/bigloo.scm 574 */
												if (
													(STRING_REF(BgL_stringz00_23,
															(BgL_lenz00_1006 - ((long) 4))) ==
														((unsigned char) 'b')))
													{	/* Llib/bigloo.scm 575 */
														if (
															(STRING_REF(BgL_stringz00_23,
																	(BgL_lenz00_1006 - ((long) 5))) ==
																((unsigned char) '_')))
															{	/* Llib/bigloo.scm 576 */
																return
																	bigloo_mangledp(c_substring(BgL_stringz00_23,
																		((long) 0),
																		(BgL_lenz00_1006 - ((long) 5))));
															}
														else
															{	/* Llib/bigloo.scm 576 */
																return ((bool_t) 0);
															}
													}
												else
													{	/* Llib/bigloo.scm 575 */
														return ((bool_t) 0);
													}
											}
										else
											{	/* Llib/bigloo.scm 574 */
												return ((bool_t) 0);
											}
									}
								else
									{	/* Llib/bigloo.scm 573 */
										return ((bool_t) 0);
									}
							}
						else
							{	/* Llib/bigloo.scm 572 */
								return ((bool_t) 0);
							}
					}
				else
					{	/* Llib/bigloo.scm 571 */
						return ((bool_t) 0);
					}
			}
		}
	}



/* &bigloo-class-mangled? */
	obj_t BGl_z62bigloozd2classzd2mangledzf3z91zz__biglooz00(obj_t
		BgL_envz00_2247, obj_t BgL_stringz00_2248)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 569 */
			{	/* Llib/bigloo.scm 570 */
				bool_t BgL_auxz00_2729;

				{	/* Llib/bigloo.scm 570 */
					obj_t BgL_auxz00_2730;

					if (STRINGP(BgL_stringz00_2248))
						{	/* Llib/bigloo.scm 570 */
							BgL_auxz00_2730 = BgL_stringz00_2248;
						}
					else
						{
							obj_t BgL_auxz00_2733;

							BgL_auxz00_2733 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string2518z00zz__biglooz00,
								BINT(((long) 20798)), BGl_string2538z00zz__biglooz00,
								BGl_string2520z00zz__biglooz00, BgL_stringz00_2248);
							FAILURE(BgL_auxz00_2733, BFALSE, BFALSE);
						}
					BgL_auxz00_2729 = bigloo_class_mangledp(BgL_auxz00_2730);
				}
				return BBOOL(BgL_auxz00_2729);
			}
		}
	}



/* bigloo-class-demangle */
	BGL_EXPORTED_DEF obj_t bigloo_class_demangle(obj_t BgL_stringz00_24)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 582 */
			return
				string_append(bigloo_demangle(c_substring(BgL_stringz00_24, ((long) 0),
						(STRING_LENGTH(BgL_stringz00_24) - ((long) 5)))),
				BGl_string2539z00zz__biglooz00);
		}
	}



/* &bigloo-class-demangle */
	obj_t BGl_z62bigloozd2classzd2demanglez62zz__biglooz00(obj_t BgL_envz00_2249,
		obj_t BgL_stringz00_2250)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 582 */
			{	/* Llib/bigloo.scm 584 */
				obj_t BgL_auxz00_2744;

				if (STRINGP(BgL_stringz00_2250))
					{	/* Llib/bigloo.scm 584 */
						BgL_auxz00_2744 = BgL_stringz00_2250;
					}
				else
					{
						obj_t BgL_auxz00_2747;

						BgL_auxz00_2747 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2518z00zz__biglooz00,
							BINT(((long) 21490)), BGl_string2540z00zz__biglooz00,
							BGl_string2520z00zz__biglooz00, BgL_stringz00_2250);
						FAILURE(BgL_auxz00_2747, BFALSE, BFALSE);
					}
				return bigloo_class_demangle(BgL_auxz00_2744);
			}
		}
	}



/* bigloo-exit-mutex */
	BGL_EXPORTED_DEF obj_t bgl_exit_mutex()
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 595 */
			return BGl_za2exitzd2mutexza2zd2zz__biglooz00;
		}
	}



/* &bigloo-exit-mutex */
	obj_t BGl_z62bigloozd2exitzd2mutexz62zz__biglooz00(obj_t BgL_envz00_2251)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 595 */
			return BGl_za2exitzd2mutexza2zd2zz__biglooz00;
		}
	}



/* register-exit-function! */
	BGL_EXPORTED_DEF obj_t BGl_registerzd2exitzd2functionz12z12zz__biglooz00(obj_t
		BgL_funz00_25)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 606 */
			{	/* Llib/bigloo.scm 607 */
				obj_t BgL_arg2050z00_1029;

				BgL_arg2050z00_1029 = BGl_za2exitzd2mutexza2zd2zz__biglooz00;
				{	/* Llib/thread.scm 202 */

					if ((((long) 0) == ((long) 0)))
						{	/* Llib/thread.scm 202 */
							bgl_mutex_lock(BgL_arg2050z00_1029);
						}
					else
						{	/* Llib/thread.scm 202 */
							bgl_mutex_timed_lock(BgL_arg2050z00_1029, ((long) 0));
			}}}
			if (PROCEDURE_CORRECT_ARITYP(BgL_funz00_25, (int) (((long) 1))))
				{	/* Llib/bigloo.scm 608 */
					BGl_za2bigloozd2exitzd2functionsza2z00zz__biglooz00 =
						MAKE_PAIR(BgL_funz00_25,
						BGl_za2bigloozd2exitzd2functionsza2z00zz__biglooz00);
				}
			else
				{	/* Llib/bigloo.scm 608 */
					BGl_errorz00zz__errorz00(BGl_string2541z00zz__biglooz00,
						BGl_string2542z00zz__biglooz00, BgL_funz00_25);
				}
			{	/* Llib/bigloo.scm 613 */
				obj_t BgL_arg2052z00_1033;

				BgL_arg2052z00_1033 = BGl_za2exitzd2mutexza2zd2zz__biglooz00;
				return BBOOL(bgl_mutex_unlock(BgL_arg2052z00_1033));
			}
		}
	}



/* &register-exit-function! */
	obj_t BGl_z62registerzd2exitzd2functionz12z70zz__biglooz00(obj_t
		BgL_envz00_2252, obj_t BgL_funz00_2253)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 606 */
			{	/* Llib/bigloo.scm 607 */
				obj_t BgL_auxz00_2763;

				if (PROCEDUREP(BgL_funz00_2253))
					{	/* Llib/bigloo.scm 607 */
						BgL_auxz00_2763 = BgL_funz00_2253;
					}
				else
					{
						obj_t BgL_auxz00_2766;

						BgL_auxz00_2766 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2518z00zz__biglooz00,
							BINT(((long) 22627)), BGl_string2543z00zz__biglooz00,
							BGl_string2522z00zz__biglooz00, BgL_funz00_2253);
						FAILURE(BgL_auxz00_2766, BFALSE, BFALSE);
					}
				return
					BGl_registerzd2exitzd2functionz12z12zz__biglooz00(BgL_auxz00_2763);
			}
		}
	}



/* bigloo-exit-apply */
	BGL_EXPORTED_DEF obj_t bigloo_exit_apply(obj_t BgL_valz00_26)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 618 */
			{	/* Llib/bigloo.scm 619 */
				obj_t BgL_mutz00_1034;

				{	/* Llib/bigloo.scm 619 */
					bool_t BgL_testz00_2771;

					{	/* Llib/bigloo.scm 619 */
						obj_t BgL_arg2059z00_1049;

						BgL_arg2059z00_1049 = BGl_za2exitzd2mutexza2zd2zz__biglooz00;
						{	/* Llib/bigloo.scm 619 */
							bool_t BgL_res2451z00_2007;

							BgL_res2451z00_2007 = BGL_MUTEXP(BgL_arg2059z00_1049);
							BgL_testz00_2771 = BgL_res2451z00_2007;
						}
					}
					if (BgL_testz00_2771)
						{	/* Llib/bigloo.scm 619 */
							BgL_mutz00_1034 = BGl_za2exitzd2mutexza2zd2zz__biglooz00;
						}
					else
						{	/* Llib/bigloo.scm 621 */
							obj_t BgL_res2452z00_2009;

							BgL_res2452z00_2009 =
								bgl_make_mutex(BGl_symbol2513z00zz__biglooz00);
							BgL_mutz00_1034 = BgL_res2452z00_2009;
						}
				}
				{	/* Llib/thread.scm 202 */

					if ((((long) 0) == ((long) 0)))
						{	/* Llib/thread.scm 202 */
							bgl_mutex_lock(BgL_mutz00_1034);
						}
					else
						{	/* Llib/thread.scm 202 */
							bgl_mutex_timed_lock(BgL_mutz00_1034, ((long) 0));
				}}
				{
					obj_t BgL_valz00_1038;

					BgL_valz00_1038 = BgL_valz00_26;
				BgL_zc3anonymousza32053ze3z83_1039:
					{	/* Llib/bigloo.scm 624 */
						obj_t BgL_valz00_1040;

						if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_valz00_1038))
							{	/* Llib/bigloo.scm 624 */
								BgL_valz00_1040 = BgL_valz00_1038;
							}
						else
							{	/* Llib/bigloo.scm 624 */
								BgL_valz00_1040 = BINT(((long) 0));
							}
						if (PAIRP(BGl_za2bigloozd2exitzd2functionsza2z00zz__biglooz00))
							{	/* Llib/bigloo.scm 628 */
								obj_t BgL_funz00_1042;

								BgL_funz00_1042 =
									CAR(BGl_za2bigloozd2exitzd2functionsza2z00zz__biglooz00);
								BGl_za2bigloozd2exitzd2functionsza2z00zz__biglooz00 =
									CDR(BGl_za2bigloozd2exitzd2functionsza2z00zz__biglooz00);
								{	/* Llib/bigloo.scm 630 */
									obj_t BgL_nvalz00_1043;

									BgL_nvalz00_1043 =
										PROCEDURE_ENTRY(BgL_funz00_1042) (BgL_funz00_1042,
										BgL_valz00_1040, BEOA);
									{	/* Llib/bigloo.scm 631 */
										obj_t BgL_arg2055z00_1044;

										if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
											(BgL_nvalz00_1043))
											{	/* Llib/bigloo.scm 631 */
												BgL_arg2055z00_1044 = BgL_nvalz00_1043;
											}
										else
											{	/* Llib/bigloo.scm 631 */
												BgL_arg2055z00_1044 = BgL_valz00_1040;
											}
										{
											obj_t BgL_valz00_2791;

											BgL_valz00_2791 = BgL_arg2055z00_1044;
											BgL_valz00_1038 = BgL_valz00_2791;
											goto BgL_zc3anonymousza32053ze3z83_1039;
										}
									}
								}
							}
						else
							{	/* Llib/bigloo.scm 627 */
								bgl_mutex_unlock(BgL_mutz00_1034);
								return BgL_valz00_1040;
							}
					}
				}
			}
		}
	}



/* &bigloo-exit-apply */
	obj_t BGl_z62bigloozd2exitzd2applyz62zz__biglooz00(obj_t BgL_envz00_2254,
		obj_t BgL_valz00_2255)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 618 */
			return bigloo_exit_apply(BgL_valz00_2255);
		}
	}



/* time */
	BGL_EXPORTED_DEF obj_t BGl_timez00zz__biglooz00(obj_t BgL_procz00_27)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 639 */
			if (PROCEDURE_CORRECT_ARITYP(BgL_procz00_27, (int) (((long) 0))))
				{	/* Llib/bigloo.scm 640 */
					return bgl_time(BgL_procz00_27);
				}
			else
				{	/* Llib/bigloo.scm 640 */
					return
						BGl_errorz00zz__errorz00(BGl_symbol2544z00zz__biglooz00,
						BGl_string2542z00zz__biglooz00, BgL_procz00_27);
				}
		}
	}



/* &time */
	obj_t BGl_z62timez62zz__biglooz00(obj_t BgL_envz00_2256,
		obj_t BgL_procz00_2257)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 639 */
			{	/* Llib/bigloo.scm 640 */
				obj_t BgL_auxz00_2799;

				if (PROCEDUREP(BgL_procz00_2257))
					{	/* Llib/bigloo.scm 640 */
						BgL_auxz00_2799 = BgL_procz00_2257;
					}
				else
					{
						obj_t BgL_auxz00_2802;

						BgL_auxz00_2802 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2518z00zz__biglooz00,
							BINT(((long) 23841)), BGl_string2546z00zz__biglooz00,
							BGl_string2522z00zz__biglooz00, BgL_procz00_2257);
						FAILURE(BgL_auxz00_2802, BFALSE, BFALSE);
					}
				return BGl_timez00zz__biglooz00(BgL_auxz00_2799);
			}
		}
	}



/* bmem-reset! */
	BGL_EXPORTED_DEF obj_t BGl_bmemzd2resetz12zc0zz__biglooz00()
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 651 */
			return bgl_bmem_reset();
		}
	}



/* &bmem-reset! */
	obj_t BGl_z62bmemzd2resetz12za2zz__biglooz00(obj_t BgL_envz00_2258)
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 651 */
			return bgl_bmem_reset();
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__biglooz00()
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 14 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__biglooz00()
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 14 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__biglooz00()
	{
		AN_OBJECT;
		{	/* Llib/bigloo.scm 14 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 173154212),
				BSTRING_TO_STRING(BGl_string2547z00zz__biglooz00));
			BGl_modulezd2initializa7ationz75zz__configurez00(((long) 507523616),
				BSTRING_TO_STRING(BGl_string2547z00zz__biglooz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 441709255),
				BSTRING_TO_STRING(BGl_string2547z00zz__biglooz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 23350734),
				BSTRING_TO_STRING(BGl_string2547z00zz__biglooz00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 220651073),
				BSTRING_TO_STRING(BGl_string2547z00zz__biglooz00));
			return
				BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 159639574),
				BSTRING_TO_STRING(BGl_string2547z00zz__biglooz00));
		}
	}

#ifdef __cplusplus
}
#endif
