/*===========================================================================*/
/*   (Llib/tvector.scm)                                                      */
/*   Bigloo (3.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 26 07:46:09 CEST 2011       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.7a -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Llib/tvector.scm -indent -o objs/obj_u/Llib/tvector.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	BGL_EXPORTED_DECL int BGl_tvectorzd2lengthzd2zz__tvectorz00(obj_t);
	static obj_t BGl_z62tvectorzd2refzb0zz__tvectorz00(obj_t, obj_t);
	static obj_t BGl_z62tvectorzf3z91zz__tvectorz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__tvectorz00 = BUNSPEC;
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t string_to_bstring(char *);
	BGL_EXPORTED_DECL obj_t BGl_vectorzd2ze3tvectorz31zz__tvectorz00(obj_t,
		obj_t);
	static obj_t BGl_z62vectorzd2ze3tvectorz53zz__tvectorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zz__tvectorz00();
	static obj_t BGl_z62getzd2tvectorzd2descriptorz62zz__tvectorz00(obj_t, obj_t);
	extern obj_t string_to_symbol(char *);
	extern obj_t create_struct(obj_t, int);
	extern obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zz__tvectorz00();
	static obj_t BGl_genericzd2initzd2zz__tvectorz00();
	extern long bgl_list_length(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_tvectorzd2ze3vectorz31zz__tvectorz00(obj_t);
	static obj_t BGl_z62tvectorzd2ze3vectorz53zz__tvectorz00(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__tvectorz00();
	BGL_EXPORTED_DECL obj_t BGl_declarezd2tvectorz12zc0zz__tvectorz00(char *,
		obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2243z00zz__tvectorz00 = BUNSPEC;
	static obj_t BGl_symbol2245z00zz__tvectorz00 = BUNSPEC;
	static obj_t BGl_symbol2247z00zz__tvectorz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_tvectorzd2refzd2zz__tvectorz00(obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_z62tvectorzd2lengthzb0zz__tvectorz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t get_tvector_descriptor(obj_t);
	static obj_t BGl_methodzd2initzd2zz__tvectorz00();
	BGL_EXPORTED_DECL bool_t BGl_tvectorzf3zf3zz__tvectorz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_listzd2ze3tvectorz31zz__tvectorz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_tvectorzd2idzd2zz__tvectorz00(obj_t);
	static obj_t BGl_z62declarezd2tvectorz12za2zz__tvectorz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_bigloozd2casezd2sensitivityz00zz__readerz00();
	extern obj_t BGl_stringzd2upcasezd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_z62tvectorzd2idzb0zz__tvectorz00(obj_t, obj_t);
	extern obj_t BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(obj_t);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_za2tvectorzd2tableza2zd2zz__tvectorz00 = BUNSPEC;
	static obj_t BGl_z62listzd2ze3tvectorz53zz__tvectorz00(obj_t, obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_tvectorzf3zd2envz21zz__tvectorz00,
		BgL_bgl_za762tvectorza7f3za7912265za7, BGl_z62tvectorzf3z91zz__tvectorz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_listzd2ze3tvectorzd2envze3zz__tvectorz00,
		BgL_bgl_za762listza7d2za7e3tve2266za7,
		BGl_z62listzd2ze3tvectorz53zz__tvectorz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2237z00zz__tvectorz00,
		BgL_bgl_string2237za700za7za7_2267za7,
		"/tmp/bigloo/runtime/Llib/tvector.scm", 36);
	      DEFINE_STRING(BGl_string2238z00zz__tvectorz00,
		BgL_bgl_string2238za700za7za7_2268za7, "&tvector-length", 15);
	      DEFINE_STRING(BGl_string2239z00zz__tvectorz00,
		BgL_bgl_string2239za700za7za7_2269za7, "tvector", 7);
	      DEFINE_STRING(BGl_string2240z00zz__tvectorz00,
		BgL_bgl_string2240za700za7za7_2270za7, "&tvector-id", 11);
	      DEFINE_STRING(BGl_string2241z00zz__tvectorz00,
		BgL_bgl_string2241za700za7za7_2271za7, "&get-tvector-descriptor", 23);
	      DEFINE_STRING(BGl_string2242z00zz__tvectorz00,
		BgL_bgl_string2242za700za7za7_2272za7, "symbol", 6);
	      DEFINE_STRING(BGl_string2244z00zz__tvectorz00,
		BgL_bgl_string2244za700za7za7_2273za7, "upcase", 6);
	      DEFINE_STRING(BGl_string2246z00zz__tvectorz00,
		BgL_bgl_string2246za700za7za7_2274za7, "downcase", 8);
	      DEFINE_STRING(BGl_string2248z00zz__tvectorz00,
		BgL_bgl_string2248za700za7za7_2275za7, "tvect-descr", 11);
	      DEFINE_STRING(BGl_string2249z00zz__tvectorz00,
		BgL_bgl_string2249za700za7za7_2276za7, "&declare-tvector!", 17);
	      DEFINE_STRING(BGl_string2250z00zz__tvectorz00,
		BgL_bgl_string2250za700za7za7_2277za7, "bstring", 7);
	      DEFINE_STRING(BGl_string2251z00zz__tvectorz00,
		BgL_bgl_string2251za700za7za7_2278za7, "procedure", 9);
	      DEFINE_STRING(BGl_string2252z00zz__tvectorz00,
		BgL_bgl_string2252za700za7za7_2279za7, "&tvector-ref", 12);
	      DEFINE_STRING(BGl_string2253z00zz__tvectorz00,
		BgL_bgl_string2253za700za7za7_2280za7, "list->tvector", 13);
	      DEFINE_STRING(BGl_string2254z00zz__tvectorz00,
		BgL_bgl_string2254za700za7za7_2281za7, "Unable to convert to such tvector",
		33);
	      DEFINE_STRING(BGl_string2255z00zz__tvectorz00,
		BgL_bgl_string2255za700za7za7_2282za7, "Undeclared tvector", 18);
	      DEFINE_STRING(BGl_string2256z00zz__tvectorz00,
		BgL_bgl_string2256za700za7za7_2283za7, "&list->tvector", 14);
	      DEFINE_STRING(BGl_string2257z00zz__tvectorz00,
		BgL_bgl_string2257za700za7za7_2284za7, "pair-nil", 8);
	      DEFINE_STRING(BGl_string2258z00zz__tvectorz00,
		BgL_bgl_string2258za700za7za7_2285za7, "vector->tvector", 15);
	      DEFINE_STRING(BGl_string2259z00zz__tvectorz00,
		BgL_bgl_string2259za700za7za7_2286za7, "&vector->tvector", 16);
	      DEFINE_STRING(BGl_string2260z00zz__tvectorz00,
		BgL_bgl_string2260za700za7za7_2287za7, "vector", 6);
	      DEFINE_STRING(BGl_string2261z00zz__tvectorz00,
		BgL_bgl_string2261za700za7za7_2288za7, "tvector->vector", 15);
	      DEFINE_STRING(BGl_string2262z00zz__tvectorz00,
		BgL_bgl_string2262za700za7za7_2289za7, "&tvector->vector", 16);
	      DEFINE_STRING(BGl_string2263z00zz__tvectorz00,
		BgL_bgl_string2263za700za7za7_2290za7, "__tvector", 9);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_vectorzd2ze3tvectorzd2envze3zz__tvectorz00,
		BgL_bgl_za762vectorza7d2za7e3t2291za7,
		BGl_z62vectorzd2ze3tvectorz53zz__tvectorz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_tvectorzd2lengthzd2envz00zz__tvectorz00,
		BgL_bgl_za762tvectorza7d2len2292z00,
		BGl_z62tvectorzd2lengthzb0zz__tvectorz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_tvectorzd2ze3vectorzd2envze3zz__tvectorz00,
		BgL_bgl_za762tvectorza7d2za7e32293za7,
		BGl_z62tvectorzd2ze3vectorz53zz__tvectorz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2tvectorzd2descriptorzd2envzd2zz__tvectorz00,
		BgL_bgl_za762getza7d2tvector2294z00,
		BGl_z62getzd2tvectorzd2descriptorz62zz__tvectorz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_declarezd2tvectorz12zd2envz12zz__tvectorz00,
		BgL_bgl_za762declareza7d2tve2295z00,
		BGl_z62declarezd2tvectorz12za2zz__tvectorz00, 0L, BUNSPEC, 4);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_tvectorzd2refzd2envz00zz__tvectorz00,
		BgL_bgl_za762tvectorza7d2ref2296z00, BGl_z62tvectorzd2refzb0zz__tvectorz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_tvectorzd2idzd2envz00zz__tvectorz00,
		BgL_bgl_za762tvectorza7d2idza72297za7, BGl_z62tvectorzd2idzb0zz__tvectorz00,
		0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long
		BgL_checksumz00_1751, char *BgL_fromz00_1752)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__tvectorz00))
				{
					BGl_requirezd2initializa7ationz75zz__tvectorz00 = BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__tvectorz00();
					BGl_importedzd2moduleszd2initz00zz__tvectorz00();
					BGl_toplevelzd2initzd2zz__tvectorz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__tvectorz00()
	{
		AN_OBJECT;
		{	/* Llib/tvector.scm 14 */
			BGl_symbol2243z00zz__tvectorz00 =
				bstring_to_symbol(BGl_string2244z00zz__tvectorz00);
			BGl_symbol2245z00zz__tvectorz00 =
				bstring_to_symbol(BGl_string2246z00zz__tvectorz00);
			return (BGl_symbol2247z00zz__tvectorz00 =
				bstring_to_symbol(BGl_string2248z00zz__tvectorz00), BUNSPEC);
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__tvectorz00()
	{
		AN_OBJECT;
		{	/* Llib/tvector.scm 14 */
			return (BGl_za2tvectorzd2tableza2zd2zz__tvectorz00 = BNIL, BUNSPEC);
		}
	}



/* tvector? */
	BGL_EXPORTED_DEF bool_t BGl_tvectorzf3zf3zz__tvectorz00(obj_t BgL_objz00_3)
	{
		AN_OBJECT;
		{	/* Llib/tvector.scm 91 */
			return TVECTORP(BgL_objz00_3);
		}
	}



/* &tvector? */
	obj_t BGl_z62tvectorzf3z91zz__tvectorz00(obj_t BgL_envz00_1696,
		obj_t BgL_objz00_1697)
	{
		AN_OBJECT;
		{	/* Llib/tvector.scm 91 */
			return BBOOL(TVECTORP(BgL_objz00_1697));
		}
	}



/* tvector-length */
	BGL_EXPORTED_DEF int BGl_tvectorzd2lengthzd2zz__tvectorz00(obj_t BgL_objz00_4)
	{
		AN_OBJECT;
		{	/* Llib/tvector.scm 97 */
			return TVECTOR_LENGTH(BgL_objz00_4);
		}
	}



/* &tvector-length */
	obj_t BGl_z62tvectorzd2lengthzb0zz__tvectorz00(obj_t BgL_envz00_1698,
		obj_t BgL_objz00_1699)
	{
		AN_OBJECT;
		{	/* Llib/tvector.scm 97 */
			{	/* Llib/tvector.scm 98 */
				int BgL_auxz00_1766;

				{	/* Llib/tvector.scm 98 */
					obj_t BgL_objz00_1743;

					if (TVECTORP(BgL_objz00_1699))
						{	/* Llib/tvector.scm 98 */
							BgL_objz00_1743 = BgL_objz00_1699;
						}
					else
						{
							obj_t BgL_auxz00_1769;

							BgL_auxz00_1769 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string2237z00zz__tvectorz00,
								BINT(((long) 3547)), BGl_string2238z00zz__tvectorz00,
								BGl_string2239z00zz__tvectorz00, BgL_objz00_1699);
							FAILURE(BgL_auxz00_1769, BFALSE, BFALSE);
						}
					BgL_auxz00_1766 = TVECTOR_LENGTH(BgL_objz00_1743);
				}
				return BINT(BgL_auxz00_1766);
			}
		}
	}



/* tvector-id */
	BGL_EXPORTED_DEF obj_t BGl_tvectorzd2idzd2zz__tvectorz00(obj_t BgL_tvectz00_5)
	{
		AN_OBJECT;
		{	/* Llib/tvector.scm 103 */
			return STRUCT_REF(TVECTOR_DESCR(BgL_tvectz00_5), (int) (((long) 0)));
		}
	}



/* &tvector-id */
	obj_t BGl_z62tvectorzd2idzb0zz__tvectorz00(obj_t BgL_envz00_1700,
		obj_t BgL_tvectz00_1701)
	{
		AN_OBJECT;
		{	/* Llib/tvector.scm 103 */
			{	/* Llib/tvector.scm 104 */
				obj_t BgL_auxz00_1778;

				if (TVECTORP(BgL_tvectz00_1701))
					{	/* Llib/tvector.scm 104 */
						BgL_auxz00_1778 = BgL_tvectz00_1701;
					}
				else
					{
						obj_t BgL_auxz00_1781;

						BgL_auxz00_1781 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2237z00zz__tvectorz00,
							BINT(((long) 3839)), BGl_string2240z00zz__tvectorz00,
							BGl_string2239z00zz__tvectorz00, BgL_tvectz00_1701);
						FAILURE(BgL_auxz00_1781, BFALSE, BFALSE);
					}
				return BGl_tvectorzd2idzd2zz__tvectorz00(BgL_auxz00_1778);
			}
		}
	}



/* get-tvector-descriptor */
	BGL_EXPORTED_DEF obj_t get_tvector_descriptor(obj_t BgL_idz00_24)
	{
		AN_OBJECT;
		{	/* Llib/tvector.scm 126 */
			if (NULLP(BGl_za2tvectorzd2tableza2zd2zz__tvectorz00))
				{	/* Llib/tvector.scm 127 */
					return BFALSE;
				}
			else
				{	/* Llib/tvector.scm 127 */
					obj_t BgL_cellz00_1326;

					BgL_cellz00_1326 =
						BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_idz00_24,
						BGl_za2tvectorzd2tableza2zd2zz__tvectorz00);
					if (PAIRP(BgL_cellz00_1326))
						{	/* Llib/tvector.scm 127 */
							return CDR(BgL_cellz00_1326);
						}
					else
						{	/* Llib/tvector.scm 127 */
							return BFALSE;
						}
				}
		}
	}



/* &get-tvector-descriptor */
	obj_t BGl_z62getzd2tvectorzd2descriptorz62zz__tvectorz00(obj_t
		BgL_envz00_1702, obj_t BgL_idz00_1703)
	{
		AN_OBJECT;
		{	/* Llib/tvector.scm 126 */
			{	/* Llib/tvector.scm 127 */
				obj_t BgL_auxz00_1792;

				if (SYMBOLP(BgL_idz00_1703))
					{	/* Llib/tvector.scm 127 */
						BgL_auxz00_1792 = BgL_idz00_1703;
					}
				else
					{
						obj_t BgL_auxz00_1795;

						BgL_auxz00_1795 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2237z00zz__tvectorz00,
							BINT(((long) 5090)), BGl_string2241z00zz__tvectorz00,
							BGl_string2242z00zz__tvectorz00, BgL_idz00_1703);
						FAILURE(BgL_auxz00_1795, BFALSE, BFALSE);
					}
				return get_tvector_descriptor(BgL_auxz00_1792);
			}
		}
	}



/* declare-tvector! */
	BGL_EXPORTED_DEF obj_t BGl_declarezd2tvectorz12zc0zz__tvectorz00(char
		*BgL_idz00_25, obj_t BgL_allocatez00_26, obj_t BgL_refz00_27,
		obj_t BgL_setz00_28)
	{
		AN_OBJECT;
		{	/* Llib/tvector.scm 140 */
			{	/* Llib/tvector.scm 141 */
				obj_t BgL_idz00_802;

				{	/* Llib/tvector.scm 141 */
					obj_t BgL_arg1904z00_807;

					{	/* Llib/tvector.scm 141 */
						obj_t BgL_casezd2valuezd2_808;

						BgL_casezd2valuezd2_808 =
							BGl_bigloozd2casezd2sensitivityz00zz__readerz00();
						if ((BgL_casezd2valuezd2_808 == BGl_symbol2243z00zz__tvectorz00))
							{	/* Llib/tvector.scm 141 */
								BgL_arg1904z00_807 =
									BGl_stringzd2upcasezd2zz__r4_strings_6_7z00(string_to_bstring
									(BgL_idz00_25));
							}
						else
							{	/* Llib/tvector.scm 141 */
								if (
									(BgL_casezd2valuezd2_808 == BGl_symbol2245z00zz__tvectorz00))
									{	/* Llib/tvector.scm 141 */
										BgL_arg1904z00_807 =
											BGl_stringzd2downcasezd2zz__r4_strings_6_7z00
											(string_to_bstring(BgL_idz00_25));
									}
								else
									{	/* Llib/tvector.scm 141 */
										BgL_arg1904z00_807 = string_to_bstring(BgL_idz00_25);
									}
							}
					}
					BgL_idz00_802 =
						string_to_symbol(BSTRING_TO_STRING(BgL_arg1904z00_807));
				}
				{	/* Llib/tvector.scm 141 */
					obj_t BgL_oldz00_803;

					if (NULLP(BGl_za2tvectorzd2tableza2zd2zz__tvectorz00))
						{	/* Llib/tvector.scm 148 */
							BgL_oldz00_803 = BFALSE;
						}
					else
						{	/* Llib/tvector.scm 148 */
							obj_t BgL_cellz00_1343;

							BgL_cellz00_1343 =
								BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_idz00_802,
								BGl_za2tvectorzd2tableza2zd2zz__tvectorz00);
							if (PAIRP(BgL_cellz00_1343))
								{	/* Llib/tvector.scm 148 */
									BgL_oldz00_803 = CDR(BgL_cellz00_1343);
								}
							else
								{	/* Llib/tvector.scm 148 */
									BgL_oldz00_803 = BFALSE;
								}
						}
					{	/* Llib/tvector.scm 148 */

						{	/* Llib/tvector.scm 149 */
							bool_t BgL_testz00_1818;

							if (STRUCTP(BgL_oldz00_803))
								{	/* Llib/tvector.scm 149 */
									BgL_testz00_1818 =
										(STRUCT_KEY(BgL_oldz00_803) ==
										BGl_symbol2247z00zz__tvectorz00);
								}
							else
								{	/* Llib/tvector.scm 149 */
									BgL_testz00_1818 = ((bool_t) 0);
								}
							if (BgL_testz00_1818)
								{	/* Llib/tvector.scm 149 */
									return BgL_oldz00_803;
								}
							else
								{	/* Llib/tvector.scm 150 */
									obj_t BgL_newz00_805;

									{	/* Llib/tvector.scm 150 */
										obj_t BgL_newz00_1361;

										BgL_newz00_1361 =
											create_struct(BGl_symbol2247z00zz__tvectorz00,
											(int) (((long) 4)));
										{	/* Llib/tvector.scm 150 */
											int BgL_auxz00_1825;

											BgL_auxz00_1825 = (int) (((long) 3));
											STRUCT_SET(BgL_newz00_1361, BgL_auxz00_1825,
												BgL_setz00_28);
										}
										{	/* Llib/tvector.scm 150 */
											int BgL_auxz00_1828;

											BgL_auxz00_1828 = (int) (((long) 2));
											STRUCT_SET(BgL_newz00_1361, BgL_auxz00_1828,
												BgL_refz00_27);
										}
										{	/* Llib/tvector.scm 150 */
											int BgL_auxz00_1831;

											BgL_auxz00_1831 = (int) (((long) 1));
											STRUCT_SET(BgL_newz00_1361, BgL_auxz00_1831,
												BgL_allocatez00_26);
										}
										{	/* Llib/tvector.scm 150 */
											int BgL_auxz00_1834;

											BgL_auxz00_1834 = (int) (((long) 0));
											STRUCT_SET(BgL_newz00_1361, BgL_auxz00_1834,
												BgL_idz00_802);
										}
										BgL_newz00_805 = BgL_newz00_1361;
									}
									{	/* Llib/tvector.scm 151 */
										obj_t BgL_arg1903z00_806;

										BgL_arg1903z00_806 =
											MAKE_PAIR(BgL_idz00_802, BgL_newz00_805);
										BGl_za2tvectorzd2tableza2zd2zz__tvectorz00 =
											MAKE_PAIR(BgL_arg1903z00_806,
											BGl_za2tvectorzd2tableza2zd2zz__tvectorz00);
									}
									return BgL_newz00_805;
								}
						}
					}
				}
			}
		}
	}



/* &declare-tvector! */
	obj_t BGl_z62declarezd2tvectorz12za2zz__tvectorz00(obj_t BgL_envz00_1704,
		obj_t BgL_idz00_1705, obj_t BgL_allocatez00_1706, obj_t BgL_refz00_1707,
		obj_t BgL_setz00_1708)
	{
		AN_OBJECT;
		{	/* Llib/tvector.scm 140 */
			{	/* Llib/tvector.scm 141 */
				obj_t BgL_auxz00_1848;
				char *BgL_auxz00_1839;

				if (PROCEDUREP(BgL_allocatez00_1706))
					{	/* Llib/tvector.scm 141 */
						BgL_auxz00_1848 = BgL_allocatez00_1706;
					}
				else
					{
						obj_t BgL_auxz00_1851;

						BgL_auxz00_1851 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2237z00zz__tvectorz00,
							BINT(((long) 5779)), BGl_string2249z00zz__tvectorz00,
							BGl_string2251z00zz__tvectorz00, BgL_allocatez00_1706);
						FAILURE(BgL_auxz00_1851, BFALSE, BFALSE);
					}
				{	/* Llib/tvector.scm 141 */
					obj_t BgL_auxz00_1840;

					if (STRINGP(BgL_idz00_1705))
						{	/* Llib/tvector.scm 141 */
							BgL_auxz00_1840 = BgL_idz00_1705;
						}
					else
						{
							obj_t BgL_auxz00_1843;

							BgL_auxz00_1843 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string2237z00zz__tvectorz00,
								BINT(((long) 5779)), BGl_string2249z00zz__tvectorz00,
								BGl_string2250z00zz__tvectorz00, BgL_idz00_1705);
							FAILURE(BgL_auxz00_1843, BFALSE, BFALSE);
						}
					BgL_auxz00_1839 = BSTRING_TO_STRING(BgL_auxz00_1840);
				}
				return
					BGl_declarezd2tvectorz12zc0zz__tvectorz00(BgL_auxz00_1839,
					BgL_auxz00_1848, BgL_refz00_1707, BgL_setz00_1708);
			}
		}
	}



/* tvector-ref */
	BGL_EXPORTED_DEF obj_t BGl_tvectorzd2refzd2zz__tvectorz00(obj_t
		BgL_tvectorz00_29)
	{
		AN_OBJECT;
		{	/* Llib/tvector.scm 158 */
			return STRUCT_REF(TVECTOR_DESCR(BgL_tvectorz00_29), (int) (((long) 2)));
		}
	}



/* &tvector-ref */
	obj_t BGl_z62tvectorzd2refzb0zz__tvectorz00(obj_t BgL_envz00_1709,
		obj_t BgL_tvectorz00_1710)
	{
		AN_OBJECT;
		{	/* Llib/tvector.scm 158 */
			{	/* Llib/tvector.scm 159 */
				obj_t BgL_auxz00_1859;

				if (TVECTORP(BgL_tvectorz00_1710))
					{	/* Llib/tvector.scm 159 */
						BgL_auxz00_1859 = BgL_tvectorz00_1710;
					}
				else
					{
						obj_t BgL_auxz00_1862;

						BgL_auxz00_1862 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2237z00zz__tvectorz00,
							BINT(((long) 6500)), BGl_string2252z00zz__tvectorz00,
							BGl_string2239z00zz__tvectorz00, BgL_tvectorz00_1710);
						FAILURE(BgL_auxz00_1862, BFALSE, BFALSE);
					}
				return BGl_tvectorzd2refzd2zz__tvectorz00(BgL_auxz00_1859);
			}
		}
	}



/* list->tvector */
	BGL_EXPORTED_DEF obj_t BGl_listzd2ze3tvectorz31zz__tvectorz00(obj_t
		BgL_idz00_30, obj_t BgL_lz00_31)
	{
		AN_OBJECT;
		{	/* Llib/tvector.scm 164 */
			{	/* Llib/tvector.scm 165 */
				obj_t BgL_descrz00_814;

				if (NULLP(BGl_za2tvectorzd2tableza2zd2zz__tvectorz00))
					{	/* Llib/tvector.scm 165 */
						BgL_descrz00_814 = BFALSE;
					}
				else
					{	/* Llib/tvector.scm 165 */
						obj_t BgL_cellz00_1388;

						BgL_cellz00_1388 =
							BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_idz00_30,
							BGl_za2tvectorzd2tableza2zd2zz__tvectorz00);
						if (PAIRP(BgL_cellz00_1388))
							{	/* Llib/tvector.scm 165 */
								BgL_descrz00_814 = CDR(BgL_cellz00_1388);
							}
						else
							{	/* Llib/tvector.scm 165 */
								BgL_descrz00_814 = BFALSE;
							}
					}
				if (CBOOL(BgL_descrz00_814))
					{	/* Llib/tvector.scm 168 */
						obj_t BgL_allocatez00_815;
						obj_t BgL_setz00_816;

						BgL_allocatez00_815 =
							STRUCT_REF(BgL_descrz00_814, (int) (((long) 1)));
						BgL_setz00_816 = STRUCT_REF(BgL_descrz00_814, (int) (((long) 3)));
						if (PROCEDUREP(BgL_setz00_816))
							{	/* Llib/tvector.scm 174 */
								long BgL_lenz00_818;

								BgL_lenz00_818 = bgl_list_length(BgL_lz00_31);
								{	/* Llib/tvector.scm 174 */
									obj_t BgL_tvecz00_819;

									BgL_tvecz00_819 =
										PROCEDURE_ENTRY(BgL_allocatez00_815) (BgL_allocatez00_815,
										BINT(BgL_lenz00_818), BEOA);
									{	/* Llib/tvector.scm 175 */

										{
											obj_t BgL_lz00_1428;
											long BgL_iz00_1429;

											BgL_lz00_1428 = BgL_lz00_31;
											BgL_iz00_1429 = ((long) 0);
										BgL_loopz00_1427:
											if (NULLP(BgL_lz00_1428))
												{	/* Llib/tvector.scm 176 */
													return BgL_tvecz00_819;
												}
											else
												{	/* Llib/tvector.scm 176 */
													{	/* Llib/tvector.scm 176 */
														obj_t BgL_arg1915z00_1435;

														BgL_arg1915z00_1435 = CAR(BgL_lz00_1428);
														PROCEDURE_ENTRY(BgL_setz00_816) (BgL_setz00_816,
															BgL_tvecz00_819, BINT(BgL_iz00_1429),
															BgL_arg1915z00_1435, BEOA);
													}
													{
														long BgL_iz00_1899;
														obj_t BgL_lz00_1897;

														BgL_lz00_1897 = CDR(BgL_lz00_1428);
														BgL_iz00_1899 = (BgL_iz00_1429 + ((long) 1));
														BgL_iz00_1429 = BgL_iz00_1899;
														BgL_lz00_1428 = BgL_lz00_1897;
														goto BgL_loopz00_1427;
													}
												}
										}
									}
								}
							}
						else
							{	/* Llib/tvector.scm 170 */
								return
									BGl_errorz00zz__errorz00(BGl_string2253z00zz__tvectorz00,
									BGl_string2254z00zz__tvectorz00, BgL_idz00_30);
							}
					}
				else
					{	/* Llib/tvector.scm 166 */
						return
							BGl_errorz00zz__errorz00(BGl_string2253z00zz__tvectorz00,
							BGl_string2255z00zz__tvectorz00, BgL_idz00_30);
					}
			}
		}
	}



/* &list->tvector */
	obj_t BGl_z62listzd2ze3tvectorz53zz__tvectorz00(obj_t BgL_envz00_1711,
		obj_t BgL_idz00_1712, obj_t BgL_lz00_1713)
	{
		AN_OBJECT;
		{	/* Llib/tvector.scm 164 */
			{	/* Llib/tvector.scm 165 */
				obj_t BgL_auxz00_1910;
				obj_t BgL_auxz00_1903;

				{	/* Llib/tvector.scm 165 */
					bool_t BgL_testz00_1911;

					if (PAIRP(BgL_lz00_1713))
						{	/* Llib/tvector.scm 165 */
							BgL_testz00_1911 = ((bool_t) 1);
						}
					else
						{	/* Llib/tvector.scm 165 */
							BgL_testz00_1911 = NULLP(BgL_lz00_1713);
						}
					if (BgL_testz00_1911)
						{	/* Llib/tvector.scm 165 */
							BgL_auxz00_1910 = BgL_lz00_1713;
						}
					else
						{
							obj_t BgL_auxz00_1915;

							BgL_auxz00_1915 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string2237z00zz__tvectorz00,
								BINT(((long) 6801)), BGl_string2256z00zz__tvectorz00,
								BGl_string2257z00zz__tvectorz00, BgL_lz00_1713);
							FAILURE(BgL_auxz00_1915, BFALSE, BFALSE);
				}}
				if (SYMBOLP(BgL_idz00_1712))
					{	/* Llib/tvector.scm 165 */
						BgL_auxz00_1903 = BgL_idz00_1712;
					}
				else
					{
						obj_t BgL_auxz00_1906;

						BgL_auxz00_1906 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2237z00zz__tvectorz00,
							BINT(((long) 6801)), BGl_string2256z00zz__tvectorz00,
							BGl_string2242z00zz__tvectorz00, BgL_idz00_1712);
						FAILURE(BgL_auxz00_1906, BFALSE, BFALSE);
					}
				return
					BGl_listzd2ze3tvectorz31zz__tvectorz00(BgL_auxz00_1903,
					BgL_auxz00_1910);
			}
		}
	}



/* vector->tvector */
	BGL_EXPORTED_DEF obj_t BGl_vectorzd2ze3tvectorz31zz__tvectorz00(obj_t
		BgL_idz00_32, obj_t BgL_vz00_33)
	{
		AN_OBJECT;
		{	/* Llib/tvector.scm 187 */
			{	/* Llib/tvector.scm 188 */
				obj_t BgL_descrz00_829;

				if (NULLP(BGl_za2tvectorzd2tableza2zd2zz__tvectorz00))
					{	/* Llib/tvector.scm 188 */
						BgL_descrz00_829 = BFALSE;
					}
				else
					{	/* Llib/tvector.scm 188 */
						obj_t BgL_cellz00_1447;

						BgL_cellz00_1447 =
							BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_idz00_32,
							BGl_za2tvectorzd2tableza2zd2zz__tvectorz00);
						if (PAIRP(BgL_cellz00_1447))
							{	/* Llib/tvector.scm 188 */
								BgL_descrz00_829 = CDR(BgL_cellz00_1447);
							}
						else
							{	/* Llib/tvector.scm 188 */
								BgL_descrz00_829 = BFALSE;
							}
					}
				if (CBOOL(BgL_descrz00_829))
					{	/* Llib/tvector.scm 191 */
						obj_t BgL_allocatez00_830;
						obj_t BgL_setz00_831;

						BgL_allocatez00_830 =
							STRUCT_REF(BgL_descrz00_829, (int) (((long) 1)));
						BgL_setz00_831 = STRUCT_REF(BgL_descrz00_829, (int) (((long) 3)));
						if (PROCEDUREP(BgL_setz00_831))
							{	/* Llib/tvector.scm 197 */
								int BgL_lenz00_833;

								BgL_lenz00_833 = VECTOR_LENGTH(BgL_vz00_33);
								{	/* Llib/tvector.scm 197 */
									obj_t BgL_tvecz00_834;

									BgL_tvecz00_834 =
										PROCEDURE_ENTRY(BgL_allocatez00_830) (BgL_allocatez00_830,
										BINT(BgL_lenz00_833), BEOA);
									{	/* Llib/tvector.scm 198 */

										{	/* Llib/tvector.scm 199 */
											long BgL_g1827z00_835;

											BgL_g1827z00_835 = ((long) (BgL_lenz00_833) - ((long) 1));
											{
												long BgL_iz00_837;

												BgL_iz00_837 = BgL_g1827z00_835;
											BgL_zc3anonymousza31920ze3z83_838:
												if ((BgL_iz00_837 == ((long) -1)))
													{	/* Llib/tvector.scm 200 */
														return BgL_tvecz00_834;
													}
												else
													{	/* Llib/tvector.scm 200 */
														{	/* Llib/tvector.scm 203 */
															obj_t BgL_arg1922z00_840;

															BgL_arg1922z00_840 =
																VECTOR_REF(BgL_vz00_33, (int) (BgL_iz00_837));
															PROCEDURE_ENTRY(BgL_setz00_831) (BgL_setz00_831,
																BgL_tvecz00_834, BINT(BgL_iz00_837),
																BgL_arg1922z00_840, BEOA);
														}
														{
															long BgL_iz00_1953;

															BgL_iz00_1953 = (BgL_iz00_837 - ((long) 1));
															BgL_iz00_837 = BgL_iz00_1953;
															goto BgL_zc3anonymousza31920ze3z83_838;
														}
													}
											}
										}
									}
								}
							}
						else
							{	/* Llib/tvector.scm 193 */
								return
									BGl_errorz00zz__errorz00(BGl_string2258z00zz__tvectorz00,
									BGl_string2254z00zz__tvectorz00, BgL_idz00_32);
							}
					}
				else
					{	/* Llib/tvector.scm 189 */
						return
							BGl_errorz00zz__errorz00(BGl_string2258z00zz__tvectorz00,
							BGl_string2255z00zz__tvectorz00, BgL_idz00_32);
					}
			}
		}
	}



/* &vector->tvector */
	obj_t BGl_z62vectorzd2ze3tvectorz53zz__tvectorz00(obj_t BgL_envz00_1714,
		obj_t BgL_idz00_1715, obj_t BgL_vz00_1716)
	{
		AN_OBJECT;
		{	/* Llib/tvector.scm 187 */
			{	/* Llib/tvector.scm 188 */
				obj_t BgL_auxz00_1964;
				obj_t BgL_auxz00_1957;

				if (VECTORP(BgL_vz00_1716))
					{	/* Llib/tvector.scm 188 */
						BgL_auxz00_1964 = BgL_vz00_1716;
					}
				else
					{
						obj_t BgL_auxz00_1967;

						BgL_auxz00_1967 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2237z00zz__tvectorz00,
							BINT(((long) 7596)), BGl_string2259z00zz__tvectorz00,
							BGl_string2260z00zz__tvectorz00, BgL_vz00_1716);
						FAILURE(BgL_auxz00_1967, BFALSE, BFALSE);
					}
				if (SYMBOLP(BgL_idz00_1715))
					{	/* Llib/tvector.scm 188 */
						BgL_auxz00_1957 = BgL_idz00_1715;
					}
				else
					{
						obj_t BgL_auxz00_1960;

						BgL_auxz00_1960 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2237z00zz__tvectorz00,
							BINT(((long) 7596)), BGl_string2259z00zz__tvectorz00,
							BGl_string2242z00zz__tvectorz00, BgL_idz00_1715);
						FAILURE(BgL_auxz00_1960, BFALSE, BFALSE);
					}
				return
					BGl_vectorzd2ze3tvectorz31zz__tvectorz00(BgL_auxz00_1957,
					BgL_auxz00_1964);
			}
		}
	}



/* tvector->vector */
	BGL_EXPORTED_DEF obj_t BGl_tvectorzd2ze3vectorz31zz__tvectorz00(obj_t
		BgL_tvz00_34)
	{
		AN_OBJECT;
		{	/* Llib/tvector.scm 209 */
			{	/* Llib/tvector.scm 210 */
				obj_t BgL_descrz00_843;

				BgL_descrz00_843 = TVECTOR_DESCR(BgL_tvz00_34);
				{	/* Llib/tvector.scm 211 */
					obj_t BgL_refz00_845;

					BgL_refz00_845 = STRUCT_REF(BgL_descrz00_843, (int) (((long) 2)));
					if (PROCEDUREP(BgL_refz00_845))
						{	/* Llib/tvector.scm 217 */
							int BgL_lenz00_847;

							BgL_lenz00_847 = TVECTOR_LENGTH(BgL_tvz00_34);
							{	/* Llib/tvector.scm 217 */
								obj_t BgL_vecz00_848;

								BgL_vecz00_848 = create_vector(BgL_lenz00_847);
								{	/* Llib/tvector.scm 218 */

									{	/* Llib/tvector.scm 219 */
										long BgL_g1828z00_849;

										BgL_g1828z00_849 = ((long) (BgL_lenz00_847) - ((long) 1));
										{
											long BgL_iz00_851;

											BgL_iz00_851 = BgL_g1828z00_849;
										BgL_zc3anonymousza31925ze3z83_852:
											if ((BgL_iz00_851 == ((long) -1)))
												{	/* Llib/tvector.scm 220 */
													return BgL_vecz00_848;
												}
											else
												{	/* Llib/tvector.scm 220 */
													{	/* Llib/tvector.scm 223 */
														obj_t BgL_arg1928z00_854;

														BgL_arg1928z00_854 =
															PROCEDURE_ENTRY(BgL_refz00_845) (BgL_refz00_845,
															BgL_tvz00_34, BINT(BgL_iz00_851), BEOA);
														VECTOR_SET(BgL_vecz00_848, (int) (BgL_iz00_851),
															BgL_arg1928z00_854);
													}
													{
														long BgL_iz00_1991;

														BgL_iz00_1991 = (BgL_iz00_851 - ((long) 1));
														BgL_iz00_851 = BgL_iz00_1991;
														goto BgL_zc3anonymousza31925ze3z83_852;
													}
												}
										}
									}
								}
							}
						}
					else
						{	/* Llib/tvector.scm 213 */
							return
								BGl_errorz00zz__errorz00(BGl_string2261z00zz__tvectorz00,
								BGl_string2254z00zz__tvectorz00, STRUCT_REF(BgL_descrz00_843,
									(int) (((long) 0))));
		}}}}
	}



/* &tvector->vector */
	obj_t BGl_z62tvectorzd2ze3vectorz53zz__tvectorz00(obj_t BgL_envz00_1717,
		obj_t BgL_tvz00_1718)
	{
		AN_OBJECT;
		{	/* Llib/tvector.scm 209 */
			{	/* Llib/tvector.scm 210 */
				obj_t BgL_auxz00_1996;

				if (TVECTORP(BgL_tvz00_1718))
					{	/* Llib/tvector.scm 210 */
						BgL_auxz00_1996 = BgL_tvz00_1718;
					}
				else
					{
						obj_t BgL_auxz00_1999;

						BgL_auxz00_1999 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2237z00zz__tvectorz00,
							BINT(((long) 8389)), BGl_string2262z00zz__tvectorz00,
							BGl_string2239z00zz__tvectorz00, BgL_tvz00_1718);
						FAILURE(BgL_auxz00_1999, BFALSE, BFALSE);
					}
				return BGl_tvectorzd2ze3vectorz31zz__tvectorz00(BgL_auxz00_1996);
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__tvectorz00()
	{
		AN_OBJECT;
		{	/* Llib/tvector.scm 14 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__tvectorz00()
	{
		AN_OBJECT;
		{	/* Llib/tvector.scm 14 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__tvectorz00()
	{
		AN_OBJECT;
		{	/* Llib/tvector.scm 14 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 173154212),
				BSTRING_TO_STRING(BGl_string2263z00zz__tvectorz00));
			BGl_modulezd2initializa7ationz75zz__hashz00(((long) 165255872),
				BSTRING_TO_STRING(BGl_string2263z00zz__tvectorz00));
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 471073147),
				BSTRING_TO_STRING(BGl_string2263z00zz__tvectorz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 441709255),
				BSTRING_TO_STRING(BGl_string2263z00zz__tvectorz00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 159639574),
				BSTRING_TO_STRING(BGl_string2263z00zz__tvectorz00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string2263z00zz__tvectorz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 23350734),
				BSTRING_TO_STRING(BGl_string2263z00zz__tvectorz00));
			return
				BGl_modulezd2initializa7ationz75zz__threadz00(((long) 220651073),
				BSTRING_TO_STRING(BGl_string2263z00zz__tvectorz00));
		}
	}

#ifdef __cplusplus
}
#endif
