/*===========================================================================*/
/*   (Rgc/rgctree.scm)                                                       */
/*   Bigloo (3.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 26 07:46:09 CEST 2011       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.7a -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Rgc/rgctree.scm -indent -o objs/obj_u/Rgc/rgctree.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	static long BGl_regularzd2treezd2positionzd2numberzd2zz__rgc_treez00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_orzd2ze3nodez31zz__rgc_treez00(obj_t);
	static obj_t BGl_z62zc3anonymousza31985ze3ze1zz__rgc_treez00(obj_t, obj_t);
	extern obj_t BGl_forzd2eachzd2rgcsetz00zz__rgc_setz00(obj_t, obj_t);
	static obj_t BGl_treezd2ze3nodez31zz__rgc_treez00(obj_t);
	extern obj_t bgl_display_obj(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_regularzd2treezd2ze3nodeze3zz__rgc_treez00(obj_t);
	static obj_t BGl_toplevelzd2initzd2zz__rgc_treez00();
	static obj_t BGl_genericzd2initzd2zz__rgc_treez00();
	static obj_t BGl_za2currentzd2positionza2zd2zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_za2submatchesza2z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_initzd2positionsz12zc0zz__rgc_treez00();
	extern obj_t bstring_to_symbol(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_resetzd2treez12zc0zz__rgc_treez00();
	extern obj_t make_vector(int, obj_t);
	static obj_t BGl_methodzd2initzd2zz__rgc_treez00();
	static obj_t BGl_za2positionsza2z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_list2341z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_list2344z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_list2345z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_list2348z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_list2353z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_sequencezd2ze3nodez31zz__rgc_treez00(obj_t);
	static obj_t BGl_list2356z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_list2357z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_list2360z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_list2363z00zz__rgc_treez00 = BUNSPEC;
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_list2366z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_list2369z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_list2373z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_list2376z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_list2379z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_za2positionzd2numberza2zd2zz__rgc_treez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_printzd2nodezd2zz__rgc_treez00(obj_t);
	static obj_t BGl_z62or2zd2ze3nodez53zz__rgc_treez00(obj_t, obj_t, obj_t);
	static obj_t BGl_list2382z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_list2383z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_z62resetzd2treez12za2zz__rgc_treez00(obj_t);
	static obj_t BGl_initzd2followposz12zc0zz__rgc_treez00();
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__rgc_treez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__rgc_configz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__rgc_setz00(long, char *);
	static obj_t BGl_submatchzd2stopzd2addz12z12zz__rgc_treez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62printzd2nodezb0zz__rgc_treez00(obj_t, obj_t);
	static obj_t BGl_submatchzd2startzd2addz12z12zz__rgc_treez00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_rgcsetzd2addz12zc0zz__rgc_setz00(obj_t, long);
	extern obj_t create_struct(obj_t, int);
	static obj_t BGl_cnstzd2initzd2zz__rgc_treez00();
	static obj_t BGl_z62regularzd2treezd2ze3nodez81zz__rgc_treez00(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__rgc_treez00();
	static obj_t BGl_za2followposza2z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_submatchzd2ze3nodez31zz__rgc_treez00(obj_t);
	static obj_t BGl_binaryzd2ze3nodez31zz__rgc_treez00(obj_t, obj_t);
	static obj_t BGl_symbol2321z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_integerzd2ze3nodez31zz__rgc_treez00(obj_t);
	static obj_t BGl_symbol2323z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_symbol2325z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_symbol2327z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_symbol2329z00zz__rgc_treez00 = BUNSPEC;
	extern obj_t BGl_rgcsetzd2orz12zc0zz__rgc_setz00(obj_t, obj_t);
	static obj_t BGl_symbol2331z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_symbol2333z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_symbol2342z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_z62sequence2zd2ze3nodez53zz__rgc_treez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol2346z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_symbol2349z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_loopz00zz__rgc_treez00(obj_t, obj_t);
	static obj_t BGl_symbol2351z00zz__rgc_treez00 = BUNSPEC;
	static long BGl_loopz72z72zz__rgc_treez00(obj_t, long);
	static obj_t BGl_symbol2354z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_symbol2358z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_symbol2361z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_symbol2364z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_symbol2367z00zz__rgc_treez00 = BUNSPEC;
	extern obj_t BGl_rgcsetzd2orzd2zz__rgc_setz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31964ze3ze1zz__rgc_treez00(obj_t, obj_t);
	static obj_t BGl_symbol2370z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_symbol2374z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_symbol2377z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza31973ze3ze1zz__rgc_treez00(obj_t, obj_t);
	static obj_t BGl_za2zd2ze3nodez93zz__rgc_treez00(obj_t);
	static obj_t BGl_symbol2380z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_symbol2384z00zz__rgc_treez00 = BUNSPEC;
	static obj_t BGl_symbol2387z00zz__rgc_treez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_printzd2followposzd2zz__rgc_treez00(obj_t);
	static obj_t BGl_z62printzd2followposzb0zz__rgc_treez00(obj_t, obj_t);
	extern obj_t BGl_makezd2rgcsetzd2zz__rgc_setz00(long);
	static obj_t BGl_z62zc3anonymousza31983ze3ze1zz__rgc_treez00(obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_regularzd2treezd2ze3nodezd2envz31zz__rgc_treez00,
		BgL_bgl_za762regularza7d2tre2390z00,
		BGl_z62regularzd2treezd2ze3nodez81zz__rgc_treez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2322z00zz__rgc_treez00,
		BgL_bgl_string2322za700za7za7_2391za7, "epsilon", 7);
	      DEFINE_STRING(BGl_string2324z00zz__rgc_treez00,
		BgL_bgl_string2324za700za7za7_2392za7, "node", 4);
	      DEFINE_STRING(BGl_string2326z00zz__rgc_treez00,
		BgL_bgl_string2326za700za7za7_2393za7, "or", 2);
	      DEFINE_STRING(BGl_string2328z00zz__rgc_treez00,
		BgL_bgl_string2328za700za7za7_2394za7, "sequence", 8);
	      DEFINE_STRING(BGl_string2330z00zz__rgc_treez00,
		BgL_bgl_string2330za700za7za7_2395za7, "*", 1);
	      DEFINE_STRING(BGl_string2332z00zz__rgc_treez00,
		BgL_bgl_string2332za700za7za7_2396za7, "submatch", 8);
	      DEFINE_STRING(BGl_string2334z00zz__rgc_treez00,
		BgL_bgl_string2334za700za7za7_2397za7, "bol", 3);
	      DEFINE_STRING(BGl_string2335z00zz__rgc_treez00,
		BgL_bgl_string2335za700za7za7_2398za7, "RGC:Unknown function", 20);
	      DEFINE_STRING(BGl_string2336z00zz__rgc_treez00,
		BgL_bgl_string2336za700za7za7_2399za7, "RGC:Illegal tree", 16);
	      DEFINE_STRING(BGl_string2339z00zz__rgc_treez00,
		BgL_bgl_string2339za700za7za7_2400za7,
		"========= FOLLOWPOS ==============================", 50);
	      DEFINE_STRING(BGl_string2340z00zz__rgc_treez00,
		BgL_bgl_string2340za700za7za7_2401za7, "number of pos: ", 15);
	      DEFINE_STRING(BGl_string2343z00zz__rgc_treez00,
		BgL_bgl_string2343za700za7za7_2402za7, "let", 3);
	      DEFINE_BGL_L_PROCEDURE(BGl_proc2337z00zz__rgc_treez00,
		BgL_bgl_za762or2za7d2za7e3node2403za7,
		BGl_z62or2zd2ze3nodez53zz__rgc_treez00);
	      DEFINE_BGL_L_PROCEDURE(BGl_proc2338z00zz__rgc_treez00,
		BgL_bgl_za762sequence2za7d2za72404za7,
		BGl_z62sequence2zd2ze3nodez53zz__rgc_treez00);
	      DEFINE_STRING(BGl_string2347z00zz__rgc_treez00,
		BgL_bgl_string2347za700za7za7_2405za7, "sz", 2);
	      DEFINE_STRING(BGl_string2350z00zz__rgc_treez00,
		BgL_bgl_string2350za700za7za7_2406za7, "vector-length", 13);
	      DEFINE_STRING(BGl_string2352z00zz__rgc_treez00,
		BgL_bgl_string2352za700za7za7_2407za7, "fp", 2);
	      DEFINE_STRING(BGl_string2355z00zz__rgc_treez00,
		BgL_bgl_string2355za700za7za7_2408za7, "loop", 4);
	      DEFINE_STRING(BGl_string2359z00zz__rgc_treez00,
		BgL_bgl_string2359za700za7za7_2409za7, "i", 1);
	      DEFINE_STRING(BGl_string2362z00zz__rgc_treez00,
		BgL_bgl_string2362za700za7za7_2410za7, "if", 2);
	      DEFINE_STRING(BGl_string2365z00zz__rgc_treez00,
		BgL_bgl_string2365za700za7za7_2411za7, "<fx", 3);
	      DEFINE_STRING(BGl_string2368z00zz__rgc_treez00,
		BgL_bgl_string2368za700za7za7_2412za7, "begin", 5);
	      DEFINE_STRING(BGl_string2371z00zz__rgc_treez00,
		BgL_bgl_string2371za700za7za7_2413za7, "print", 5);
	      DEFINE_STRING(BGl_string2372z00zz__rgc_treez00,
		BgL_bgl_string2372za700za7za7_2414za7, ": ", 2);
	      DEFINE_STRING(BGl_string2375z00zz__rgc_treez00,
		BgL_bgl_string2375za700za7za7_2415za7, "reverse", 7);
	      DEFINE_STRING(BGl_string2378z00zz__rgc_treez00,
		BgL_bgl_string2378za700za7za7_2416za7, "rgcset->list", 12);
	      DEFINE_STRING(BGl_string2381z00zz__rgc_treez00,
		BgL_bgl_string2381za700za7za7_2417za7, "vector-ref", 10);
	      DEFINE_STRING(BGl_string2385z00zz__rgc_treez00,
		BgL_bgl_string2385za700za7za7_2418za7, "+fx", 3);
	      DEFINE_STRING(BGl_string2386z00zz__rgc_treez00,
		BgL_bgl_string2386za700za7za7_2419za7,
		"==================================================", 50);
	      DEFINE_STRING(BGl_string2388z00zz__rgc_treez00,
		BgL_bgl_string2388za700za7za7_2420za7, "blop", 4);
	      DEFINE_STRING(BGl_string2389z00zz__rgc_treez00,
		BgL_bgl_string2389za700za7za7_2421za7, "__rgc_tree", 10);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_resetzd2treez12zd2envz12zz__rgc_treez00,
		BgL_bgl_za762resetza7d2treeza72422za7,
		BGl_z62resetzd2treez12za2zz__rgc_treez00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_printzd2nodezd2envz00zz__rgc_treez00,
		BgL_bgl_za762printza7d2nodeza72423za7,
		BGl_z62printzd2nodezb0zz__rgc_treez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_printzd2followposzd2envz00zz__rgc_treez00,
		BgL_bgl_za762printza7d2follo2424z00,
		BGl_z62printzd2followposzb0zz__rgc_treez00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__rgc_treez00(long
		BgL_checksumz00_2094, char *BgL_fromz00_2095)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__rgc_treez00))
				{
					BGl_requirezd2initializa7ationz75zz__rgc_treez00 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__rgc_treez00();
					BGl_importedzd2moduleszd2initz00zz__rgc_treez00();
					BGl_toplevelzd2initzd2zz__rgc_treez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__rgc_treez00()
	{
		AN_OBJECT;
		{	/* Rgc/rgctree.scm 14 */
			BGl_symbol2321z00zz__rgc_treez00 =
				bstring_to_symbol(BGl_string2322z00zz__rgc_treez00);
			BGl_symbol2323z00zz__rgc_treez00 =
				bstring_to_symbol(BGl_string2324z00zz__rgc_treez00);
			BGl_symbol2325z00zz__rgc_treez00 =
				bstring_to_symbol(BGl_string2326z00zz__rgc_treez00);
			BGl_symbol2327z00zz__rgc_treez00 =
				bstring_to_symbol(BGl_string2328z00zz__rgc_treez00);
			BGl_symbol2329z00zz__rgc_treez00 =
				bstring_to_symbol(BGl_string2330z00zz__rgc_treez00);
			BGl_symbol2331z00zz__rgc_treez00 =
				bstring_to_symbol(BGl_string2332z00zz__rgc_treez00);
			BGl_symbol2333z00zz__rgc_treez00 =
				bstring_to_symbol(BGl_string2334z00zz__rgc_treez00);
			BGl_symbol2342z00zz__rgc_treez00 =
				bstring_to_symbol(BGl_string2343z00zz__rgc_treez00);
			BGl_symbol2346z00zz__rgc_treez00 =
				bstring_to_symbol(BGl_string2347z00zz__rgc_treez00);
			BGl_symbol2349z00zz__rgc_treez00 =
				bstring_to_symbol(BGl_string2350z00zz__rgc_treez00);
			BGl_symbol2351z00zz__rgc_treez00 =
				bstring_to_symbol(BGl_string2352z00zz__rgc_treez00);
			BGl_list2348z00zz__rgc_treez00 =
				MAKE_PAIR(BGl_symbol2349z00zz__rgc_treez00,
				MAKE_PAIR(BGl_symbol2351z00zz__rgc_treez00, BNIL));
			BGl_list2345z00zz__rgc_treez00 =
				MAKE_PAIR(BGl_symbol2346z00zz__rgc_treez00,
				MAKE_PAIR(BGl_list2348z00zz__rgc_treez00, BNIL));
			BGl_list2344z00zz__rgc_treez00 =
				MAKE_PAIR(BGl_list2345z00zz__rgc_treez00, BNIL);
			BGl_symbol2354z00zz__rgc_treez00 =
				bstring_to_symbol(BGl_string2355z00zz__rgc_treez00);
			BGl_symbol2358z00zz__rgc_treez00 =
				bstring_to_symbol(BGl_string2359z00zz__rgc_treez00);
			BGl_list2357z00zz__rgc_treez00 =
				MAKE_PAIR(BGl_symbol2358z00zz__rgc_treez00,
				MAKE_PAIR(BINT(((long) 0)), BNIL));
			BGl_list2356z00zz__rgc_treez00 =
				MAKE_PAIR(BGl_list2357z00zz__rgc_treez00, BNIL);
			BGl_symbol2361z00zz__rgc_treez00 =
				bstring_to_symbol(BGl_string2362z00zz__rgc_treez00);
			BGl_symbol2364z00zz__rgc_treez00 =
				bstring_to_symbol(BGl_string2365z00zz__rgc_treez00);
			BGl_list2363z00zz__rgc_treez00 =
				MAKE_PAIR(BGl_symbol2364z00zz__rgc_treez00,
				MAKE_PAIR(BGl_symbol2358z00zz__rgc_treez00,
					MAKE_PAIR(BGl_symbol2346z00zz__rgc_treez00, BNIL)));
			BGl_symbol2367z00zz__rgc_treez00 =
				bstring_to_symbol(BGl_string2368z00zz__rgc_treez00);
			BGl_symbol2370z00zz__rgc_treez00 =
				bstring_to_symbol(BGl_string2371z00zz__rgc_treez00);
			BGl_symbol2374z00zz__rgc_treez00 =
				bstring_to_symbol(BGl_string2375z00zz__rgc_treez00);
			BGl_symbol2377z00zz__rgc_treez00 =
				bstring_to_symbol(BGl_string2378z00zz__rgc_treez00);
			BGl_symbol2380z00zz__rgc_treez00 =
				bstring_to_symbol(BGl_string2381z00zz__rgc_treez00);
			BGl_list2379z00zz__rgc_treez00 =
				MAKE_PAIR(BGl_symbol2380z00zz__rgc_treez00,
				MAKE_PAIR(BGl_symbol2351z00zz__rgc_treez00,
					MAKE_PAIR(BGl_symbol2358z00zz__rgc_treez00, BNIL)));
			BGl_list2376z00zz__rgc_treez00 =
				MAKE_PAIR(BGl_symbol2377z00zz__rgc_treez00,
				MAKE_PAIR(BGl_list2379z00zz__rgc_treez00, BNIL));
			BGl_list2373z00zz__rgc_treez00 =
				MAKE_PAIR(BGl_symbol2374z00zz__rgc_treez00,
				MAKE_PAIR(BGl_list2376z00zz__rgc_treez00, BNIL));
			BGl_list2369z00zz__rgc_treez00 =
				MAKE_PAIR(BGl_symbol2370z00zz__rgc_treez00,
				MAKE_PAIR(BGl_symbol2358z00zz__rgc_treez00,
					MAKE_PAIR(BGl_string2372z00zz__rgc_treez00,
						MAKE_PAIR(BGl_list2373z00zz__rgc_treez00, BNIL))));
			BGl_symbol2384z00zz__rgc_treez00 =
				bstring_to_symbol(BGl_string2385z00zz__rgc_treez00);
			BGl_list2383z00zz__rgc_treez00 =
				MAKE_PAIR(BGl_symbol2384z00zz__rgc_treez00,
				MAKE_PAIR(BGl_symbol2358z00zz__rgc_treez00,
					MAKE_PAIR(BINT(((long) 1)), BNIL)));
			BGl_list2382z00zz__rgc_treez00 =
				MAKE_PAIR(BGl_symbol2354z00zz__rgc_treez00,
				MAKE_PAIR(BGl_list2383z00zz__rgc_treez00, BNIL));
			BGl_list2366z00zz__rgc_treez00 =
				MAKE_PAIR(BGl_symbol2367z00zz__rgc_treez00,
				MAKE_PAIR(BGl_list2369z00zz__rgc_treez00,
					MAKE_PAIR(BGl_list2382z00zz__rgc_treez00, BNIL)));
			BGl_list2360z00zz__rgc_treez00 =
				MAKE_PAIR(BGl_symbol2361z00zz__rgc_treez00,
				MAKE_PAIR(BGl_list2363z00zz__rgc_treez00,
					MAKE_PAIR(BGl_list2366z00zz__rgc_treez00, BNIL)));
			BGl_list2353z00zz__rgc_treez00 =
				MAKE_PAIR(BGl_symbol2342z00zz__rgc_treez00,
				MAKE_PAIR(BGl_symbol2354z00zz__rgc_treez00,
					MAKE_PAIR(BGl_list2356z00zz__rgc_treez00,
						MAKE_PAIR(BGl_list2360z00zz__rgc_treez00, BNIL))));
			BGl_list2341z00zz__rgc_treez00 =
				MAKE_PAIR(BGl_symbol2342z00zz__rgc_treez00,
				MAKE_PAIR(BGl_list2344z00zz__rgc_treez00,
					MAKE_PAIR(BGl_list2353z00zz__rgc_treez00, BNIL)));
			return (BGl_symbol2387z00zz__rgc_treez00 =
				bstring_to_symbol(BGl_string2388z00zz__rgc_treez00), BUNSPEC);
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__rgc_treez00()
	{
		AN_OBJECT;
		{	/* Rgc/rgctree.scm 14 */
			BGl_za2positionzd2numberza2zd2zz__rgc_treez00 = BUNSPEC;
			BGl_za2positionsza2z00zz__rgc_treez00 = BUNSPEC;
			BGl_za2submatchesza2z00zz__rgc_treez00 = BUNSPEC;
			BGl_za2currentzd2positionza2zd2zz__rgc_treez00 = BUNSPEC;
			return (BGl_za2followposza2z00zz__rgc_treez00 = BUNSPEC, BUNSPEC);
		}
	}



/* regular-tree->node */
	BGL_EXPORTED_DEF obj_t BGl_regularzd2treezd2ze3nodeze3zz__rgc_treez00(obj_t
		BgL_treez00_17)
	{
		AN_OBJECT;
		{	/* Rgc/rgctree.scm 57 */
			BGl_za2positionzd2numberza2zd2zz__rgc_treez00 =
				BINT(BGl_regularzd2treezd2positionzd2numberzd2zz__rgc_treez00
				(BgL_treez00_17));
			BGl_initzd2positionsz12zc0zz__rgc_treez00();
			BGl_initzd2followposz12zc0zz__rgc_treez00();
			{	/* Rgc/rgctree.scm 65 */
				obj_t BgL_treez00_822;

				BgL_treez00_822 = BGl_treezd2ze3nodez31zz__rgc_treez00(BgL_treez00_17);
				{	/* Rgc/rgctree.scm 67 */
					obj_t BgL_val1_1855z00_824;
					obj_t BgL_val2_1856z00_825;
					obj_t BgL_val3_1857z00_826;

					BgL_val1_1855z00_824 = BGl_za2followposza2z00zz__rgc_treez00;
					BgL_val2_1856z00_825 = BGl_za2positionsza2z00zz__rgc_treez00;
					BgL_val3_1857z00_826 = BGl_za2submatchesza2z00zz__rgc_treez00;
					{	/* Rgc/rgctree.scm 67 */
						int BgL_res2254z00_1448;

						{	/* Rgc/rgctree.scm 67 */
							int BgL_auxz00_2171;

							BgL_auxz00_2171 = (int) (((long) 4));
							BgL_res2254z00_1448 = BGL_MVALUES_NUMBER_SET(BgL_auxz00_2171);
						} BgL_res2254z00_1448;
					}
					{	/* Rgc/rgctree.scm 67 */
						int BgL_auxz00_2174;

						BgL_auxz00_2174 = (int) (((long) 1));
						BGL_MVALUES_VAL_SET(BgL_auxz00_2174, BgL_val1_1855z00_824);
					}
					{	/* Rgc/rgctree.scm 67 */
						int BgL_auxz00_2177;

						BgL_auxz00_2177 = (int) (((long) 2));
						BGL_MVALUES_VAL_SET(BgL_auxz00_2177, BgL_val2_1856z00_825);
					}
					{	/* Rgc/rgctree.scm 67 */
						int BgL_auxz00_2180;

						BgL_auxz00_2180 = (int) (((long) 3));
						BGL_MVALUES_VAL_SET(BgL_auxz00_2180, BgL_val3_1857z00_826);
					}
					return BgL_treez00_822;
				}
			}
		}
	}



/* &regular-tree->node */
	obj_t BGl_z62regularzd2treezd2ze3nodez81zz__rgc_treez00(obj_t BgL_envz00_2056,
		obj_t BgL_treez00_2057)
	{
		AN_OBJECT;
		{	/* Rgc/rgctree.scm 57 */
			return BGl_regularzd2treezd2ze3nodeze3zz__rgc_treez00(BgL_treez00_2057);
		}
	}



/* regular-tree-position-number */
	long BGl_regularzd2treezd2positionzd2numberzd2zz__rgc_treez00(obj_t
		BgL_treez00_18)
	{
		AN_OBJECT;
		{	/* Rgc/rgctree.scm 83 */
			return BGl_loopz72z72zz__rgc_treez00(BgL_treez00_18, ((long) 0));
		}
	}



/* loop' */
	long BGl_loopz72z72zz__rgc_treez00(obj_t BgL_treez00_828, long BgL_numz00_829)
	{
		AN_OBJECT;
		{	/* Rgc/rgctree.scm 84 */
		BGl_loopz72z72zz__rgc_treez00:
			if (NULLP(BgL_treez00_828))
				{	/* Rgc/rgctree.scm 87 */
					return BgL_numz00_829;
				}
			else
				{	/* Rgc/rgctree.scm 89 */
					bool_t BgL_testz00_2187;

					{	/* Rgc/rgctree.scm 89 */
						obj_t BgL_auxz00_2188;

						BgL_auxz00_2188 = CAR(BgL_treez00_828);
						BgL_testz00_2187 = PAIRP(BgL_auxz00_2188);
					}
					if (BgL_testz00_2187)
						{
							long BgL_numz00_2193;
							obj_t BgL_treez00_2191;

							BgL_treez00_2191 = CDR(BgL_treez00_828);
							BgL_numz00_2193 =
								BGl_loopz72z72zz__rgc_treez00(CAR(BgL_treez00_828),
								BgL_numz00_829);
							BgL_numz00_829 = BgL_numz00_2193;
							BgL_treez00_828 = BgL_treez00_2191;
							goto BGl_loopz72z72zz__rgc_treez00;
						}
					else
						{	/* Rgc/rgctree.scm 89 */
							if (INTEGERP(CAR(BgL_treez00_828)))
								{
									long BgL_numz00_2201;
									obj_t BgL_treez00_2199;

									BgL_treez00_2199 = CDR(BgL_treez00_828);
									BgL_numz00_2201 = (BgL_numz00_829 + ((long) 1));
									BgL_numz00_829 = BgL_numz00_2201;
									BgL_treez00_828 = BgL_treez00_2199;
									goto BGl_loopz72z72zz__rgc_treez00;
								}
							else
								{
									obj_t BgL_treez00_2203;

									BgL_treez00_2203 = CDR(BgL_treez00_828);
									BgL_treez00_828 = BgL_treez00_2203;
									goto BGl_loopz72z72zz__rgc_treez00;
								}
						}
				}
		}
	}



/* init-positions! */
	obj_t BGl_initzd2positionsz12zc0zz__rgc_treez00()
	{
		AN_OBJECT;
		{	/* Rgc/rgctree.scm 99 */
			BGl_za2currentzd2positionza2zd2zz__rgc_treez00 = BINT(((long) -1));
			BGl_za2positionsza2z00zz__rgc_treez00 =
				make_vector(CINT(BGl_za2positionzd2numberza2zd2zz__rgc_treez00),
				BINT(((long) -1)));
			return (BGl_za2submatchesza2z00zz__rgc_treez00 =
				make_vector(CINT(BGl_za2positionzd2numberza2zd2zz__rgc_treez00), BNIL),
				BUNSPEC);
		}
	}



/* tree->node */
	obj_t BGl_treezd2ze3nodez31zz__rgc_treez00(obj_t BgL_treez00_20)
	{
		AN_OBJECT;
		{	/* Rgc/rgctree.scm 120 */
			if (INTEGERP(BgL_treez00_20))
				{	/* Rgc/rgctree.scm 122 */
					return BGl_integerzd2ze3nodez31zz__rgc_treez00(BgL_treez00_20);
				}
			else
				{	/* Rgc/rgctree.scm 122 */
					if ((BgL_treez00_20 == BGl_symbol2321z00zz__rgc_treez00))
						{	/* Rgc/rgctree.scm 125 */
							obj_t BgL_firstposz00_1479;
							obj_t BgL_lastposz00_1480;

							BgL_firstposz00_1479 =
								BGl_makezd2rgcsetzd2zz__rgc_setz00(
								(long) CINT(BGl_za2positionzd2numberza2zd2zz__rgc_treez00));
							BgL_lastposz00_1480 =
								BGl_makezd2rgcsetzd2zz__rgc_setz00(
								(long) CINT(BGl_za2positionzd2numberza2zd2zz__rgc_treez00));
							{	/* Rgc/rgctree.scm 125 */
								obj_t BgL_newz00_1484;

								BgL_newz00_1484 =
									create_struct(BGl_symbol2323z00zz__rgc_treez00,
									(int) (((long) 3)));
								{	/* Rgc/rgctree.scm 125 */
									int BgL_auxz00_2222;

									BgL_auxz00_2222 = (int) (((long) 2));
									STRUCT_SET(BgL_newz00_1484, BgL_auxz00_2222, BTRUE);
								}
								{	/* Rgc/rgctree.scm 125 */
									int BgL_auxz00_2225;

									BgL_auxz00_2225 = (int) (((long) 1));
									STRUCT_SET(BgL_newz00_1484, BgL_auxz00_2225,
										BgL_lastposz00_1480);
								}
								{	/* Rgc/rgctree.scm 125 */
									int BgL_auxz00_2228;

									BgL_auxz00_2228 = (int) (((long) 0));
									STRUCT_SET(BgL_newz00_1484, BgL_auxz00_2228,
										BgL_firstposz00_1479);
								}
								return BgL_newz00_1484;
							}
						}
					else
						{	/* Rgc/rgctree.scm 124 */
							if (PAIRP(BgL_treez00_20))
								{	/* Rgc/rgctree.scm 129 */
									obj_t BgL_casezd2valuezd2_846;

									BgL_casezd2valuezd2_846 = CAR(BgL_treez00_20);
									if (
										(BgL_casezd2valuezd2_846 ==
											BGl_symbol2325z00zz__rgc_treez00))
										{	/* Rgc/rgctree.scm 129 */
											return
												BGl_orzd2ze3nodez31zz__rgc_treez00(CDR(BgL_treez00_20));
										}
									else
										{	/* Rgc/rgctree.scm 129 */
											if (
												(BgL_casezd2valuezd2_846 ==
													BGl_symbol2327z00zz__rgc_treez00))
												{	/* Rgc/rgctree.scm 129 */
													return
														BGl_sequencezd2ze3nodez31zz__rgc_treez00(CDR
														(BgL_treez00_20));
												}
											else
												{	/* Rgc/rgctree.scm 129 */
													if (
														(BgL_casezd2valuezd2_846 ==
															BGl_symbol2329z00zz__rgc_treez00))
														{	/* Rgc/rgctree.scm 129 */
															return
																BGl_za2zd2ze3nodez93zz__rgc_treez00(CAR(CDR
																	(BgL_treez00_20)));
														}
													else
														{	/* Rgc/rgctree.scm 129 */
															if (
																(BgL_casezd2valuezd2_846 ==
																	BGl_symbol2331z00zz__rgc_treez00))
																{	/* Rgc/rgctree.scm 129 */
																	return
																		BGl_submatchzd2ze3nodez31zz__rgc_treez00(CDR
																		(BgL_treez00_20));
																}
															else
																{	/* Rgc/rgctree.scm 129 */
																	if (
																		(BgL_casezd2valuezd2_846 ==
																			BGl_symbol2333z00zz__rgc_treez00))
																		{	/* Rgc/rgctree.scm 134 */
																			obj_t BgL_arg1946z00_856;

																			BgL_arg1946z00_856 = CDR(BgL_treez00_20);
																			{	/* Rgc/rgctree.scm 134 */
																				obj_t BgL_nodez00_1527;

																				BgL_nodez00_1527 =
																					BGl_treezd2ze3nodez31zz__rgc_treez00
																					(BgL_arg1946z00_856);
																				{	/* Rgc/rgctree.scm 134 */
																					obj_t BgL_firstposz00_1528;

																					BgL_firstposz00_1528 =
																						STRUCT_REF(BgL_nodez00_1527,
																						(int) (((long) 0)));
																					{	/* Rgc/rgctree.scm 134 */
																						obj_t BgL_lastposz00_1529;

																						BgL_lastposz00_1529 =
																							STRUCT_REF(BgL_nodez00_1527,
																							(int) (((long) 1)));
																						{	/* Rgc/rgctree.scm 134 */

																							return
																								PROCEDURE_ENTRY
																								(BgL_nodez00_1527)
																								(BgL_nodez00_1527,
																								BgL_firstposz00_1528,
																								BgL_lastposz00_1529, BFALSE,
																								BEOA);
																						}
																					}
																				}
																			}
																		}
																	else
																		{	/* Rgc/rgctree.scm 129 */
																			return
																				BGl_errorz00zz__errorz00(BFALSE,
																				BGl_string2335z00zz__rgc_treez00,
																				BgL_treez00_20);
																		}
																}
														}
												}
										}
								}
							else
								{	/* Rgc/rgctree.scm 126 */
									return
										BGl_errorz00zz__errorz00(BFALSE,
										BGl_string2336z00zz__rgc_treez00, BgL_treez00_20);
								}
						}
				}
		}
	}



/* integer->node */
	obj_t BGl_integerzd2ze3nodez31zz__rgc_treez00(obj_t BgL_treez00_21)
	{
		AN_OBJECT;
		{	/* Rgc/rgctree.scm 140 */
			{	/* Rgc/rgctree.scm 141 */
				obj_t BgL_positionz00_857;
				obj_t BgL_firstposz00_858;
				obj_t BgL_lastposz00_859;

				{	/* Rgc/rgctree.scm 141 */
					long BgL_za71za7_1537;

					BgL_za71za7_1537 =
						(long) CINT(BGl_za2currentzd2positionza2zd2zz__rgc_treez00);
					BGl_za2currentzd2positionza2zd2zz__rgc_treez00 =
						BINT((BgL_za71za7_1537 + ((long) 1)));
				}
				VECTOR_SET(BGl_za2positionsza2z00zz__rgc_treez00,
					CINT(BGl_za2currentzd2positionza2zd2zz__rgc_treez00), BgL_treez00_21);
				BgL_positionz00_857 = BGl_za2currentzd2positionza2zd2zz__rgc_treez00;
				BgL_firstposz00_858 =
					BGl_makezd2rgcsetzd2zz__rgc_setz00(
					(long) CINT(BGl_za2positionzd2numberza2zd2zz__rgc_treez00));
				BgL_lastposz00_859 =
					BGl_makezd2rgcsetzd2zz__rgc_setz00(
					(long) CINT(BGl_za2positionzd2numberza2zd2zz__rgc_treez00));
				BGl_rgcsetzd2addz12zc0zz__rgc_setz00(BgL_firstposz00_858,
					(long) CINT(BgL_positionz00_857));
				BGl_rgcsetzd2addz12zc0zz__rgc_setz00(BgL_lastposz00_859,
					(long) CINT(BgL_positionz00_857));
				{	/* Rgc/rgctree.scm 146 */
					obj_t BgL_newz00_1546;

					BgL_newz00_1546 =
						create_struct(BGl_symbol2323z00zz__rgc_treez00, (int) (((long) 3)));
					{	/* Rgc/rgctree.scm 146 */
						int BgL_auxz00_2282;

						BgL_auxz00_2282 = (int) (((long) 2));
						STRUCT_SET(BgL_newz00_1546, BgL_auxz00_2282, BFALSE);
					}
					{	/* Rgc/rgctree.scm 146 */
						int BgL_auxz00_2285;

						BgL_auxz00_2285 = (int) (((long) 1));
						STRUCT_SET(BgL_newz00_1546, BgL_auxz00_2285, BgL_lastposz00_859);
					}
					{	/* Rgc/rgctree.scm 146 */
						int BgL_auxz00_2288;

						BgL_auxz00_2288 = (int) (((long) 0));
						STRUCT_SET(BgL_newz00_1546, BgL_auxz00_2288, BgL_firstposz00_858);
					}
					return BgL_newz00_1546;
				}
			}
		}
	}



/* binary->node */
	obj_t BGl_binaryzd2ze3nodez31zz__rgc_treez00(obj_t BgL_binzd2opzd2_23,
		obj_t BgL_tsz00_24)
	{
		AN_OBJECT;
		{	/* Rgc/rgctree.scm 159 */
			if (NULLP(BgL_tsz00_24))
				{	/* Rgc/rgctree.scm 160 */
					return
						BGl_treezd2ze3nodez31zz__rgc_treez00
						(BGl_symbol2321z00zz__rgc_treez00);
				}
			else
				{	/* Rgc/rgctree.scm 160 */
					return BGl_loopz00zz__rgc_treez00(BgL_binzd2opzd2_23, BgL_tsz00_24);
				}
		}
	}



/* loop */
	obj_t BGl_loopz00zz__rgc_treez00(obj_t BgL_binzd2opzd2_2090,
		obj_t BgL_tsz00_864)
	{
		AN_OBJECT;
		{	/* Rgc/rgctree.scm 162 */
			if (NULLP(CDR(BgL_tsz00_864)))
				{	/* Rgc/rgctree.scm 163 */
					return BGl_treezd2ze3nodez31zz__rgc_treez00(CAR(BgL_tsz00_864));
				}
			else
				{	/* Rgc/rgctree.scm 165 */
					obj_t BgL_arg1951z00_868;
					obj_t BgL_arg1952z00_869;

					BgL_arg1951z00_868 =
						BGl_treezd2ze3nodez31zz__rgc_treez00(CAR(BgL_tsz00_864));
					BgL_arg1952z00_869 =
						BGl_loopz00zz__rgc_treez00(BgL_binzd2opzd2_2090,
						CDR(BgL_tsz00_864));
					return
						(PROCEDURE_L_ENTRY(BgL_binzd2opzd2_2090)) (BgL_binzd2opzd2_2090,
						BgL_arg1951z00_868, BgL_arg1952z00_869);
				}
		}
	}



/* or->node */
	obj_t BGl_orzd2ze3nodez31zz__rgc_treez00(obj_t BgL_tsz00_25)
	{
		AN_OBJECT;
		{	/* Rgc/rgctree.scm 170 */
			return
				BGl_binaryzd2ze3nodez31zz__rgc_treez00(BGl_proc2337z00zz__rgc_treez00,
				BgL_tsz00_25);
		}
	}



/* &or2->node */
	obj_t BGl_z62or2zd2ze3nodez53zz__rgc_treez00(obj_t BgL_envz00_2059,
		obj_t BgL_n1z00_2060, obj_t BgL_n2z00_2061)
	{
		AN_OBJECT;
		{	/* Rgc/rgctree.scm 175 */
			{
				obj_t BgL_n1z00_875;
				obj_t BgL_n2z00_876;

				BgL_n1z00_875 = BgL_n1z00_2060;
				BgL_n2z00_876 = BgL_n2z00_2061;
				{	/* Rgc/rgctree.scm 172 */
					obj_t BgL_firstposz00_878;

					BgL_firstposz00_878 =
						BGl_rgcsetzd2orzd2zz__rgc_setz00(STRUCT_REF(BgL_n1z00_875,
							(int) (((long) 0))),
						STRUCT_REF(BgL_n2z00_876, (int) (((long) 0))));
					{	/* Rgc/rgctree.scm 172 */
						obj_t BgL_lastposz00_879;

						BgL_lastposz00_879 =
							BGl_rgcsetzd2orzd2zz__rgc_setz00(STRUCT_REF(BgL_n1z00_875,
								(int) (((long) 1))),
							STRUCT_REF(BgL_n2z00_876, (int) (((long) 1))));
						{	/* Rgc/rgctree.scm 173 */
							obj_t BgL_nullablezf3zf3_880;

							{	/* Rgc/rgctree.scm 174 */
								obj_t BgL__ortest_1826z00_881;

								BgL__ortest_1826z00_881 =
									STRUCT_REF(BgL_n1z00_875, (int) (((long) 2)));
								if (CBOOL(BgL__ortest_1826z00_881))
									{	/* Rgc/rgctree.scm 174 */
										BgL_nullablezf3zf3_880 = BgL__ortest_1826z00_881;
									}
								else
									{	/* Rgc/rgctree.scm 174 */
										BgL_nullablezf3zf3_880 =
											STRUCT_REF(BgL_n2z00_876, (int) (((long) 2)));
							}}
							{	/* Rgc/rgctree.scm 174 */

								{	/* Rgc/rgctree.scm 175 */
									obj_t BgL_newz00_1612;

									BgL_newz00_1612 =
										create_struct(BGl_symbol2323z00zz__rgc_treez00,
										(int) (((long) 3)));
									{	/* Rgc/rgctree.scm 175 */
										int BgL_auxz00_2328;

										BgL_auxz00_2328 = (int) (((long) 2));
										STRUCT_SET(BgL_newz00_1612, BgL_auxz00_2328,
											BgL_nullablezf3zf3_880);
									}
									{	/* Rgc/rgctree.scm 175 */
										int BgL_auxz00_2331;

										BgL_auxz00_2331 = (int) (((long) 1));
										STRUCT_SET(BgL_newz00_1612, BgL_auxz00_2331,
											BgL_lastposz00_879);
									}
									{	/* Rgc/rgctree.scm 175 */
										int BgL_auxz00_2334;

										BgL_auxz00_2334 = (int) (((long) 0));
										STRUCT_SET(BgL_newz00_1612, BgL_auxz00_2334,
											BgL_firstposz00_878);
									}
									return BgL_newz00_1612;
								}
							}
						}
					}
				}
			}
		}
	}



/* sequence->node */
	obj_t BGl_sequencezd2ze3nodez31zz__rgc_treez00(obj_t BgL_tsz00_26)
	{
		AN_OBJECT;
		{	/* Rgc/rgctree.scm 181 */
			return
				BGl_binaryzd2ze3nodez31zz__rgc_treez00(BGl_proc2338z00zz__rgc_treez00,
				BgL_tsz00_26);
		}
	}



/* &sequence2->node */
	obj_t BGl_z62sequence2zd2ze3nodez53zz__rgc_treez00(obj_t BgL_envz00_2064,
		obj_t BgL_n1z00_2065, obj_t BgL_n2z00_2066)
	{
		AN_OBJECT;
		{	/* Rgc/rgctree.scm 195 */
			{
				obj_t BgL_n1z00_888;
				obj_t BgL_n2z00_889;

				BgL_n1z00_888 = BgL_n1z00_2065;
				BgL_n2z00_889 = BgL_n2z00_2066;
				{	/* Rgc/rgctree.scm 183 */
					obj_t BgL_firstposz00_891;
					obj_t BgL_lastposz00_892;
					obj_t BgL_nullablezf3zf3_893;

					{	/* Rgc/rgctree.scm 183 */
						bool_t BgL_testz00_2338;

						{	/* Rgc/rgctree.scm 183 */
							obj_t BgL_sz00_1629;

							BgL_sz00_1629 = BgL_n1z00_888;
							BgL_testz00_2338 =
								CBOOL(STRUCT_REF(BgL_sz00_1629, (int) (((long) 2))));
						}
						if (BgL_testz00_2338)
							{	/* Rgc/rgctree.scm 183 */
								BgL_firstposz00_891 =
									BGl_rgcsetzd2orzd2zz__rgc_setz00(STRUCT_REF(BgL_n1z00_888,
										(int) (((long) 0))),
									STRUCT_REF(BgL_n2z00_889, (int) (((long) 0))));
							}
						else
							{	/* Rgc/rgctree.scm 183 */
								BgL_firstposz00_891 =
									STRUCT_REF(BgL_n1z00_888, (int) (((long) 0)));
					}}
					{	/* Rgc/rgctree.scm 186 */
						bool_t BgL_testz00_2349;

						{	/* Rgc/rgctree.scm 186 */
							obj_t BgL_sz00_1641;

							BgL_sz00_1641 = BgL_n2z00_889;
							BgL_testz00_2349 =
								CBOOL(STRUCT_REF(BgL_sz00_1641, (int) (((long) 2))));
						}
						if (BgL_testz00_2349)
							{	/* Rgc/rgctree.scm 186 */
								BgL_lastposz00_892 =
									BGl_rgcsetzd2orzd2zz__rgc_setz00(STRUCT_REF(BgL_n1z00_888,
										(int) (((long) 1))),
									STRUCT_REF(BgL_n2z00_889, (int) (((long) 1))));
							}
						else
							{	/* Rgc/rgctree.scm 186 */
								BgL_lastposz00_892 =
									STRUCT_REF(BgL_n2z00_889, (int) (((long) 1)));
					}}
					{	/* Rgc/rgctree.scm 189 */
						bool_t BgL_testz00_2360;

						{	/* Rgc/rgctree.scm 189 */
							obj_t BgL_sz00_1653;

							BgL_sz00_1653 = BgL_n2z00_889;
							BgL_testz00_2360 =
								CBOOL(STRUCT_REF(BgL_sz00_1653, (int) (((long) 2))));
						}
						if (BgL_testz00_2360)
							{	/* Rgc/rgctree.scm 189 */
								BgL_nullablezf3zf3_893 =
									STRUCT_REF(BgL_n1z00_888, (int) (((long) 2)));
							}
						else
							{	/* Rgc/rgctree.scm 189 */
								BgL_nullablezf3zf3_893 = BFALSE;
							}
					}
					{	/* Rgc/rgctree.scm 191 */
						obj_t BgL_arg1963z00_895;

						BgL_arg1963z00_895 = STRUCT_REF(BgL_n1z00_888, (int) (((long) 1)));
						{	/* Rgc/rgctree.scm 192 */
							obj_t BgL_zc3anonymousza31964ze3z83_2062;

							BgL_zc3anonymousza31964ze3z83_2062 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3anonymousza31964ze3ze1zz__rgc_treez00,
								(int) (((long) 1)), (int) (((long) 1)));
							PROCEDURE_SET(BgL_zc3anonymousza31964ze3z83_2062,
								(int) (((long) 0)), BgL_n2z00_889);
							BGl_forzd2eachzd2rgcsetz00zz__rgc_setz00
								(BgL_zc3anonymousza31964ze3z83_2062, BgL_arg1963z00_895);
					}}
					{	/* Rgc/rgctree.scm 195 */
						obj_t BgL_newz00_1673;

						BgL_newz00_1673 =
							create_struct(BGl_symbol2323z00zz__rgc_treez00,
							(int) (((long) 3)));
						{	/* Rgc/rgctree.scm 195 */
							int BgL_auxz00_2376;

							BgL_auxz00_2376 = (int) (((long) 2));
							STRUCT_SET(BgL_newz00_1673, BgL_auxz00_2376,
								BgL_nullablezf3zf3_893);
						}
						{	/* Rgc/rgctree.scm 195 */
							int BgL_auxz00_2379;

							BgL_auxz00_2379 = (int) (((long) 1));
							STRUCT_SET(BgL_newz00_1673, BgL_auxz00_2379, BgL_lastposz00_892);
						}
						{	/* Rgc/rgctree.scm 195 */
							int BgL_auxz00_2382;

							BgL_auxz00_2382 = (int) (((long) 0));
							STRUCT_SET(BgL_newz00_1673, BgL_auxz00_2382, BgL_firstposz00_891);
						}
						return BgL_newz00_1673;
					}
				}
			}
		}
	}



/* &<anonymous:1964> */
	obj_t BGl_z62zc3anonymousza31964ze3ze1zz__rgc_treez00(obj_t BgL_envz00_2067,
		obj_t BgL_iz00_2069)
	{
		AN_OBJECT;
		{	/* Rgc/rgctree.scm 191 */
			{	/* Rgc/rgctree.scm 192 */
				obj_t BgL_n2z00_2068;

				BgL_n2z00_2068 = PROCEDURE_REF(BgL_envz00_2067, (int) (((long) 0)));
				{
					obj_t BgL_iz00_896;

					BgL_iz00_896 = BgL_iz00_2069;
					{	/* Rgc/rgctree.scm 192 */
						obj_t BgL_arg1965z00_1661;

						BgL_arg1965z00_1661 =
							STRUCT_REF(BgL_n2z00_2068, (int) (((long) 0)));
						return
							BGl_rgcsetzd2orz12zc0zz__rgc_setz00(VECTOR_REF
							(BGl_za2followposza2z00zz__rgc_treez00, CINT(BgL_iz00_896)),
							BgL_arg1965z00_1661);
					}
				}
			}
		}
	}



/* *->node */
	obj_t BGl_za2zd2ze3nodez93zz__rgc_treez00(obj_t BgL_exprz00_27)
	{
		AN_OBJECT;
		{	/* Rgc/rgctree.scm 201 */
			{	/* Rgc/rgctree.scm 202 */
				obj_t BgL_subzd2nodezd2_908;

				BgL_subzd2nodezd2_908 =
					BGl_treezd2ze3nodez31zz__rgc_treez00(BgL_exprz00_27);
				{	/* Rgc/rgctree.scm 202 */
					obj_t BgL_firstposz00_909;

					BgL_firstposz00_909 =
						STRUCT_REF(BgL_subzd2nodezd2_908, (int) (((long) 0)));
					{	/* Rgc/rgctree.scm 203 */
						obj_t BgL_lastposz00_910;

						BgL_lastposz00_910 =
							STRUCT_REF(BgL_subzd2nodezd2_908, (int) (((long) 1)));
						{	/* Rgc/rgctree.scm 204 */

							{	/* Rgc/rgctree.scm 207 */
								obj_t BgL_zc3anonymousza31973ze3z83_2070;

								BgL_zc3anonymousza31973ze3z83_2070 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza31973ze3ze1zz__rgc_treez00,
									(int) (((long) 1)), (int) (((long) 1)));
								PROCEDURE_SET(BgL_zc3anonymousza31973ze3z83_2070,
									(int) (((long) 0)), BgL_firstposz00_909);
								BGl_forzd2eachzd2rgcsetz00zz__rgc_setz00
									(BgL_zc3anonymousza31973ze3z83_2070, BgL_lastposz00_910);
							}
							{	/* Rgc/rgctree.scm 210 */
								obj_t BgL_newz00_1703;

								BgL_newz00_1703 =
									create_struct(BGl_symbol2323z00zz__rgc_treez00,
									(int) (((long) 3)));
								{	/* Rgc/rgctree.scm 210 */
									int BgL_auxz00_2405;

									BgL_auxz00_2405 = (int) (((long) 2));
									STRUCT_SET(BgL_newz00_1703, BgL_auxz00_2405, BTRUE);
								}
								{	/* Rgc/rgctree.scm 210 */
									int BgL_auxz00_2408;

									BgL_auxz00_2408 = (int) (((long) 1));
									STRUCT_SET(BgL_newz00_1703, BgL_auxz00_2408,
										BgL_lastposz00_910);
								}
								{	/* Rgc/rgctree.scm 210 */
									int BgL_auxz00_2411;

									BgL_auxz00_2411 = (int) (((long) 0));
									STRUCT_SET(BgL_newz00_1703, BgL_auxz00_2411,
										BgL_firstposz00_909);
								}
								return BgL_newz00_1703;
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:1973> */
	obj_t BGl_z62zc3anonymousza31973ze3ze1zz__rgc_treez00(obj_t BgL_envz00_2071,
		obj_t BgL_iz00_2073)
	{
		AN_OBJECT;
		{	/* Rgc/rgctree.scm 206 */
			{	/* Rgc/rgctree.scm 207 */
				obj_t BgL_firstposz00_2072;

				BgL_firstposz00_2072 =
					PROCEDURE_REF(BgL_envz00_2071, (int) (((long) 0)));
				{
					obj_t BgL_iz00_912;

					BgL_iz00_912 = BgL_iz00_2073;
					return
						BGl_rgcsetzd2orz12zc0zz__rgc_setz00(VECTOR_REF
						(BGl_za2followposza2z00zz__rgc_treez00, CINT(BgL_iz00_912)),
						BgL_firstposz00_2072);
				}
			}
		}
	}



/* submatch->node */
	obj_t BGl_submatchzd2ze3nodez31zz__rgc_treez00(obj_t BgL_exprz00_28)
	{
		AN_OBJECT;
		{	/* Rgc/rgctree.scm 215 */
			if (PAIRP(BgL_exprz00_28))
				{	/* Rgc/rgctree.scm 216 */
					obj_t BgL_cdrzd21399zd2_922;

					BgL_cdrzd21399zd2_922 = CDR(BgL_exprz00_28);
					if (PAIRP(BgL_cdrzd21399zd2_922))
						{	/* Rgc/rgctree.scm 216 */
							obj_t BgL_cdrzd21404zd2_924;

							BgL_cdrzd21404zd2_924 = CDR(BgL_cdrzd21399zd2_922);
							if (PAIRP(BgL_cdrzd21404zd2_924))
								{	/* Rgc/rgctree.scm 216 */
									if (NULLP(CDR(BgL_cdrzd21404zd2_924)))
										{	/* Rgc/rgctree.scm 216 */
											obj_t BgL_arg1978z00_927;
											obj_t BgL_arg1979z00_928;
											obj_t BgL_arg1980z00_929;

											BgL_arg1978z00_927 = CAR(BgL_exprz00_28);
											BgL_arg1979z00_928 = CAR(BgL_cdrzd21399zd2_922);
											BgL_arg1980z00_929 = CAR(BgL_cdrzd21404zd2_924);
											{	/* Rgc/rgctree.scm 216 */
												obj_t BgL_nodez00_1753;

												BgL_nodez00_1753 =
													BGl_treezd2ze3nodez31zz__rgc_treez00
													(BgL_arg1980z00_929);
												{	/* Rgc/rgctree.scm 216 */
													obj_t BgL_firstposz00_1754;

													BgL_firstposz00_1754 =
														STRUCT_REF(BgL_nodez00_1753, (int) (((long) 0)));
													{	/* Rgc/rgctree.scm 216 */
														obj_t BgL_lastposz00_1755;

														BgL_lastposz00_1755 =
															STRUCT_REF(BgL_nodez00_1753, (int) (((long) 1)));
														{	/* Rgc/rgctree.scm 216 */
															obj_t BgL_nullablezf3zf3_1756;

															BgL_nullablezf3zf3_1756 =
																STRUCT_REF(BgL_nodez00_1753,
																(int) (((long) 2)));
															{	/* Rgc/rgctree.scm 216 */

																{	/* Rgc/rgctree.scm 216 */
																	obj_t BgL_zc3anonymousza31983ze3z83_2075;

																	BgL_zc3anonymousza31983ze3z83_2075 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza31983ze3ze1zz__rgc_treez00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza31983ze3z83_2075,
																		(int) (((long) 0)),
																		BgL_nullablezf3zf3_1756);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza31983ze3z83_2075,
																		(int) (((long) 1)), BgL_arg1978z00_927);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza31983ze3z83_2075,
																		(int) (((long) 2)), BgL_arg1979z00_928);
																	BGl_forzd2eachzd2rgcsetz00zz__rgc_setz00
																		(BgL_zc3anonymousza31983ze3z83_2075,
																		BgL_firstposz00_1754);
																}
																{	/* Rgc/rgctree.scm 216 */
																	obj_t BgL_zc3anonymousza31985ze3z83_2074;

																	BgL_zc3anonymousza31985ze3z83_2074 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza31985ze3ze1zz__rgc_treez00,
																		(int) (((long) 1)), (int) (((long) 2)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza31985ze3z83_2074,
																		(int) (((long) 0)), BgL_arg1978z00_927);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza31985ze3z83_2074,
																		(int) (((long) 1)), BgL_arg1979z00_928);
																	BGl_forzd2eachzd2rgcsetz00zz__rgc_setz00
																		(BgL_zc3anonymousza31985ze3z83_2074,
																		BgL_lastposz00_1755);
																}
																return BgL_nodez00_1753;
															}
														}
													}
												}
											}
										}
									else
										{	/* Rgc/rgctree.scm 216 */
											return
												BGl_errorz00zz__errorz00(BFALSE,
												BGl_string2335z00zz__rgc_treez00, BgL_exprz00_28);
										}
								}
							else
								{	/* Rgc/rgctree.scm 216 */
									return
										BGl_errorz00zz__errorz00(BFALSE,
										BGl_string2335z00zz__rgc_treez00, BgL_exprz00_28);
								}
						}
					else
						{	/* Rgc/rgctree.scm 216 */
							return
								BGl_errorz00zz__errorz00(BFALSE,
								BGl_string2335z00zz__rgc_treez00, BgL_exprz00_28);
						}
				}
			else
				{	/* Rgc/rgctree.scm 216 */
					return
						BGl_errorz00zz__errorz00(BFALSE, BGl_string2335z00zz__rgc_treez00,
						BgL_exprz00_28);
				}
		}
	}



/* &<anonymous:1985> */
	obj_t BGl_z62zc3anonymousza31985ze3ze1zz__rgc_treez00(obj_t BgL_envz00_2076,
		obj_t BgL_iz00_2079)
	{
		AN_OBJECT;
		{	/* Rgc/rgctree.scm 229 */
			{	/* Rgc/rgctree.scm 216 */
				obj_t BgL_rulez00_2077;
				obj_t BgL_submatchz00_2078;

				BgL_rulez00_2077 = PROCEDURE_REF(BgL_envz00_2076, (int) (((long) 0)));
				BgL_submatchz00_2078 =
					PROCEDURE_REF(BgL_envz00_2076, (int) (((long) 1)));
				{
					obj_t BgL_iz00_1760;

					BgL_iz00_1760 = BgL_iz00_2079;
					return
						BGl_submatchzd2stopzd2addz12z12zz__rgc_treez00(BgL_iz00_1760,
						BgL_rulez00_2077, BgL_submatchz00_2078);
				}
			}
		}
	}



/* &<anonymous:1983> */
	obj_t BGl_z62zc3anonymousza31983ze3ze1zz__rgc_treez00(obj_t BgL_envz00_2080,
		obj_t BgL_iz00_2084)
	{
		AN_OBJECT;
		{	/* Rgc/rgctree.scm 226 */
			{	/* Rgc/rgctree.scm 216 */
				obj_t BgL_nullablezf3zf3_2081;
				obj_t BgL_rulez00_2082;
				obj_t BgL_submatchz00_2083;

				BgL_nullablezf3zf3_2081 =
					PROCEDURE_REF(BgL_envz00_2080, (int) (((long) 0)));
				BgL_rulez00_2082 = PROCEDURE_REF(BgL_envz00_2080, (int) (((long) 1)));
				BgL_submatchz00_2083 =
					PROCEDURE_REF(BgL_envz00_2080, (int) (((long) 2)));
				{
					obj_t BgL_iz00_1758;

					BgL_iz00_1758 = BgL_iz00_2084;
					return
						BGl_submatchzd2startzd2addz12z12zz__rgc_treez00(BgL_iz00_1758,
						BgL_nullablezf3zf3_2081, BgL_rulez00_2082, BgL_submatchz00_2083);
				}
			}
		}
	}



/* init-followpos! */
	obj_t BGl_initzd2followposz12zc0zz__rgc_treez00()
	{
		AN_OBJECT;
		{	/* Rgc/rgctree.scm 248 */
			{	/* Rgc/rgctree.scm 249 */
				obj_t BgL_followposz00_946;

				BgL_followposz00_946 =
					make_vector(CINT(BGl_za2positionzd2numberza2zd2zz__rgc_treez00),
					BUNSPEC);
				{
					long BgL_iz00_948;

					BgL_iz00_948 = ((long) 0);
				BgL_zc3anonymousza31986ze3z83_949:
					if (
						((long) CINT(BGl_za2positionzd2numberza2zd2zz__rgc_treez00) ==
							BgL_iz00_948))
						{	/* Rgc/rgctree.scm 251 */
							return (BGl_za2followposza2z00zz__rgc_treez00 =
								BgL_followposz00_946, BUNSPEC);
						}
					else
						{	/* Rgc/rgctree.scm 251 */
							VECTOR_SET(BgL_followposz00_946,
								(int) (BgL_iz00_948),
								BGl_makezd2rgcsetzd2zz__rgc_setz00(
									(long) CINT(BGl_za2positionzd2numberza2zd2zz__rgc_treez00)));
							{
								long BgL_iz00_2483;

								BgL_iz00_2483 = (BgL_iz00_948 + ((long) 1));
								BgL_iz00_948 = BgL_iz00_2483;
								goto BgL_zc3anonymousza31986ze3z83_949;
							}
						}
				}
			}
		}
	}



/* submatch-start-add! */
	obj_t BGl_submatchzd2startzd2addz12z12zz__rgc_treez00(obj_t
		BgL_positionz00_32, obj_t BgL_nullablezf3zf3_33, obj_t BgL_matchz00_34,
		obj_t BgL_submatchz00_35)
	{
		AN_OBJECT;
		{	/* Rgc/rgctree.scm 271 */
			{	/* Rgc/rgctree.scm 272 */
				obj_t BgL_cellz00_956;

				BgL_cellz00_956 =
					VECTOR_REF(BGl_za2submatchesza2z00zz__rgc_treez00,
					CINT(BgL_positionz00_32));
				if (PAIRP(BgL_cellz00_956))
					{	/* Rgc/rgctree.scm 277 */
						obj_t BgL_arg1993z00_958;

						{	/* Rgc/rgctree.scm 277 */
							obj_t BgL_arg1994z00_959;
							obj_t BgL_arg1995z00_960;

							{	/* Rgc/rgctree.scm 277 */
								obj_t BgL_list1996z00_961;

								{	/* Rgc/rgctree.scm 277 */
									obj_t BgL_arg1997z00_962;

									{	/* Rgc/rgctree.scm 277 */
										obj_t BgL_arg1998z00_963;

										BgL_arg1998z00_963 = MAKE_PAIR(BgL_submatchz00_35, BNIL);
										BgL_arg1997z00_962 =
											MAKE_PAIR(BgL_matchz00_34, BgL_arg1998z00_963);
									}
									BgL_list1996z00_961 =
										MAKE_PAIR(BgL_nullablezf3zf3_33, BgL_arg1997z00_962);
								}
								BgL_arg1994z00_959 = BgL_list1996z00_961;
							}
							BgL_arg1995z00_960 = CAR(BgL_cellz00_956);
							BgL_arg1993z00_958 =
								MAKE_PAIR(BgL_arg1994z00_959, BgL_arg1995z00_960);
						}
						return SET_CAR(BgL_cellz00_956, BgL_arg1993z00_958);
					}
				else
					{	/* Rgc/rgctree.scm 276 */
						obj_t BgL_arg1999z00_964;

						{	/* Rgc/rgctree.scm 276 */
							obj_t BgL_arg2000z00_965;

							{	/* Rgc/rgctree.scm 276 */
								obj_t BgL_arg2001z00_966;

								{	/* Rgc/rgctree.scm 276 */
									obj_t BgL_list2003z00_968;

									{	/* Rgc/rgctree.scm 276 */
										obj_t BgL_arg2004z00_969;

										{	/* Rgc/rgctree.scm 276 */
											obj_t BgL_arg2005z00_970;

											BgL_arg2005z00_970 = MAKE_PAIR(BgL_submatchz00_35, BNIL);
											BgL_arg2004z00_969 =
												MAKE_PAIR(BgL_matchz00_34, BgL_arg2005z00_970);
										}
										BgL_list2003z00_968 =
											MAKE_PAIR(BgL_nullablezf3zf3_33, BgL_arg2004z00_969);
									}
									BgL_arg2001z00_966 = BgL_list2003z00_968;
								}
								{	/* Rgc/rgctree.scm 276 */
									obj_t BgL_list2002z00_967;

									BgL_list2002z00_967 = MAKE_PAIR(BgL_arg2001z00_966, BNIL);
									BgL_arg2000z00_965 = BgL_list2002z00_967;
								}
							}
							BgL_arg1999z00_964 = MAKE_PAIR(BgL_arg2000z00_965, BNIL);
						}
						return
							VECTOR_SET(BGl_za2submatchesza2z00zz__rgc_treez00,
							CINT(BgL_positionz00_32), BgL_arg1999z00_964);
					}
			}
		}
	}



/* submatch-stop-add! */
	obj_t BGl_submatchzd2stopzd2addz12z12zz__rgc_treez00(obj_t BgL_positionz00_36,
		obj_t BgL_matchz00_37, obj_t BgL_submatchz00_38)
	{
		AN_OBJECT;
		{	/* Rgc/rgctree.scm 282 */
			{	/* Rgc/rgctree.scm 283 */
				obj_t BgL_cellz00_971;

				BgL_cellz00_971 =
					VECTOR_REF(BGl_za2submatchesza2z00zz__rgc_treez00,
					CINT(BgL_positionz00_36));
				if (PAIRP(BgL_cellz00_971))
					{	/* Rgc/rgctree.scm 288 */
						obj_t BgL_arg2007z00_973;

						{	/* Rgc/rgctree.scm 288 */
							obj_t BgL_arg2008z00_974;
							obj_t BgL_arg2009z00_975;

							BgL_arg2008z00_974 =
								MAKE_PAIR(BgL_matchz00_37, BgL_submatchz00_38);
							BgL_arg2009z00_975 = CDR(BgL_cellz00_971);
							BgL_arg2007z00_973 =
								MAKE_PAIR(BgL_arg2008z00_974, BgL_arg2009z00_975);
						}
						return SET_CDR(BgL_cellz00_971, BgL_arg2007z00_973);
					}
				else
					{	/* Rgc/rgctree.scm 287 */
						obj_t BgL_arg2010z00_976;

						{	/* Rgc/rgctree.scm 287 */
							obj_t BgL_arg2011z00_977;

							{	/* Rgc/rgctree.scm 287 */
								obj_t BgL_arg2012z00_978;

								BgL_arg2012z00_978 =
									MAKE_PAIR(BgL_matchz00_37, BgL_submatchz00_38);
								{	/* Rgc/rgctree.scm 287 */
									obj_t BgL_list2013z00_979;

									BgL_list2013z00_979 = MAKE_PAIR(BgL_arg2012z00_978, BNIL);
									BgL_arg2011z00_977 = BgL_list2013z00_979;
								}
							}
							BgL_arg2010z00_976 = MAKE_PAIR(BNIL, BgL_arg2011z00_977);
						}
						return
							VECTOR_SET(BGl_za2submatchesza2z00zz__rgc_treez00,
							CINT(BgL_positionz00_36), BgL_arg2010z00_976);
					}
			}
		}
	}



/* reset-tree! */
	BGL_EXPORTED_DEF obj_t BGl_resetzd2treez12zc0zz__rgc_treez00()
	{
		AN_OBJECT;
		{	/* Rgc/rgctree.scm 293 */
			BGl_za2followposza2z00zz__rgc_treez00 = BUNSPEC;
			BGl_za2positionsza2z00zz__rgc_treez00 = BUNSPEC;
			BGl_za2submatchesza2z00zz__rgc_treez00 = BUNSPEC;
			return (BGl_za2positionzd2numberza2zd2zz__rgc_treez00 = BUNSPEC, BUNSPEC);
		}
	}



/* &reset-tree! */
	obj_t BGl_z62resetzd2treez12za2zz__rgc_treez00(obj_t BgL_envz00_2085)
	{
		AN_OBJECT;
		{	/* Rgc/rgctree.scm 293 */
			return BGl_resetzd2treez12zc0zz__rgc_treez00();
		}
	}



/* print-followpos */
	BGL_EXPORTED_DEF obj_t BGl_printzd2followposzd2zz__rgc_treez00(obj_t
		BgL_fpz00_39)
	{
		AN_OBJECT;
		{	/* Rgc/rgctree.scm 302 */
			{	/* Rgc/rgctree.scm 303 */
				obj_t BgL_port1858z00_980;

				{	/* Rgc/rgctree.scm 303 */
					obj_t BgL_res2283z00_1821;

					{	/* Rgc/rgctree.scm 303 */
						obj_t BgL_auxz00_2516;

						BgL_auxz00_2516 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_res2283z00_1821 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_2516);
					}
					BgL_port1858z00_980 = BgL_res2283z00_1821;
				}
				BGL_DISPLAY_STRING(BGl_string2339z00zz__rgc_treez00,
					BgL_port1858z00_980);
				bgl_display_char(((unsigned char) '\n'), BgL_port1858z00_980);
			}
			{	/* Rgc/rgctree.scm 304 */
				obj_t BgL_port1859z00_981;

				{	/* Rgc/rgctree.scm 304 */
					obj_t BgL_res2284z00_1826;

					{	/* Rgc/rgctree.scm 304 */
						obj_t BgL_auxz00_2521;

						BgL_auxz00_2521 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_res2284z00_1826 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_2521);
					}
					BgL_port1859z00_981 = BgL_res2284z00_1826;
				}
				BGL_DISPLAY_STRING(BGl_string2340z00zz__rgc_treez00,
					BgL_port1859z00_981);
				{	/* Rgc/rgctree.scm 304 */
					int BgL_arg2014z00_982;

					BgL_arg2014z00_982 = VECTOR_LENGTH(BgL_fpz00_39);
					bgl_display_obj(BINT(BgL_arg2014z00_982), BgL_port1859z00_981);
				}
				bgl_display_char(((unsigned char) '\n'), BgL_port1859z00_981);
			} BGl_list2341z00zz__rgc_treez00;
			{	/* Rgc/rgctree.scm 311 */
				obj_t BgL_port1860z00_983;

				{	/* Rgc/rgctree.scm 311 */
					obj_t BgL_res2285z00_1832;

					{	/* Rgc/rgctree.scm 311 */
						obj_t BgL_auxz00_2529;

						BgL_auxz00_2529 = BGL_CURRENT_DYNAMIC_ENV();
						BgL_res2285z00_1832 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_2529);
					}
					BgL_port1860z00_983 = BgL_res2285z00_1832;
				}
				BGL_DISPLAY_STRING(BGl_string2386z00zz__rgc_treez00,
					BgL_port1860z00_983);
				return bgl_display_char(((unsigned char) '\n'), BgL_port1860z00_983);
		}}
	}



/* &print-followpos */
	obj_t BGl_z62printzd2followposzb0zz__rgc_treez00(obj_t BgL_envz00_2086,
		obj_t BgL_fpz00_2087)
	{
		AN_OBJECT;
		{	/* Rgc/rgctree.scm 302 */
			return BGl_printzd2followposzd2zz__rgc_treez00(BgL_fpz00_2087);
		}
	}



/* print-node */
	BGL_EXPORTED_DEF obj_t BGl_printzd2nodezd2zz__rgc_treez00(obj_t
		BgL_nodez00_40)
	{
		AN_OBJECT;
		{	/* Rgc/rgctree.scm 316 */
			return BGl_symbol2387z00zz__rgc_treez00;
		}
	}



/* &print-node */
	obj_t BGl_z62printzd2nodezb0zz__rgc_treez00(obj_t BgL_envz00_2088,
		obj_t BgL_nodez00_2089)
	{
		AN_OBJECT;
		{	/* Rgc/rgctree.scm 316 */
			return BGl_symbol2387z00zz__rgc_treez00;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__rgc_treez00()
	{
		AN_OBJECT;
		{	/* Rgc/rgctree.scm 14 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__rgc_treez00()
	{
		AN_OBJECT;
		{	/* Rgc/rgctree.scm 14 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__rgc_treez00()
	{
		AN_OBJECT;
		{	/* Rgc/rgctree.scm 14 */
			BGl_modulezd2initializa7ationz75zz__rgc_setz00(((long) 452052554),
				BSTRING_TO_STRING(BGl_string2389z00zz__rgc_treez00));
			BGl_modulezd2initializa7ationz75zz__rgc_configz00(((long) 428274736),
				BSTRING_TO_STRING(BGl_string2389z00zz__rgc_treez00));
			return
				BGl_modulezd2initializa7ationz75zz__errorz00(((long) 173154212),
				BSTRING_TO_STRING(BGl_string2389z00zz__rgc_treez00));
		}
	}

#ifdef __cplusplus
}
#endif
