/*===========================================================================*/
/*   (Bdb/bdb_initialize.scm)                                                */
/*   Bigloo (3.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 26 07:46:09 CEST 2011       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.7a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Bdb/bdb_initialize.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;


	static obj_t BGl_methodzd2initzd2zzbdb_initializa7eza7();
	extern BgL_nodez00_bglt BGl_coercez12z12zzcoerce_coercez00(BgL_nodez00_bglt,
		obj_t, BgL_typez00_bglt, bool_t);
	extern obj_t BGl_buildzd2astzd2zzast_buildz00(obj_t);
	BGL_IMPORT obj_t create_struct(obj_t, int);
	BGL_EXPORTED_DECL obj_t BGl_initializa7ezd2astz75zzbdb_initializa7eza7();
	static obj_t BGl_requirezd2initializa7ationz75zzbdb_initializa7eza7 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zzbdb_initializa7eza7();
	static obj_t BGl_genericzd2initzd2zzbdb_initializa7eza7();
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	static obj_t BGl_z62initializa7ezd2astz17zzbdb_initializa7eza7(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzbdb_initializa7eza7(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcnst_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcnst_allocz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_buildz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	static obj_t BGl_cnstzd2initzd2zzbdb_initializa7eza7();
	static obj_t BGl_libraryzd2moduleszd2initz00zzbdb_initializa7eza7();
	static obj_t BGl_importedzd2moduleszd2initz00zzbdb_initializa7eza7();
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t __cnst[5];


	   
		 
		DEFINE_STRING(BGl_string3470z00zzbdb_initializa7eza7,
		BgL_bgl_string3470za700za7za7b3475za7, "((obj_t)__bdb_info)", 19);
	      DEFINE_STRING(BGl_string3471z00zzbdb_initializa7eza7,
		BgL_bgl_string3471za700za7za7b3476za7, "bdb_initialize", 14);
	      DEFINE_STRING(BGl_string3472z00zzbdb_initializa7eza7,
		BgL_bgl_string3472za700za7za7b3477za7,
		"unit bdb bdb-set-module-info! pragma::obj quote ", 48);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_initializa7ezd2astzd2envza7zzbdb_initializa7eza7,
		BgL_bgl_za762initializa7a7eza73478za7,
		BGl_z62initializa7ezd2astz17zzbdb_initializa7eza7, 0L, BUNSPEC, 0);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzbdb_initializa7eza7(long
		BgL_checksumz00_1381, char *BgL_fromz00_1382)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzbdb_initializa7eza7))
				{
					BGl_requirezd2initializa7ationz75zzbdb_initializa7eza7 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzbdb_initializa7eza7();
					BGl_cnstzd2initzd2zzbdb_initializa7eza7();
					BGl_importedzd2moduleszd2initz00zzbdb_initializa7eza7();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzbdb_initializa7eza7()
	{
		AN_OBJECT;
		{	/* Bdb/bdb_initialize.scm 15 */
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"bdb_initialize");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzbdb_initializa7eza7()
	{
		AN_OBJECT;
		{	/* Bdb/bdb_initialize.scm 15 */
			{	/* Bdb/bdb_initialize.scm 15 */
				obj_t BgL_cportz00_1373;

				BgL_cportz00_1373 =
					bgl_open_input_string(BGl_string3472z00zzbdb_initializa7eza7,
					(int) (((long) 0)));
				{
					long BgL_iz00_1374;

					BgL_iz00_1374 = ((long) 4);
				BgL_loopz00_1375:
					if ((BgL_iz00_1374 == ((long) -1)))
						{	/* Bdb/bdb_initialize.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Bdb/bdb_initialize.scm 15 */
							{	/* Bdb/bdb_initialize.scm 15 */
								obj_t BgL_arg3474z00_1377;

								{	/* Bdb/bdb_initialize.scm 15 */

									{	/* Bdb/bdb_initialize.scm 15 */
										obj_t BgL_locationz00_1379;

										BgL_locationz00_1379 = BBOOL(((bool_t) 0));
										{	/* Bdb/bdb_initialize.scm 15 */

											BgL_arg3474z00_1377 =
												BGl_readz00zz__readerz00(BgL_cportz00_1373,
												BgL_locationz00_1379);
										}
									}
								}
								{	/* Bdb/bdb_initialize.scm 15 */
									int BgL_auxz00_1396;

									BgL_auxz00_1396 = (int) (BgL_iz00_1374);
									CNST_TABLE_SET(BgL_auxz00_1396, BgL_arg3474z00_1377);
							}}
							{	/* Bdb/bdb_initialize.scm 15 */
								int BgL_auxz00_1380;

								BgL_auxz00_1380 = (int) ((BgL_iz00_1374 - ((long) 1)));
								{
									long BgL_iz00_1401;

									BgL_iz00_1401 = (long) (BgL_auxz00_1380);
									BgL_iz00_1374 = BgL_iz00_1401;
									goto BgL_loopz00_1375;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzbdb_initializa7eza7()
	{
		AN_OBJECT;
		{	/* Bdb/bdb_initialize.scm 15 */
			return BUNSPEC;
		}
	}



/* initialize-ast */
	BGL_EXPORTED_DEF obj_t BGl_initializa7ezd2astz75zzbdb_initializa7eza7()
	{
		AN_OBJECT;
		{	/* Bdb/bdb_initialize.scm 42 */
			{	/* Bdb/bdb_initialize.scm 44 */
				obj_t BgL_bodyz00_857;

				{	/* Bdb/bdb_initialize.scm 44 */
					obj_t BgL_arg3410z00_872;

					{	/* Bdb/bdb_initialize.scm 44 */
						obj_t BgL_arg3411z00_873;

						{	/* Bdb/bdb_initialize.scm 44 */
							obj_t BgL_arg3412z00_874;
							obj_t BgL_arg3413z00_875;

							{	/* Bdb/bdb_initialize.scm 44 */
								obj_t BgL_arg3414z00_876;

								BgL_arg3414z00_876 =
									MAKE_PAIR(BGl_za2moduleza2z00zzmodule_modulez00, BNIL);
								BgL_arg3412z00_874 =
									MAKE_PAIR(CNST_TABLE_REF(((long) 0)), BgL_arg3414z00_876);
							}
							{	/* Bdb/bdb_initialize.scm 45 */
								obj_t BgL_arg3415z00_877;

								{	/* Bdb/bdb_initialize.scm 45 */
									obj_t BgL_arg3416z00_878;

									BgL_arg3416z00_878 =
										MAKE_PAIR(BGl_string3470z00zzbdb_initializa7eza7, BNIL);
									BgL_arg3415z00_877 =
										MAKE_PAIR(CNST_TABLE_REF(((long) 1)), BgL_arg3416z00_878);
								}
								BgL_arg3413z00_875 = MAKE_PAIR(BgL_arg3415z00_877, BNIL);
							}
							BgL_arg3411z00_873 =
								MAKE_PAIR(BgL_arg3412z00_874, BgL_arg3413z00_875);
						}
						BgL_arg3410z00_872 =
							MAKE_PAIR(CNST_TABLE_REF(((long) 2)), BgL_arg3411z00_873);
					}
					BgL_bodyz00_857 = MAKE_PAIR(BgL_arg3410z00_872, BNIL);
				}
				{	/* Bdb/bdb_initialize.scm 46 */
					obj_t BgL_unitz00_858;

					{	/* Bdb/bdb_initialize.scm 46 */
						obj_t BgL_idz00_1324;

						BgL_idz00_1324 = CNST_TABLE_REF(((long) 3));
						{	/* Bdb/bdb_initialize.scm 46 */
							obj_t BgL_newz00_1329;

							BgL_newz00_1329 =
								create_struct(CNST_TABLE_REF(((long) 4)), (int) (((long) 5)));
							{	/* Bdb/bdb_initialize.scm 46 */
								int BgL_auxz00_1418;

								BgL_auxz00_1418 = (int) (((long) 4));
								STRUCT_SET(BgL_newz00_1329, BgL_auxz00_1418, BFALSE);
							}
							{	/* Bdb/bdb_initialize.scm 46 */
								int BgL_auxz00_1421;

								BgL_auxz00_1421 = (int) (((long) 3));
								STRUCT_SET(BgL_newz00_1329, BgL_auxz00_1421, BTRUE);
							}
							{	/* Bdb/bdb_initialize.scm 46 */
								int BgL_auxz00_1424;

								BgL_auxz00_1424 = (int) (((long) 2));
								STRUCT_SET(BgL_newz00_1329, BgL_auxz00_1424, BgL_bodyz00_857);
							}
							{	/* Bdb/bdb_initialize.scm 46 */
								obj_t BgL_auxz00_1429;
								int BgL_auxz00_1427;

								BgL_auxz00_1429 = BINT(((long) 9));
								BgL_auxz00_1427 = (int) (((long) 1));
								STRUCT_SET(BgL_newz00_1329, BgL_auxz00_1427, BgL_auxz00_1429);
							}
							{	/* Bdb/bdb_initialize.scm 46 */
								int BgL_auxz00_1432;

								BgL_auxz00_1432 = (int) (((long) 0));
								STRUCT_SET(BgL_newz00_1329, BgL_auxz00_1432, BgL_idz00_1324);
							}
							BgL_unitz00_858 = BgL_newz00_1329;
					}}
					{	/* Bdb/bdb_initialize.scm 47 */
						obj_t BgL_astz00_859;

						{	/* Bdb/bdb_initialize.scm 47 */
							obj_t BgL_arg3408z00_870;

							{	/* Bdb/bdb_initialize.scm 47 */
								obj_t BgL_list3409z00_871;

								BgL_list3409z00_871 = MAKE_PAIR(BgL_unitz00_858, BNIL);
								BgL_arg3408z00_870 = BgL_list3409z00_871;
							}
							BgL_astz00_859 =
								BGl_buildzd2astzd2zzast_buildz00(BgL_arg3408z00_870);
						}
						{
							obj_t BgL_l3391z00_861;

							BgL_l3391z00_861 = BgL_astz00_859;
						BgL_zc3anonymousza33402ze3z83_862:
							if (PAIRP(BgL_l3391z00_861))
								{	/* Bdb/bdb_initialize.scm 48 */
									{	/* Bdb/bdb_initialize.scm 49 */
										obj_t BgL_globalz00_864;

										BgL_globalz00_864 = CAR(BgL_l3391z00_861);
										{	/* Bdb/bdb_initialize.scm 49 */
											obj_t BgL_arg3404z00_865;
											BgL_typez00_bglt BgL_arg3405z00_866;

											{	/* Bdb/bdb_initialize.scm 49 */
												BgL_sfunz00_bglt BgL_obj1944z00_1361;

												{	/* Bdb/bdb_initialize.scm 49 */
													BgL_variablez00_bglt BgL_obj1630z00_1360;

													BgL_obj1630z00_1360 =
														((BgL_variablez00_bglt) BgL_globalz00_864);
													BgL_obj1944z00_1361 =
														((BgL_sfunz00_bglt)
														(((BgL_variablez00_bglt) CREF(
																	((obj_t) BgL_obj1630z00_1360)))->
															BgL_valuez00));
												}
												BgL_arg3404z00_865 =
													(((BgL_sfunz00_bglt) CREF(
															((obj_t) BgL_obj1944z00_1361)))->BgL_bodyz00);
											}
											{	/* Bdb/bdb_initialize.scm 51 */
												BgL_variablez00_bglt BgL_obj1627z00_1362;

												BgL_obj1627z00_1362 =
													((BgL_variablez00_bglt) BgL_globalz00_864);
												BgL_arg3405z00_866 =
													(((BgL_variablez00_bglt) CREF(
															((obj_t) BgL_obj1627z00_1362)))->BgL_typez00);
											}
											BGl_coercez12z12zzcoerce_coercez00(
												((BgL_nodez00_bglt) BgL_arg3404z00_865),
												BgL_globalz00_864, BgL_arg3405z00_866, ((bool_t) 0));
										}
									}
									{
										obj_t BgL_l3391z00_1451;

										BgL_l3391z00_1451 = CDR(BgL_l3391z00_861);
										BgL_l3391z00_861 = BgL_l3391z00_1451;
										goto BgL_zc3anonymousza33402ze3z83_862;
									}
								}
							else
								{	/* Bdb/bdb_initialize.scm 48 */
									((bool_t) 1);
								}
						}
						return BgL_astz00_859;
					}
				}
			}
		}
	}



/* &initialize-ast */
	obj_t BGl_z62initializa7ezd2astz17zzbdb_initializa7eza7(obj_t BgL_envz00_1364)
	{
		AN_OBJECT;
		{	/* Bdb/bdb_initialize.scm 42 */
			return BGl_initializa7ezd2astz75zzbdb_initializa7eza7();
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzbdb_initializa7eza7()
	{
		AN_OBJECT;
		{	/* Bdb/bdb_initialize.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzbdb_initializa7eza7()
	{
		AN_OBJECT;
		{	/* Bdb/bdb_initialize.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzbdb_initializa7eza7()
	{
		AN_OBJECT;
		{	/* Bdb/bdb_initialize.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string3471z00zzbdb_initializa7eza7));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string3471z00zzbdb_initializa7eza7));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string3471z00zzbdb_initializa7eza7));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string3471z00zzbdb_initializa7eza7));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 428058597),
				BSTRING_TO_STRING(BGl_string3471z00zzbdb_initializa7eza7));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string3471z00zzbdb_initializa7eza7));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string3471z00zzbdb_initializa7eza7));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 313466748),
				BSTRING_TO_STRING(BGl_string3471z00zzbdb_initializa7eza7));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string3471z00zzbdb_initializa7eza7));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string3471z00zzbdb_initializa7eza7));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 53901219),
				BSTRING_TO_STRING(BGl_string3471z00zzbdb_initializa7eza7));
			BGl_modulezd2initializa7ationz75zzast_buildz00(((long) 428035925),
				BSTRING_TO_STRING(BGl_string3471z00zzbdb_initializa7eza7));
			BGl_modulezd2initializa7ationz75zzast_lvtypez00(((long) 189769752),
				BSTRING_TO_STRING(BGl_string3471z00zzbdb_initializa7eza7));
			BGl_modulezd2initializa7ationz75zzast_glozd2defzd2(((long) 44601789),
				BSTRING_TO_STRING(BGl_string3471z00zzbdb_initializa7eza7));
			BGl_modulezd2initializa7ationz75zzcoerce_coercez00(((long) 361167184),
				BSTRING_TO_STRING(BGl_string3471z00zzbdb_initializa7eza7));
			BGl_modulezd2initializa7ationz75zzcnst_allocz00(((long) 192699852),
				BSTRING_TO_STRING(BGl_string3471z00zzbdb_initializa7eza7));
			return
				BGl_modulezd2initializa7ationz75zzcnst_nodez00(((long) 340742865),
				BSTRING_TO_STRING(BGl_string3471z00zzbdb_initializa7eza7));
		}
	}

#ifdef __cplusplus
}
#endif
