/*===========================================================================*/
/*   (Expand/expander.scm)                                                   */
/*   Bigloo (3.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 26 07:46:09 CEST 2011       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.7a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Expand/expander.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	static obj_t BGl_requirezd2initializa7ationz75zzexpand_expanderz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_installzd2Ozd2comptimezd2expanderzd2zzexpand_expanderz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_findzd2Gzd2expanderz00zzexpand_expanderz00(obj_t);
	static obj_t BGl_z62findzd2Gzd2expanderz62zzexpand_expanderz00(obj_t, obj_t);
	static obj_t BGl_za2Genvza2z00zzexpand_expanderz00 = BUNSPEC;
	static obj_t BGl_za2Oenvza2z00zzexpand_expanderz00 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zzexpand_expanderz00();
	BGL_IMPORT obj_t BGl_getzd2compilerzd2expanderz00zz__macroz00(obj_t);
	extern obj_t BGl_epairifyz00zztools_miscz00(obj_t, obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_z62checkzd2tozd2bezd2macroszb0zzexpand_expanderz00(obj_t);
	static obj_t BGl_genericzd2initzd2zzexpand_expanderz00();
	BGL_IMPORT bool_t BGl_hashtablezd2removez12zc0zz__hashz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31524ze3ze1zzexpand_expanderz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_za2tozd2bezd2macrosza2z00zzexpand_expanderz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t
		BGl_z62installzd2Ozd2comptimezd2expanderzb0zzexpand_expanderz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2optimzd2Ozd2macrozf3za2zf3zzengine_paramz00;
	static obj_t BGl_methodzd2initzd2zzexpand_expanderz00();
	BGL_EXPORTED_DECL obj_t BGl_initializa7ezd2Genvz12z67zzexpand_expanderz00();
	BGL_EXPORTED_DECL obj_t BGl_initializa7ezd2Oenvz12z67zzexpand_expanderz00();
	BGL_EXPORTED_DECL obj_t BGl_findzd2Ozd2expanderz00zzexpand_expanderz00(obj_t);
	static obj_t BGl_z62findzd2Ozd2expanderz62zzexpand_expanderz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_unbindzd2Ozd2expanderz12z12zzexpand_expanderz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_tozd2bezd2macroz12z12zzexpand_expanderz00(obj_t,
		obj_t);
	static obj_t BGl_z62unbindzd2Gzd2expanderz12z70zzexpand_expanderz00(obj_t,
		obj_t);
	extern obj_t BGl_za2compilerzd2debugza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62initializa7ezd2Genvz12z05zzexpand_expanderz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_installzd2Gzd2comptimezd2expanderzd2zzexpand_expanderz00(obj_t, obj_t);
	static obj_t BGl_z62initializa7ezd2Oenvz12z05zzexpand_expanderz00(obj_t);
	BGL_IMPORT obj_t BGl_makezd2hashtablezd2zz__hashz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzexpand_expanderz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__macroz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_EXPORTED_DECL obj_t BGl_checkzd2tozd2bezd2macroszd2zzexpand_expanderz00();
	BGL_IMPORT bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
	BGL_IMPORT obj_t create_struct(obj_t, int);
	static obj_t BGl_cnstzd2initzd2zzexpand_expanderz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzexpand_expanderz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzexpand_expanderz00();
	static obj_t
		BGl_z62installzd2Gzd2comptimezd2expanderzb0zzexpand_expanderz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_hashtablezd2putz12zc0zz__hashz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_EXPORTED_DECL obj_t
		BGl_unbindzd2Gzd2expanderz12z12zzexpand_expanderz00(obj_t);
	static obj_t BGl_z62tozd2bezd2macroz12z70zzexpand_expanderz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT bool_t BGl_2ze3zd3z30zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_z62unbindzd2Ozd2expanderz12z70zzexpand_expanderz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_hashtablezd2getzd2zz__hashz00(obj_t, obj_t);
	static obj_t __cnst[2];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_checkzd2tozd2bezd2macroszd2envz00zzexpand_expanderz00,
		BgL_bgl_za762checkza7d2toza7d21582za7,
		BGl_z62checkzd2tozd2bezd2macroszb0zzexpand_expanderz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_findzd2Gzd2expanderzd2envzd2zzexpand_expanderz00,
		BgL_bgl_za762findza7d2gza7d2ex1583za7,
		BGl_z62findzd2Gzd2expanderz62zzexpand_expanderz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_installzd2Ozd2comptimezd2expanderzd2envz00zzexpand_expanderz00,
		BgL_bgl_za762installza7d2oza7d1584za7,
		BGl_z62installzd2Ozd2comptimezd2expanderzb0zzexpand_expanderz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_tozd2bezd2macroz12zd2envzc0zzexpand_expanderz00,
		BgL_bgl_za762toza7d2beza7d2mac1585za7,
		BGl_z62tozd2bezd2macroz12z70zzexpand_expanderz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1571z00zzexpand_expanderz00,
		BgL_bgl_string1571za700za7za7e1586za7, "install-O-comptime-expander", 27);
	      DEFINE_STRING(BGl_string1572z00zzexpand_expanderz00,
		BgL_bgl_string1572za700za7za7e1587za7,
		"Illegal re-installation of O-expander", 37);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_initializa7ezd2Genvz12zd2envzb5zzexpand_expanderz00,
		BgL_bgl_za762initializa7a7eza71588za7,
		BGl_z62initializa7ezd2Genvz12z05zzexpand_expanderz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string1573z00zzexpand_expanderz00,
		BgL_bgl_string1573za700za7za7e1589za7, "install-G-comptime-expander", 27);
	      DEFINE_STRING(BGl_string1574z00zzexpand_expanderz00,
		BgL_bgl_string1574za700za7za7e1590za7,
		"Illegal re-installation of G-expander", 37);
	      DEFINE_STRING(BGl_string1575z00zzexpand_expanderz00,
		BgL_bgl_string1575za700za7za7e1591za7, "expand", 6);
	      DEFINE_STRING(BGl_string1576z00zzexpand_expanderz00,
		BgL_bgl_string1576za700za7za7e1592za7, "Can't find syntax definition", 28);
	      DEFINE_STRING(BGl_string1577z00zzexpand_expanderz00,
		BgL_bgl_string1577za700za7za7e1593za7, "Can't find macro definition", 27);
	      DEFINE_STRING(BGl_string1578z00zzexpand_expanderz00,
		BgL_bgl_string1578za700za7za7e1594za7, "expand_expander", 15);
	      DEFINE_STRING(BGl_string1579z00zzexpand_expanderz00,
		BgL_bgl_string1579za700za7za7e1595za7, "syntax expander ", 16);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_initializa7ezd2Oenvz12zd2envzb5zzexpand_expanderz00,
		BgL_bgl_za762initializa7a7eza71596za7,
		BGl_z62initializa7ezd2Oenvz12z05zzexpand_expanderz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_findzd2Ozd2expanderzd2envzd2zzexpand_expanderz00,
		BgL_bgl_za762findza7d2oza7d2ex1597za7,
		BGl_z62findzd2Ozd2expanderz62zzexpand_expanderz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_unbindzd2Ozd2expanderz12zd2envzc0zzexpand_expanderz00,
		BgL_bgl_za762unbindza7d2oza7d21598za7,
		BGl_z62unbindzd2Ozd2expanderz12z70zzexpand_expanderz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_installzd2Gzd2comptimezd2expanderzd2envz00zzexpand_expanderz00,
		BgL_bgl_za762installza7d2gza7d1599za7,
		BGl_z62installzd2Gzd2comptimezd2expanderzb0zzexpand_expanderz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_unbindzd2Gzd2expanderz12zd2envzc0zzexpand_expanderz00,
		BgL_bgl_za762unbindza7d2gza7d21600za7,
		BGl_z62unbindzd2Gzd2expanderz12z70zzexpand_expanderz00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzexpand_expanderz00(long
		BgL_checksumz00_307, char *BgL_fromz00_308)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzexpand_expanderz00))
				{
					BGl_requirezd2initializa7ationz75zzexpand_expanderz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzexpand_expanderz00();
					BGl_cnstzd2initzd2zzexpand_expanderz00();
					BGl_importedzd2moduleszd2initz00zzexpand_expanderz00();
					BGl_toplevelzd2initzd2zzexpand_expanderz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzexpand_expanderz00()
	{
		AN_OBJECT;
		{	/* Expand/expander.scm 15 */
			BGl_modulezd2initializa7ationz75zz__macroz00(((long) 0),
				"expand_expander");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"expand_expander");
			BGl_modulezd2initializa7ationz75zz__hashz00(((long) 0),
				"expand_expander");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"expand_expander");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"expand_expander");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"expand_expander");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzexpand_expanderz00()
	{
		AN_OBJECT;
		{	/* Expand/expander.scm 15 */
			{	/* Expand/expander.scm 15 */
				obj_t BgL_cportz00_299;

				BgL_cportz00_299 =
					bgl_open_input_string(BGl_string1579z00zzexpand_expanderz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_300;

					BgL_iz00_300 = ((long) 1);
				BgL_loopz00_301:
					if ((BgL_iz00_300 == ((long) -1)))
						{	/* Expand/expander.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Expand/expander.scm 15 */
							{	/* Expand/expander.scm 15 */
								obj_t BgL_arg1581z00_303;

								{	/* Expand/expander.scm 15 */

									{	/* Expand/expander.scm 15 */
										obj_t BgL_locationz00_305;

										BgL_locationz00_305 = BBOOL(((bool_t) 0));
										{	/* Expand/expander.scm 15 */

											BgL_arg1581z00_303 =
												BGl_readz00zz__readerz00(BgL_cportz00_299,
												BgL_locationz00_305);
										}
									}
								}
								{	/* Expand/expander.scm 15 */
									int BgL_auxz00_328;

									BgL_auxz00_328 = (int) (BgL_iz00_300);
									CNST_TABLE_SET(BgL_auxz00_328, BgL_arg1581z00_303);
							}}
							{	/* Expand/expander.scm 15 */
								int BgL_auxz00_306;

								BgL_auxz00_306 = (int) ((BgL_iz00_300 - ((long) 1)));
								{
									long BgL_iz00_333;

									BgL_iz00_333 = (long) (BgL_auxz00_306);
									BgL_iz00_300 = BgL_iz00_333;
									goto BgL_loopz00_301;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzexpand_expanderz00()
	{
		AN_OBJECT;
		{	/* Expand/expander.scm 15 */
			BGl_za2Oenvza2z00zzexpand_expanderz00 = BNIL;
			BGl_za2Genvza2z00zzexpand_expanderz00 = BNIL;
			return (BGl_za2tozd2bezd2macrosza2z00zzexpand_expanderz00 =
				BNIL, BUNSPEC);
		}
	}



/* initialize-Oenv! */
	BGL_EXPORTED_DEF obj_t BGl_initializa7ezd2Oenvz12z67zzexpand_expanderz00()
	{
		AN_OBJECT;
		{	/* Expand/expander.scm 39 */
			return (BGl_za2Oenvza2z00zzexpand_expanderz00 =
				BGl_makezd2hashtablezd2zz__hashz00(BNIL), BUNSPEC);
		}
	}



/* &initialize-Oenv! */
	obj_t BGl_z62initializa7ezd2Oenvz12z05zzexpand_expanderz00(obj_t
		BgL_envz00_273)
	{
		AN_OBJECT;
		{	/* Expand/expander.scm 39 */
			return BGl_initializa7ezd2Oenvz12z67zzexpand_expanderz00();
		}
	}



/* install-O-comptime-expander */
	BGL_EXPORTED_DEF obj_t
		BGl_installzd2Ozd2comptimezd2expanderzd2zzexpand_expanderz00(obj_t
		BgL_keywordz00_13, obj_t BgL_functionz00_14)
	{
		AN_OBJECT;
		{	/* Expand/expander.scm 49 */
			{	/* Expand/expander.scm 50 */
				bool_t BgL_testz00_337;

				{	/* Expand/expander.scm 50 */
					obj_t BgL_arg1526z00_133;

					{	/* Expand/expander.scm 50 */
						obj_t BgL__andtest_1507z00_202;

						BgL__andtest_1507z00_202 =
							BGl_za2optimzd2Ozd2macrozf3za2zf3zzengine_paramz00;
						if (CBOOL(BgL__andtest_1507z00_202))
							{	/* Expand/expander.scm 50 */
								BgL_arg1526z00_133 =
									BGl_hashtablezd2getzd2zz__hashz00
									(BGl_za2Oenvza2z00zzexpand_expanderz00, BgL_keywordz00_13);
							}
						else
							{	/* Expand/expander.scm 50 */
								BgL_arg1526z00_133 = BFALSE;
							}
					}
					if (STRUCTP(BgL_arg1526z00_133))
						{	/* Expand/expander.scm 50 */
							BgL_testz00_337 =
								(STRUCT_KEY(BgL_arg1526z00_133) == CNST_TABLE_REF(((long) 0)));
						}
					else
						{	/* Expand/expander.scm 50 */
							BgL_testz00_337 = ((bool_t) 0);
						}
				}
				if (BgL_testz00_337)
					{	/* Expand/expander.scm 50 */
						return
							BGl_internalzd2errorzd2zztools_errorz00
							(BGl_string1571z00zzexpand_expanderz00,
							BGl_string1572z00zzexpand_expanderz00, BgL_keywordz00_13);
					}
				else
					{	/* Expand/expander.scm 54 */
						obj_t BgL_newz00_125;

						{	/* Expand/expander.scm 55 */
							obj_t BgL_zc3anonymousza31524ze3z83_274;

							BgL_zc3anonymousza31524ze3z83_274 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3anonymousza31524ze3ze1zzexpand_expanderz00,
								(int) (((long) 2)), (int) (((long) 1)));
							PROCEDURE_SET(BgL_zc3anonymousza31524ze3z83_274,
								(int) (((long) 0)), BgL_functionz00_14);
							{	/* Expand/expander.scm 54 */
								obj_t BgL_newz00_213;

								BgL_newz00_213 =
									create_struct(CNST_TABLE_REF(((long) 0)), (int) (((long) 2)));
								{	/* Expand/expander.scm 54 */
									int BgL_auxz00_355;

									BgL_auxz00_355 = (int) (((long) 1));
									STRUCT_SET(BgL_newz00_213, BgL_auxz00_355,
										BgL_zc3anonymousza31524ze3z83_274);
								}
								{	/* Expand/expander.scm 54 */
									int BgL_auxz00_358;

									BgL_auxz00_358 = (int) (((long) 0));
									STRUCT_SET(BgL_newz00_213, BgL_auxz00_358, BgL_keywordz00_13);
								}
								BgL_newz00_125 = BgL_newz00_213;
						}}
						BGl_hashtablezd2putz12zc0zz__hashz00
							(BGl_za2Oenvza2z00zzexpand_expanderz00, BgL_keywordz00_13,
							BgL_newz00_125);
						return BgL_newz00_125;
					}
			}
		}
	}



/* &install-O-comptime-expander */
	obj_t BGl_z62installzd2Ozd2comptimezd2expanderzb0zzexpand_expanderz00(obj_t
		BgL_envz00_275, obj_t BgL_keywordz00_276, obj_t BgL_functionz00_277)
	{
		AN_OBJECT;
		{	/* Expand/expander.scm 49 */
			return
				BGl_installzd2Ozd2comptimezd2expanderzd2zzexpand_expanderz00
				(BgL_keywordz00_276, BgL_functionz00_277);
		}
	}



/* &<anonymous:1524> */
	obj_t BGl_z62zc3anonymousza31524ze3ze1zzexpand_expanderz00(obj_t
		BgL_envz00_278, obj_t BgL_xz00_280, obj_t BgL_ez00_281)
	{
		AN_OBJECT;
		{	/* Expand/expander.scm 54 */
			{	/* Expand/expander.scm 55 */
				obj_t BgL_functionz00_279;

				BgL_functionz00_279 =
					((obj_t) PROCEDURE_REF(BgL_envz00_278, (int) (((long) 0))));
				{
					obj_t BgL_xz00_127;
					obj_t BgL_ez00_128;

					BgL_xz00_127 = BgL_xz00_280;
					BgL_ez00_128 = BgL_ez00_281;
					{	/* Expand/expander.scm 55 */
						obj_t BgL_newxz00_130;

						BgL_newxz00_130 =
							PROCEDURE_ENTRY(BgL_functionz00_279) (BgL_functionz00_279,
							BgL_xz00_127, BgL_ez00_128, BEOA);
						if (PAIRP(BgL_newxz00_130))
							{	/* Expand/expander.scm 56 */
								return
									BGl_epairifyz00zztools_miscz00(BgL_newxz00_130, BgL_xz00_127);
							}
						else
							{	/* Expand/expander.scm 56 */
								return BgL_newxz00_130;
							}
					}
				}
			}
		}
	}



/* find-O-expander */
	BGL_EXPORTED_DEF obj_t BGl_findzd2Ozd2expanderz00zzexpand_expanderz00(obj_t
		BgL_symbolz00_15)
	{
		AN_OBJECT;
		{	/* Expand/expander.scm 68 */
			{	/* Expand/expander.scm 69 */
				obj_t BgL__andtest_1507z00_222;

				BgL__andtest_1507z00_222 =
					BGl_za2optimzd2Ozd2macrozf3za2zf3zzengine_paramz00;
				if (CBOOL(BgL__andtest_1507z00_222))
					{	/* Expand/expander.scm 69 */
						return
							BGl_hashtablezd2getzd2zz__hashz00
							(BGl_za2Oenvza2z00zzexpand_expanderz00, BgL_symbolz00_15);
					}
				else
					{	/* Expand/expander.scm 69 */
						return BFALSE;
					}
			}
		}
	}



/* &find-O-expander */
	obj_t BGl_z62findzd2Ozd2expanderz62zzexpand_expanderz00(obj_t BgL_envz00_282,
		obj_t BgL_symbolz00_283)
	{
		AN_OBJECT;
		{	/* Expand/expander.scm 68 */
			return BGl_findzd2Ozd2expanderz00zzexpand_expanderz00(BgL_symbolz00_283);
		}
	}



/* unbind-O-expander! */
	BGL_EXPORTED_DEF obj_t
		BGl_unbindzd2Ozd2expanderz12z12zzexpand_expanderz00(obj_t BgL_symbolz00_16)
	{
		AN_OBJECT;
		{	/* Expand/expander.scm 74 */
			return
				BBOOL(BGl_hashtablezd2removez12zc0zz__hashz00
				(BGl_za2Oenvza2z00zzexpand_expanderz00, BgL_symbolz00_16));
		}
	}



/* &unbind-O-expander! */
	obj_t BGl_z62unbindzd2Ozd2expanderz12z70zzexpand_expanderz00(obj_t
		BgL_envz00_284, obj_t BgL_symbolz00_285)
	{
		AN_OBJECT;
		{	/* Expand/expander.scm 74 */
			return
				BGl_unbindzd2Ozd2expanderz12z12zzexpand_expanderz00(BgL_symbolz00_285);
		}
	}



/* initialize-Genv! */
	BGL_EXPORTED_DEF obj_t BGl_initializa7ezd2Genvz12z67zzexpand_expanderz00()
	{
		AN_OBJECT;
		{	/* Expand/expander.scm 85 */
			return (BGl_za2Genvza2z00zzexpand_expanderz00 =
				BGl_makezd2hashtablezd2zz__hashz00(BNIL), BUNSPEC);
		}
	}



/* &initialize-Genv! */
	obj_t BGl_z62initializa7ezd2Genvz12z05zzexpand_expanderz00(obj_t
		BgL_envz00_286)
	{
		AN_OBJECT;
		{	/* Expand/expander.scm 85 */
			return BGl_initializa7ezd2Genvz12z67zzexpand_expanderz00();
		}
	}



/* install-G-comptime-expander */
	BGL_EXPORTED_DEF obj_t
		BGl_installzd2Gzd2comptimezd2expanderzd2zzexpand_expanderz00(obj_t
		BgL_keywordz00_17, obj_t BgL_functionz00_18)
	{
		AN_OBJECT;
		{	/* Expand/expander.scm 95 */
			{	/* Expand/expander.scm 96 */
				bool_t BgL_testz00_383;

				{	/* Expand/expander.scm 96 */
					obj_t BgL_arg1529z00_138;

					BgL_arg1529z00_138 =
						BGl_findzd2Gzd2expanderz00zzexpand_expanderz00(BgL_keywordz00_17);
					if (STRUCTP(BgL_arg1529z00_138))
						{	/* Expand/expander.scm 96 */
							BgL_testz00_383 =
								(STRUCT_KEY(BgL_arg1529z00_138) == CNST_TABLE_REF(((long) 0)));
						}
					else
						{	/* Expand/expander.scm 96 */
							BgL_testz00_383 = ((bool_t) 0);
						}
				}
				if (BgL_testz00_383)
					{	/* Expand/expander.scm 96 */
						return
							BGl_internalzd2errorzd2zztools_errorz00
							(BGl_string1573z00zzexpand_expanderz00,
							BGl_string1574z00zzexpand_expanderz00, BgL_keywordz00_17);
					}
				else
					{	/* Expand/expander.scm 100 */
						obj_t BgL_newz00_137;

						{	/* Expand/expander.scm 100 */
							obj_t BgL_newz00_232;

							BgL_newz00_232 =
								create_struct(CNST_TABLE_REF(((long) 0)), (int) (((long) 2)));
							{	/* Expand/expander.scm 100 */
								int BgL_auxz00_394;

								BgL_auxz00_394 = (int) (((long) 1));
								STRUCT_SET(BgL_newz00_232, BgL_auxz00_394, BgL_functionz00_18);
							}
							{	/* Expand/expander.scm 100 */
								int BgL_auxz00_397;

								BgL_auxz00_397 = (int) (((long) 0));
								STRUCT_SET(BgL_newz00_232, BgL_auxz00_397, BgL_keywordz00_17);
							}
							BgL_newz00_137 = BgL_newz00_232;
						}
						BGl_hashtablezd2putz12zc0zz__hashz00
							(BGl_za2Genvza2z00zzexpand_expanderz00, BgL_keywordz00_17,
							BgL_newz00_137);
						return BgL_newz00_137;
					}
			}
		}
	}



/* &install-G-comptime-expander */
	obj_t BGl_z62installzd2Gzd2comptimezd2expanderzb0zzexpand_expanderz00(obj_t
		BgL_envz00_287, obj_t BgL_keywordz00_288, obj_t BgL_functionz00_289)
	{
		AN_OBJECT;
		{	/* Expand/expander.scm 95 */
			return
				BGl_installzd2Gzd2comptimezd2expanderzd2zzexpand_expanderz00
				(BgL_keywordz00_288, BgL_functionz00_289);
		}
	}



/* find-G-expander */
	BGL_EXPORTED_DEF obj_t BGl_findzd2Gzd2expanderz00zzexpand_expanderz00(obj_t
		BgL_symbolz00_19)
	{
		AN_OBJECT;
		{	/* Expand/expander.scm 110 */
			if (BGl_numberzf3zf3zz__r4_numbers_6_5z00
				(BGl_za2compilerzd2debugza2zd2zzengine_paramz00))
				{	/* Expand/expander.scm 111 */
					bool_t BgL_testz00_404;

					if (INTEGERP(BGl_za2compilerzd2debugza2zd2zzengine_paramz00))
						{	/* Expand/expander.scm 111 */
							BgL_testz00_404 =
								(
								(long) CINT(BGl_za2compilerzd2debugza2zd2zzengine_paramz00) >=
								((long) 1));
						}
					else
						{	/* Expand/expander.scm 111 */
							BgL_testz00_404 =
								BGl_2ze3zd3z30zz__r4_numbers_6_5z00
								(BGl_za2compilerzd2debugza2zd2zzengine_paramz00,
								BINT(((long) 1)));
						}
					if (BgL_testz00_404)
						{	/* Expand/expander.scm 111 */
							return
								BGl_hashtablezd2getzd2zz__hashz00
								(BGl_za2Genvza2z00zzexpand_expanderz00, BgL_symbolz00_19);
						}
					else
						{	/* Expand/expander.scm 111 */
							return BFALSE;
						}
				}
			else
				{	/* Expand/expander.scm 111 */
					return BFALSE;
				}
		}
	}



/* &find-G-expander */
	obj_t BGl_z62findzd2Gzd2expanderz62zzexpand_expanderz00(obj_t BgL_envz00_290,
		obj_t BgL_symbolz00_291)
	{
		AN_OBJECT;
		{	/* Expand/expander.scm 110 */
			return BGl_findzd2Gzd2expanderz00zzexpand_expanderz00(BgL_symbolz00_291);
		}
	}



/* unbind-G-expander! */
	BGL_EXPORTED_DEF obj_t
		BGl_unbindzd2Gzd2expanderz12z12zzexpand_expanderz00(obj_t BgL_symbolz00_20)
	{
		AN_OBJECT;
		{	/* Expand/expander.scm 117 */
			return
				BBOOL(BGl_hashtablezd2removez12zc0zz__hashz00
				(BGl_za2Genvza2z00zzexpand_expanderz00, BgL_symbolz00_20));
		}
	}



/* &unbind-G-expander! */
	obj_t BGl_z62unbindzd2Gzd2expanderz12z70zzexpand_expanderz00(obj_t
		BgL_envz00_292, obj_t BgL_symbolz00_293)
	{
		AN_OBJECT;
		{	/* Expand/expander.scm 117 */
			return
				BGl_unbindzd2Gzd2expanderz12z12zzexpand_expanderz00(BgL_symbolz00_293);
		}
	}



/* to-be-macro! */
	BGL_EXPORTED_DEF obj_t BGl_tozd2bezd2macroz12z12zzexpand_expanderz00(obj_t
		BgL_idz00_21, obj_t BgL_srcz00_22)
	{
		AN_OBJECT;
		{	/* Expand/expander.scm 128 */
			if (CBOOL(BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_idz00_21,
						BGl_za2tozd2bezd2macrosza2z00zzexpand_expanderz00)))
				{	/* Expand/expander.scm 129 */
					return BFALSE;
				}
			else
				{	/* Expand/expander.scm 130 */
					obj_t BgL_arg1532z00_143;

					BgL_arg1532z00_143 = MAKE_PAIR(BgL_idz00_21, BgL_srcz00_22);
					return (BGl_za2tozd2bezd2macrosza2z00zzexpand_expanderz00 =
						MAKE_PAIR(BgL_arg1532z00_143,
							BGl_za2tozd2bezd2macrosza2z00zzexpand_expanderz00), BUNSPEC);
				}
		}
	}



/* &to-be-macro! */
	obj_t BGl_z62tozd2bezd2macroz12z70zzexpand_expanderz00(obj_t BgL_envz00_294,
		obj_t BgL_idz00_295, obj_t BgL_srcz00_296)
	{
		AN_OBJECT;
		{	/* Expand/expander.scm 128 */
			return
				BGl_tozd2bezd2macroz12z12zzexpand_expanderz00(BgL_idz00_295,
				BgL_srcz00_296);
		}
	}



/* check-to-be-macros */
	BGL_EXPORTED_DEF obj_t BGl_checkzd2tozd2bezd2macroszd2zzexpand_expanderz00()
	{
		AN_OBJECT;
		{	/* Expand/expander.scm 135 */
			{
				obj_t BgL_l1510z00_145;

				{	/* Expand/expander.scm 136 */
					bool_t BgL_auxz00_422;

					BgL_l1510z00_145 = BGl_za2tozd2bezd2macrosza2z00zzexpand_expanderz00;
				BgL_zc3anonymousza31533ze3z83_146:
					if (PAIRP(BgL_l1510z00_145))
						{	/* Expand/expander.scm 136 */
							{	/* Expand/expander.scm 137 */
								obj_t BgL_mz00_148;

								BgL_mz00_148 = CAR(BgL_l1510z00_145);
								{
									obj_t BgL_idz00_151;
									obj_t BgL_idz00_149;

									{	/* Expand/expander.scm 137 */
										obj_t BgL_ezd21392zd2_154;

										BgL_ezd21392zd2_154 = CDR(BgL_mz00_148);
										if (PAIRP(BgL_ezd21392zd2_154))
											{	/* Expand/expander.scm 137 */
												obj_t BgL_cdrzd21396zd2_156;

												BgL_cdrzd21396zd2_156 = CDR(BgL_ezd21392zd2_154);
												if (
													(CAR(BgL_ezd21392zd2_154) ==
														CNST_TABLE_REF(((long) 1))))
													{	/* Expand/expander.scm 137 */
														if (PAIRP(BgL_cdrzd21396zd2_156))
															{	/* Expand/expander.scm 137 */
																if (NULLP(CDR(BgL_cdrzd21396zd2_156)))
																	{	/* Expand/expander.scm 137 */
																		BgL_idz00_149 = CAR(BgL_cdrzd21396zd2_156);
																		if (CBOOL
																			(BGl_getzd2compilerzd2expanderz00zz__macroz00
																				(BgL_idz00_149)))
																			{	/* Expand/expander.scm 139 */
																				BFALSE;
																			}
																		else
																			{	/* Expand/expander.scm 139 */
																				BGl_errorz00zz__errorz00
																					(BGl_string1575z00zzexpand_expanderz00,
																					BGl_string1576z00zzexpand_expanderz00,
																					BgL_idz00_149);
																			}
																	}
																else
																	{	/* Expand/expander.scm 137 */
																	BgL_tagzd21391zd2_153:
																		{	/* Expand/expander.scm 149 */
																			bool_t BgL_testz00_444;

																			{	/* Expand/expander.scm 149 */
																				obj_t BgL_arg1553z00_174;

																				BgL_arg1553z00_174 = CAR(BgL_mz00_148);
																				BgL_testz00_444 =
																					CBOOL
																					(BGl_getzd2compilerzd2expanderz00zz__macroz00
																					(BgL_arg1553z00_174));
																			}
																			if (BgL_testz00_444)
																				{	/* Expand/expander.scm 149 */
																					BFALSE;
																				}
																			else
																				{	/* Expand/expander.scm 149 */
																					BGl_errorz00zz__errorz00
																						(BGl_string1575z00zzexpand_expanderz00,
																						BGl_string1577z00zzexpand_expanderz00,
																						CDR(BgL_mz00_148));
																				}
																		}
																	}
															}
														else
															{	/* Expand/expander.scm 137 */
																goto BgL_tagzd21391zd2_153;
															}
													}
												else
													{	/* Expand/expander.scm 137 */
														if (
															(CAR(BgL_ezd21392zd2_154) ==
																CNST_TABLE_REF(((long) 0))))
															{	/* Expand/expander.scm 137 */
																if (PAIRP(BgL_cdrzd21396zd2_156))
																	{	/* Expand/expander.scm 137 */
																		if (NULLP(CDR(BgL_cdrzd21396zd2_156)))
																			{	/* Expand/expander.scm 137 */
																				BgL_idz00_151 =
																					CAR(BgL_cdrzd21396zd2_156);
																				if (CBOOL
																					(BGl_getzd2compilerzd2expanderz00zz__macroz00
																						(BgL_idz00_151)))
																					{	/* Expand/expander.scm 144 */
																						BFALSE;
																					}
																				else
																					{	/* Expand/expander.scm 144 */
																						BGl_errorz00zz__errorz00
																							(BGl_string1575z00zzexpand_expanderz00,
																							BGl_string1576z00zzexpand_expanderz00,
																							BgL_idz00_151);
																					}
																			}
																		else
																			{	/* Expand/expander.scm 137 */
																				goto BgL_tagzd21391zd2_153;
																			}
																	}
																else
																	{	/* Expand/expander.scm 137 */
																		goto BgL_tagzd21391zd2_153;
																	}
															}
														else
															{	/* Expand/expander.scm 137 */
																goto BgL_tagzd21391zd2_153;
															}
													}
											}
										else
											{	/* Expand/expander.scm 137 */
												goto BgL_tagzd21391zd2_153;
											}
									}
								}
							}
							{
								obj_t BgL_l1510z00_464;

								BgL_l1510z00_464 = CDR(BgL_l1510z00_145);
								BgL_l1510z00_145 = BgL_l1510z00_464;
								goto BgL_zc3anonymousza31533ze3z83_146;
							}
						}
					else
						{	/* Expand/expander.scm 136 */
							BgL_auxz00_422 = ((bool_t) 1);
						}
					return BBOOL(BgL_auxz00_422);
				}
			}
		}
	}



/* &check-to-be-macros */
	obj_t BGl_z62checkzd2tozd2bezd2macroszb0zzexpand_expanderz00(obj_t
		BgL_envz00_297)
	{
		AN_OBJECT;
		{	/* Expand/expander.scm 135 */
			return BGl_checkzd2tozd2bezd2macroszd2zzexpand_expanderz00();
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzexpand_expanderz00()
	{
		AN_OBJECT;
		{	/* Expand/expander.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzexpand_expanderz00()
	{
		AN_OBJECT;
		{	/* Expand/expander.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzexpand_expanderz00()
	{
		AN_OBJECT;
		{	/* Expand/expander.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1578z00zzexpand_expanderz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 428058597),
				BSTRING_TO_STRING(BGl_string1578z00zzexpand_expanderz00));
			return
				BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 9470071),
				BSTRING_TO_STRING(BGl_string1578z00zzexpand_expanderz00));
		}
	}

#ifdef __cplusplus
}
#endif
