/*===========================================================================*/
/*   (Expand/lambda.scm)                                                     */
/*   Bigloo (3.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 26 07:46:09 CEST 2011       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.7a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Expand/lambda.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	static obj_t BGl_requirezd2initializa7ationz75zzexpand_lambdaz00 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zzexpand_lambdaz00();
	static obj_t BGl_z62expandzd2argszb0zzexpand_lambdaz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t bgl_reverse(obj_t);
	static obj_t BGl_genericzd2initzd2zzexpand_lambdaz00();
	BGL_EXPORTED_DECL obj_t BGl_expandzd2lambdazd2zzexpand_lambdaz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzexpand_lambdaz00();
	BGL_EXPORTED_DECL obj_t
		BGl_internalzd2beginzd2expanderz00zzexpand_lambdaz00(obj_t);
	static obj_t BGl_z62zc3anonymousza31552ze3ze1zzexpand_lambdaz00(obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_lambdazd2defineszd2zzexpand_lambdaz00(obj_t);
	static obj_t BGl_z62zc3anonymousza31572ze3ze1zzexpand_lambdaz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_internalzd2definitionzf3z21zzexpand_lambdaz00 =
		BUNSPEC;
	extern obj_t BGl_replacez12z12zztools_miscz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31590ze3ze1zzexpand_lambdaz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzexpand_lambdaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzexpand_epsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_emapz00zztools_prognz00(obj_t, obj_t);
	static obj_t BGl_appendzd221095zd2zzexpand_lambdaz00(obj_t, obj_t);
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	extern obj_t BGl_withzd2lexicalzd2zzexpand_epsz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31575ze3ze1zzexpand_lambdaz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31559ze3ze1zzexpand_lambdaz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_beginzd2bindingszd2zzexpand_lambdaz00(obj_t);
	static obj_t BGl_cnstzd2initzd2zzexpand_lambdaz00();
	BGL_IMPORT bool_t BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzexpand_lambdaz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzexpand_lambdaz00();
	static obj_t BGl_z62zc3anonymousza31586ze3ze1zzexpand_lambdaz00(obj_t);
	extern obj_t BGl_argsza2zd2ze3argszd2listz41zztools_argsz00(obj_t);
	static obj_t BGl_loopz00zzexpand_lambdaz00(obj_t, obj_t);
	static obj_t BGl_z62expandzd2lambdazb0zzexpand_lambdaz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t BGl_z62internalzd2beginzd2expanderz62zzexpand_lambdaz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_expandzd2argszd2zzexpand_lambdaz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_expandzd2prognzd2zz__prognz00(obj_t);
	static obj_t __cnst[4];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_expandzd2argszd2envz00zzexpand_lambdaz00,
		BgL_bgl_za762expandza7d2args1673z00,
		BGl_z62expandzd2argszb0zzexpand_lambdaz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1665z00zzexpand_lambdaz00,
		BgL_bgl_string1665za700za7za7e1674za7, "expand", 6);
	      DEFINE_STRING(BGl_string1666z00zzexpand_lambdaz00,
		BgL_bgl_string1666za700za7za7e1675za7, "Illegal argument", 16);
	      DEFINE_STRING(BGl_string1667z00zzexpand_lambdaz00,
		BgL_bgl_string1667za700za7za7e1676za7, "Illegal `lambda' form", 21);
	      DEFINE_STRING(BGl_string1668z00zzexpand_lambdaz00,
		BgL_bgl_string1668za700za7za7e1677za7, "Illegal `begin' form", 20);
	      DEFINE_STRING(BGl_string1669z00zzexpand_lambdaz00,
		BgL_bgl_string1669za700za7za7e1678za7, "expand_lambda", 13);
	      DEFINE_STRING(BGl_string1670z00zzexpand_lambdaz00,
		BgL_bgl_string1670za700za7za7e1679za7, "letrec* define begin _ ", 23);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_internalzd2beginzd2expanderzd2envzd2zzexpand_lambdaz00,
		BgL_bgl_za762internalza7d2be1680z00,
		BGl_z62internalzd2beginzd2expanderz62zzexpand_lambdaz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_expandzd2lambdazd2envz00zzexpand_lambdaz00,
		BgL_bgl_za762expandza7d2lamb1681z00,
		BGl_z62expandzd2lambdazb0zzexpand_lambdaz00, 0L, BUNSPEC, 2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzexpand_lambdaz00(long
		BgL_checksumz00_435, char *BgL_fromz00_436)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzexpand_lambdaz00))
				{
					BGl_requirezd2initializa7ationz75zzexpand_lambdaz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzexpand_lambdaz00();
					BGl_cnstzd2initzd2zzexpand_lambdaz00();
					BGl_importedzd2moduleszd2initz00zzexpand_lambdaz00();
					BGl_toplevelzd2initzd2zzexpand_lambdaz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzexpand_lambdaz00()
	{
		AN_OBJECT;
		{	/* Expand/lambda.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"expand_lambda");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"expand_lambda");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "expand_lambda");
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 0), "expand_lambda");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzexpand_lambdaz00()
	{
		AN_OBJECT;
		{	/* Expand/lambda.scm 15 */
			{	/* Expand/lambda.scm 15 */
				obj_t BgL_cportz00_423;

				BgL_cportz00_423 =
					bgl_open_input_string(BGl_string1670z00zzexpand_lambdaz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_424;

					BgL_iz00_424 = ((long) 3);
				BgL_loopz00_425:
					if ((BgL_iz00_424 == ((long) -1)))
						{	/* Expand/lambda.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Expand/lambda.scm 15 */
							{	/* Expand/lambda.scm 15 */
								obj_t BgL_arg1672z00_427;

								{	/* Expand/lambda.scm 15 */

									{	/* Expand/lambda.scm 15 */
										obj_t BgL_locationz00_429;

										BgL_locationz00_429 = BBOOL(((bool_t) 0));
										{	/* Expand/lambda.scm 15 */

											BgL_arg1672z00_427 =
												BGl_readz00zz__readerz00(BgL_cportz00_423,
												BgL_locationz00_429);
										}
									}
								}
								{	/* Expand/lambda.scm 15 */
									int BgL_auxz00_454;

									BgL_auxz00_454 = (int) (BgL_iz00_424);
									CNST_TABLE_SET(BgL_auxz00_454, BgL_arg1672z00_427);
							}}
							{	/* Expand/lambda.scm 15 */
								int BgL_auxz00_430;

								BgL_auxz00_430 = (int) ((BgL_iz00_424 - ((long) 1)));
								{
									long BgL_iz00_459;

									BgL_iz00_459 = (long) (BgL_auxz00_430);
									BgL_iz00_424 = BgL_iz00_459;
									goto BgL_loopz00_425;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzexpand_lambdaz00()
	{
		AN_OBJECT;
		{	/* Expand/lambda.scm 15 */
			return (BGl_internalzd2definitionzf3z21zzexpand_lambdaz00 =
				BFALSE, BUNSPEC);
		}
	}



/* append-21095 */
	obj_t BGl_appendzd221095zd2zzexpand_lambdaz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_95;

				BgL_headz00_95 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_96;
					obj_t BgL_tailz00_97;

					BgL_prevz00_96 = BgL_headz00_95;
					BgL_tailz00_97 = BgL_l1z00_1;
				BgL_loopz00_98:
					if (PAIRP(BgL_tailz00_97))
						{
							obj_t BgL_newzd2prevzd2_100;

							BgL_newzd2prevzd2_100 =
								MAKE_PAIR(CAR(BgL_tailz00_97), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_96, BgL_newzd2prevzd2_100);
							{
								obj_t BgL_tailz00_468;
								obj_t BgL_prevz00_467;

								BgL_prevz00_467 = BgL_newzd2prevzd2_100;
								BgL_tailz00_468 = CDR(BgL_tailz00_97);
								BgL_tailz00_97 = BgL_tailz00_468;
								BgL_prevz00_96 = BgL_prevz00_467;
								goto BgL_loopz00_98;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_95);
				}
			}
		}
	}



/* expand-args */
	BGL_EXPORTED_DEF obj_t BGl_expandzd2argszd2zzexpand_lambdaz00(obj_t
		BgL_argsz00_3, obj_t BgL_ez00_4)
	{
		AN_OBJECT;
		{	/* Expand/lambda.scm 37 */
			return BGl_loopz00zzexpand_lambdaz00(BgL_ez00_4, BgL_argsz00_3);
		}
	}



/* loop */
	obj_t BGl_loopz00zzexpand_lambdaz00(obj_t BgL_ez00_422, obj_t BgL_argsz00_104)
	{
		AN_OBJECT;
		{	/* Expand/lambda.scm 38 */
			if (NULLP(BgL_argsz00_104))
				{	/* Expand/lambda.scm 40 */
					return BNIL;
				}
			else
				{	/* Expand/lambda.scm 40 */
					if (SYMBOLP(BgL_argsz00_104))
						{	/* Expand/lambda.scm 42 */
							return BgL_argsz00_104;
						}
					else
						{	/* Expand/lambda.scm 42 */
							if (PAIRP(BgL_argsz00_104))
								{	/* Expand/lambda.scm 46 */
									bool_t BgL_testz00_478;

									{	/* Expand/lambda.scm 46 */
										bool_t BgL_testz00_479;

										{	/* Expand/lambda.scm 46 */
											obj_t BgL_auxz00_480;

											BgL_auxz00_480 = CAR(BgL_argsz00_104);
											BgL_testz00_479 = PAIRP(BgL_auxz00_480);
										}
										if (BgL_testz00_479)
											{	/* Expand/lambda.scm 47 */
												bool_t BgL_testz00_483;

												{	/* Expand/lambda.scm 47 */
													obj_t BgL_auxz00_484;

													BgL_auxz00_484 = CDR(CAR(BgL_argsz00_104));
													BgL_testz00_483 = PAIRP(BgL_auxz00_484);
												}
												if (BgL_testz00_483)
													{	/* Expand/lambda.scm 48 */
														obj_t BgL_auxz00_488;

														{	/* Expand/lambda.scm 48 */
															obj_t BgL_pairz00_303;

															BgL_pairz00_303 = CAR(BgL_argsz00_104);
															BgL_auxz00_488 = CDR(CDR(BgL_pairz00_303));
														}
														BgL_testz00_478 = NULLP(BgL_auxz00_488);
													}
												else
													{	/* Expand/lambda.scm 47 */
														BgL_testz00_478 = ((bool_t) 0);
													}
											}
										else
											{	/* Expand/lambda.scm 46 */
												BgL_testz00_478 = ((bool_t) 0);
											}
									}
									if (BgL_testz00_478)
										{	/* Expand/lambda.scm 51 */
											obj_t BgL_arg1523z00_110;
											obj_t BgL_arg1524z00_111;

											{	/* Expand/lambda.scm 51 */
												obj_t BgL_arg1525z00_112;
												obj_t BgL_arg1526z00_113;

												BgL_arg1525z00_112 = CAR(CAR(BgL_argsz00_104));
												{	/* Expand/lambda.scm 51 */
													obj_t BgL_arg1531z00_117;

													{	/* Expand/lambda.scm 51 */
														obj_t BgL_pairz00_312;

														BgL_pairz00_312 = CAR(BgL_argsz00_104);
														BgL_arg1531z00_117 = CAR(CDR(BgL_pairz00_312));
													}
													BgL_arg1526z00_113 =
														PROCEDURE_ENTRY(BgL_ez00_422) (BgL_ez00_422,
														BgL_arg1531z00_117, BgL_ez00_422, BEOA);
												}
												{	/* Expand/lambda.scm 51 */
													obj_t BgL_list1527z00_114;

													{	/* Expand/lambda.scm 51 */
														obj_t BgL_arg1529z00_115;

														BgL_arg1529z00_115 =
															MAKE_PAIR(BgL_arg1526z00_113, BNIL);
														BgL_list1527z00_114 =
															MAKE_PAIR(BgL_arg1525z00_112, BgL_arg1529z00_115);
													}
													BgL_arg1523z00_110 = BgL_list1527z00_114;
												}
											}
											BgL_arg1524z00_111 =
												BGl_loopz00zzexpand_lambdaz00(BgL_ez00_422,
												CDR(BgL_argsz00_104));
											return MAKE_PAIR(BgL_arg1523z00_110, BgL_arg1524z00_111);
										}
									else
										{	/* Expand/lambda.scm 46 */
											return
												MAKE_PAIR(CAR(BgL_argsz00_104),
												BGl_loopz00zzexpand_lambdaz00(BgL_ez00_422,
													CDR(BgL_argsz00_104)));
										}
								}
							else
								{	/* Expand/lambda.scm 44 */
									return
										BGl_errorz00zz__errorz00
										(BGl_string1665z00zzexpand_lambdaz00,
										BGl_string1666z00zzexpand_lambdaz00, BgL_argsz00_104);
								}
						}
				}
		}
	}



/* &expand-args */
	obj_t BGl_z62expandzd2argszb0zzexpand_lambdaz00(obj_t BgL_envz00_387,
		obj_t BgL_argsz00_388, obj_t BgL_ez00_389)
	{
		AN_OBJECT;
		{	/* Expand/lambda.scm 37 */
			return BGl_loopz00zzexpand_lambdaz00(BgL_ez00_389, BgL_argsz00_388);
		}
	}



/* expand-lambda */
	BGL_EXPORTED_DEF obj_t BGl_expandzd2lambdazd2zzexpand_lambdaz00(obj_t
		BgL_xz00_5, obj_t BgL_ez00_6)
	{
		AN_OBJECT;
		{	/* Expand/lambda.scm 57 */
			{	/* Expand/lambda.scm 58 */
				obj_t BgL_oldzd2internalzd2_131;

				BgL_oldzd2internalzd2_131 =
					BGl_internalzd2definitionzf3z21zzexpand_lambdaz00;
				BGl_internalzd2definitionzf3z21zzexpand_lambdaz00 = BTRUE;
				{	/* Expand/lambda.scm 60 */
					obj_t BgL_resz00_132;

					{
						obj_t BgL_lamz00_133;
						obj_t BgL_argsz00_134;
						obj_t BgL_bodyz00_135;

						if (PAIRP(BgL_xz00_5))
							{	/* Expand/lambda.scm 60 */
								obj_t BgL_cdrzd21657zd2_140;

								BgL_cdrzd21657zd2_140 = CDR(BgL_xz00_5);
								if (PAIRP(BgL_cdrzd21657zd2_140))
									{	/* Expand/lambda.scm 60 */
										obj_t BgL_cdrzd21662zd2_142;

										BgL_cdrzd21662zd2_142 = CDR(BgL_cdrzd21657zd2_140);
										if (NULLP(BgL_cdrzd21662zd2_142))
											{	/* Expand/lambda.scm 60 */
											BgL_tagzd21648zd2_137:
												BgL_resz00_132 =
													BGl_errorz00zz__errorz00(BFALSE,
													BGl_string1667z00zzexpand_lambdaz00, BgL_xz00_5);
											}
										else
											{	/* Expand/lambda.scm 60 */
												BgL_lamz00_133 = CAR(BgL_xz00_5);
												BgL_argsz00_134 = CAR(BgL_cdrzd21657zd2_140);
												BgL_bodyz00_135 = BgL_cdrzd21662zd2_142;
												{	/* Expand/lambda.scm 62 */
													obj_t BgL_arg1549z00_146;
													obj_t BgL_arg1550z00_147;

													BgL_arg1549z00_146 =
														BGl_argsza2zd2ze3argszd2listz41zztools_argsz00
														(BgL_argsz00_134);
													BgL_arg1550z00_147 =
														BGl_findzd2locationzd2zztools_locationz00
														(BgL_xz00_5);
													{	/* Expand/lambda.scm 66 */
														obj_t BgL_zc3anonymousza31552ze3z83_390;

														BgL_zc3anonymousza31552ze3z83_390 =
															MAKE_FX_PROCEDURE
															(BGl_z62zc3anonymousza31552ze3ze1zzexpand_lambdaz00,
															(int) (((long) 0)), (int) (((long) 4)));
														PROCEDURE_SET(BgL_zc3anonymousza31552ze3z83_390,
															(int) (((long) 0)), BgL_ez00_6);
														PROCEDURE_SET(BgL_zc3anonymousza31552ze3z83_390,
															(int) (((long) 1)), BgL_argsz00_134);
														PROCEDURE_SET(BgL_zc3anonymousza31552ze3z83_390,
															(int) (((long) 2)), BgL_bodyz00_135);
														PROCEDURE_SET(BgL_zc3anonymousza31552ze3z83_390,
															(int) (((long) 3)), BgL_lamz00_133);
														BgL_resz00_132 =
															BGl_withzd2lexicalzd2zzexpand_epsz00
															(BgL_arg1549z00_146, CNST_TABLE_REF(((long) 0)),
															BgL_arg1550z00_147,
															BgL_zc3anonymousza31552ze3z83_390);
									}}}}
								else
									{	/* Expand/lambda.scm 60 */
										goto BgL_tagzd21648zd2_137;
									}
							}
						else
							{	/* Expand/lambda.scm 60 */
								goto BgL_tagzd21648zd2_137;
							}
					}
					BGl_internalzd2definitionzf3z21zzexpand_lambdaz00 =
						BgL_oldzd2internalzd2_131;
					return BGl_replacez12z12zztools_miscz00(BgL_xz00_5, BgL_resz00_132);
				}
			}
		}
	}



/* &expand-lambda */
	obj_t BGl_z62expandzd2lambdazb0zzexpand_lambdaz00(obj_t BgL_envz00_391,
		obj_t BgL_xz00_392, obj_t BgL_ez00_393)
	{
		AN_OBJECT;
		{	/* Expand/lambda.scm 57 */
			return
				BGl_expandzd2lambdazd2zzexpand_lambdaz00(BgL_xz00_392, BgL_ez00_393);
		}
	}



/* &<anonymous:1552> */
	obj_t BGl_z62zc3anonymousza31552ze3ze1zzexpand_lambdaz00(obj_t BgL_envz00_394)
	{
		AN_OBJECT;
		{	/* Expand/lambda.scm 65 */
			{	/* Expand/lambda.scm 66 */
				obj_t BgL_ez00_395;
				obj_t BgL_argsz00_396;
				obj_t BgL_bodyz00_397;
				obj_t BgL_lamz00_398;

				BgL_ez00_395 =
					((obj_t) PROCEDURE_REF(BgL_envz00_394, (int) (((long) 0))));
				BgL_argsz00_396 = PROCEDURE_REF(BgL_envz00_394, (int) (((long) 1)));
				BgL_bodyz00_397 = PROCEDURE_REF(BgL_envz00_394, (int) (((long) 2)));
				BgL_lamz00_398 = PROCEDURE_REF(BgL_envz00_394, (int) (((long) 3)));
				{

					{	/* Expand/lambda.scm 66 */
						obj_t BgL_ez00_150;

						BgL_ez00_150 =
							BGl_internalzd2beginzd2expanderz00zzexpand_lambdaz00
							(BgL_ez00_395);
						{	/* Expand/lambda.scm 67 */
							obj_t BgL_arg1553z00_151;

							{	/* Expand/lambda.scm 67 */
								obj_t BgL_arg1554z00_152;
								obj_t BgL_arg1555z00_153;

								BgL_arg1554z00_152 =
									BGl_loopz00zzexpand_lambdaz00(BgL_ez00_150, BgL_argsz00_396);
								{	/* Expand/lambda.scm 68 */
									obj_t BgL_arg1556z00_154;

									{	/* Expand/lambda.scm 68 */
										obj_t BgL_arg1558z00_155;

										BgL_arg1558z00_155 =
											BGl_expandzd2prognzd2zz__prognz00(BgL_bodyz00_397);
										BgL_arg1556z00_154 =
											PROCEDURE_ENTRY(BgL_ez00_150) (BgL_ez00_150,
											BgL_arg1558z00_155, BgL_ez00_150, BEOA);
									}
									BgL_arg1555z00_153 = MAKE_PAIR(BgL_arg1556z00_154, BNIL);
								}
								BgL_arg1553z00_151 =
									MAKE_PAIR(BgL_arg1554z00_152, BgL_arg1555z00_153);
							}
							return MAKE_PAIR(BgL_lamz00_398, BgL_arg1553z00_151);
						}
					}
				}
			}
		}
	}



/* internal-begin-expander */
	BGL_EXPORTED_DEF obj_t
		BGl_internalzd2beginzd2expanderz00zzexpand_lambdaz00(obj_t
		BgL_oldzd2expanderzd2_7)
	{
		AN_OBJECT;
		{	/* Expand/lambda.scm 77 */
			{	/* Expand/lambda.scm 78 */
				obj_t BgL_zc3anonymousza31559ze3z83_403;

				BgL_zc3anonymousza31559ze3z83_403 =
					MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza31559ze3ze1zzexpand_lambdaz00,
					(int) (((long) 2)), (int) (((long) 1)));
				PROCEDURE_SET(BgL_zc3anonymousza31559ze3z83_403,
					(int) (((long) 0)), BgL_oldzd2expanderzd2_7);
				return BgL_zc3anonymousza31559ze3z83_403;
			}
		}
	}



/* &internal-begin-expander */
	obj_t BGl_z62internalzd2beginzd2expanderz62zzexpand_lambdaz00(obj_t
		BgL_envz00_404, obj_t BgL_oldzd2expanderzd2_405)
	{
		AN_OBJECT;
		{	/* Expand/lambda.scm 77 */
			return
				BGl_internalzd2beginzd2expanderz00zzexpand_lambdaz00
				(BgL_oldzd2expanderzd2_405);
		}
	}



/* &<anonymous:1559> */
	obj_t BGl_z62zc3anonymousza31559ze3ze1zzexpand_lambdaz00(obj_t BgL_envz00_406,
		obj_t BgL_exprz00_408, obj_t BgL_expanderz00_409)
	{
		AN_OBJECT;
		{	/* Expand/lambda.scm 78 */
			{	/* Expand/lambda.scm 78 */
				obj_t BgL_oldzd2expanderzd2_407;

				BgL_oldzd2expanderzd2_407 =
					((obj_t) PROCEDURE_REF(BgL_envz00_406, (int) (((long) 0))));
				{
					obj_t BgL_exprz00_157;
					obj_t BgL_expanderz00_158;

					BgL_exprz00_157 = BgL_exprz00_408;
					BgL_expanderz00_158 = BgL_expanderz00_409;
					{
						obj_t BgL_restz00_161;

						if (PAIRP(BgL_exprz00_157))
							{	/* Expand/lambda.scm 78 */
								if ((CAR(BgL_exprz00_157) == CNST_TABLE_REF(((long) 1))))
									{	/* Expand/lambda.scm 78 */
										if (NULLP(CDR(BgL_exprz00_157)))
											{	/* Expand/lambda.scm 78 */
												return BUNSPEC;
											}
										else
											{	/* Expand/lambda.scm 78 */
												BgL_restz00_161 = CDR(BgL_exprz00_157);
												if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00
													(BgL_restz00_161))
													{	/* Expand/lambda.scm 86 */
														obj_t BgL_arg1567z00_172;
														obj_t BgL_arg1569z00_173;

														BgL_arg1567z00_172 =
															BGl_beginzd2bindingszd2zzexpand_lambdaz00
															(BgL_restz00_161);
														BgL_arg1569z00_173 =
															BGl_findzd2locationzd2zztools_locationz00
															(BgL_exprz00_157);
														{	/* Expand/lambda.scm 91 */
															obj_t BgL_zc3anonymousza31572ze3z83_400;

															BgL_zc3anonymousza31572ze3z83_400 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3anonymousza31572ze3ze1zzexpand_lambdaz00,
																(int) (((long) 0)), (int) (((long) 2)));
															PROCEDURE_SET(BgL_zc3anonymousza31572ze3z83_400,
																(int) (((long) 0)), BgL_oldzd2expanderzd2_407);
															PROCEDURE_SET(BgL_zc3anonymousza31572ze3z83_400,
																(int) (((long) 1)), BgL_restz00_161);
															return
																BGl_withzd2lexicalzd2zzexpand_epsz00
																(BgL_arg1567z00_172, CNST_TABLE_REF(((long) 0)),
																BgL_arg1569z00_173,
																BgL_zc3anonymousza31572ze3z83_400);
													}}
												else
													{	/* Expand/lambda.scm 83 */
														return
															BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long)
																	1)), BGl_string1668z00zzexpand_lambdaz00,
															BgL_exprz00_157);
									}}}
								else
									{	/* Expand/lambda.scm 78 */
									BgL_tagzd21668zd2_163:
										{	/* Expand/lambda.scm 93 */
											obj_t BgL_nexprz00_182;

											BgL_nexprz00_182 =
												PROCEDURE_ENTRY(BgL_oldzd2expanderzd2_407)
												(BgL_oldzd2expanderzd2_407, BgL_exprz00_157,
												BgL_oldzd2expanderzd2_407, BEOA);
											{
												obj_t BgL_restz00_184;

												if (PAIRP(BgL_nexprz00_182))
													{	/* Expand/lambda.scm 94 */
														if (
															(CAR(BgL_nexprz00_182) ==
																CNST_TABLE_REF(((long) 1))))
															{	/* Expand/lambda.scm 94 */
																if (NULLP(CDR(BgL_nexprz00_182)))
																	{	/* Expand/lambda.scm 94 */
																		return BUNSPEC;
																	}
																else
																	{	/* Expand/lambda.scm 94 */
																		BgL_restz00_184 = CDR(BgL_nexprz00_182);
																		if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_restz00_184))
																			{	/* Expand/lambda.scm 101 */
																				obj_t BgL_arg1583z00_195;
																				obj_t BgL_arg1584z00_196;

																				BgL_arg1583z00_195 =
																					BGl_beginzd2bindingszd2zzexpand_lambdaz00
																					(BgL_restz00_184);
																				BgL_arg1584z00_196 =
																					BGl_findzd2locationzd2zztools_locationz00
																					(BgL_exprz00_157);
																				{	/* Expand/lambda.scm 106 */
																					obj_t
																						BgL_zc3anonymousza31586ze3z83_402;
																					BgL_zc3anonymousza31586ze3z83_402 =
																						MAKE_FX_PROCEDURE
																						(BGl_z62zc3anonymousza31586ze3ze1zzexpand_lambdaz00,
																						(int) (((long) 0)),
																						(int) (((long) 2)));
																					PROCEDURE_SET
																						(BgL_zc3anonymousza31586ze3z83_402,
																						(int) (((long) 0)),
																						BgL_oldzd2expanderzd2_407);
																					PROCEDURE_SET
																						(BgL_zc3anonymousza31586ze3z83_402,
																						(int) (((long) 1)),
																						BgL_restz00_184);
																					return
																						BGl_withzd2lexicalzd2zzexpand_epsz00
																						(BgL_arg1583z00_195,
																						CNST_TABLE_REF(((long) 0)),
																						BgL_arg1584z00_196,
																						BgL_zc3anonymousza31586ze3z83_402);
																			}}
																		else
																			{	/* Expand/lambda.scm 98 */
																				return
																					BGl_errorz00zz__errorz00
																					(CNST_TABLE_REF(((long) 1)),
																					BGl_string1668z00zzexpand_lambdaz00,
																					BgL_exprz00_157);
															}}}
														else
															{	/* Expand/lambda.scm 94 */
																return BgL_nexprz00_182;
															}
													}
												else
													{	/* Expand/lambda.scm 94 */
														return BgL_nexprz00_182;
													}
											}
										}
									}
							}
						else
							{	/* Expand/lambda.scm 78 */
								goto BgL_tagzd21668zd2_163;
							}
					}
				}
			}
		}
	}



/* &<anonymous:1586> */
	obj_t BGl_z62zc3anonymousza31586ze3ze1zzexpand_lambdaz00(obj_t BgL_envz00_410)
	{
		AN_OBJECT;
		{	/* Expand/lambda.scm 104 */
			{	/* Expand/lambda.scm 106 */
				obj_t BgL_oldzd2expanderzd2_411;
				obj_t BgL_restz00_412;

				BgL_oldzd2expanderzd2_411 =
					((obj_t) PROCEDURE_REF(BgL_envz00_410, (int) (((long) 0))));
				BgL_restz00_412 = PROCEDURE_REF(BgL_envz00_410, (int) (((long) 1)));
				{

					{	/* Expand/lambda.scm 106 */
						obj_t BgL_arg1587z00_199;

						{	/* Expand/lambda.scm 106 */
							obj_t BgL_zc3anonymousza31590ze3z83_401;

							BgL_zc3anonymousza31590ze3z83_401 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3anonymousza31590ze3ze1zzexpand_lambdaz00,
								(int) (((long) 1)), (int) (((long) 1)));
							PROCEDURE_SET(BgL_zc3anonymousza31590ze3z83_401,
								(int) (((long) 0)), BgL_oldzd2expanderzd2_411);
							BgL_arg1587z00_199 =
								BGl_emapz00zztools_prognz00(BgL_zc3anonymousza31590ze3z83_401,
								BgL_restz00_412);
						}
						return
							BGl_lambdazd2defineszd2zzexpand_lambdaz00(BgL_arg1587z00_199);
					}
				}
			}
		}
	}



/* &<anonymous:1590> */
	obj_t BGl_z62zc3anonymousza31590ze3ze1zzexpand_lambdaz00(obj_t BgL_envz00_413,
		obj_t BgL_xz00_415)
	{
		AN_OBJECT;
		{	/* Expand/lambda.scm 106 */
			{	/* Expand/lambda.scm 106 */
				obj_t BgL_oldzd2expanderzd2_414;

				BgL_oldzd2expanderzd2_414 =
					((obj_t) PROCEDURE_REF(BgL_envz00_413, (int) (((long) 0))));
				{
					obj_t BgL_xz00_201;

					BgL_xz00_201 = BgL_xz00_415;
					return
						PROCEDURE_ENTRY(BgL_oldzd2expanderzd2_414)
						(BgL_oldzd2expanderzd2_414, BgL_xz00_201, BgL_oldzd2expanderzd2_414,
						BEOA);
				}
			}
		}
	}



/* &<anonymous:1572> */
	obj_t BGl_z62zc3anonymousza31572ze3ze1zzexpand_lambdaz00(obj_t BgL_envz00_416)
	{
		AN_OBJECT;
		{	/* Expand/lambda.scm 89 */
			{	/* Expand/lambda.scm 91 */
				obj_t BgL_oldzd2expanderzd2_417;
				obj_t BgL_restz00_418;

				BgL_oldzd2expanderzd2_417 =
					((obj_t) PROCEDURE_REF(BgL_envz00_416, (int) (((long) 0))));
				BgL_restz00_418 = PROCEDURE_REF(BgL_envz00_416, (int) (((long) 1)));
				{

					{	/* Expand/lambda.scm 91 */
						obj_t BgL_arg1573z00_176;

						{	/* Expand/lambda.scm 91 */
							obj_t BgL_zc3anonymousza31575ze3z83_399;

							BgL_zc3anonymousza31575ze3z83_399 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3anonymousza31575ze3ze1zzexpand_lambdaz00,
								(int) (((long) 1)), (int) (((long) 1)));
							PROCEDURE_SET(BgL_zc3anonymousza31575ze3z83_399,
								(int) (((long) 0)), BgL_oldzd2expanderzd2_417);
							BgL_arg1573z00_176 =
								BGl_emapz00zztools_prognz00(BgL_zc3anonymousza31575ze3z83_399,
								BgL_restz00_418);
						}
						return
							BGl_lambdazd2defineszd2zzexpand_lambdaz00(BgL_arg1573z00_176);
					}
				}
			}
		}
	}



/* &<anonymous:1575> */
	obj_t BGl_z62zc3anonymousza31575ze3ze1zzexpand_lambdaz00(obj_t BgL_envz00_419,
		obj_t BgL_xz00_421)
	{
		AN_OBJECT;
		{	/* Expand/lambda.scm 91 */
			{	/* Expand/lambda.scm 91 */
				obj_t BgL_oldzd2expanderzd2_420;

				BgL_oldzd2expanderzd2_420 =
					((obj_t) PROCEDURE_REF(BgL_envz00_419, (int) (((long) 0))));
				{
					obj_t BgL_xz00_178;

					BgL_xz00_178 = BgL_xz00_421;
					return
						PROCEDURE_ENTRY(BgL_oldzd2expanderzd2_420)
						(BgL_oldzd2expanderzd2_420, BgL_xz00_178, BgL_oldzd2expanderzd2_420,
						BEOA);
				}
			}
		}
	}



/* begin-bindings */
	obj_t BGl_beginzd2bindingszd2zzexpand_lambdaz00(obj_t BgL_bodyz00_8)
	{
		AN_OBJECT;
		{	/* Expand/lambda.scm 113 */
			{
				obj_t BgL_oldformsz00_207;
				obj_t BgL_varsz00_208;

				BgL_oldformsz00_207 = BgL_bodyz00_8;
				BgL_varsz00_208 = BNIL;
			BgL_zc3anonymousza31591ze3z83_209:
				if (PAIRP(BgL_oldformsz00_207))
					{	/* Expand/lambda.scm 119 */
						obj_t BgL_formz00_211;

						BgL_formz00_211 = CAR(BgL_oldformsz00_207);
						{
							obj_t BgL_varz00_214;
							obj_t BgL_varz00_212;

							if (PAIRP(BgL_formz00_211))
								{	/* Expand/lambda.scm 120 */
									obj_t BgL_cdrzd21705zd2_219;

									BgL_cdrzd21705zd2_219 = CDR(BgL_formz00_211);
									if ((CAR(BgL_formz00_211) == CNST_TABLE_REF(((long) 2))))
										{	/* Expand/lambda.scm 120 */
											if (PAIRP(BgL_cdrzd21705zd2_219))
												{	/* Expand/lambda.scm 120 */
													obj_t BgL_carzd21707zd2_222;

													BgL_carzd21707zd2_222 = CAR(BgL_cdrzd21705zd2_219);
													if (PAIRP(BgL_carzd21707zd2_222))
														{	/* Expand/lambda.scm 120 */
															BgL_varz00_212 = CAR(BgL_carzd21707zd2_222);
															{	/* Expand/lambda.scm 122 */
																obj_t BgL_arg1601z00_228;
																obj_t BgL_arg1602z00_229;

																BgL_arg1601z00_228 = CDR(BgL_oldformsz00_207);
																BgL_arg1602z00_229 =
																	MAKE_PAIR(BgL_varz00_212, BgL_varsz00_208);
																{
																	obj_t BgL_varsz00_684;
																	obj_t BgL_oldformsz00_683;

																	BgL_oldformsz00_683 = BgL_arg1601z00_228;
																	BgL_varsz00_684 = BgL_arg1602z00_229;
																	BgL_varsz00_208 = BgL_varsz00_684;
																	BgL_oldformsz00_207 = BgL_oldformsz00_683;
																	goto BgL_zc3anonymousza31591ze3z83_209;
																}
															}
														}
													else
														{	/* Expand/lambda.scm 120 */
															BgL_varz00_214 = CAR(BgL_cdrzd21705zd2_219);
															{	/* Expand/lambda.scm 124 */
																obj_t BgL_arg1603z00_230;
																obj_t BgL_arg1604z00_231;

																BgL_arg1603z00_230 = CDR(BgL_oldformsz00_207);
																BgL_arg1604z00_231 =
																	MAKE_PAIR(BgL_varz00_214, BgL_varsz00_208);
																{
																	obj_t BgL_varsz00_689;
																	obj_t BgL_oldformsz00_688;

																	BgL_oldformsz00_688 = BgL_arg1603z00_230;
																	BgL_varsz00_689 = BgL_arg1604z00_231;
																	BgL_varsz00_208 = BgL_varsz00_689;
																	BgL_oldformsz00_207 = BgL_oldformsz00_688;
																	goto BgL_zc3anonymousza31591ze3z83_209;
																}
															}
														}
												}
											else
												{	/* Expand/lambda.scm 120 */
												BgL_tagzd21700zd2_216:
													{
														obj_t BgL_oldformsz00_691;

														BgL_oldformsz00_691 = CDR(BgL_oldformsz00_207);
														BgL_oldformsz00_207 = BgL_oldformsz00_691;
														goto BgL_zc3anonymousza31591ze3z83_209;
													}
												}
										}
									else
										{	/* Expand/lambda.scm 120 */
											goto BgL_tagzd21700zd2_216;
										}
								}
							else
								{	/* Expand/lambda.scm 120 */
									goto BgL_tagzd21700zd2_216;
								}
						}
					}
				else
					{	/* Expand/lambda.scm 118 */
						return BgL_varsz00_208;
					}
			}
		}
	}



/* lambda-defines */
	obj_t BGl_lambdazd2defineszd2zzexpand_lambdaz00(obj_t BgL_bodyz00_9)
	{
		AN_OBJECT;
		{	/* Expand/lambda.scm 132 */
			{
				obj_t BgL_oldformsz00_238;
				obj_t BgL_newformsz00_239;
				obj_t BgL_varsz00_240;
				obj_t BgL_declsz00_241;

				BgL_oldformsz00_238 = BgL_bodyz00_9;
				BgL_newformsz00_239 = BNIL;
				BgL_varsz00_240 = BNIL;
				BgL_declsz00_241 = BNIL;
			BgL_zc3anonymousza31606ze3z83_242:
				if (PAIRP(BgL_oldformsz00_238))
					{	/* Expand/lambda.scm 138 */
						obj_t BgL_formz00_244;

						BgL_formz00_244 = CAR(BgL_oldformsz00_238);
						{
							obj_t BgL_bodyz00_248;
							obj_t BgL_varz00_245;
							obj_t BgL_valz00_246;

							if (PAIRP(BgL_formz00_244))
								{	/* Expand/lambda.scm 139 */
									obj_t BgL_cdrzd21737zd2_253;

									BgL_cdrzd21737zd2_253 = CDR(BgL_formz00_244);
									if ((CAR(BgL_formz00_244) == CNST_TABLE_REF(((long) 2))))
										{	/* Expand/lambda.scm 139 */
											if (PAIRP(BgL_cdrzd21737zd2_253))
												{	/* Expand/lambda.scm 139 */
													obj_t BgL_cdrzd21741zd2_256;

													BgL_cdrzd21741zd2_256 = CDR(BgL_cdrzd21737zd2_253);
													if (PAIRP(BgL_cdrzd21741zd2_256))
														{	/* Expand/lambda.scm 139 */
															if (NULLP(CDR(BgL_cdrzd21741zd2_256)))
																{	/* Expand/lambda.scm 139 */
																	BgL_varz00_245 = CAR(BgL_cdrzd21737zd2_253);
																	BgL_valz00_246 = CAR(BgL_cdrzd21741zd2_256);
																	{	/* Expand/lambda.scm 141 */
																		obj_t BgL_arg1624z00_266;
																		obj_t BgL_arg1625z00_267;
																		obj_t BgL_arg1627z00_268;

																		BgL_arg1624z00_266 =
																			CDR(BgL_oldformsz00_238);
																		BgL_arg1625z00_267 =
																			MAKE_PAIR(BgL_varz00_245,
																			BgL_varsz00_240);
																		{	/* Expand/lambda.scm 144 */
																			obj_t BgL_arg1628z00_269;

																			{	/* Expand/lambda.scm 144 */
																				obj_t BgL_arg1629z00_270;

																				BgL_arg1629z00_270 =
																					MAKE_PAIR(BgL_valz00_246, BNIL);
																				BgL_arg1628z00_269 =
																					MAKE_PAIR(BgL_varz00_245,
																					BgL_arg1629z00_270);
																			}
																			BgL_arg1627z00_268 =
																				MAKE_PAIR(BgL_arg1628z00_269,
																				BgL_declsz00_241);
																		}
																		{
																			obj_t BgL_declsz00_718;
																			obj_t BgL_varsz00_717;
																			obj_t BgL_oldformsz00_716;

																			BgL_oldformsz00_716 = BgL_arg1624z00_266;
																			BgL_varsz00_717 = BgL_arg1625z00_267;
																			BgL_declsz00_718 = BgL_arg1627z00_268;
																			BgL_declsz00_241 = BgL_declsz00_718;
																			BgL_varsz00_240 = BgL_varsz00_717;
																			BgL_oldformsz00_238 = BgL_oldformsz00_716;
																			goto BgL_zc3anonymousza31606ze3z83_242;
																		}
																	}
																}
															else
																{	/* Expand/lambda.scm 139 */
																BgL_tagzd21729zd2_250:
																	{	/* Expand/lambda.scm 151 */
																		obj_t BgL_arg1632z00_273;
																		obj_t BgL_arg1633z00_274;

																		BgL_arg1632z00_273 =
																			CDR(BgL_oldformsz00_238);
																		BgL_arg1633z00_274 =
																			MAKE_PAIR(BgL_formz00_244,
																			BgL_newformsz00_239);
																		{
																			obj_t BgL_newformsz00_724;
																			obj_t BgL_oldformsz00_723;

																			BgL_oldformsz00_723 = BgL_arg1632z00_273;
																			BgL_newformsz00_724 = BgL_arg1633z00_274;
																			BgL_newformsz00_239 = BgL_newformsz00_724;
																			BgL_oldformsz00_238 = BgL_oldformsz00_723;
																			goto BgL_zc3anonymousza31606ze3z83_242;
																		}
																	}
																}
														}
													else
														{	/* Expand/lambda.scm 139 */
															goto BgL_tagzd21729zd2_250;
														}
												}
											else
												{	/* Expand/lambda.scm 139 */
													goto BgL_tagzd21729zd2_250;
												}
										}
									else
										{	/* Expand/lambda.scm 139 */
											if ((CAR(BgL_formz00_244) == CNST_TABLE_REF(((long) 1))))
												{	/* Expand/lambda.scm 139 */
													BgL_bodyz00_248 = BgL_cdrzd21737zd2_253;
													{
														obj_t BgL_oldformsz00_729;

														BgL_oldformsz00_729 =
															BGl_appendzd221095zd2zzexpand_lambdaz00
															(BgL_bodyz00_248, CDR(BgL_oldformsz00_238));
														BgL_oldformsz00_238 = BgL_oldformsz00_729;
														goto BgL_zc3anonymousza31606ze3z83_242;
													}
												}
											else
												{	/* Expand/lambda.scm 139 */
													goto BgL_tagzd21729zd2_250;
												}
										}
								}
							else
								{	/* Expand/lambda.scm 139 */
									goto BgL_tagzd21729zd2_250;
								}
						}
					}
				else
					{	/* Expand/lambda.scm 137 */
						if (NULLP(BgL_varsz00_240))
							{	/* Expand/lambda.scm 156 */
								return BGl_expandzd2prognzd2zz__prognz00(BgL_bodyz00_9);
							}
						else
							{	/* Expand/lambda.scm 157 */
								obj_t BgL_arg1635z00_276;

								{	/* Expand/lambda.scm 157 */
									obj_t BgL_arg1636z00_277;
									obj_t BgL_arg1637z00_278;

									BgL_arg1636z00_277 = bgl_reverse_bang(BgL_declsz00_241);
									BgL_arg1637z00_278 =
										MAKE_PAIR(BGl_expandzd2prognzd2zz__prognz00(bgl_reverse
											(BgL_newformsz00_239)), BNIL);
									BgL_arg1635z00_276 =
										MAKE_PAIR(BgL_arg1636z00_277, BgL_arg1637z00_278);
								}
								return
									MAKE_PAIR(CNST_TABLE_REF(((long) 3)), BgL_arg1635z00_276);
		}}}}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzexpand_lambdaz00()
	{
		AN_OBJECT;
		{	/* Expand/lambda.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzexpand_lambdaz00()
	{
		AN_OBJECT;
		{	/* Expand/lambda.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzexpand_lambdaz00()
	{
		AN_OBJECT;
		{	/* Expand/lambda.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string1669z00zzexpand_lambdaz00));
			BGl_modulezd2initializa7ationz75zztools_argsz00(((long) 47102372),
				BSTRING_TO_STRING(BGl_string1669z00zzexpand_lambdaz00));
			BGl_modulezd2initializa7ationz75zztools_prognz00(((long) 301998274),
				BSTRING_TO_STRING(BGl_string1669z00zzexpand_lambdaz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 9470071),
				BSTRING_TO_STRING(BGl_string1669z00zzexpand_lambdaz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string1669z00zzexpand_lambdaz00));
			BGl_modulezd2initializa7ationz75zzexpand_epsz00(((long) 355631846),
				BSTRING_TO_STRING(BGl_string1669z00zzexpand_lambdaz00));
			return
				BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 428058597),
				BSTRING_TO_STRING(BGl_string1669z00zzexpand_lambdaz00));
		}
	}

#ifdef __cplusplus
}
#endif
