/*===========================================================================*/
/*   (Heap/make.scm)                                                         */
/*   Bigloo (3.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 26 07:46:09 CEST 2011       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.7a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Heap/make.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;


	static obj_t BGl_checkzd2additionalzd2heapzd2libraryzd2zzheap_makez00();
	static obj_t BGl_requirezd2initializa7ationz75zzheap_makez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_makezd2addzd2heapz00zzheap_makez00();
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_z62zc3anonymousza32410ze3ze1zzheap_makez00(obj_t, obj_t);
	static bool_t BGl_preparezd2globalsz12zc0zzheap_makez00();
	extern obj_t BGl_getzd2tenvzd2zztype_envz00();
	extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t, obj_t);
	BGL_IMPORT obj_t close_binary_port(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzheap_makez00();
	BGL_IMPORT long BGl_classzd2numzd2zz__objectz00(obj_t);
	static bool_t BGl_preparezd2additionalzd2globalsz12z12zzheap_makez00();
	BGL_IMPORT obj_t output_obj(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_setzd2objzd2stringzd2modez12zc0zz__intextz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32334ze3ze1zzheap_makez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2outputzd2binaryzd2filezd2zz__binaryz00(obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_IMPORT obj_t BGl_makezd2filezd2namez00zz__osz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62preparezd2globalsz12za2zzheap_makez00(obj_t);
	static obj_t BGl_methodzd2initzd2zzheap_makez00();
	extern obj_t BGl_za2additionalzd2includezd2foreignza2z00zzengine_paramz00;
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	static obj_t BGl_z62makezd2heapzb0zzheap_makez00(obj_t);
	extern obj_t BGl_za2heapzd2libraryza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62preparezd2additionalzd2globalsz12z70zzheap_makez00(obj_t);
	extern obj_t BGl_unbindzd2globalz12zc0zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_za2bigloozd2versionza2zd2zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t BGl_makezd2heapzd2zzheap_makez00();
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzheap_makez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzheap_restorez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzforeign_libraryz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__intextz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__binaryz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_za2heapzd2nameza2zd2zzengine_paramz00;
	extern obj_t BGl_za2libzd2dirza2zd2zzengine_paramz00;
	static obj_t
		BGl_z62checkzd2additionalzd2heapzd2libraryzb0zzheap_makez00(obj_t);
	static obj_t BGl_cnstzd2initzd2zzheap_makez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzheap_makez00();
	static obj_t BGl_importedzd2moduleszd2initz00zzheap_makez00();
	static obj_t BGl_z62makezd2addzd2heapz62zzheap_makez00(obj_t);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_za2additionalzd2heapzd2nameza2z00zzengine_paramz00;
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	extern obj_t BGl_za2bigloozd2specificzd2versionza2z00zzengine_paramz00;
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_getzd2genvzd2zzast_envz00();
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t __cnst[9];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_preparezd2additionalzd2globalsz12zd2envzc0zzheap_makez00,
		BgL_bgl_za762prepareza7d2add2513z00,
		BGl_z62preparezd2additionalzd2globalsz12z70zzheap_makez00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_checkzd2additionalzd2heapzd2libraryzd2envz00zzheap_makez00,
		BgL_bgl_za762checkza7d2addit2514z00,
		BGl_z62checkzd2additionalzd2heapzd2libraryzb0zzheap_makez00, 0L, BUNSPEC,
		0);
	      DEFINE_STRING(BGl_string2500z00zzheap_makez00,
		BgL_bgl_string2500za700za7za7h2515za7, "make-addd-heap", 14);
	      DEFINE_STRING(BGl_string2501z00zzheap_makez00,
		BgL_bgl_string2501za700za7za7h2516za7, "make-add-heap", 13);
	      DEFINE_STRING(BGl_string2502z00zzheap_makez00,
		BgL_bgl_string2502za700za7za7h2517za7,
		"Illegal reserved identifier for additional heap library (see `-heap-library' compiler option)",
		93);
	      DEFINE_STRING(BGl_string2503z00zzheap_makez00,
		BgL_bgl_string2503za700za7za7h2518za7,
		"Missing additional heap library identifier (see `-heap-library' compiler option)",
		80);
	      DEFINE_STRING(BGl_string2505z00zzheap_makez00,
		BgL_bgl_string2505za700za7za7h2519za7, "heap_make", 9);
	      DEFINE_STRING(BGl_string2506z00zzheap_makez00,
		BgL_bgl_string2506za700za7za7h2520za7,
		"make-add-heap bigloo (check-additional-heap-library prepare-additional-globals!) import export static pair pass-started (prepare-globals!) ",
		139);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_preparezd2globalsz12zd2envz12zzheap_makez00,
		BgL_bgl_za762prepareza7d2glo2521z00,
		BGl_z62preparezd2globalsz12za2zzheap_makez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2504z00zzheap_makez00,
		BgL_bgl_za762za7c3anonymousza72522za7,
		BGl_z62zc3anonymousza32410ze3ze1zzheap_makez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2492z00zzheap_makez00,
		BgL_bgl_string2492za700za7za7h2523za7, "Heap", 4);
	      DEFINE_STRING(BGl_string2493z00zzheap_makez00,
		BgL_bgl_string2493za700za7za7h2524za7, "   . ", 5);
	      DEFINE_STRING(BGl_string2494z00zzheap_makez00,
		BgL_bgl_string2494za700za7za7h2525za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string2495z00zzheap_makez00,
		BgL_bgl_string2495za700za7za7h2526za7, "make-heap", 9);
	      DEFINE_STRING(BGl_string2496z00zzheap_makez00,
		BgL_bgl_string2496za700za7za7h2527za7, "Can't open output port", 22);
	      DEFINE_STRING(BGl_string2497z00zzheap_makez00,
		BgL_bgl_string2497za700za7za7h2528za7, "Illegal heap's name", 19);
	      DEFINE_STRING(BGl_string2499z00zzheap_makez00,
		BgL_bgl_string2499za700za7za7h2529za7, "Library heap", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2498z00zzheap_makez00,
		BgL_bgl_za762za7c3anonymousza72530za7,
		BGl_z62zc3anonymousza32334ze3ze1zzheap_makez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2heapzd2envz00zzheap_makez00,
		BgL_bgl_za762makeza7d2heapza7b2531za7, BGl_z62makezd2heapzb0zzheap_makez00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2addzd2heapzd2envzd2zzheap_makez00,
		BgL_bgl_za762makeza7d2addza7d22532za7,
		BGl_z62makezd2addzd2heapz62zzheap_makez00, 0L, BUNSPEC, 0);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzheap_makez00(long
		BgL_checksumz00_903, char *BgL_fromz00_904)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzheap_makez00))
				{
					BGl_requirezd2initializa7ationz75zzheap_makez00 = BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzheap_makez00();
					BGl_cnstzd2initzd2zzheap_makez00();
					BGl_importedzd2moduleszd2initz00zzheap_makez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzheap_makez00()
	{
		AN_OBJECT;
		{	/* Heap/make.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "heap_make");
			BGl_modulezd2initializa7ationz75zz__intextz00(((long) 0), "heap_make");
			BGl_modulezd2initializa7ationz75zz__binaryz00(((long) 0), "heap_make");
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 0), "heap_make");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "heap_make");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "heap_make");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzheap_makez00()
	{
		AN_OBJECT;
		{	/* Heap/make.scm 15 */
			{	/* Heap/make.scm 15 */
				obj_t BgL_cportz00_895;

				BgL_cportz00_895 =
					bgl_open_input_string(BGl_string2506z00zzheap_makez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_896;

					BgL_iz00_896 = ((long) 8);
				BgL_loopz00_897:
					if ((BgL_iz00_896 == ((long) -1)))
						{	/* Heap/make.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Heap/make.scm 15 */
							{	/* Heap/make.scm 15 */
								obj_t BgL_arg2512z00_899;

								{	/* Heap/make.scm 15 */

									{	/* Heap/make.scm 15 */
										obj_t BgL_locationz00_901;

										BgL_locationz00_901 = BBOOL(((bool_t) 0));
										{	/* Heap/make.scm 15 */

											BgL_arg2512z00_899 =
												BGl_readz00zz__readerz00(BgL_cportz00_895,
												BgL_locationz00_901);
										}
									}
								}
								{	/* Heap/make.scm 15 */
									int BgL_auxz00_923;

									BgL_auxz00_923 = (int) (BgL_iz00_896);
									CNST_TABLE_SET(BgL_auxz00_923, BgL_arg2512z00_899);
							}}
							{	/* Heap/make.scm 15 */
								int BgL_auxz00_902;

								BgL_auxz00_902 = (int) ((BgL_iz00_896 - ((long) 1)));
								{
									long BgL_iz00_928;

									BgL_iz00_928 = (long) (BgL_auxz00_902);
									BgL_iz00_896 = BgL_iz00_928;
									goto BgL_loopz00_897;
								}
							}
						}
				}
			}
		}
	}



/* make-heap */
	BGL_EXPORTED_DEF obj_t BGl_makezd2heapzd2zzheap_makez00()
	{
		AN_OBJECT;
		{	/* Heap/make.scm 35 */
			{	/* Heap/make.scm 36 */
				obj_t BgL_list2268z00_496;

				{	/* Heap/make.scm 36 */
					obj_t BgL_arg2271z00_497;

					{	/* Heap/make.scm 36 */
						obj_t BgL_arg2272z00_498;

						BgL_arg2272z00_498 = MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
						BgL_arg2271z00_497 =
							MAKE_PAIR(BGl_string2492z00zzheap_makez00, BgL_arg2272z00_498);
					}
					BgL_list2268z00_496 =
						MAKE_PAIR(BGl_string2493z00zzheap_makez00, BgL_arg2271z00_497);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list2268z00_496);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string2492z00zzheap_makez00;
			{	/* Heap/make.scm 36 */
				obj_t BgL_g2254z00_499;
				obj_t BgL_g2255z00_500;

				{	/* Heap/make.scm 36 */
					obj_t BgL_list2289z00_512;

					BgL_list2289z00_512 =
						MAKE_PAIR(BGl_preparezd2globalsz12zd2envz12zzheap_makez00, BNIL);
					BgL_g2254z00_499 = BgL_list2289z00_512;
				}
				BgL_g2255z00_500 = CNST_TABLE_REF(((long) 0));
				{
					obj_t BgL_hooksz00_502;
					obj_t BgL_hnamesz00_503;

					BgL_hooksz00_502 = BgL_g2254z00_499;
					BgL_hnamesz00_503 = BgL_g2255z00_500;
				BgL_zc3anonymousza32273ze3z83_504:
					if (NULLP(BgL_hooksz00_502))
						{	/* Heap/make.scm 36 */
							CNST_TABLE_REF(((long) 1));
						}
					else
						{	/* Heap/make.scm 36 */
							bool_t BgL_testz00_942;

							{	/* Heap/make.scm 36 */
								obj_t BgL_fun2288z00_510;

								BgL_fun2288z00_510 = CAR(BgL_hooksz00_502);
								BgL_testz00_942 =
									CBOOL(PROCEDURE_ENTRY(BgL_fun2288z00_510) (BgL_fun2288z00_510,
										BEOA));
							}
							if (BgL_testz00_942)
								{
									obj_t BgL_hnamesz00_950;
									obj_t BgL_hooksz00_948;

									BgL_hooksz00_948 = CDR(BgL_hooksz00_502);
									BgL_hnamesz00_950 = CDR(BgL_hnamesz00_503);
									BgL_hnamesz00_503 = BgL_hnamesz00_950;
									BgL_hooksz00_502 = BgL_hooksz00_948;
									goto BgL_zc3anonymousza32273ze3z83_504;
								}
							else
								{	/* Heap/make.scm 36 */
									BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string2492z00zzheap_makez00,
										BGl_string2494z00zzheap_makez00, CAR(BgL_hnamesz00_503));
								}
						}
				}
			}
			BGl_setzd2objzd2stringzd2modez12zc0zz__intextz00(CNST_TABLE_REF(((long)
						2)));
			if (STRINGP(BGl_za2heapzd2nameza2zd2zzengine_paramz00))
				{	/* Heap/make.scm 40 */
					obj_t BgL_hnamez00_514;

					{	/* Heap/make.scm 40 */
						obj_t BgL_arg2329z00_523;

						BgL_arg2329z00_523 = CAR(BGl_za2libzd2dirza2zd2zzengine_paramz00);
						BgL_hnamez00_514 =
							BGl_makezd2filezd2namez00zz__osz00(BgL_arg2329z00_523,
							BGl_za2heapzd2nameza2zd2zzengine_paramz00);
					}
					{	/* Heap/make.scm 41 */
						obj_t BgL_portz00_515;

						BgL_portz00_515 =
							BGl_openzd2outputzd2binaryzd2filezd2zz__binaryz00
							(BgL_hnamez00_514);
						if (BINARY_PORTP(BgL_portz00_515))
							{	/* Heap/make.scm 42 */
								{	/* Heap/make.scm 46 */
									obj_t BgL_arg2293z00_517;

									{	/* Heap/make.scm 46 */
										obj_t BgL_v2260z00_518;

										BgL_v2260z00_518 = create_vector((int) (((long) 5)));
										VECTOR_SET(BgL_v2260z00_518,
											(int) (((long) 4)), BGl_getzd2tenvzd2zztype_envz00());
										VECTOR_SET(BgL_v2260z00_518,
											(int) (((long) 3)), BGl_getzd2genvzd2zzast_envz00());
										VECTOR_SET(BgL_v2260z00_518,
											(int) (((long) 2)),
											BGl_za2bigloozd2specificzd2versionza2z00zzengine_paramz00);
										VECTOR_SET(BgL_v2260z00_518, (int) (((long) 1)),
											BGl_za2bigloozd2versionza2zd2zzengine_paramz00);
										{	/* Heap/make.scm 46 */
											obj_t BgL_arg2311z00_521;

											{	/* Heap/make.scm 46 */
												obj_t BgL_arg2323z00_522;

												BgL_arg2323z00_522 =
													BGl_thezd2backendzd2zzbackend_backendz00();
												{	/* Heap/make.scm 46 */
													BgL_backendz00_bglt BgL_obj2136z00_748;

													BgL_obj2136z00_748 =
														((BgL_backendz00_bglt) BgL_arg2323z00_522);
													BgL_arg2311z00_521 =
														(((BgL_backendz00_bglt) CREF(
																((obj_t) BgL_obj2136z00_748)))->
														BgL_languagez00);
											}}
											VECTOR_SET(BgL_v2260z00_518,
												(int) (((long) 0)), BgL_arg2311z00_521);
										}
										BgL_arg2293z00_517 = BgL_v2260z00_518;
									}
									output_obj(BgL_portz00_515, BgL_arg2293z00_517);
								}
								return close_binary_port(BgL_portz00_515);
							}
						else
							{	/* Heap/make.scm 42 */
								return
									BGl_errorz00zz__errorz00(BGl_string2495z00zzheap_makez00,
									BGl_string2496z00zzheap_makez00, BgL_hnamez00_514);
							}
					}
				}
			else
				{	/* Heap/make.scm 38 */
					return
						BGl_userzd2errorzd2zztools_errorz00(BGl_string2495z00zzheap_makez00,
						BGl_string2497z00zzheap_makez00,
						BGl_za2heapzd2nameza2zd2zzengine_paramz00, BNIL);
				}
		}
	}



/* &make-heap */
	obj_t BGl_z62makezd2heapzb0zzheap_makez00(obj_t BgL_envz00_842)
	{
		AN_OBJECT;
		{	/* Heap/make.scm 35 */
			return BGl_makezd2heapzd2zzheap_makez00();
		}
	}



/* prepare-globals! */
	bool_t BGl_preparezd2globalsz12zc0zzheap_makez00()
	{
		AN_OBJECT;
		{	/* Heap/make.scm 60 */
			BGl_forzd2eachzd2globalz12z12zzast_envz00(BGl_proc2498z00zzheap_makez00,
				BNIL);
			return ((bool_t) 1);
		}
	}



/* &prepare-globals! */
	obj_t BGl_z62preparezd2globalsz12za2zzheap_makez00(obj_t BgL_envz00_843)
	{
		AN_OBJECT;
		{	/* Heap/make.scm 60 */
			return BBOOL(BGl_preparezd2globalsz12zc0zzheap_makez00());
		}
	}



/* &<anonymous:2334> */
	obj_t BGl_z62zc3anonymousza32334ze3ze1zzheap_makez00(obj_t BgL_envz00_845,
		obj_t BgL_gz00_846)
	{
		AN_OBJECT;
		{	/* Heap/make.scm 61 */
			{
				obj_t BgL_gz00_527;

				BgL_gz00_527 = BgL_gz00_846;
				{	/* Heap/make.scm 64 */
					bool_t BgL_testz00_989;

					{	/* Heap/make.scm 64 */
						obj_t BgL_auxz00_990;

						{	/* Heap/make.scm 64 */
							BgL_globalz00_bglt BgL_obj1701z00_755;

							BgL_obj1701z00_755 = ((BgL_globalz00_bglt) BgL_gz00_527);
							BgL_auxz00_990 =
								(((BgL_globalz00_bglt) CREF(
										((obj_t) BgL_obj1701z00_755)))->BgL_importz00);
						}
						BgL_testz00_989 = (BgL_auxz00_990 == CNST_TABLE_REF(((long) 3)));
					}
					if (BgL_testz00_989)
						{	/* Heap/make.scm 65 */
							obj_t BgL_arg2338z00_530;
							obj_t BgL_arg2341z00_531;

							{	/* Heap/make.scm 65 */
								BgL_variablez00_bglt BgL_obj1605z00_756;

								BgL_obj1605z00_756 = ((BgL_variablez00_bglt) BgL_gz00_527);
								BgL_arg2338z00_530 =
									(((BgL_variablez00_bglt) CREF(
											((obj_t) BgL_obj1605z00_756)))->BgL_idz00);
							}
							{	/* Heap/make.scm 65 */
								BgL_globalz00_bglt BgL_obj1698z00_757;

								BgL_obj1698z00_757 = ((BgL_globalz00_bglt) BgL_gz00_527);
								BgL_arg2341z00_531 =
									(((BgL_globalz00_bglt) CREF(
											((obj_t) BgL_obj1698z00_757)))->BgL_modulez00);
							}
							BGl_unbindzd2globalz12zc0zzast_envz00(BgL_arg2338z00_530,
								BgL_arg2341z00_531);
						}
					else
						{	/* Heap/make.scm 66 */
							bool_t BgL_testz00_1003;

							{	/* Heap/make.scm 66 */
								obj_t BgL_auxz00_1004;

								{	/* Heap/make.scm 66 */
									BgL_globalz00_bglt BgL_obj1701z00_758;

									BgL_obj1701z00_758 = ((BgL_globalz00_bglt) BgL_gz00_527);
									BgL_auxz00_1004 =
										(((BgL_globalz00_bglt) CREF(
												((obj_t) BgL_obj1701z00_758)))->BgL_importz00);
								}
								BgL_testz00_1003 =
									(BgL_auxz00_1004 == CNST_TABLE_REF(((long) 4)));
							}
							if (BgL_testz00_1003)
								{	/* Heap/make.scm 67 */
									BgL_globalz00_bglt BgL_obj1703z00_759;
									obj_t BgL_val1702z00_760;

									BgL_obj1703z00_759 = ((BgL_globalz00_bglt) BgL_gz00_527);
									BgL_val1702z00_760 = CNST_TABLE_REF(((long) 5));
									((((BgL_globalz00_bglt) CREF(
													((obj_t) BgL_obj1703z00_759)))->BgL_importz00) =
										((obj_t) BgL_val1702z00_760), BUNSPEC);
								}
							else
								{	/* Heap/make.scm 66 */
									BUNSPEC;
								}
						}
				}
				{	/* Heap/make.scm 72 */
					bool_t BgL_testz00_1014;

					{	/* Heap/make.scm 72 */
						bool_t BgL_testz00_1015;

						{	/* Heap/make.scm 72 */
							obj_t BgL_auxz00_1016;

							{	/* Heap/make.scm 72 */
								BgL_objectz00_bglt BgL_auxz00_1017;

								BgL_auxz00_1017 = ((BgL_objectz00_bglt) BgL_gz00_527);
								BgL_auxz00_1016 = BGL_OBJECT_WIDENING(BgL_auxz00_1017);
							}
							BgL_testz00_1015 = CBOOL(BgL_auxz00_1016);
						}
						if (BgL_testz00_1015)
							{	/* Heap/make.scm 72 */
								BgL_testz00_1014 = ((bool_t) 1);
							}
						else
							{	/* Heap/make.scm 72 */
								BgL_testz00_1014 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_1014)
						{	/* Heap/make.scm 72 */
							{	/* Heap/make.scm 72 */
								long BgL_arg2356z00_537;

								{	/* Heap/make.scm 72 */
									obj_t BgL_arg2357z00_538;

									{	/* Heap/make.scm 72 */
										obj_t BgL_arg2360z00_539;

										{	/* Heap/make.scm 72 */
											BgL_objectz00_bglt BgL_objectz00_764;

											BgL_objectz00_764 = ((BgL_objectz00_bglt) BgL_gz00_527);
											{	/* Heap/make.scm 72 */
												long BgL_arg2548z00_765;

												{	/* Heap/make.scm 72 */
													long BgL_arg2549z00_766;

													{	/* Heap/make.scm 72 */
														long BgL_res2482z00_768;

														BgL_res2482z00_768 =
															BGL_OBJECT_CLASS_NUM(BgL_objectz00_764);
														BgL_arg2549z00_766 = BgL_res2482z00_768;
													}
													BgL_arg2548z00_765 =
														(BgL_arg2549z00_766 - OBJECT_TYPE);
												}
												BgL_arg2360z00_539 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													(int) (BgL_arg2548z00_765));
										}}
										BgL_arg2357z00_538 =
											BGl_classzd2superzd2zz__objectz00(BgL_arg2360z00_539);
									}
									BgL_arg2356z00_537 =
										BGl_classzd2numzd2zz__objectz00(BgL_arg2357z00_538);
								}
								{	/* Heap/make.scm 72 */
									BgL_objectz00_bglt BgL_objz00_774;

									BgL_objz00_774 = ((BgL_objectz00_bglt) BgL_gz00_527);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_774, BgL_arg2356z00_537);
							}}
							{	/* Heap/make.scm 72 */
								BgL_objectz00_bglt BgL_auxz00_1030;

								BgL_auxz00_1030 = ((BgL_objectz00_bglt) BgL_gz00_527);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_1030, BFALSE);
							} BgL_gz00_527;
						}
					else
						{	/* Heap/make.scm 72 */
							BFALSE;
						}
				}
				{	/* Heap/make.scm 74 */
					BgL_variablez00_bglt BgL_obj1626z00_776;

					BgL_obj1626z00_776 = ((BgL_variablez00_bglt) BgL_gz00_527);
					((((BgL_variablez00_bglt) CREF(
									((obj_t) BgL_obj1626z00_776)))->BgL_occurrencez00) =
						((long) ((long) 0)), BUNSPEC);
				}
				{	/* Heap/make.scm 75 */
					BgL_globalz00_bglt BgL_obj1712z00_778;
					obj_t BgL_val1711z00_779;

					BgL_obj1712z00_778 = ((BgL_globalz00_bglt) BgL_gz00_527);
					BgL_val1711z00_779 = BGl_za2heapzd2libraryza2zd2zzengine_paramz00;
					return
						((((BgL_globalz00_bglt) CREF(
									((obj_t) BgL_obj1712z00_778)))->BgL_libraryz00) =
						((obj_t) BgL_val1711z00_779), BUNSPEC);
				}
			}
		}
	}



/* make-add-heap */
	BGL_EXPORTED_DEF obj_t BGl_makezd2addzd2heapz00zzheap_makez00()
	{
		AN_OBJECT;
		{	/* Heap/make.scm 84 */
			{	/* Heap/make.scm 85 */
				obj_t BgL_list2361z00_541;

				{	/* Heap/make.scm 85 */
					obj_t BgL_arg2364z00_542;

					{	/* Heap/make.scm 85 */
						obj_t BgL_arg2365z00_543;

						BgL_arg2365z00_543 = MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
						BgL_arg2364z00_542 =
							MAKE_PAIR(BGl_string2499z00zzheap_makez00, BgL_arg2365z00_543);
					}
					BgL_list2361z00_541 =
						MAKE_PAIR(BGl_string2493z00zzheap_makez00, BgL_arg2364z00_542);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list2361z00_541);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string2499z00zzheap_makez00;
			{	/* Heap/make.scm 85 */
				obj_t BgL_g2257z00_544;
				obj_t BgL_g2258z00_545;

				{	/* Heap/make.scm 85 */
					obj_t BgL_list2376z00_557;

					{	/* Heap/make.scm 85 */
						obj_t BgL_arg2379z00_558;

						BgL_arg2379z00_558 =
							MAKE_PAIR
							(BGl_preparezd2additionalzd2globalsz12zd2envzc0zzheap_makez00,
							BNIL);
						BgL_list2376z00_557 =
							MAKE_PAIR
							(BGl_checkzd2additionalzd2heapzd2libraryzd2envz00zzheap_makez00,
							BgL_arg2379z00_558);
					}
					BgL_g2257z00_544 = BgL_list2376z00_557;
				}
				BgL_g2258z00_545 = CNST_TABLE_REF(((long) 6));
				{
					obj_t BgL_hooksz00_547;
					obj_t BgL_hnamesz00_548;

					BgL_hooksz00_547 = BgL_g2257z00_544;
					BgL_hnamesz00_548 = BgL_g2258z00_545;
				BgL_zc3anonymousza32366ze3z83_549:
					if (NULLP(BgL_hooksz00_547))
						{	/* Heap/make.scm 85 */
							CNST_TABLE_REF(((long) 1));
						}
					else
						{	/* Heap/make.scm 85 */
							bool_t BgL_testz00_1052;

							{	/* Heap/make.scm 85 */
								obj_t BgL_fun2375z00_555;

								BgL_fun2375z00_555 = CAR(BgL_hooksz00_547);
								BgL_testz00_1052 =
									CBOOL(PROCEDURE_ENTRY(BgL_fun2375z00_555) (BgL_fun2375z00_555,
										BEOA));
							}
							if (BgL_testz00_1052)
								{
									obj_t BgL_hnamesz00_1060;
									obj_t BgL_hooksz00_1058;

									BgL_hooksz00_1058 = CDR(BgL_hooksz00_547);
									BgL_hnamesz00_1060 = CDR(BgL_hnamesz00_548);
									BgL_hnamesz00_548 = BgL_hnamesz00_1060;
									BgL_hooksz00_547 = BgL_hooksz00_1058;
									goto BgL_zc3anonymousza32366ze3z83_549;
								}
							else
								{	/* Heap/make.scm 85 */
									BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string2499z00zzheap_makez00,
										BGl_string2494z00zzheap_makez00, CAR(BgL_hnamesz00_548));
								}
						}
				}
			}
			{	/* Heap/make.scm 88 */
				obj_t BgL_genvz00_559;
				obj_t BgL_tenvz00_560;
				obj_t BgL_langz00_561;

				BgL_genvz00_559 = BGl_getzd2genvzd2zzast_envz00();
				BgL_tenvz00_560 = BGl_getzd2tenvzd2zztype_envz00();
				{	/* Heap/make.scm 90 */
					obj_t BgL_arg2396z00_569;

					BgL_arg2396z00_569 = BGl_thezd2backendzd2zzbackend_backendz00();
					{	/* Heap/make.scm 90 */
						BgL_backendz00_bglt BgL_obj2136z00_788;

						BgL_obj2136z00_788 = ((BgL_backendz00_bglt) BgL_arg2396z00_569);
						BgL_langz00_561 =
							(((BgL_backendz00_bglt) CREF(
									((obj_t) BgL_obj2136z00_788)))->BgL_languagez00);
					}
				}
				BGl_setzd2objzd2stringzd2modez12zc0zz__intextz00(CNST_TABLE_REF(((long)
							2)));
				if (STRINGP(BGl_za2additionalzd2heapzd2nameza2z00zzengine_paramz00))
					{	/* Heap/make.scm 96 */
						obj_t BgL_hnamez00_563;

						BgL_hnamez00_563 =
							BGl_za2additionalzd2heapzd2nameza2z00zzengine_paramz00;
						{	/* Heap/make.scm 97 */
							obj_t BgL_portz00_564;

							BgL_portz00_564 =
								BGl_openzd2outputzd2binaryzd2filezd2zz__binaryz00
								(BgL_hnamez00_563);
							if (BINARY_PORTP(BgL_portz00_564))
								{	/* Heap/make.scm 98 */
									{	/* Heap/make.scm 101 */
										obj_t BgL_arg2394z00_566;

										{	/* Heap/make.scm 101 */
											obj_t BgL_v2261z00_567;

											BgL_v2261z00_567 = create_vector((int) (((long) 6)));
											VECTOR_SET(BgL_v2261z00_567,
												(int) (((long) 5)),
												BGl_za2additionalzd2includezd2foreignza2z00zzengine_paramz00);
											VECTOR_SET(BgL_v2261z00_567, (int) (((long) 4)),
												BgL_tenvz00_560);
											VECTOR_SET(BgL_v2261z00_567, (int) (((long) 3)),
												BgL_genvz00_559);
											VECTOR_SET(BgL_v2261z00_567, (int) (((long) 2)),
												BGl_za2bigloozd2specificzd2versionza2z00zzengine_paramz00);
											VECTOR_SET(BgL_v2261z00_567, (int) (((long) 1)),
												BGl_za2bigloozd2versionza2zd2zzengine_paramz00);
											VECTOR_SET(BgL_v2261z00_567, (int) (((long) 0)),
												BgL_langz00_561);
											BgL_arg2394z00_566 = BgL_v2261z00_567;
										}
										output_obj(BgL_portz00_564, BgL_arg2394z00_566);
									}
									return close_binary_port(BgL_portz00_564);
								}
							else
								{	/* Heap/make.scm 98 */
									return
										BGl_errorz00zz__errorz00(BGl_string2500z00zzheap_makez00,
										BGl_string2496z00zzheap_makez00, BgL_hnamez00_563);
								}
						}
					}
				else
					{	/* Heap/make.scm 92 */
						return
							BGl_userzd2errorzd2zztools_errorz00
							(BGl_string2501z00zzheap_makez00, BGl_string2497z00zzheap_makez00,
							BGl_za2additionalzd2heapzd2nameza2z00zzengine_paramz00, BNIL);
					}
			}
		}
	}



/* &make-add-heap */
	obj_t BGl_z62makezd2addzd2heapz62zzheap_makez00(obj_t BgL_envz00_847)
	{
		AN_OBJECT;
		{	/* Heap/make.scm 84 */
			return BGl_makezd2addzd2heapz00zzheap_makez00();
		}
	}



/* check-additional-heap-library */
	obj_t BGl_checkzd2additionalzd2heapzd2libraryzd2zzheap_makez00()
	{
		AN_OBJECT;
		{	/* Heap/make.scm 112 */
			if (
				(BGl_za2heapzd2libraryza2zd2zzengine_paramz00 ==
					CNST_TABLE_REF(((long) 7))))
				{	/* Heap/make.scm 114 */
					return
						BGl_userzd2errorzd2zztools_errorz00(CNST_TABLE_REF(((long) 8)),
						BGl_string2502z00zzheap_makez00,
						BGl_za2heapzd2libraryza2zd2zzengine_paramz00, BNIL);
				}
			else
				{	/* Heap/make.scm 114 */
					if (SYMBOLP(BGl_za2heapzd2libraryza2zd2zzengine_paramz00))
						{	/* Heap/make.scm 118 */
							return BTRUE;
						}
					else
						{	/* Heap/make.scm 118 */
							return
								BGl_userzd2errorzd2zztools_errorz00(CNST_TABLE_REF(((long) 8)),
								BGl_string2503z00zzheap_makez00,
								BGl_za2heapzd2libraryza2zd2zzengine_paramz00, BNIL);
		}}}
	}



/* &check-additional-heap-library */
	obj_t BGl_z62checkzd2additionalzd2heapzd2libraryzb0zzheap_makez00(obj_t
		BgL_envz00_849)
	{
		AN_OBJECT;
		{	/* Heap/make.scm 112 */
			return BGl_checkzd2additionalzd2heapzd2libraryzd2zzheap_makez00();
		}
	}



/* prepare-additional-globals! */
	bool_t BGl_preparezd2additionalzd2globalsz12z12zzheap_makez00()
	{
		AN_OBJECT;
		{	/* Heap/make.scm 132 */
			BGl_forzd2eachzd2globalz12z12zzast_envz00(BGl_proc2504z00zzheap_makez00,
				BNIL);
			return ((bool_t) 1);
		}
	}



/* &prepare-additional-globals! */
	obj_t BGl_z62preparezd2additionalzd2globalsz12z70zzheap_makez00(obj_t
		BgL_envz00_848)
	{
		AN_OBJECT;
		{	/* Heap/make.scm 132 */
			return BBOOL(BGl_preparezd2additionalzd2globalsz12z12zzheap_makez00());
		}
	}



/* &<anonymous:2410> */
	obj_t BGl_z62zc3anonymousza32410ze3ze1zzheap_makez00(obj_t BgL_envz00_851,
		obj_t BgL_gz00_852)
	{
		AN_OBJECT;
		{	/* Heap/make.scm 133 */
			{
				obj_t BgL_gz00_576;

				BgL_gz00_576 = BgL_gz00_852;
				{	/* Heap/make.scm 136 */
					bool_t BgL_testz00_1109;

					{	/* Heap/make.scm 136 */
						bool_t BgL_testz00_1110;

						{	/* Heap/make.scm 136 */
							obj_t BgL_auxz00_1111;

							{	/* Heap/make.scm 136 */
								BgL_globalz00_bglt BgL_obj1701z00_816;

								BgL_obj1701z00_816 = ((BgL_globalz00_bglt) BgL_gz00_576);
								BgL_auxz00_1111 =
									(((BgL_globalz00_bglt) CREF(
											((obj_t) BgL_obj1701z00_816)))->BgL_importz00);
							}
							BgL_testz00_1110 =
								(BgL_auxz00_1111 == CNST_TABLE_REF(((long) 3)));
						}
						if (BgL_testz00_1110)
							{	/* Heap/make.scm 136 */
								BgL_testz00_1109 = ((bool_t) 1);
							}
						else
							{	/* Heap/make.scm 137 */
								BgL_globalz00_bglt BgL_obj1710z00_817;

								BgL_obj1710z00_817 = ((BgL_globalz00_bglt) BgL_gz00_576);
								BgL_testz00_1109 =
									CBOOL(
									(((BgL_globalz00_bglt) CREF(
												((obj_t) BgL_obj1710z00_817)))->BgL_libraryz00));
							}
					}
					if (BgL_testz00_1109)
						{	/* Heap/make.scm 138 */
							obj_t BgL_arg2417z00_579;
							obj_t BgL_arg2421z00_580;

							{	/* Heap/make.scm 138 */
								BgL_variablez00_bglt BgL_obj1605z00_818;

								BgL_obj1605z00_818 = ((BgL_variablez00_bglt) BgL_gz00_576);
								BgL_arg2417z00_579 =
									(((BgL_variablez00_bglt) CREF(
											((obj_t) BgL_obj1605z00_818)))->BgL_idz00);
							}
							{	/* Heap/make.scm 138 */
								BgL_globalz00_bglt BgL_obj1698z00_819;

								BgL_obj1698z00_819 = ((BgL_globalz00_bglt) BgL_gz00_576);
								BgL_arg2421z00_580 =
									(((BgL_globalz00_bglt) CREF(
											((obj_t) BgL_obj1698z00_819)))->BgL_modulez00);
							}
							BGl_unbindzd2globalz12zc0zzast_envz00(BgL_arg2417z00_579,
								BgL_arg2421z00_580);
						}
					else
						{	/* Heap/make.scm 139 */
							bool_t BgL_testz00_1128;

							{	/* Heap/make.scm 139 */
								obj_t BgL_auxz00_1129;

								{	/* Heap/make.scm 139 */
									BgL_globalz00_bglt BgL_obj1701z00_820;

									BgL_obj1701z00_820 = ((BgL_globalz00_bglt) BgL_gz00_576);
									BgL_auxz00_1129 =
										(((BgL_globalz00_bglt) CREF(
												((obj_t) BgL_obj1701z00_820)))->BgL_importz00);
								}
								BgL_testz00_1128 =
									(BgL_auxz00_1129 == CNST_TABLE_REF(((long) 4)));
							}
							if (BgL_testz00_1128)
								{	/* Heap/make.scm 140 */
									BgL_globalz00_bglt BgL_obj1703z00_821;
									obj_t BgL_val1702z00_822;

									BgL_obj1703z00_821 = ((BgL_globalz00_bglt) BgL_gz00_576);
									BgL_val1702z00_822 = CNST_TABLE_REF(((long) 5));
									((((BgL_globalz00_bglt) CREF(
													((obj_t) BgL_obj1703z00_821)))->BgL_importz00) =
										((obj_t) BgL_val1702z00_822), BUNSPEC);
								}
							else
								{	/* Heap/make.scm 139 */
									BUNSPEC;
								}
						}
				}
				{	/* Heap/make.scm 145 */
					bool_t BgL_testz00_1139;

					{	/* Heap/make.scm 145 */
						bool_t BgL_testz00_1140;

						{	/* Heap/make.scm 145 */
							obj_t BgL_auxz00_1141;

							{	/* Heap/make.scm 145 */
								BgL_objectz00_bglt BgL_auxz00_1142;

								BgL_auxz00_1142 = ((BgL_objectz00_bglt) BgL_gz00_576);
								BgL_auxz00_1141 = BGL_OBJECT_WIDENING(BgL_auxz00_1142);
							}
							BgL_testz00_1140 = CBOOL(BgL_auxz00_1141);
						}
						if (BgL_testz00_1140)
							{	/* Heap/make.scm 145 */
								BgL_testz00_1139 = ((bool_t) 1);
							}
						else
							{	/* Heap/make.scm 145 */
								BgL_testz00_1139 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_1139)
						{	/* Heap/make.scm 145 */
							{	/* Heap/make.scm 145 */
								long BgL_arg2438z00_587;

								{	/* Heap/make.scm 145 */
									obj_t BgL_arg2443z00_588;

									{	/* Heap/make.scm 145 */
										obj_t BgL_arg2446z00_589;

										{	/* Heap/make.scm 145 */
											BgL_objectz00_bglt BgL_objectz00_826;

											BgL_objectz00_826 = ((BgL_objectz00_bglt) BgL_gz00_576);
											{	/* Heap/make.scm 145 */
												long BgL_arg2548z00_827;

												{	/* Heap/make.scm 145 */
													long BgL_arg2549z00_828;

													{	/* Heap/make.scm 145 */
														long BgL_res2490z00_830;

														BgL_res2490z00_830 =
															BGL_OBJECT_CLASS_NUM(BgL_objectz00_826);
														BgL_arg2549z00_828 = BgL_res2490z00_830;
													}
													BgL_arg2548z00_827 =
														(BgL_arg2549z00_828 - OBJECT_TYPE);
												}
												BgL_arg2446z00_589 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													(int) (BgL_arg2548z00_827));
										}}
										BgL_arg2443z00_588 =
											BGl_classzd2superzd2zz__objectz00(BgL_arg2446z00_589);
									}
									BgL_arg2438z00_587 =
										BGl_classzd2numzd2zz__objectz00(BgL_arg2443z00_588);
								}
								{	/* Heap/make.scm 145 */
									BgL_objectz00_bglt BgL_objz00_836;

									BgL_objz00_836 = ((BgL_objectz00_bglt) BgL_gz00_576);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_836, BgL_arg2438z00_587);
							}}
							{	/* Heap/make.scm 145 */
								BgL_objectz00_bglt BgL_auxz00_1155;

								BgL_auxz00_1155 = ((BgL_objectz00_bglt) BgL_gz00_576);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_1155, BFALSE);
							} BgL_gz00_576;
						}
					else
						{	/* Heap/make.scm 145 */
							BFALSE;
						}
				}
				{	/* Heap/make.scm 147 */
					BgL_variablez00_bglt BgL_obj1626z00_838;

					BgL_obj1626z00_838 = ((BgL_variablez00_bglt) BgL_gz00_576);
					((((BgL_variablez00_bglt) CREF(
									((obj_t) BgL_obj1626z00_838)))->BgL_occurrencez00) =
						((long) ((long) 0)), BUNSPEC);
				}
				{	/* Heap/make.scm 148 */
					BgL_globalz00_bglt BgL_obj1712z00_840;
					obj_t BgL_val1711z00_841;

					BgL_obj1712z00_840 = ((BgL_globalz00_bglt) BgL_gz00_576);
					BgL_val1711z00_841 = BGl_za2heapzd2libraryza2zd2zzengine_paramz00;
					return
						((((BgL_globalz00_bglt) CREF(
									((obj_t) BgL_obj1712z00_840)))->BgL_libraryz00) =
						((obj_t) BgL_val1711z00_841), BUNSPEC);
				}
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzheap_makez00()
	{
		AN_OBJECT;
		{	/* Heap/make.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzheap_makez00()
	{
		AN_OBJECT;
		{	/* Heap/make.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzheap_makez00()
	{
		AN_OBJECT;
		{	/* Heap/make.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2505z00zzheap_makez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2505z00zzheap_makez00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string2505z00zzheap_makez00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string2505z00zzheap_makez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 428058597),
				BSTRING_TO_STRING(BGl_string2505z00zzheap_makez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2505z00zzheap_makez00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2505z00zzheap_makez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2505z00zzheap_makez00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 53901219),
				BSTRING_TO_STRING(BGl_string2505z00zzheap_makez00));
			BGl_modulezd2initializa7ationz75zzforeign_libraryz00(((long) 419430976),
				BSTRING_TO_STRING(BGl_string2505z00zzheap_makez00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 57787772),
				BSTRING_TO_STRING(BGl_string2505z00zzheap_makez00));
			BGl_modulezd2initializa7ationz75zzheap_restorez00(((long) 147989063),
				BSTRING_TO_STRING(BGl_string2505z00zzheap_makez00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string2505z00zzheap_makez00));
			return
				BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2505z00zzheap_makez00));
		}
	}

#ifdef __cplusplus
}
#endif
