/*===========================================================================*/
/*   (Integrate/definition.scm)                                              */
/*   Bigloo (3.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 26 07:46:09 CEST 2011       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.7a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Integrate/definition.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_sfunzf2iinfozf2_bgl
	{
		obj_t BgL_ownerz00;
		obj_t BgL_freez00;
		obj_t BgL_boundz00;
		obj_t BgL_cfromz00;
		obj_t BgL_ctoz00;
		obj_t BgL_kz00;
		obj_t BgL_kza2za2;
		obj_t BgL_uz00;
		obj_t BgL_cnz00;
		obj_t BgL_ctz00;
		obj_t BgL_kontz00;
		bool_t BgL_gzf3zf3;
		bool_t BgL_forcegzf3zf3;
		obj_t BgL_lz00;
		obj_t BgL_ledz00;
		obj_t BgL_istampz00;
		obj_t BgL_globalz00;
		obj_t BgL_kapturedz00;
		obj_t BgL_tailzd2coercionzd2;
	}                      *BgL_sfunzf2iinfozf2_bglt;


	extern obj_t BGl_setzd2kapturedz12zc0zzintegrate_kapturedz00(obj_t);
	BGL_IMPORT bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
	extern obj_t BGl_Cnz62Ctz12z70zzintegrate_ctnz00(obj_t);
	static obj_t BGl_methodzd2initzd2zzintegrate_definitionz00();
	extern obj_t
		BGl_integratezd2globaliza7ez12z67zzintegrate_nodez00(BgL_nodez00_bglt,
		BgL_variablez00_bglt, obj_t);
	extern obj_t BGl_za2verboseza2z00zzengine_paramz00;
	extern obj_t BGl_Gz12z12zzintegrate_gz00(obj_t);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	extern obj_t
		BGl_localzd2ze3globalz31zzintegrate_localzd2ze3globalz31(BgL_localz00_bglt);
	extern obj_t BGl_Kz12z12zzintegrate_kkz00(obj_t, BgL_globalz00_bglt);
	static obj_t BGl_requirezd2initializa7ationz75zzintegrate_definitionz00 =
		BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_integratezd2definitionz12zc0zzintegrate_definitionz00(obj_t);
	static obj_t BGl_genericzd2initzd2zzintegrate_definitionz00();
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	static obj_t
		BGl_z62integratezd2definitionz12za2zzintegrate_definitionz00(obj_t, obj_t);
	static bool_t BGl_verbzd2globaliza7ationz75zzintegrate_definitionz00(obj_t,
		obj_t);
	extern obj_t BGl_Uz12z12zzintegrate_uz00();
	extern obj_t BGl_Az00zzintegrate_az00(BgL_globalz00_bglt, BgL_nodez00_bglt);
	extern obj_t BGl_displacezd2letzd2funz12z12zzintegrate_letzd2funzd2(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_definitionz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_localzd2ze3globalz31(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_nodez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_letzd2funzd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_kapturedz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_gz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_ctnz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_uz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_kkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_az00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_infoz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_removez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_definitionz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzintegrate_definitionz00();
	extern obj_t BGl_Kza2z12zb0zzintegrate_kkz00(obj_t);
	BGL_IMPORT bool_t BGl_2zc3zd3z10zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_za2phiza2z00zzintegrate_az00;
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_integratezd2definitionz12zd2envz12zzintegrate_definitionz00,
		BgL_bgl_za762integrateza7d2d3748z00,
		BGl_z62integratezd2definitionz12za2zzintegrate_definitionz00, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string3745z00zzintegrate_definitionz00,
		BgL_bgl_string3745za700za7za7i3749za7, " -->", 4);
	      DEFINE_STRING(BGl_string3746z00zzintegrate_definitionz00,
		BgL_bgl_string3746za700za7za7i3750za7, "           ", 11);
	      DEFINE_STRING(BGl_string3747z00zzintegrate_definitionz00,
		BgL_bgl_string3747za700za7za7i3751za7, "integrate_definition", 20);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzintegrate_definitionz00(long
		BgL_checksumz00_1507, char *BgL_fromz00_1508)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzintegrate_definitionz00))
				{
					BGl_requirezd2initializa7ationz75zzintegrate_definitionz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzintegrate_definitionz00();
					BGl_importedzd2moduleszd2initz00zzintegrate_definitionz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzintegrate_definitionz00()
	{
		AN_OBJECT;
		{	/* Integrate/definition.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"integrate_definition");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"integrate_definition");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"integrate_definition");
			return BUNSPEC;
		}
	}



/* integrate-definition! */
	BGL_EXPORTED_DEF obj_t
		BGl_integratezd2definitionz12zc0zzintegrate_definitionz00(obj_t
		BgL_globalz00_3)
	{
		AN_OBJECT;
		{	/* Integrate/definition.scm 57 */
			{	/* Integrate/definition.scm 62 */
				BgL_valuez00_bglt BgL_funz00_935;

				{	/* Integrate/definition.scm 62 */
					BgL_variablez00_bglt BgL_obj1612z00_1430;

					BgL_obj1612z00_1430 = ((BgL_variablez00_bglt) BgL_globalz00_3);
					BgL_funz00_935 =
						(((BgL_variablez00_bglt) CREF(
								((obj_t) BgL_obj1612z00_1430)))->BgL_valuez00);
				}
				{	/* Integrate/definition.scm 62 */
					obj_t BgL_bodyz00_936;

					{	/* Integrate/definition.scm 63 */
						BgL_sfunz00_bglt BgL_obj1924z00_1431;

						BgL_obj1924z00_1431 = ((BgL_sfunz00_bglt) BgL_funz00_935);
						BgL_bodyz00_936 =
							(((BgL_sfunz00_bglt) CREF(
									((obj_t) BgL_obj1924z00_1431)))->BgL_bodyz00);
					}
					{	/* Integrate/definition.scm 63 */
						obj_t BgL_az00_937;

						BgL_az00_937 =
							BGl_Az00zzintegrate_az00(
							((BgL_globalz00_bglt) BgL_globalz00_3),
							((BgL_nodez00_bglt) BgL_bodyz00_936));
						{	/* Integrate/definition.scm 64 */

							{	/* Integrate/definition.scm 65 */
								obj_t BgL_arg3643z00_938;

								BgL_arg3643z00_938 =
									BGl_Kz12z12zzintegrate_kkz00(BgL_az00_937,
									((BgL_globalz00_bglt) BgL_globalz00_3));
								BGl_Kza2z12zb0zzintegrate_kkz00(BgL_arg3643z00_938);
							}
							BGl_Uz12z12zzintegrate_uz00();
							{	/* Integrate/definition.scm 67 */
								obj_t BgL_gz00_939;

								BgL_gz00_939 =
									BGl_Gz12z12zzintegrate_gz00
									(BGl_Cnz62Ctz12z70zzintegrate_ctnz00(BgL_az00_937));
								if (NULLP(BgL_gz00_939))
									{	/* Integrate/definition.scm 73 */
										obj_t BgL_list3645z00_941;

										BgL_list3645z00_941 = MAKE_PAIR(BgL_globalz00_3, BNIL);
										return BgL_list3645z00_941;
									}
								else
									{	/* Integrate/definition.scm 71 */
										BGl_verbzd2globaliza7ationz75zzintegrate_definitionz00
											(BgL_globalz00_3, BgL_gz00_939);
										{
											obj_t BgL_l3627z00_943;

											BgL_l3627z00_943 = BGl_za2phiza2z00zzintegrate_az00;
										BgL_zc3anonymousza33646ze3z83_944:
											if (PAIRP(BgL_l3627z00_943))
												{	/* Integrate/definition.scm 77 */
													{	/* Integrate/definition.scm 79 */
														obj_t BgL_fz00_946;

														BgL_fz00_946 = CAR(BgL_l3627z00_943);
														{	/* Integrate/definition.scm 79 */
															bool_t BgL_testz00_1539;

															if (BGl_iszd2azf3z21zz__objectz00(BgL_fz00_946,
																	BGl_localz00zzast_varz00))
																{	/* Integrate/definition.scm 79 */
																	bool_t BgL_testz00_1542;

																	{	/* Integrate/definition.scm 79 */
																		BgL_sfunzf2iinfozf2_bglt
																			BgL_obj3551z00_1442;
																		{	/* Integrate/definition.scm 79 */
																			BgL_variablez00_bglt BgL_obj1612z00_1441;

																			BgL_obj1612z00_1441 =
																				((BgL_variablez00_bglt)
																				((BgL_localz00_bglt) BgL_fz00_946));
																			BgL_obj3551z00_1442 =
																				((BgL_sfunzf2iinfozf2_bglt)
																				(((BgL_variablez00_bglt) CREF(
																							((obj_t) BgL_obj1612z00_1441)))->
																					BgL_valuez00));
																		}
																		{
																			obj_t BgL_auxz00_1548;

																			{	/* Integrate/definition.scm 79 */
																				BgL_objectz00_bglt BgL_auxz00_1549;

																				BgL_auxz00_1549 =
																					((BgL_objectz00_bglt)
																					BgL_obj3551z00_1442);
																				BgL_auxz00_1548 =
																					BGL_OBJECT_WIDENING(BgL_auxz00_1549);
																			}
																			BgL_testz00_1542 =
																				(((BgL_sfunzf2iinfozf2_bglt)
																					CREF(BgL_auxz00_1548))->BgL_gzf3zf3);
																		}
																	}
																	if (BgL_testz00_1542)
																		{	/* Integrate/definition.scm 79 */
																			BgL_testz00_1539 = ((bool_t) 0);
																		}
																	else
																		{	/* Integrate/definition.scm 79 */
																			BgL_testz00_1539 = ((bool_t) 1);
																		}
																}
															else
																{	/* Integrate/definition.scm 79 */
																	BgL_testz00_1539 = ((bool_t) 0);
																}
															if (BgL_testz00_1539)
																{	/* Integrate/definition.scm 80 */
																	obj_t BgL_gz00_948;

																	{	/* Integrate/definition.scm 80 */
																		BgL_sfunzf2iinfozf2_bglt
																			BgL_obj3557z00_1444;
																		{	/* Integrate/definition.scm 80 */
																			BgL_variablez00_bglt BgL_obj1612z00_1443;

																			BgL_obj1612z00_1443 =
																				((BgL_variablez00_bglt)
																				((BgL_localz00_bglt) BgL_fz00_946));
																			BgL_obj3557z00_1444 =
																				((BgL_sfunzf2iinfozf2_bglt)
																				(((BgL_variablez00_bglt) CREF(
																							((obj_t) BgL_obj1612z00_1443)))->
																					BgL_valuez00));
																		}
																		{
																			obj_t BgL_auxz00_1558;

																			{	/* Integrate/definition.scm 80 */
																				BgL_objectz00_bglt BgL_auxz00_1559;

																				BgL_auxz00_1559 =
																					((BgL_objectz00_bglt)
																					BgL_obj3557z00_1444);
																				BgL_auxz00_1558 =
																					BGL_OBJECT_WIDENING(BgL_auxz00_1559);
																			}
																			BgL_gz00_948 =
																				(((BgL_sfunzf2iinfozf2_bglt)
																					CREF(BgL_auxz00_1558))->BgL_lz00);
																		}
																	}
																	{	/* Integrate/definition.scm 80 */
																		BgL_valuez00_bglt BgL_ifuz00_949;

																		{	/* Integrate/definition.scm 81 */
																			BgL_variablez00_bglt BgL_obj1612z00_1445;

																			BgL_obj1612z00_1445 =
																				((BgL_variablez00_bglt) BgL_gz00_948);
																			BgL_ifuz00_949 =
																				(((BgL_variablez00_bglt) CREF(
																						((obj_t) BgL_obj1612z00_1445)))->
																				BgL_valuez00);
																		}
																		{	/* Integrate/definition.scm 81 */

																			{	/* Integrate/definition.scm 84 */
																				obj_t BgL_arg3649z00_950;

																				{	/* Integrate/definition.scm 84 */
																					obj_t BgL_arg3650z00_951;

																					{	/* Integrate/definition.scm 84 */
																						BgL_sfunzf2iinfozf2_bglt
																							BgL_obj3560z00_1446;
																						BgL_obj3560z00_1446 =
																							((BgL_sfunzf2iinfozf2_bglt)
																							BgL_ifuz00_949);
																						{
																							obj_t BgL_auxz00_1567;

																							{	/* Integrate/definition.scm 84 */
																								BgL_objectz00_bglt
																									BgL_auxz00_1568;
																								BgL_auxz00_1568 =
																									((BgL_objectz00_bglt)
																									BgL_obj3560z00_1446);
																								BgL_auxz00_1567 =
																									BGL_OBJECT_WIDENING
																									(BgL_auxz00_1568);
																							}
																							BgL_arg3650z00_951 =
																								(((BgL_sfunzf2iinfozf2_bglt)
																									CREF(BgL_auxz00_1567))->
																								BgL_ledz00);
																						}
																					}
																					BgL_arg3649z00_950 =
																						MAKE_PAIR(BgL_fz00_946,
																						BgL_arg3650z00_951);
																				}
																				{	/* Integrate/definition.scm 82 */
																					BgL_sfunzf2iinfozf2_bglt
																						BgL_obj3562z00_1447;
																					BgL_obj3562z00_1447 =
																						((BgL_sfunzf2iinfozf2_bglt)
																						BgL_ifuz00_949);
																					{
																						obj_t BgL_auxz00_1574;

																						{	/* Integrate/definition.scm 82 */
																							BgL_objectz00_bglt
																								BgL_auxz00_1575;
																							BgL_auxz00_1575 =
																								((BgL_objectz00_bglt)
																								BgL_obj3562z00_1447);
																							BgL_auxz00_1574 =
																								BGL_OBJECT_WIDENING
																								(BgL_auxz00_1575);
																						}
																						((((BgL_sfunzf2iinfozf2_bglt)
																									CREF(BgL_auxz00_1574))->
																								BgL_ledz00) =
																							((obj_t) BgL_arg3649z00_950),
																							BUNSPEC);
																					}
																				}
																			}
																		}
																	}
																}
															else
																{	/* Integrate/definition.scm 79 */
																	BFALSE;
																}
														}
													}
													{
														obj_t BgL_l3627z00_1579;

														BgL_l3627z00_1579 = CDR(BgL_l3627z00_943);
														BgL_l3627z00_943 = BgL_l3627z00_1579;
														goto BgL_zc3anonymousza33646ze3z83_944;
													}
												}
											else
												{	/* Integrate/definition.scm 77 */
													((bool_t) 1);
												}
										}
										{
											obj_t BgL_l3629z00_959;

											BgL_l3629z00_959 = BgL_gz00_939;
										BgL_zc3anonymousza33656ze3z83_960:
											if (PAIRP(BgL_l3629z00_959))
												{	/* Integrate/definition.scm 88 */
													BGl_displacezd2letzd2funz12z12zzintegrate_letzd2funzd2
														(CAR(BgL_l3629z00_959));
													{
														obj_t BgL_l3629z00_1585;

														BgL_l3629z00_1585 = CDR(BgL_l3629z00_959);
														BgL_l3629z00_959 = BgL_l3629z00_1585;
														goto BgL_zc3anonymousza33656ze3z83_960;
													}
												}
											else
												{	/* Integrate/definition.scm 88 */
													((bool_t) 1);
												}
										}
										BGl_displacezd2letzd2funz12z12zzintegrate_letzd2funzd2
											(BgL_globalz00_3);
										BGl_setzd2kapturedz12zc0zzintegrate_kapturedz00
											(BgL_gz00_939);
										{	/* Integrate/definition.scm 97 */
											obj_t BgL_newzd2gzd2_965;

											{	/* Integrate/definition.scm 97 */
												obj_t BgL_head3633z00_969;

												{	/* Integrate/definition.scm 97 */
													obj_t BgL_arg3668z00_981;

													{	/* Integrate/definition.scm 97 */
														obj_t BgL_arg3669z00_982;

														BgL_arg3669z00_982 = CAR(BgL_gz00_939);
														BgL_arg3668z00_981 =
															BGl_localzd2ze3globalz31zzintegrate_localzd2ze3globalz31
															(((BgL_localz00_bglt) BgL_arg3669z00_982));
													}
													{	/* Integrate/definition.scm 97 */
														obj_t BgL_res3741z00_1459;

														BgL_res3741z00_1459 =
															MAKE_PAIR(BgL_arg3668z00_981, BNIL);
														BgL_head3633z00_969 = BgL_res3741z00_1459;
													}
												}
												{	/* Integrate/definition.scm 97 */
													obj_t BgL_g3636z00_970;

													BgL_g3636z00_970 = CDR(BgL_gz00_939);
													{
														obj_t BgL_l3631z00_972;
														obj_t BgL_tail3634z00_973;

														BgL_l3631z00_972 = BgL_g3636z00_970;
														BgL_tail3634z00_973 = BgL_head3633z00_969;
													BgL_zc3anonymousza33663ze3z83_974:
														if (NULLP(BgL_l3631z00_972))
															{	/* Integrate/definition.scm 97 */
																BgL_newzd2gzd2_965 = BgL_head3633z00_969;
															}
														else
															{	/* Integrate/definition.scm 97 */
																obj_t BgL_newtail3635z00_976;

																{	/* Integrate/definition.scm 97 */
																	obj_t BgL_arg3666z00_978;

																	{	/* Integrate/definition.scm 97 */
																		obj_t BgL_arg3667z00_979;

																		BgL_arg3667z00_979 = CAR(BgL_l3631z00_972);
																		BgL_arg3666z00_978 =
																			BGl_localzd2ze3globalz31zzintegrate_localzd2ze3globalz31
																			(((BgL_localz00_bglt)
																				BgL_arg3667z00_979));
																	}
																	{	/* Integrate/definition.scm 97 */
																		obj_t BgL_res3743z00_1466;

																		BgL_res3743z00_1466 =
																			MAKE_PAIR(BgL_arg3666z00_978, BNIL);
																		BgL_newtail3635z00_976 =
																			BgL_res3743z00_1466;
																	}
																}
																SET_CDR(BgL_tail3634z00_973,
																	BgL_newtail3635z00_976);
																{
																	obj_t BgL_tail3634z00_1603;
																	obj_t BgL_l3631z00_1601;

																	BgL_l3631z00_1601 = CDR(BgL_l3631z00_972);
																	BgL_tail3634z00_1603 = BgL_newtail3635z00_976;
																	BgL_tail3634z00_973 = BgL_tail3634z00_1603;
																	BgL_l3631z00_972 = BgL_l3631z00_1601;
																	goto BgL_zc3anonymousza33663ze3z83_974;
																}
															}
													}
												}
											}
											{	/* Integrate/definition.scm 98 */
												obj_t BgL_arg3661z00_966;

												BgL_arg3661z00_966 =
													BGl_integratezd2globaliza7ez12z67zzintegrate_nodez00(
													((BgL_nodez00_bglt) BgL_bodyz00_936),
													((BgL_variablez00_bglt) BgL_globalz00_3), BNIL);
												{	/* Integrate/definition.scm 98 */
													BgL_sfunz00_bglt BgL_obj1926z00_1470;

													BgL_obj1926z00_1470 =
														((BgL_sfunz00_bglt) BgL_funz00_935);
													((((BgL_sfunz00_bglt) CREF(
																	((obj_t) BgL_obj1926z00_1470)))->
															BgL_bodyz00) =
														((obj_t) BgL_arg3661z00_966), BUNSPEC);
												}
											}
											return MAKE_PAIR(BgL_globalz00_3, BgL_newzd2gzd2_965);
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &integrate-definition! */
	obj_t BGl_z62integratezd2definitionz12za2zzintegrate_definitionz00(obj_t
		BgL_envz00_1476, obj_t BgL_globalz00_1477)
	{
		AN_OBJECT;
		{	/* Integrate/definition.scm 57 */
			return
				BGl_integratezd2definitionz12zc0zzintegrate_definitionz00
				(BgL_globalz00_1477);
		}
	}



/* verb-globalization */
	bool_t BGl_verbzd2globaliza7ationz75zzintegrate_definitionz00(obj_t
		BgL_globalz00_4, obj_t BgL_gz00_5)
	{
		AN_OBJECT;
		{	/* Integrate/definition.scm 105 */
			{
				obj_t BgL_l3637z00_985;

				BgL_l3637z00_985 = BgL_gz00_5;
			BgL_zc3anonymousza33671ze3z83_986:
				if (PAIRP(BgL_l3637z00_985))
					{	/* Integrate/definition.scm 109 */
						{	/* Integrate/definition.scm 110 */
							obj_t BgL_localz00_988;

							BgL_localz00_988 = CAR(BgL_l3637z00_985);
							if (BGl_2zc3zd3z10zz__r4_numbers_6_5z00(BINT(((long) 3)),
									BGl_za2verboseza2z00zzengine_paramz00))
								{	/* Integrate/definition.scm 110 */
									if (BGl_2zc3zd3z10zz__r4_numbers_6_5z00(BINT(((long) 3)),
											BGl_za2verboseza2z00zzengine_paramz00))
										{	/* Integrate/definition.scm 110 */
											obj_t BgL_arg3676z00_993;

											BgL_arg3676z00_993 =
												BGl_shapez00zztools_shapez00(BgL_localz00_988);
											{	/* Integrate/definition.scm 110 */
												obj_t BgL_list3677z00_994;

												{	/* Integrate/definition.scm 110 */
													obj_t BgL_arg3678z00_995;

													{	/* Integrate/definition.scm 110 */
														obj_t BgL_arg3679z00_996;

														{	/* Integrate/definition.scm 110 */
															obj_t BgL_arg3680z00_997;

															BgL_arg3680z00_997 =
																MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
															BgL_arg3679z00_996 =
																MAKE_PAIR
																(BGl_string3745z00zzintegrate_definitionz00,
																BgL_arg3680z00_997);
														}
														BgL_arg3678z00_995 =
															MAKE_PAIR(BgL_arg3676z00_993, BgL_arg3679z00_996);
													}
													BgL_list3677z00_994 =
														MAKE_PAIR
														(BGl_string3746z00zzintegrate_definitionz00,
														BgL_arg3678z00_995);
												}
												BGl_verbosez00zztools_speekz00(BINT(((long) 3)),
													BgL_list3677z00_994);
										}}
									else
										{	/* Integrate/definition.scm 110 */
											BUNSPEC;
										}
								}
							else
								{	/* Integrate/definition.scm 110 */
									BFALSE;
								}
						}
						{
							obj_t BgL_l3637z00_1629;

							BgL_l3637z00_1629 = CDR(BgL_l3637z00_985);
							BgL_l3637z00_985 = BgL_l3637z00_1629;
							goto BgL_zc3anonymousza33671ze3z83_986;
						}
					}
				else
					{	/* Integrate/definition.scm 109 */
						return ((bool_t) 1);
					}
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzintegrate_definitionz00()
	{
		AN_OBJECT;
		{	/* Integrate/definition.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzintegrate_definitionz00()
	{
		AN_OBJECT;
		{	/* Integrate/definition.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzintegrate_definitionz00()
	{
		AN_OBJECT;
		{	/* Integrate/definition.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string3747z00zzintegrate_definitionz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 428058597),
				BSTRING_TO_STRING(BGl_string3747z00zzintegrate_definitionz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string3747z00zzintegrate_definitionz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string3747z00zzintegrate_definitionz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 353660849),
				BSTRING_TO_STRING(BGl_string3747z00zzintegrate_definitionz00));
			BGl_modulezd2initializa7ationz75zzast_removez00(((long) 383247627),
				BSTRING_TO_STRING(BGl_string3747z00zzintegrate_definitionz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string3747z00zzintegrate_definitionz00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string3747z00zzintegrate_definitionz00));
			BGl_modulezd2initializa7ationz75zzintegrate_infoz00(((long) 0),
				BSTRING_TO_STRING(BGl_string3747z00zzintegrate_definitionz00));
			BGl_modulezd2initializa7ationz75zzintegrate_az00(((long) 523633197),
				BSTRING_TO_STRING(BGl_string3747z00zzintegrate_definitionz00));
			BGl_modulezd2initializa7ationz75zzintegrate_kkz00(((long) 75634339),
				BSTRING_TO_STRING(BGl_string3747z00zzintegrate_definitionz00));
			BGl_modulezd2initializa7ationz75zzintegrate_uz00(((long) 147062505),
				BSTRING_TO_STRING(BGl_string3747z00zzintegrate_definitionz00));
			BGl_modulezd2initializa7ationz75zzintegrate_ctnz00(((long) 240374541),
				BSTRING_TO_STRING(BGl_string3747z00zzintegrate_definitionz00));
			BGl_modulezd2initializa7ationz75zzintegrate_gz00(((long) 52380304),
				BSTRING_TO_STRING(BGl_string3747z00zzintegrate_definitionz00));
			BGl_modulezd2initializa7ationz75zzintegrate_kapturedz00(((long) 70748975),
				BSTRING_TO_STRING(BGl_string3747z00zzintegrate_definitionz00));
			BGl_modulezd2initializa7ationz75zzintegrate_letzd2funzd2(((long)
					450799956),
				BSTRING_TO_STRING(BGl_string3747z00zzintegrate_definitionz00));
			BGl_modulezd2initializa7ationz75zzintegrate_nodez00(((long) 347237104),
				BSTRING_TO_STRING(BGl_string3747z00zzintegrate_definitionz00));
			return
				BGl_modulezd2initializa7ationz75zzintegrate_localzd2ze3globalz31(((long)
					143977554),
				BSTRING_TO_STRING(BGl_string3747z00zzintegrate_definitionz00));
		}
	}

#ifdef __cplusplus
}
#endif
