/*===========================================================================*/
/*   (Tools/progn.scm)                                                       */
/*   Bigloo (3.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 26 07:46:09 CEST 2011       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/3.7a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Tools/progn.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	BGL_EXPORTED_DECL obj_t BGl_normaliza7ezd2prognz75zztools_prognz00(obj_t);
	static obj_t BGl_z62normaliza7ezd2prognz17zztools_prognz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zztools_prognz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_normaliza7ezd2prognzf2locz87zztools_prognz00(obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zztools_prognz00();
	extern obj_t BGl_epairifyz00zztools_miscz00(obj_t, obj_t);
	static obj_t BGl_z62prognzd2firstzd2expressionz62zztools_prognz00(obj_t,
		obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zztools_prognz00();
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zztools_prognz00();
	static obj_t BGl_z62emapz62zztools_prognz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_normaliza7ezd2beginz75zztools_prognz00(obj_t);
	static obj_t BGl_z62normaliza7ezd2beginz17zztools_prognz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zztools_prognz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_EXPORTED_DECL obj_t BGl_emapz00zztools_prognz00(obj_t, obj_t);
	static obj_t BGl_appendzd221095zd2zztools_prognz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_prognzd2tailzd2expressionsz00zztools_prognz00(obj_t);
	static obj_t BGl_cnstzd2initzd2zztools_prognz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zztools_prognz00();
	static obj_t BGl_importedzd2moduleszd2initz00zztools_prognz00();
	BGL_EXPORTED_DECL obj_t
		BGl_prognzd2firstzd2expressionz00zztools_prognz00(obj_t);
	static obj_t BGl_loopz00zztools_prognz00(obj_t, obj_t, obj_t);
	static obj_t BGl_loopz72z72zztools_prognz00(obj_t);
	static obj_t BGl_z62normaliza7ezd2prognzf2locze5zztools_prognz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t BGl_z62prognzd2tailzd2expressionsz62zztools_prognz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_expandzd2prognzd2zz__prognz00(obj_t);
	static obj_t __cnst[3];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_normaliza7ezd2prognzf2loczd2envz55zztools_prognz00,
		BgL_bgl_za762normaliza7a7eza7d1676za7,
		BGl_z62normaliza7ezd2prognzf2locze5zztools_prognz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_prognzd2tailzd2expressionszd2envzd2zztools_prognz00,
		BgL_bgl_za762prognza7d2tailza71677za7,
		BGl_z62prognzd2tailzd2expressionsz62zztools_prognz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1668z00zztools_prognz00,
		BgL_bgl_string1668za700za7za7t1678za7, "normalize-progn", 15);
	      DEFINE_STRING(BGl_string1669z00zztools_prognz00,
		BgL_bgl_string1669za700za7za7t1679za7, "Illegal expression", 18);
	      DEFINE_STRING(BGl_string1670z00zztools_prognz00,
		BgL_bgl_string1670za700za7za7t1680za7, "Illegal form", 12);
	      DEFINE_STRING(BGl_string1671z00zztools_prognz00,
		BgL_bgl_string1671za700za7za7t1681za7, "Illegal parameter list", 22);
	      DEFINE_STRING(BGl_string1672z00zztools_prognz00,
		BgL_bgl_string1672za700za7za7t1682za7, "tools_progn", 11);
	      DEFINE_STRING(BGl_string1673z00zztools_prognz00,
		BgL_bgl_string1673za700za7za7t1683za7, "emap normalize-begin begin ", 27);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_normaliza7ezd2prognzd2envza7zztools_prognz00,
		BgL_bgl_za762normaliza7a7eza7d1684za7,
		BGl_z62normaliza7ezd2prognz17zztools_prognz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_prognzd2firstzd2expressionzd2envzd2zztools_prognz00,
		BgL_bgl_za762prognza7d2first1685z00,
		BGl_z62prognzd2firstzd2expressionz62zztools_prognz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_normaliza7ezd2beginzd2envza7zztools_prognz00,
		BgL_bgl_za762normaliza7a7eza7d1686za7,
		BGl_z62normaliza7ezd2beginz17zztools_prognz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_emapzd2envzd2zztools_prognz00,
		BgL_bgl_za762emapza762za7za7tool1687z00, BGl_z62emapz62zztools_prognz00, 0L,
		BUNSPEC, 2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zztools_prognz00(long
		BgL_checksumz00_456, char *BgL_fromz00_457)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zztools_prognz00))
				{
					BGl_requirezd2initializa7ationz75zztools_prognz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zztools_prognz00();
					BGl_cnstzd2initzd2zztools_prognz00();
					BGl_importedzd2moduleszd2initz00zztools_prognz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zztools_prognz00()
	{
		AN_OBJECT;
		{	/* Tools/progn.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"tools_progn");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "tools_progn");
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 0), "tools_progn");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zztools_prognz00()
	{
		AN_OBJECT;
		{	/* Tools/progn.scm 15 */
			{	/* Tools/progn.scm 15 */
				obj_t BgL_cportz00_448;

				BgL_cportz00_448 =
					bgl_open_input_string(BGl_string1673z00zztools_prognz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_449;

					BgL_iz00_449 = ((long) 2);
				BgL_loopz00_450:
					if ((BgL_iz00_449 == ((long) -1)))
						{	/* Tools/progn.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Tools/progn.scm 15 */
							{	/* Tools/progn.scm 15 */
								obj_t BgL_arg1675z00_452;

								{	/* Tools/progn.scm 15 */

									{	/* Tools/progn.scm 15 */
										obj_t BgL_locationz00_454;

										BgL_locationz00_454 = BBOOL(((bool_t) 0));
										{	/* Tools/progn.scm 15 */

											BgL_arg1675z00_452 =
												BGl_readz00zz__readerz00(BgL_cportz00_448,
												BgL_locationz00_454);
										}
									}
								}
								{	/* Tools/progn.scm 15 */
									int BgL_auxz00_473;

									BgL_auxz00_473 = (int) (BgL_iz00_449);
									CNST_TABLE_SET(BgL_auxz00_473, BgL_arg1675z00_452);
							}}
							{	/* Tools/progn.scm 15 */
								int BgL_auxz00_455;

								BgL_auxz00_455 = (int) ((BgL_iz00_449 - ((long) 1)));
								{
									long BgL_iz00_478;

									BgL_iz00_478 = (long) (BgL_auxz00_455);
									BgL_iz00_449 = BgL_iz00_478;
									goto BgL_loopz00_450;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zztools_prognz00()
	{
		AN_OBJECT;
		{	/* Tools/progn.scm 15 */
			return BUNSPEC;
		}
	}



/* append-21095 */
	obj_t BGl_appendzd221095zd2zztools_prognz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_110;

				BgL_headz00_110 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_111;
					obj_t BgL_tailz00_112;

					BgL_prevz00_111 = BgL_headz00_110;
					BgL_tailz00_112 = BgL_l1z00_1;
				BgL_loopz00_113:
					if (PAIRP(BgL_tailz00_112))
						{
							obj_t BgL_newzd2prevzd2_115;

							BgL_newzd2prevzd2_115 =
								MAKE_PAIR(CAR(BgL_tailz00_112), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_111, BgL_newzd2prevzd2_115);
							{
								obj_t BgL_tailz00_487;
								obj_t BgL_prevz00_486;

								BgL_prevz00_486 = BgL_newzd2prevzd2_115;
								BgL_tailz00_487 = CDR(BgL_tailz00_112);
								BgL_tailz00_112 = BgL_tailz00_487;
								BgL_prevz00_111 = BgL_prevz00_486;
								goto BgL_loopz00_113;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_110);
				}
			}
		}
	}



/* normalize-progn */
	BGL_EXPORTED_DEF obj_t BGl_normaliza7ezd2prognz75zztools_prognz00(obj_t
		BgL_bodyza2za2_17)
	{
		AN_OBJECT;
		{	/* Tools/progn.scm 31 */
		BGl_normaliza7ezd2prognz75zztools_prognz00:
			if (PAIRP(BgL_bodyza2za2_17))
				{	/* Tools/progn.scm 33 */
					if (NULLP(CDR(BgL_bodyza2za2_17)))
						{	/* Tools/progn.scm 36 */
							obj_t BgL_ezd21393zd2_133;

							BgL_ezd21393zd2_133 = CAR(BgL_bodyza2za2_17);
							if (PAIRP(BgL_ezd21393zd2_133))
								{	/* Tools/progn.scm 36 */
									if ((CAR(BgL_ezd21393zd2_133) == CNST_TABLE_REF(((long) 0))))
										{	/* Tools/progn.scm 36 */
											if (NULLP(CDR(BgL_ezd21393zd2_133)))
												{	/* Tools/progn.scm 36 */
													return BUNSPEC;
												}
											else
												{	/* Tools/progn.scm 36 */
													obj_t BgL_cdrzd21400zd2_137;

													BgL_cdrzd21400zd2_137 = CDR(BgL_ezd21393zd2_133);
													if (PAIRP(BgL_cdrzd21400zd2_137))
														{	/* Tools/progn.scm 36 */
															if (NULLP(CDR(BgL_cdrzd21400zd2_137)))
																{	/* Tools/progn.scm 36 */
																	return BgL_ezd21393zd2_133;
																}
															else
																{
																	obj_t BgL_bodyza2za2_511;

																	BgL_bodyza2za2_511 = BgL_cdrzd21400zd2_137;
																	BgL_bodyza2za2_17 = BgL_bodyza2za2_511;
																	goto
																		BGl_normaliza7ezd2prognz75zztools_prognz00;
																}
														}
													else
														{
															obj_t BgL_bodyza2za2_512;

															BgL_bodyza2za2_512 = BgL_cdrzd21400zd2_137;
															BgL_bodyza2za2_17 = BgL_bodyza2za2_512;
															goto BGl_normaliza7ezd2prognz75zztools_prognz00;
														}
												}
										}
									else
										{	/* Tools/progn.scm 36 */
											return BgL_ezd21393zd2_133;
										}
								}
							else
								{	/* Tools/progn.scm 36 */
									return BgL_ezd21393zd2_133;
								}
						}
					else
						{	/* Tools/progn.scm 46 */
							obj_t BgL_subz00_146;

							{	/* Tools/progn.scm 46 */
								obj_t BgL_g1507z00_149;

								if ((CAR(BgL_bodyza2za2_17) == CNST_TABLE_REF(((long) 0))))
									{	/* Tools/progn.scm 46 */
										BgL_g1507z00_149 = CDR(BgL_bodyza2za2_17);
									}
								else
									{	/* Tools/progn.scm 46 */
										BgL_g1507z00_149 = BgL_bodyza2za2_17;
									}
								BgL_subz00_146 =
									BGl_loopz72z72zztools_prognz00(BgL_g1507z00_149);
							}
							{	/* Tools/progn.scm 68 */
								bool_t BgL_testz00_519;

								{	/* Tools/progn.scm 68 */
									bool_t BgL_res1641z00_340;

									BgL_res1641z00_340 = EXTENDED_PAIRP(BgL_bodyza2za2_17);
									BgL_testz00_519 = BgL_res1641z00_340;
								}
								if (BgL_testz00_519)
									{	/* Tools/progn.scm 69 */
										obj_t BgL_arg1534z00_148;

										BgL_arg1534z00_148 = CER(BgL_bodyza2za2_17);
										{	/* Tools/progn.scm 69 */
											obj_t BgL_res1642z00_345;

											{	/* Tools/progn.scm 69 */
												obj_t BgL_obj1z00_342;

												BgL_obj1z00_342 = CNST_TABLE_REF(((long) 0));
												BgL_res1642z00_345 =
													MAKE_EXTENDED_PAIR(BgL_obj1z00_342, BgL_subz00_146,
													BgL_arg1534z00_148);
											}
											return BgL_res1642z00_345;
										}
									}
								else
									{	/* Tools/progn.scm 68 */
										return
											MAKE_PAIR(CNST_TABLE_REF(((long) 0)), BgL_subz00_146);
				}}}}
			else
				{	/* Tools/progn.scm 33 */
					return
						BGl_internalzd2errorzd2zztools_errorz00
						(BGl_string1668z00zztools_prognz00,
						BGl_string1669z00zztools_prognz00, BgL_bodyza2za2_17);
				}
		}
	}



/* loop' */
	obj_t BGl_loopz72z72zztools_prognz00(obj_t BgL_bodyza2za2_151)
	{
		AN_OBJECT;
		{	/* Tools/progn.scm 46 */
		BGl_loopz72z72zztools_prognz00:
			if (NULLP(BgL_bodyza2za2_151))
				{	/* Tools/progn.scm 49 */
					return BNIL;
				}
			else
				{	/* Tools/progn.scm 51 */
					obj_t BgL_exprz00_154;

					BgL_exprz00_154 = CAR(BgL_bodyza2za2_151);
					{	/* Tools/progn.scm 52 */
						bool_t BgL_testz00_530;

						if (PAIRP(BgL_exprz00_154))
							{	/* Tools/progn.scm 52 */
								BgL_testz00_530 =
									(CAR(BgL_exprz00_154) == CNST_TABLE_REF(((long) 0)));
							}
						else
							{	/* Tools/progn.scm 52 */
								BgL_testz00_530 = ((bool_t) 0);
							}
						if (BgL_testz00_530)
							{	/* Tools/progn.scm 52 */
								return
									BGl_appendzd221095zd2zztools_prognz00(CDR(BgL_exprz00_154),
									BGl_loopz72z72zztools_prognz00(CDR(BgL_bodyza2za2_151)));
							}
						else
							{	/* Tools/progn.scm 55 */
								bool_t BgL_testz00_540;

								if ((BgL_exprz00_154 == BUNSPEC))
									{	/* Tools/progn.scm 56 */
										obj_t BgL_auxz00_543;

										BgL_auxz00_543 = CDR(BgL_bodyza2za2_151);
										BgL_testz00_540 = PAIRP(BgL_auxz00_543);
									}
								else
									{	/* Tools/progn.scm 55 */
										BgL_testz00_540 = ((bool_t) 0);
									}
								if (BgL_testz00_540)
									{
										obj_t BgL_bodyza2za2_546;

										BgL_bodyza2za2_546 = CDR(BgL_bodyza2za2_151);
										BgL_bodyza2za2_151 = BgL_bodyza2za2_546;
										goto BGl_loopz72z72zztools_prognz00;
									}
								else
									{	/* Tools/progn.scm 58 */
										bool_t BgL_testz00_548;

										{	/* Tools/progn.scm 58 */
											bool_t BgL_res1637z00_323;

											BgL_res1637z00_323 = EXTENDED_PAIRP(BgL_exprz00_154);
											BgL_testz00_548 = BgL_res1637z00_323;
										}
										if (BgL_testz00_548)
											{	/* Tools/progn.scm 60 */
												obj_t BgL_arg1544z00_162;
												obj_t BgL_arg1545z00_163;

												BgL_arg1544z00_162 =
													BGl_loopz72z72zztools_prognz00(CDR
													(BgL_bodyza2za2_151));
												BgL_arg1545z00_163 = CER(BgL_exprz00_154);
												{	/* Tools/progn.scm 59 */
													obj_t BgL_res1638z00_329;

													BgL_res1638z00_329 =
														MAKE_EXTENDED_PAIR(BgL_exprz00_154,
														BgL_arg1544z00_162, BgL_arg1545z00_163);
													return BgL_res1638z00_329;
												}
											}
										else
											{	/* Tools/progn.scm 62 */
												bool_t BgL_testz00_554;

												{	/* Tools/progn.scm 62 */
													bool_t BgL_res1639z00_331;

													BgL_res1639z00_331 =
														EXTENDED_PAIRP(BgL_bodyza2za2_151);
													BgL_testz00_554 = BgL_res1639z00_331;
												}
												if (BgL_testz00_554)
													{	/* Tools/progn.scm 64 */
														obj_t BgL_arg1549z00_166;
														obj_t BgL_arg1550z00_167;

														BgL_arg1549z00_166 =
															BGl_loopz72z72zztools_prognz00(CDR
															(BgL_bodyza2za2_151));
														BgL_arg1550z00_167 = CER(BgL_bodyza2za2_151);
														{	/* Tools/progn.scm 63 */
															obj_t BgL_res1640z00_337;

															BgL_res1640z00_337 =
																MAKE_EXTENDED_PAIR(BgL_exprz00_154,
																BgL_arg1549z00_166, BgL_arg1550z00_167);
															return BgL_res1640z00_337;
														}
													}
												else
													{	/* Tools/progn.scm 62 */
														return
															MAKE_PAIR(BgL_exprz00_154,
															BGl_loopz72z72zztools_prognz00(CDR
																(BgL_bodyza2za2_151)));
													}
											}
									}
							}
					}
				}
		}
	}



/* &normalize-progn */
	obj_t BGl_z62normaliza7ezd2prognz17zztools_prognz00(obj_t BgL_envz00_431,
		obj_t BgL_bodyza2za2_432)
	{
		AN_OBJECT;
		{	/* Tools/progn.scm 31 */
			return BGl_normaliza7ezd2prognz75zztools_prognz00(BgL_bodyza2za2_432);
		}
	}



/* normalize-begin */
	BGL_EXPORTED_DEF obj_t BGl_normaliza7ezd2beginz75zztools_prognz00(obj_t
		BgL_begz00_18)
	{
		AN_OBJECT;
		{	/* Tools/progn.scm 75 */
		BGl_normaliza7ezd2beginz75zztools_prognz00:
			{	/* Tools/progn.scm 76 */
				obj_t BgL_bodyz00_179;

				BgL_bodyz00_179 = CDR(BgL_begz00_18);
				if (NULLP(BgL_bodyz00_179))
					{	/* Tools/progn.scm 78 */
						return BUNSPEC;
					}
				else
					{	/* Tools/progn.scm 78 */
						if (NULLP(CDR(BgL_bodyz00_179)))
							{	/* Tools/progn.scm 81 */
								obj_t BgL_ez00_182;

								BgL_ez00_182 = CAR(BgL_bodyz00_179);
								if (PAIRP(BgL_ez00_182))
									{	/* Tools/progn.scm 82 */
										if ((CAR(BgL_ez00_182) == CNST_TABLE_REF(((long) 0))))
											{
												obj_t BgL_begz00_577;

												BgL_begz00_577 = BgL_ez00_182;
												BgL_begz00_18 = BgL_begz00_577;
												goto BGl_normaliza7ezd2beginz75zztools_prognz00;
											}
										else
											{	/* Tools/progn.scm 82 */
												return BgL_ez00_182;
											}
									}
								else
									{	/* Tools/progn.scm 82 */
										return BgL_ez00_182;
									}
							}
						else
							{
								obj_t BgL_lz00_193;
								obj_t BgL_resz00_194;

								BgL_lz00_193 = BgL_bodyz00_179;
								BgL_resz00_194 = BNIL;
							BgL_zc3anonymousza31570ze3z83_195:
								if (NULLP(BgL_lz00_193))
									{	/* Tools/progn.scm 91 */
										if (NULLP(BgL_resz00_194))
											{	/* Tools/progn.scm 93 */
												return BUNSPEC;
											}
										else
											{	/* Tools/progn.scm 93 */
												if (NULLP(CDR(BgL_resz00_194)))
													{	/* Tools/progn.scm 95 */
														return CAR(BgL_resz00_194);
													}
												else
													{	/* Tools/progn.scm 98 */
														obj_t BgL_arg1574z00_199;

														{	/* Tools/progn.scm 98 */
															obj_t BgL_arg1575z00_200;

															BgL_arg1575z00_200 =
																BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																(bgl_reverse_bang(BgL_resz00_194), BNIL);
															BgL_arg1574z00_199 =
																MAKE_PAIR(CNST_TABLE_REF(((long) 0)),
																BgL_arg1575z00_200);
														}
														return
															BGl_epairifyz00zztools_miscz00(BgL_arg1574z00_199,
															BgL_begz00_18);
													}
											}
									}
								else
									{	/* Tools/progn.scm 91 */
										if (PAIRP(BgL_lz00_193))
											{	/* Tools/progn.scm 100 */
												obj_t BgL_bz00_204;

												BgL_bz00_204 = CAR(BgL_lz00_193);
												{	/* Tools/progn.scm 101 */
													bool_t BgL_testz00_594;

													if (PAIRP(BgL_bz00_204))
														{	/* Tools/progn.scm 101 */
															BgL_testz00_594 = ((bool_t) 0);
														}
													else
														{	/* Tools/progn.scm 101 */
															if (SYMBOLP(BgL_bz00_204))
																{	/* Tools/progn.scm 101 */
																	BgL_testz00_594 = ((bool_t) 0);
																}
															else
																{	/* Tools/progn.scm 101 */
																	obj_t BgL_auxz00_599;

																	BgL_auxz00_599 = CDR(BgL_lz00_193);
																	BgL_testz00_594 = PAIRP(BgL_auxz00_599);
																}
														}
													if (BgL_testz00_594)
														{
															obj_t BgL_lz00_602;

															BgL_lz00_602 = CDR(BgL_lz00_193);
															BgL_lz00_193 = BgL_lz00_602;
															goto BgL_zc3anonymousza31570ze3z83_195;
														}
													else
														{	/* Tools/progn.scm 103 */
															obj_t BgL_arg1581z00_207;
															obj_t BgL_arg1582z00_208;

															BgL_arg1581z00_207 = CDR(BgL_lz00_193);
															BgL_arg1582z00_208 =
																MAKE_PAIR(BgL_bz00_204, BgL_resz00_194);
															{
																obj_t BgL_resz00_607;
																obj_t BgL_lz00_606;

																BgL_lz00_606 = BgL_arg1581z00_207;
																BgL_resz00_607 = BgL_arg1582z00_208;
																BgL_resz00_194 = BgL_resz00_607;
																BgL_lz00_193 = BgL_lz00_606;
																goto BgL_zc3anonymousza31570ze3z83_195;
															}
														}
												}
											}
										else
											{	/* Tools/progn.scm 99 */
												return
													BGl_internalzd2errorzd2zztools_errorz00(CNST_TABLE_REF
													(((long) 1)), BGl_string1670z00zztools_prognz00,
													BgL_begz00_18);
		}}}}}}
	}



/* &normalize-begin */
	obj_t BGl_z62normaliza7ezd2beginz17zztools_prognz00(obj_t BgL_envz00_433,
		obj_t BgL_begz00_434)
	{
		AN_OBJECT;
		{	/* Tools/progn.scm 75 */
			return BGl_normaliza7ezd2beginz75zztools_prognz00(BgL_begz00_434);
		}
	}



/* normalize-progn/loc */
	BGL_EXPORTED_DEF obj_t BGl_normaliza7ezd2prognzf2locz87zztools_prognz00(obj_t
		BgL_bodyza2za2_19, obj_t BgL_locz00_20)
	{
		AN_OBJECT;
		{	/* Tools/progn.scm 110 */
			{	/* Tools/progn.scm 111 */
				obj_t BgL_nbodyz00_214;

				BgL_nbodyz00_214 = BGl_expandzd2prognzd2zz__prognz00(BgL_bodyza2za2_19);
				if (CBOOL(BgL_locz00_20))
					{	/* Tools/progn.scm 115 */
						bool_t BgL_testz00_614;

						{	/* Tools/progn.scm 115 */
							bool_t BgL_res1653z00_379;

							BgL_res1653z00_379 = EXTENDED_PAIRP(BgL_nbodyz00_214);
							BgL_testz00_614 = BgL_res1653z00_379;
						}
						if (BgL_testz00_614)
							{	/* Tools/progn.scm 115 */
								return BgL_nbodyz00_214;
							}
						else
							{	/* Tools/progn.scm 115 */
								if (PAIRP(BgL_nbodyz00_214))
									{	/* Tools/progn.scm 118 */
										obj_t BgL_arg1589z00_217;
										obj_t BgL_arg1590z00_218;

										BgL_arg1589z00_217 = CAR(BgL_nbodyz00_214);
										BgL_arg1590z00_218 = CDR(BgL_nbodyz00_214);
										{	/* Tools/progn.scm 118 */
											obj_t BgL_res1655z00_387;

											BgL_res1655z00_387 =
												MAKE_EXTENDED_PAIR(BgL_arg1589z00_217,
												BgL_arg1590z00_218, BgL_locz00_20);
											return BgL_res1655z00_387;
										}
									}
								else
									{	/* Tools/progn.scm 120 */
										obj_t BgL_arg1591z00_219;

										{	/* Tools/progn.scm 120 */
											obj_t BgL_list1592z00_220;

											BgL_list1592z00_220 = MAKE_PAIR(BgL_nbodyz00_214, BNIL);
											BgL_arg1591z00_219 = BgL_list1592z00_220;
										}
										{	/* Tools/progn.scm 120 */
											obj_t BgL_res1657z00_393;

											{	/* Tools/progn.scm 120 */
												obj_t BgL_obj1z00_390;

												BgL_obj1z00_390 = CNST_TABLE_REF(((long) 0));
												BgL_res1657z00_393 =
													MAKE_EXTENDED_PAIR(BgL_obj1z00_390,
													BgL_arg1591z00_219, BgL_locz00_20);
											}
											return BgL_res1657z00_393;
										}
									}
							}
					}
				else
					{	/* Tools/progn.scm 113 */
						return BgL_nbodyz00_214;
					}
			}
		}
	}



/* &normalize-progn/loc */
	obj_t BGl_z62normaliza7ezd2prognzf2locze5zztools_prognz00(obj_t
		BgL_envz00_435, obj_t BgL_bodyza2za2_436, obj_t BgL_locz00_437)
	{
		AN_OBJECT;
		{	/* Tools/progn.scm 110 */
			return
				BGl_normaliza7ezd2prognzf2locz87zztools_prognz00(BgL_bodyza2za2_436,
				BgL_locz00_437);
		}
	}



/* emap */
	BGL_EXPORTED_DEF obj_t BGl_emapz00zztools_prognz00(obj_t BgL_fz00_21,
		obj_t BgL_l0z00_22)
	{
		AN_OBJECT;
		{	/* Tools/progn.scm 125 */
			return
				BGl_loopz00zztools_prognz00(BgL_fz00_21, BgL_l0z00_22, BgL_l0z00_22);
		}
	}



/* loop */
	obj_t BGl_loopz00zztools_prognz00(obj_t BgL_fz00_446, obj_t BgL_l0z00_445,
		obj_t BgL_lz00_222)
	{
		AN_OBJECT;
		{	/* Tools/progn.scm 126 */
			if (NULLP(BgL_lz00_222))
				{	/* Tools/progn.scm 128 */
					return BNIL;
				}
			else
				{	/* Tools/progn.scm 130 */
					bool_t BgL_testz00_628;

					{	/* Tools/progn.scm 130 */
						bool_t BgL_res1659z00_397;

						BgL_res1659z00_397 = EXTENDED_PAIRP(BgL_lz00_222);
						BgL_testz00_628 = BgL_res1659z00_397;
					}
					if (BgL_testz00_628)
						{	/* Tools/progn.scm 131 */
							obj_t BgL_arg1596z00_226;
							obj_t BgL_arg1597z00_227;
							obj_t BgL_arg1598z00_228;

							{	/* Tools/progn.scm 131 */
								obj_t BgL_arg1599z00_229;

								BgL_arg1599z00_229 = CAR(BgL_lz00_222);
								BgL_arg1596z00_226 =
									PROCEDURE_ENTRY(BgL_fz00_446) (BgL_fz00_446,
									BgL_arg1599z00_229, BEOA);
							}
							BgL_arg1597z00_227 =
								BGl_loopz00zztools_prognz00(BgL_fz00_446, BgL_l0z00_445,
								CDR(BgL_lz00_222));
							BgL_arg1598z00_228 = CER(BgL_lz00_222);
							{	/* Tools/progn.scm 131 */
								obj_t BgL_res1660z00_404;

								BgL_res1660z00_404 =
									MAKE_EXTENDED_PAIR(BgL_arg1596z00_226, BgL_arg1597z00_227,
									BgL_arg1598z00_228);
								return BgL_res1660z00_404;
							}
						}
					else
						{	/* Tools/progn.scm 130 */
							if (PAIRP(BgL_lz00_222))
								{	/* Tools/progn.scm 133 */
									obj_t BgL_arg1602z00_232;
									obj_t BgL_arg1603z00_233;

									{	/* Tools/progn.scm 133 */
										obj_t BgL_arg1604z00_234;

										BgL_arg1604z00_234 = CAR(BgL_lz00_222);
										BgL_arg1602z00_232 =
											PROCEDURE_ENTRY(BgL_fz00_446) (BgL_fz00_446,
											BgL_arg1604z00_234, BEOA);
									}
									BgL_arg1603z00_233 =
										BGl_loopz00zztools_prognz00(BgL_fz00_446, BgL_l0z00_445,
										CDR(BgL_lz00_222));
									return MAKE_PAIR(BgL_arg1602z00_232, BgL_arg1603z00_233);
								}
							else
								{	/* Tools/progn.scm 132 */
									return
										BGl_internalzd2errorzd2zztools_errorz00(CNST_TABLE_REF((
												(long) 2)), BGl_string1671z00zztools_prognz00,
										BgL_l0z00_445);
		}}}}
	}



/* &emap */
	obj_t BGl_z62emapz62zztools_prognz00(obj_t BgL_envz00_438, obj_t BgL_fz00_439,
		obj_t BgL_l0z00_440)
	{
		AN_OBJECT;
		{	/* Tools/progn.scm 125 */
			return BGl_emapz00zztools_prognz00(BgL_fz00_439, BgL_l0z00_440);
		}
	}



/* progn-first-expression */
	BGL_EXPORTED_DEF obj_t BGl_prognzd2firstzd2expressionz00zztools_prognz00(obj_t
		BgL_expz00_23)
	{
		AN_OBJECT;
		{	/* Tools/progn.scm 142 */
			{
				obj_t BgL_expz00_238;

				BgL_expz00_238 = BgL_expz00_23;
			BgL_zc3anonymousza31606ze3z83_239:
				if (PAIRP(BgL_expz00_238))
					{	/* Tools/progn.scm 143 */
						if ((CAR(BgL_expz00_238) == CNST_TABLE_REF(((long) 0))))
							{	/* Tools/progn.scm 143 */
								if (NULLP(CDR(BgL_expz00_238)))
									{	/* Tools/progn.scm 143 */
										return BFALSE;
									}
								else
									{	/* Tools/progn.scm 143 */
										obj_t BgL_cdrzd21441zd2_248;

										BgL_cdrzd21441zd2_248 = CDR(BgL_expz00_238);
										if (PAIRP(BgL_cdrzd21441zd2_248))
											{
												obj_t BgL_expz00_664;

												BgL_expz00_664 = CAR(BgL_cdrzd21441zd2_248);
												BgL_expz00_238 = BgL_expz00_664;
												goto BgL_zc3anonymousza31606ze3z83_239;
											}
										else
											{	/* Tools/progn.scm 143 */
												return BgL_expz00_238;
											}
									}
							}
						else
							{	/* Tools/progn.scm 143 */
								return BgL_expz00_238;
							}
					}
				else
					{	/* Tools/progn.scm 143 */
						return BgL_expz00_238;
					}
			}
		}
	}



/* &progn-first-expression */
	obj_t BGl_z62prognzd2firstzd2expressionz62zztools_prognz00(obj_t
		BgL_envz00_441, obj_t BgL_expz00_442)
	{
		AN_OBJECT;
		{	/* Tools/progn.scm 142 */
			return BGl_prognzd2firstzd2expressionz00zztools_prognz00(BgL_expz00_442);
		}
	}



/* progn-tail-expressions */
	BGL_EXPORTED_DEF obj_t BGl_prognzd2tailzd2expressionsz00zztools_prognz00(obj_t
		BgL_expz00_24)
	{
		AN_OBJECT;
		{	/* Tools/progn.scm 157 */
			{
				obj_t BgL_expz00_255;

				BgL_expz00_255 = BgL_expz00_24;
				if (PAIRP(BgL_expz00_255))
					{	/* Tools/progn.scm 158 */
						if ((CAR(BgL_expz00_255) == CNST_TABLE_REF(((long) 0))))
							{	/* Tools/progn.scm 158 */
								if (NULLP(CDR(BgL_expz00_255)))
									{	/* Tools/progn.scm 158 */
										return BNIL;
									}
								else
									{	/* Tools/progn.scm 158 */
										obj_t BgL_cdrzd21460zd2_265;

										BgL_cdrzd21460zd2_265 = CDR(BgL_expz00_255);
										if (PAIRP(BgL_cdrzd21460zd2_265))
											{	/* Tools/progn.scm 158 */
												return CDR(BgL_cdrzd21460zd2_265);
											}
										else
											{	/* Tools/progn.scm 158 */
												return BNIL;
											}
									}
							}
						else
							{	/* Tools/progn.scm 158 */
								return BNIL;
							}
					}
				else
					{	/* Tools/progn.scm 158 */
						return BNIL;
					}
			}
		}
	}



/* &progn-tail-expressions */
	obj_t BGl_z62prognzd2tailzd2expressionsz62zztools_prognz00(obj_t
		BgL_envz00_443, obj_t BgL_expz00_444)
	{
		AN_OBJECT;
		{	/* Tools/progn.scm 157 */
			return BGl_prognzd2tailzd2expressionsz00zztools_prognz00(BgL_expz00_444);
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zztools_prognz00()
	{
		AN_OBJECT;
		{	/* Tools/progn.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zztools_prognz00()
	{
		AN_OBJECT;
		{	/* Tools/progn.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zztools_prognz00()
	{
		AN_OBJECT;
		{	/* Tools/progn.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 9470071),
				BSTRING_TO_STRING(BGl_string1672z00zztools_prognz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1672z00zztools_prognz00));
			return
				BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string1672z00zztools_prognz00));
		}
	}

#ifdef __cplusplus
}
#endif
