/*===========================================================================*/
/*   (Llib/process.scm)                                                      */
/*   Bigloo (3.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Sep 26 07:46:09 CEST 2011       */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/3.7a -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Llib/process.scm -indent -o objs/obj_u/Llib/process.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	extern obj_t c_process_xstatus(obj_t);
	extern obj_t c_process_list();
	static obj_t BGl_requirezd2initializa7ationz75zz__processz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_processzd2errorzd2portz00zz__processz00(obj_t);
	static obj_t BGl_z62processzd2pidzb0zz__processz00(obj_t, obj_t);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__processz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_z62processzd2killzb0zz__processz00(obj_t, obj_t);
	static obj_t BGl_z62runzd2processzb0zz__processz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62processzd2sendzd2signalz62zz__processz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62processzd2waitzb0zz__processz00(obj_t, obj_t);
	static obj_t BGl_z62processzd2errorzd2portz62zz__processz00(obj_t, obj_t);
	static obj_t BGl_keyword2258z00zz__processz00 = BUNSPEC;
	static obj_t BGl_z62processzd2stopzb0zz__processz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_processzd2killzd2zz__processz00(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_processzf3zf3zz__processz00(obj_t);
	static obj_t BGl_keyword2260z00zz__processz00 = BUNSPEC;
	static obj_t BGl_keyword2264z00zz__processz00 = BUNSPEC;
	static obj_t BGl_keyword2266z00zz__processz00 = BUNSPEC;
	static obj_t BGl_z62processzd2outputzd2portz62zz__processz00(obj_t, obj_t);
	static obj_t BGl_keyword2268z00zz__processz00 = BUNSPEC;
	static obj_t BGl_cnstzd2initzd2zz__processz00();
	static obj_t BGl_genericzd2initzd2zz__processz00();
	BGL_EXPORTED_DECL bool_t BGl_processzd2waitzd2zz__processz00(obj_t);
	extern obj_t c_process_kill(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__processz00();
	static obj_t BGl_z62closezd2processzd2portsz62zz__processz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_processzd2inputzd2portz00zz__processz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_processzd2nilzd2zz__processz00();
	static obj_t BGl_keyword2270z00zz__processz00 = BUNSPEC;
	static obj_t BGl_keyword2272z00zz__processz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_processzd2stopzd2zz__processz00(obj_t);
	static obj_t BGl_keyword2274z00zz__processz00 = BUNSPEC;
	static obj_t BGl_keyword2276z00zz__processz00 = BUNSPEC;
	static obj_t BGl_z62processzd2exitzd2statusz62zz__processz00(obj_t, obj_t);
	extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t c_process_wait(obj_t);
	extern obj_t bgl_reverse_bang(obj_t);
	extern obj_t bgl_process_nil();
	static obj_t BGl_z62processzd2alivezf3z43zz__processz00(obj_t, obj_t);
	extern obj_t c_process_stop(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_processzd2continuezd2zz__processz00(obj_t);
	static obj_t BGl_z62processzd2inputzd2portz62zz__processz00(obj_t, obj_t);
	extern obj_t c_process_continue(obj_t);
	BGL_EXPORTED_DECL int BGl_processzd2pidzd2zz__processz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_unregisterzd2processzd2zz__processz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_runzd2processzd2zz__processz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__processz00();
	static obj_t BGl_z62processzf3z91zz__processz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_processzd2sendzd2signalz00zz__processz00(obj_t,
		int);
	extern obj_t c_unregister_process(obj_t);
	static obj_t BGl_list2257z00zz__processz00 = BUNSPEC;
	extern obj_t c_run_process(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t bstring_to_keyword(obj_t);
	static obj_t BGl_z62unregisterzd2processzb0zz__processz00(obj_t, obj_t);
	extern obj_t bgl_close_input_port(obj_t);
	static obj_t BGl_z62processzd2listzb0zz__processz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_processzd2outputzd2portz00zz__processz00(obj_t);
	extern obj_t c_process_send_signal(obj_t, int);
	BGL_EXPORTED_DECL bool_t BGl_processzd2alivezf3z21zz__processz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_closezd2processzd2portsz00zz__processz00(obj_t);
	static obj_t BGl_z62processzd2nilzb0zz__processz00(obj_t);
	static obj_t BGl_z62processzd2continuezb0zz__processz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_processzd2exitzd2statusz00zz__processz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_processzd2listzd2zz__processz00();
	extern obj_t bgl_close_output_port(obj_t);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern bool_t c_process_alivep(obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_processzd2errorzd2portzd2envzd2zz__processz00,
		BgL_bgl_za762processza7d2err2283z00,
		BGl_z62processzd2errorzd2portz62zz__processz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_processzd2nilzd2envz00zz__processz00,
		BgL_bgl_za762processza7d2nil2284z00, BGl_z62processzd2nilzb0zz__processz00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_processzd2killzd2envz00zz__processz00,
		BgL_bgl_za762processza7d2kil2285z00, BGl_z62processzd2killzb0zz__processz00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2243z00zz__processz00,
		BgL_bgl_string2243za700za7za7_2286za7,
		"/tmp/bigloo/runtime/Llib/process.scm", 36);
	      DEFINE_STRING(BGl_string2244z00zz__processz00,
		BgL_bgl_string2244za700za7za7_2287za7, "&process-pid", 12);
	      DEFINE_STRING(BGl_string2245z00zz__processz00,
		BgL_bgl_string2245za700za7za7_2288za7, "process", 7);
	      DEFINE_STRING(BGl_string2246z00zz__processz00,
		BgL_bgl_string2246za700za7za7_2289za7, "&process-output-port", 20);
	      DEFINE_STRING(BGl_string2247z00zz__processz00,
		BgL_bgl_string2247za700za7za7_2290za7, "&process-input-port", 19);
	      DEFINE_STRING(BGl_string2248z00zz__processz00,
		BgL_bgl_string2248za700za7za7_2291za7, "&process-error-port", 19);
	      DEFINE_STRING(BGl_string2249z00zz__processz00,
		BgL_bgl_string2249za700za7za7_2292za7, "&process-alive?", 15);
	      DEFINE_STRING(BGl_string2250z00zz__processz00,
		BgL_bgl_string2250za700za7za7_2293za7, "&process-wait", 13);
	      DEFINE_STRING(BGl_string2251z00zz__processz00,
		BgL_bgl_string2251za700za7za7_2294za7, "&process-exit-status", 20);
	      DEFINE_STRING(BGl_string2252z00zz__processz00,
		BgL_bgl_string2252za700za7za7_2295za7, "&process-send-signal", 20);
	      DEFINE_STRING(BGl_string2253z00zz__processz00,
		BgL_bgl_string2253za700za7za7_2296za7, "bint", 4);
	      DEFINE_STRING(BGl_string2254z00zz__processz00,
		BgL_bgl_string2254za700za7za7_2297za7, "&process-kill", 13);
	      DEFINE_STRING(BGl_string2255z00zz__processz00,
		BgL_bgl_string2255za700za7za7_2298za7, "&process-stop", 13);
	      DEFINE_STRING(BGl_string2256z00zz__processz00,
		BgL_bgl_string2256za700za7za7_2299za7, "&process-continue", 17);
	      DEFINE_STRING(BGl_string2259z00zz__processz00,
		BgL_bgl_string2259za700za7za7_2300za7, "pipe", 4);
	      DEFINE_STRING(BGl_string2261z00zz__processz00,
		BgL_bgl_string2261za700za7za7_2301za7, "wait", 4);
	      DEFINE_STRING(BGl_string2262z00zz__processz00,
		BgL_bgl_string2262za700za7za7_2302za7, "run-process", 11);
	      DEFINE_STRING(BGl_string2263z00zz__processz00,
		BgL_bgl_string2263za700za7za7_2303za7, "Illegal argument", 16);
	      DEFINE_STRING(BGl_string2265z00zz__processz00,
		BgL_bgl_string2265za700za7za7_2304za7, "fork", 4);
	      DEFINE_STRING(BGl_string2267z00zz__processz00,
		BgL_bgl_string2267za700za7za7_2305za7, "input", 5);
	      DEFINE_STRING(BGl_string2269z00zz__processz00,
		BgL_bgl_string2269za700za7za7_2306za7, "output", 6);
	      DEFINE_STRING(BGl_string2271z00zz__processz00,
		BgL_bgl_string2271za700za7za7_2307za7, "null", 4);
	      DEFINE_STRING(BGl_string2273z00zz__processz00,
		BgL_bgl_string2273za700za7za7_2308za7, "error", 5);
	      DEFINE_STRING(BGl_string2275z00zz__processz00,
		BgL_bgl_string2275za700za7za7_2309za7, "host", 4);
	      DEFINE_STRING(BGl_string2277z00zz__processz00,
		BgL_bgl_string2277za700za7za7_2310za7, "env", 3);
	      DEFINE_STRING(BGl_string2278z00zz__processz00,
		BgL_bgl_string2278za700za7za7_2311za7, "&run-process", 12);
	      DEFINE_STRING(BGl_string2279z00zz__processz00,
		BgL_bgl_string2279za700za7za7_2312za7, "bstring", 7);
	      DEFINE_STRING(BGl_string2280z00zz__processz00,
		BgL_bgl_string2280za700za7za7_2313za7, "&close-process-ports", 20);
	      DEFINE_STRING(BGl_string2281z00zz__processz00,
		BgL_bgl_string2281za700za7za7_2314za7, "&unregister-process", 19);
	      DEFINE_STRING(BGl_string2282z00zz__processz00,
		BgL_bgl_string2282za700za7za7_2315za7, "__process", 9);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_processzd2outputzd2portzd2envzd2zz__processz00,
		BgL_bgl_za762processza7d2out2316z00,
		BGl_z62processzd2outputzd2portz62zz__processz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_processzd2waitzd2envz00zz__processz00,
		BgL_bgl_za762processza7d2wai2317z00, BGl_z62processzd2waitzb0zz__processz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_closezd2processzd2portszd2envzd2zz__processz00,
		BgL_bgl_za762closeza7d2proce2318z00,
		BGl_z62closezd2processzd2portsz62zz__processz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_unregisterzd2processzd2envz00zz__processz00,
		BgL_bgl_za762unregisterza7d22319z00,
		BGl_z62unregisterzd2processzb0zz__processz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_processzd2exitzd2statuszd2envzd2zz__processz00,
		BgL_bgl_za762processza7d2exi2320z00,
		BGl_z62processzd2exitzd2statusz62zz__processz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_processzd2continuezd2envz00zz__processz00,
		BgL_bgl_za762processza7d2con2321z00,
		BGl_z62processzd2continuezb0zz__processz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_processzf3zd2envz21zz__processz00,
		BgL_bgl_za762processza7f3za7912322za7, BGl_z62processzf3z91zz__processz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_processzd2alivezf3zd2envzf3zz__processz00,
		BgL_bgl_za762processza7d2ali2323z00,
		BGl_z62processzd2alivezf3z43zz__processz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_processzd2pidzd2envz00zz__processz00,
		BgL_bgl_za762processza7d2pid2324z00, BGl_z62processzd2pidzb0zz__processz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_processzd2inputzd2portzd2envzd2zz__processz00,
		BgL_bgl_za762processza7d2inp2325z00,
		BGl_z62processzd2inputzd2portz62zz__processz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_processzd2stopzd2envz00zz__processz00,
		BgL_bgl_za762processza7d2sto2326z00, BGl_z62processzd2stopzb0zz__processz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_runzd2processzd2envz00zz__processz00,
		BgL_bgl_za762runza7d2process2327z00, va_generic_entry,
		BGl_z62runzd2processzb0zz__processz00, BUNSPEC, -2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_processzd2listzd2envz00zz__processz00,
		BgL_bgl_za762processza7d2lis2328z00, BGl_z62processzd2listzb0zz__processz00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_processzd2sendzd2signalzd2envzd2zz__processz00,
		BgL_bgl_za762processza7d2sen2329z00,
		BGl_z62processzd2sendzd2signalz62zz__processz00, 0L, BUNSPEC, 2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__processz00(long
		BgL_checksumz00_1608, char *BgL_fromz00_1609)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__processz00))
				{
					BGl_requirezd2initializa7ationz75zz__processz00 = BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__processz00();
					BGl_importedzd2moduleszd2initz00zz__processz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__processz00()
	{
		AN_OBJECT;
		{	/* Llib/process.scm 15 */
			BGl_keyword2258z00zz__processz00 =
				bstring_to_keyword(BGl_string2259z00zz__processz00);
			BGl_list2257z00zz__processz00 =
				MAKE_PAIR(BGl_keyword2258z00zz__processz00, BNIL);
			BGl_keyword2260z00zz__processz00 =
				bstring_to_keyword(BGl_string2261z00zz__processz00);
			BGl_keyword2264z00zz__processz00 =
				bstring_to_keyword(BGl_string2265z00zz__processz00);
			BGl_keyword2266z00zz__processz00 =
				bstring_to_keyword(BGl_string2267z00zz__processz00);
			BGl_keyword2268z00zz__processz00 =
				bstring_to_keyword(BGl_string2269z00zz__processz00);
			BGl_keyword2270z00zz__processz00 =
				bstring_to_keyword(BGl_string2271z00zz__processz00);
			BGl_keyword2272z00zz__processz00 =
				bstring_to_keyword(BGl_string2273z00zz__processz00);
			BGl_keyword2274z00zz__processz00 =
				bstring_to_keyword(BGl_string2275z00zz__processz00);
			return (BGl_keyword2276z00zz__processz00 =
				bstring_to_keyword(BGl_string2277z00zz__processz00), BUNSPEC);
		}
	}



/* process? */
	BGL_EXPORTED_DEF bool_t BGl_processzf3zf3zz__processz00(obj_t BgL_objz00_3)
	{
		AN_OBJECT;
		{	/* Llib/process.scm 122 */
			return PROCESSP(BgL_objz00_3);
		}
	}



/* &process? */
	obj_t BGl_z62processzf3z91zz__processz00(obj_t BgL_envz00_1530,
		obj_t BgL_objz00_1531)
	{
		AN_OBJECT;
		{	/* Llib/process.scm 122 */
			return BBOOL(PROCESSP(BgL_objz00_1531));
		}
	}



/* process-nil */
	BGL_EXPORTED_DEF obj_t BGl_processzd2nilzd2zz__processz00()
	{
		AN_OBJECT;
		{	/* Llib/process.scm 128 */
			return bgl_process_nil();
		}
	}



/* &process-nil */
	obj_t BGl_z62processzd2nilzb0zz__processz00(obj_t BgL_envz00_1532)
	{
		AN_OBJECT;
		{	/* Llib/process.scm 128 */
			return bgl_process_nil();
		}
	}



/* process-pid */
	BGL_EXPORTED_DEF int BGl_processzd2pidzd2zz__processz00(obj_t BgL_procz00_4)
	{
		AN_OBJECT;
		{	/* Llib/process.scm 134 */
			return PROCESS_PID(BgL_procz00_4);
		}
	}



/* &process-pid */
	obj_t BGl_z62processzd2pidzb0zz__processz00(obj_t BgL_envz00_1533,
		obj_t BgL_procz00_1534)
	{
		AN_OBJECT;
		{	/* Llib/process.scm 134 */
			{	/* Llib/process.scm 135 */
				int BgL_auxz00_1631;

				{	/* Llib/process.scm 135 */
					obj_t BgL_procz00_1595;

					if (PROCESSP(BgL_procz00_1534))
						{	/* Llib/process.scm 135 */
							BgL_procz00_1595 = BgL_procz00_1534;
						}
					else
						{
							obj_t BgL_auxz00_1634;

							BgL_auxz00_1634 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string2243z00zz__processz00,
								BINT(((long) 5703)), BGl_string2244z00zz__processz00,
								BGl_string2245z00zz__processz00, BgL_procz00_1534);
							FAILURE(BgL_auxz00_1634, BFALSE, BFALSE);
						}
					BgL_auxz00_1631 = PROCESS_PID(BgL_procz00_1595);
				}
				return BINT(BgL_auxz00_1631);
			}
		}
	}



/* process-output-port */
	BGL_EXPORTED_DEF obj_t BGl_processzd2outputzd2portz00zz__processz00(obj_t
		BgL_procz00_5)
	{
		AN_OBJECT;
		{	/* Llib/process.scm 140 */
			return PROCESS_OUTPUT_PORT(BgL_procz00_5);
		}
	}



/* &process-output-port */
	obj_t BGl_z62processzd2outputzd2portz62zz__processz00(obj_t BgL_envz00_1535,
		obj_t BgL_procz00_1536)
	{
		AN_OBJECT;
		{	/* Llib/process.scm 140 */
			{	/* Llib/process.scm 141 */
				obj_t BgL_procz00_1596;

				if (PROCESSP(BgL_procz00_1536))
					{	/* Llib/process.scm 141 */
						BgL_procz00_1596 = BgL_procz00_1536;
					}
				else
					{
						obj_t BgL_auxz00_1643;

						BgL_auxz00_1643 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2243z00zz__processz00,
							BINT(((long) 5993)), BGl_string2246z00zz__processz00,
							BGl_string2245z00zz__processz00, BgL_procz00_1536);
						FAILURE(BgL_auxz00_1643, BFALSE, BFALSE);
					}
				return PROCESS_OUTPUT_PORT(BgL_procz00_1596);
			}
		}
	}



/* process-input-port */
	BGL_EXPORTED_DEF obj_t BGl_processzd2inputzd2portz00zz__processz00(obj_t
		BgL_procz00_6)
	{
		AN_OBJECT;
		{	/* Llib/process.scm 146 */
			return PROCESS_INPUT_PORT(BgL_procz00_6);
		}
	}



/* &process-input-port */
	obj_t BGl_z62processzd2inputzd2portz62zz__processz00(obj_t BgL_envz00_1537,
		obj_t BgL_procz00_1538)
	{
		AN_OBJECT;
		{	/* Llib/process.scm 146 */
			{	/* Llib/process.scm 147 */
				obj_t BgL_procz00_1597;

				if (PROCESSP(BgL_procz00_1538))
					{	/* Llib/process.scm 147 */
						BgL_procz00_1597 = BgL_procz00_1538;
					}
				else
					{
						obj_t BgL_auxz00_1651;

						BgL_auxz00_1651 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2243z00zz__processz00,
							BINT(((long) 6290)), BGl_string2247z00zz__processz00,
							BGl_string2245z00zz__processz00, BgL_procz00_1538);
						FAILURE(BgL_auxz00_1651, BFALSE, BFALSE);
					}
				return PROCESS_INPUT_PORT(BgL_procz00_1597);
			}
		}
	}



/* process-error-port */
	BGL_EXPORTED_DEF obj_t BGl_processzd2errorzd2portz00zz__processz00(obj_t
		BgL_procz00_7)
	{
		AN_OBJECT;
		{	/* Llib/process.scm 152 */
			return PROCESS_ERROR_PORT(BgL_procz00_7);
		}
	}



/* &process-error-port */
	obj_t BGl_z62processzd2errorzd2portz62zz__processz00(obj_t BgL_envz00_1539,
		obj_t BgL_procz00_1540)
	{
		AN_OBJECT;
		{	/* Llib/process.scm 152 */
			{	/* Llib/process.scm 153 */
				obj_t BgL_procz00_1598;

				if (PROCESSP(BgL_procz00_1540))
					{	/* Llib/process.scm 153 */
						BgL_procz00_1598 = BgL_procz00_1540;
					}
				else
					{
						obj_t BgL_auxz00_1659;

						BgL_auxz00_1659 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2243z00zz__processz00,
							BINT(((long) 6586)), BGl_string2248z00zz__processz00,
							BGl_string2245z00zz__processz00, BgL_procz00_1540);
						FAILURE(BgL_auxz00_1659, BFALSE, BFALSE);
					}
				return PROCESS_ERROR_PORT(BgL_procz00_1598);
			}
		}
	}



/* process-alive? */
	BGL_EXPORTED_DEF bool_t BGl_processzd2alivezf3z21zz__processz00(obj_t
		BgL_procz00_8)
	{
		AN_OBJECT;
		{	/* Llib/process.scm 158 */
			return c_process_alivep(BgL_procz00_8);
		}
	}



/* &process-alive? */
	obj_t BGl_z62processzd2alivezf3z43zz__processz00(obj_t BgL_envz00_1541,
		obj_t BgL_procz00_1542)
	{
		AN_OBJECT;
		{	/* Llib/process.scm 158 */
			{	/* Llib/process.scm 159 */
				bool_t BgL_auxz00_1665;

				{	/* Llib/process.scm 159 */
					obj_t BgL_procz00_1599;

					if (PROCESSP(BgL_procz00_1542))
						{	/* Llib/process.scm 159 */
							BgL_procz00_1599 = BgL_procz00_1542;
						}
					else
						{
							obj_t BgL_auxz00_1668;

							BgL_auxz00_1668 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string2243z00zz__processz00,
								BINT(((long) 6878)), BGl_string2249z00zz__processz00,
								BGl_string2245z00zz__processz00, BgL_procz00_1542);
							FAILURE(BgL_auxz00_1668, BFALSE, BFALSE);
						}
					BgL_auxz00_1665 = c_process_alivep(BgL_procz00_1599);
				}
				return BBOOL(BgL_auxz00_1665);
			}
		}
	}



/* process-wait */
	BGL_EXPORTED_DEF bool_t BGl_processzd2waitzd2zz__processz00(obj_t
		BgL_procz00_9)
	{
		AN_OBJECT;
		{	/* Llib/process.scm 164 */
			if (c_process_alivep(BgL_procz00_9))
				{	/* Llib/process.scm 165 */
					return CBOOL(c_process_wait(BgL_procz00_9));
				}
			else
				{	/* Llib/process.scm 165 */
					return ((bool_t) 0);
				}
		}
	}



/* &process-wait */
	obj_t BGl_z62processzd2waitzb0zz__processz00(obj_t BgL_envz00_1543,
		obj_t BgL_procz00_1544)
	{
		AN_OBJECT;
		{	/* Llib/process.scm 164 */
			{	/* Llib/process.scm 165 */
				bool_t BgL_auxz00_1678;

				{	/* Llib/process.scm 165 */
					obj_t BgL_procz00_1600;

					if (PROCESSP(BgL_procz00_1544))
						{	/* Llib/process.scm 165 */
							BgL_procz00_1600 = BgL_procz00_1544;
						}
					else
						{
							obj_t BgL_auxz00_1681;

							BgL_auxz00_1681 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string2243z00zz__processz00,
								BINT(((long) 7164)), BGl_string2250z00zz__processz00,
								BGl_string2245z00zz__processz00, BgL_procz00_1544);
							FAILURE(BgL_auxz00_1681, BFALSE, BFALSE);
						}
					if (c_process_alivep(BgL_procz00_1600))
						{	/* Llib/process.scm 165 */
							BgL_auxz00_1678 = CBOOL(c_process_wait(BgL_procz00_1600));
						}
					else
						{	/* Llib/process.scm 165 */
							BgL_auxz00_1678 = ((bool_t) 0);
						}
				}
				return BBOOL(BgL_auxz00_1678);
			}
		}
	}



/* process-exit-status */
	BGL_EXPORTED_DEF obj_t BGl_processzd2exitzd2statusz00zz__processz00(obj_t
		BgL_procz00_10)
	{
		AN_OBJECT;
		{	/* Llib/process.scm 171 */
			return c_process_xstatus(BgL_procz00_10);
		}
	}



/* &process-exit-status */
	obj_t BGl_z62processzd2exitzd2statusz62zz__processz00(obj_t BgL_envz00_1545,
		obj_t BgL_procz00_1546)
	{
		AN_OBJECT;
		{	/* Llib/process.scm 171 */
			{	/* Llib/process.scm 172 */
				obj_t BgL_procz00_1601;

				if (PROCESSP(BgL_procz00_1546))
					{	/* Llib/process.scm 172 */
						BgL_procz00_1601 = BgL_procz00_1546;
					}
				else
					{
						obj_t BgL_auxz00_1693;

						BgL_auxz00_1693 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2243z00zz__processz00,
							BINT(((long) 7489)), BGl_string2251z00zz__processz00,
							BGl_string2245z00zz__processz00, BgL_procz00_1546);
						FAILURE(BgL_auxz00_1693, BFALSE, BFALSE);
					}
				return c_process_xstatus(BgL_procz00_1601);
			}
		}
	}



/* process-send-signal */
	BGL_EXPORTED_DEF obj_t BGl_processzd2sendzd2signalz00zz__processz00(obj_t
		BgL_procz00_11, int BgL_signalz00_12)
	{
		AN_OBJECT;
		{	/* Llib/process.scm 177 */
			return c_process_send_signal(BgL_procz00_11, BgL_signalz00_12);
		}
	}



/* &process-send-signal */
	obj_t BGl_z62processzd2sendzd2signalz62zz__processz00(obj_t BgL_envz00_1547,
		obj_t BgL_procz00_1548, obj_t BgL_signalz00_1549)
	{
		AN_OBJECT;
		{	/* Llib/process.scm 177 */
			{	/* Llib/process.scm 178 */
				obj_t BgL_procz00_1602;
				int BgL_signalz00_1603;

				if (PROCESSP(BgL_procz00_1548))
					{	/* Llib/process.scm 178 */
						BgL_procz00_1602 = BgL_procz00_1548;
					}
				else
					{
						obj_t BgL_auxz00_1701;

						BgL_auxz00_1701 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2243z00zz__processz00,
							BINT(((long) 7794)), BGl_string2252z00zz__processz00,
							BGl_string2245z00zz__processz00, BgL_procz00_1548);
						FAILURE(BgL_auxz00_1701, BFALSE, BFALSE);
					}
				{	/* Llib/process.scm 178 */
					obj_t BgL_auxz00_1705;

					if (INTEGERP(BgL_signalz00_1549))
						{	/* Llib/process.scm 178 */
							BgL_auxz00_1705 = BgL_signalz00_1549;
						}
					else
						{
							obj_t BgL_auxz00_1708;

							BgL_auxz00_1708 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string2243z00zz__processz00,
								BINT(((long) 7794)), BGl_string2252z00zz__processz00,
								BGl_string2253z00zz__processz00, BgL_signalz00_1549);
							FAILURE(BgL_auxz00_1708, BFALSE, BFALSE);
						}
					BgL_signalz00_1603 = CINT(BgL_auxz00_1705);
				}
				return c_process_send_signal(BgL_procz00_1602, BgL_signalz00_1603);
			}
		}
	}



/* process-kill */
	BGL_EXPORTED_DEF obj_t BGl_processzd2killzd2zz__processz00(obj_t
		BgL_procz00_13)
	{
		AN_OBJECT;
		{	/* Llib/process.scm 183 */
			c_process_kill(BgL_procz00_13);
			return BGl_closezd2processzd2portsz00zz__processz00(BgL_procz00_13);
		}
	}



/* &process-kill */
	obj_t BGl_z62processzd2killzb0zz__processz00(obj_t BgL_envz00_1550,
		obj_t BgL_procz00_1551)
	{
		AN_OBJECT;
		{	/* Llib/process.scm 183 */
			{	/* Llib/process.scm 184 */
				obj_t BgL_procz00_1604;

				if (PROCESSP(BgL_procz00_1551))
					{	/* Llib/process.scm 184 */
						BgL_procz00_1604 = BgL_procz00_1551;
					}
				else
					{
						obj_t BgL_auxz00_1718;

						BgL_auxz00_1718 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2243z00zz__processz00,
							BINT(((long) 8112)), BGl_string2254z00zz__processz00,
							BGl_string2245z00zz__processz00, BgL_procz00_1551);
						FAILURE(BgL_auxz00_1718, BFALSE, BFALSE);
					}
				c_process_kill(BgL_procz00_1604);
				return BGl_closezd2processzd2portsz00zz__processz00(BgL_procz00_1604);
			}
		}
	}



/* process-stop */
	BGL_EXPORTED_DEF obj_t BGl_processzd2stopzd2zz__processz00(obj_t
		BgL_procz00_14)
	{
		AN_OBJECT;
		{	/* Llib/process.scm 190 */
			return c_process_stop(BgL_procz00_14);
		}
	}



/* &process-stop */
	obj_t BGl_z62processzd2stopzb0zz__processz00(obj_t BgL_envz00_1552,
		obj_t BgL_procz00_1553)
	{
		AN_OBJECT;
		{	/* Llib/process.scm 190 */
			{	/* Llib/process.scm 191 */
				obj_t BgL_procz00_1605;

				if (PROCESSP(BgL_procz00_1553))
					{	/* Llib/process.scm 191 */
						BgL_procz00_1605 = BgL_procz00_1553;
					}
				else
					{
						obj_t BgL_auxz00_1727;

						BgL_auxz00_1727 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2243z00zz__processz00,
							BINT(((long) 8406)), BGl_string2255z00zz__processz00,
							BGl_string2245z00zz__processz00, BgL_procz00_1553);
						FAILURE(BgL_auxz00_1727, BFALSE, BFALSE);
					}
				return c_process_stop(BgL_procz00_1605);
			}
		}
	}



/* process-continue */
	BGL_EXPORTED_DEF obj_t BGl_processzd2continuezd2zz__processz00(obj_t
		BgL_procz00_15)
	{
		AN_OBJECT;
		{	/* Llib/process.scm 196 */
			return c_process_continue(BgL_procz00_15);
		}
	}



/* &process-continue */
	obj_t BGl_z62processzd2continuezb0zz__processz00(obj_t BgL_envz00_1554,
		obj_t BgL_procz00_1555)
	{
		AN_OBJECT;
		{	/* Llib/process.scm 196 */
			{	/* Llib/process.scm 197 */
				obj_t BgL_procz00_1606;

				if (PROCESSP(BgL_procz00_1555))
					{	/* Llib/process.scm 197 */
						BgL_procz00_1606 = BgL_procz00_1555;
					}
				else
					{
						obj_t BgL_auxz00_1735;

						BgL_auxz00_1735 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2243z00zz__processz00,
							BINT(((long) 8694)), BGl_string2256z00zz__processz00,
							BGl_string2245z00zz__processz00, BgL_procz00_1555);
						FAILURE(BgL_auxz00_1735, BFALSE, BFALSE);
					}
				return c_process_continue(BgL_procz00_1606);
			}
		}
	}



/* process-list */
	BGL_EXPORTED_DEF obj_t BGl_processzd2listzd2zz__processz00()
	{
		AN_OBJECT;
		{	/* Llib/process.scm 202 */
			return c_process_list();
		}
	}



/* &process-list */
	obj_t BGl_z62processzd2listzb0zz__processz00(obj_t BgL_envz00_1556)
	{
		AN_OBJECT;
		{	/* Llib/process.scm 202 */
			return c_process_list();
		}
	}



/* run-process */
	BGL_EXPORTED_DEF obj_t BGl_runzd2processzd2zz__processz00(obj_t
		BgL_commandz00_16, obj_t BgL_restz00_17)
	{
		AN_OBJECT;
		{	/* Llib/process.scm 211 */
			{	/* Llib/process.scm 212 */
				obj_t BgL_forkz00_777;
				obj_t BgL_waitz00_778;
				obj_t BgL_inputz00_779;
				obj_t BgL_outputz00_780;
				obj_t BgL_errorz00_781;
				obj_t BgL_hostz00_782;
				obj_t BgL_pipesz00_783;
				obj_t BgL_argsz00_784;
				obj_t BgL_envz00_785;

				BgL_forkz00_777 = BTRUE;
				BgL_waitz00_778 = BFALSE;
				BgL_inputz00_779 = BUNSPEC;
				BgL_outputz00_780 = BUNSPEC;
				BgL_errorz00_781 = BUNSPEC;
				BgL_hostz00_782 = BUNSPEC;
				BgL_pipesz00_783 = BGl_list2257z00zz__processz00;
				BgL_argsz00_784 = BNIL;
				BgL_envz00_785 = BNIL;
				{
					obj_t BgL_restz00_788;

					BgL_restz00_788 = BgL_restz00_17;
				BgL_zc3anonymousza31892ze3z83_789:
					if (NULLP(BgL_restz00_788))
						{	/* Llib/process.scm 228 */
							obj_t BgL_arg1894z00_791;

							BgL_arg1894z00_791 = bgl_reverse_bang(BgL_argsz00_784);
							return
								c_run_process(BgL_hostz00_782, BgL_forkz00_777, BgL_waitz00_778,
								BgL_inputz00_779, BgL_outputz00_780, BgL_errorz00_781,
								BgL_commandz00_16, BgL_arg1894z00_791, BgL_envz00_785);
						}
					else
						{	/* Llib/process.scm 229 */
							bool_t BgL_testz00_1746;

							{	/* Llib/process.scm 229 */
								bool_t BgL_testz00_1747;

								{	/* Llib/process.scm 229 */
									obj_t BgL_auxz00_1748;

									BgL_auxz00_1748 = CAR(BgL_restz00_788);
									BgL_testz00_1747 = KEYWORDP(BgL_auxz00_1748);
								}
								if (BgL_testz00_1747)
									{	/* Llib/process.scm 229 */
										obj_t BgL_auxz00_1751;

										BgL_auxz00_1751 = CDR(BgL_restz00_788);
										BgL_testz00_1746 = PAIRP(BgL_auxz00_1751);
									}
								else
									{	/* Llib/process.scm 229 */
										BgL_testz00_1746 = ((bool_t) 0);
									}
							}
							if (BgL_testz00_1746)
								{	/* Llib/process.scm 230 */
									obj_t BgL_valz00_793;

									{	/* Llib/process.scm 230 */
										obj_t BgL_pairz00_1264;

										BgL_pairz00_1264 = BgL_restz00_788;
										BgL_valz00_793 = CAR(CDR(BgL_pairz00_1264));
									}
									{	/* Llib/process.scm 231 */
										obj_t BgL_casezd2valuezd2_794;

										BgL_casezd2valuezd2_794 = CAR(BgL_restz00_788);
										if (
											(BgL_casezd2valuezd2_794 ==
												BGl_keyword2260z00zz__processz00))
											{	/* Llib/process.scm 231 */
												if (BOOLEANP(BgL_valz00_793))
													{	/* Llib/process.scm 233 */
														BgL_waitz00_778 = BgL_valz00_793;
													}
												else
													{	/* Llib/process.scm 233 */
														BGl_errorz00zz__errorz00
															(BGl_string2262z00zz__processz00,
															BGl_string2263z00zz__processz00, BgL_restz00_788);
													}
											}
										else
											{	/* Llib/process.scm 231 */
												if (
													(BgL_casezd2valuezd2_794 ==
														BGl_keyword2264z00zz__processz00))
													{	/* Llib/process.scm 231 */
														if (BOOLEANP(BgL_valz00_793))
															{	/* Llib/process.scm 237 */
																BgL_forkz00_777 = BgL_valz00_793;
															}
														else
															{	/* Llib/process.scm 237 */
																BGl_errorz00zz__errorz00
																	(BGl_string2262z00zz__processz00,
																	BGl_string2263z00zz__processz00,
																	BgL_restz00_788);
															}
													}
												else
													{	/* Llib/process.scm 231 */
														if (
															(BgL_casezd2valuezd2_794 ==
																BGl_keyword2266z00zz__processz00))
															{	/* Llib/process.scm 241 */
																bool_t BgL_testz00_1769;

																if (STRINGP(BgL_valz00_793))
																	{	/* Llib/process.scm 241 */
																		BgL_testz00_1769 = ((bool_t) 1);
																	}
																else
																	{	/* Llib/process.scm 241 */
																		BgL_testz00_1769 =
																			CBOOL
																			(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																			(BgL_valz00_793, BgL_pipesz00_783));
																	}
																if (BgL_testz00_1769)
																	{	/* Llib/process.scm 241 */
																		BgL_inputz00_779 = BgL_valz00_793;
																	}
																else
																	{	/* Llib/process.scm 241 */
																		BGl_errorz00zz__errorz00
																			(BGl_string2262z00zz__processz00,
																			BGl_string2263z00zz__processz00,
																			BgL_restz00_788);
																	}
															}
														else
															{	/* Llib/process.scm 231 */
																if (
																	(BgL_casezd2valuezd2_794 ==
																		BGl_keyword2268z00zz__processz00))
																	{	/* Llib/process.scm 245 */
																		bool_t BgL_testz00_1777;

																		if (STRINGP(BgL_valz00_793))
																			{	/* Llib/process.scm 245 */
																				BgL_testz00_1777 = ((bool_t) 1);
																			}
																		else
																			{	/* Llib/process.scm 245 */
																				if (CBOOL
																					(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																						(BgL_valz00_793, BgL_pipesz00_783)))
																					{	/* Llib/process.scm 245 */
																						BgL_testz00_1777 = ((bool_t) 1);
																					}
																				else
																					{	/* Llib/process.scm 245 */
																						BgL_testz00_1777 =
																							(BgL_valz00_793 ==
																							BGl_keyword2270z00zz__processz00);
																					}
																			}
																		if (BgL_testz00_1777)
																			{	/* Llib/process.scm 245 */
																				BgL_outputz00_780 = BgL_valz00_793;
																			}
																		else
																			{	/* Llib/process.scm 245 */
																				BGl_errorz00zz__errorz00
																					(BGl_string2262z00zz__processz00,
																					BGl_string2263z00zz__processz00,
																					BgL_restz00_788);
																			}
																	}
																else
																	{	/* Llib/process.scm 231 */
																		if (
																			(BgL_casezd2valuezd2_794 ==
																				BGl_keyword2272z00zz__processz00))
																			{	/* Llib/process.scm 249 */
																				bool_t BgL_testz00_1787;

																				if (STRINGP(BgL_valz00_793))
																					{	/* Llib/process.scm 249 */
																						BgL_testz00_1787 = ((bool_t) 1);
																					}
																				else
																					{	/* Llib/process.scm 249 */
																						if (CBOOL
																							(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																								(BgL_valz00_793,
																									BgL_pipesz00_783)))
																							{	/* Llib/process.scm 249 */
																								BgL_testz00_1787 = ((bool_t) 1);
																							}
																						else
																							{	/* Llib/process.scm 249 */
																								BgL_testz00_1787 =
																									(BgL_valz00_793 ==
																									BGl_keyword2270z00zz__processz00);
																							}
																					}
																				if (BgL_testz00_1787)
																					{	/* Llib/process.scm 249 */
																						BgL_errorz00_781 = BgL_valz00_793;
																					}
																				else
																					{	/* Llib/process.scm 249 */
																						BGl_errorz00zz__errorz00
																							(BGl_string2262z00zz__processz00,
																							BGl_string2263z00zz__processz00,
																							BgL_restz00_788);
																					}
																			}
																		else
																			{	/* Llib/process.scm 231 */
																				if (
																					(BgL_casezd2valuezd2_794 ==
																						BGl_keyword2274z00zz__processz00))
																					{	/* Llib/process.scm 231 */
																						if (STRINGP(BgL_valz00_793))
																							{	/* Llib/process.scm 253 */
																								BgL_hostz00_782 =
																									BgL_valz00_793;
																							}
																						else
																							{	/* Llib/process.scm 253 */
																								BGl_errorz00zz__errorz00
																									(BGl_string2262z00zz__processz00,
																									BGl_string2263z00zz__processz00,
																									BgL_restz00_788);
																							}
																					}
																				else
																					{	/* Llib/process.scm 231 */
																						if (
																							(BgL_casezd2valuezd2_794 ==
																								BGl_keyword2276z00zz__processz00))
																							{	/* Llib/process.scm 231 */
																								if (STRINGP(BgL_valz00_793))
																									{	/* Llib/process.scm 257 */
																										BgL_envz00_785 =
																											MAKE_PAIR(BgL_valz00_793,
																											BgL_envz00_785);
																									}
																								else
																									{	/* Llib/process.scm 257 */
																										BGl_errorz00zz__errorz00
																											(BGl_string2262z00zz__processz00,
																											BGl_string2263z00zz__processz00,
																											BgL_restz00_788);
																									}
																							}
																						else
																							{	/* Llib/process.scm 231 */
																								BGl_errorz00zz__errorz00
																									(BGl_string2262z00zz__processz00,
																									BGl_string2263z00zz__processz00,
																									BgL_restz00_788);
																							}
																					}
																			}
																	}
															}
													}
											}
									}
									{
										obj_t BgL_restz00_1807;

										BgL_restz00_1807 = CDR(CDR(BgL_restz00_788));
										BgL_restz00_788 = BgL_restz00_1807;
										goto BgL_zc3anonymousza31892ze3z83_789;
									}
								}
							else
								{	/* Llib/process.scm 263 */
									bool_t BgL_testz00_1810;

									{	/* Llib/process.scm 263 */
										obj_t BgL_auxz00_1811;

										BgL_auxz00_1811 = CAR(BgL_restz00_788);
										BgL_testz00_1810 = STRINGP(BgL_auxz00_1811);
									}
									if (BgL_testz00_1810)
										{	/* Llib/process.scm 263 */
											{	/* Llib/process.scm 264 */
												obj_t BgL_arg1919z00_817;

												BgL_arg1919z00_817 = CAR(BgL_restz00_788);
												BgL_argsz00_784 =
													MAKE_PAIR(BgL_arg1919z00_817, BgL_argsz00_784);
											}
											{
												obj_t BgL_restz00_1816;

												BgL_restz00_1816 = CDR(BgL_restz00_788);
												BgL_restz00_788 = BgL_restz00_1816;
												goto BgL_zc3anonymousza31892ze3z83_789;
											}
										}
									else
										{	/* Llib/process.scm 263 */
											return
												BGl_errorz00zz__errorz00
												(BGl_string2262z00zz__processz00,
												BGl_string2263z00zz__processz00, BgL_restz00_788);
										}
								}
						}
				}
			}
		}
	}



/* &run-process */
	obj_t BGl_z62runzd2processzb0zz__processz00(obj_t BgL_envz00_1557,
		obj_t BgL_commandz00_1558, obj_t BgL_restz00_1559)
	{
		AN_OBJECT;
		{	/* Llib/process.scm 211 */
			{	/* Llib/process.scm 212 */
				obj_t BgL_auxz00_1819;

				if (STRINGP(BgL_commandz00_1558))
					{	/* Llib/process.scm 212 */
						BgL_auxz00_1819 = BgL_commandz00_1558;
					}
				else
					{
						obj_t BgL_auxz00_1822;

						BgL_auxz00_1822 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2243z00zz__processz00,
							BINT(((long) 9480)), BGl_string2278z00zz__processz00,
							BGl_string2279z00zz__processz00, BgL_commandz00_1558);
						FAILURE(BgL_auxz00_1822, BFALSE, BFALSE);
					}
				return
					BGl_runzd2processzd2zz__processz00(BgL_auxz00_1819, BgL_restz00_1559);
			}
		}
	}



/* close-process-ports */
	BGL_EXPORTED_DEF obj_t BGl_closezd2processzd2portsz00zz__processz00(obj_t
		BgL_procz00_18)
	{
		AN_OBJECT;
		{	/* Llib/process.scm 272 */
			{	/* Llib/process.scm 273 */
				bool_t BgL_testz00_1827;

				{	/* Llib/process.scm 273 */
					obj_t BgL_auxz00_1828;

					BgL_auxz00_1828 = PROCESS_INPUT_PORT(BgL_procz00_18);
					BgL_testz00_1827 = OUTPUT_PORTP(BgL_auxz00_1828);
				}
				if (BgL_testz00_1827)
					{	/* Llib/process.scm 273 */
						bgl_close_output_port(PROCESS_INPUT_PORT(BgL_procz00_18));
					}
				else
					{	/* Llib/process.scm 273 */
						BFALSE;
					}
			}
			{	/* Llib/process.scm 275 */
				bool_t BgL_testz00_1833;

				{	/* Llib/process.scm 275 */
					obj_t BgL_auxz00_1834;

					BgL_auxz00_1834 = PROCESS_ERROR_PORT(BgL_procz00_18);
					BgL_testz00_1833 = INPUT_PORTP(BgL_auxz00_1834);
				}
				if (BgL_testz00_1833)
					{	/* Llib/process.scm 275 */
						bgl_close_input_port(PROCESS_ERROR_PORT(BgL_procz00_18));
					}
				else
					{	/* Llib/process.scm 275 */
						BFALSE;
					}
			}
			{	/* Llib/process.scm 277 */
				bool_t BgL_testz00_1839;

				{	/* Llib/process.scm 277 */
					obj_t BgL_auxz00_1840;

					BgL_auxz00_1840 = PROCESS_OUTPUT_PORT(BgL_procz00_18);
					BgL_testz00_1839 = INPUT_PORTP(BgL_auxz00_1840);
				}
				if (BgL_testz00_1839)
					{	/* Llib/process.scm 277 */
						return bgl_close_input_port(PROCESS_OUTPUT_PORT(BgL_procz00_18));
					}
				else
					{	/* Llib/process.scm 277 */
						return BFALSE;
					}
			}
		}
	}



/* &close-process-ports */
	obj_t BGl_z62closezd2processzd2portsz62zz__processz00(obj_t BgL_envz00_1560,
		obj_t BgL_procz00_1561)
	{
		AN_OBJECT;
		{	/* Llib/process.scm 272 */
			{	/* Llib/process.scm 274 */
				obj_t BgL_auxz00_1845;

				if (PROCESSP(BgL_procz00_1561))
					{	/* Llib/process.scm 274 */
						BgL_auxz00_1845 = BgL_procz00_1561;
					}
				else
					{
						obj_t BgL_auxz00_1848;

						BgL_auxz00_1848 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2243z00zz__processz00,
							BINT(((long) 11227)), BGl_string2280z00zz__processz00,
							BGl_string2245z00zz__processz00, BgL_procz00_1561);
						FAILURE(BgL_auxz00_1848, BFALSE, BFALSE);
					}
				return BGl_closezd2processzd2portsz00zz__processz00(BgL_auxz00_1845);
			}
		}
	}



/* unregister-process */
	BGL_EXPORTED_DEF obj_t BGl_unregisterzd2processzd2zz__processz00(obj_t
		BgL_procz00_19)
	{
		AN_OBJECT;
		{	/* Llib/process.scm 283 */
			return c_unregister_process(BgL_procz00_19);
		}
	}



/* &unregister-process */
	obj_t BGl_z62unregisterzd2processzb0zz__processz00(obj_t BgL_envz00_1562,
		obj_t BgL_procz00_1563)
	{
		AN_OBJECT;
		{	/* Llib/process.scm 283 */
			{	/* Llib/process.scm 284 */
				obj_t BgL_procz00_1607;

				if (PROCESSP(BgL_procz00_1563))
					{	/* Llib/process.scm 284 */
						BgL_procz00_1607 = BgL_procz00_1563;
					}
				else
					{
						obj_t BgL_auxz00_1856;

						BgL_auxz00_1856 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string2243z00zz__processz00,
							BINT(((long) 11699)), BGl_string2281z00zz__processz00,
							BGl_string2245z00zz__processz00, BgL_procz00_1563);
						FAILURE(BgL_auxz00_1856, BFALSE, BFALSE);
					}
				return c_unregister_process(BgL_procz00_1607);
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__processz00()
	{
		AN_OBJECT;
		{	/* Llib/process.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__processz00()
	{
		AN_OBJECT;
		{	/* Llib/process.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__processz00()
	{
		AN_OBJECT;
		{	/* Llib/process.scm 15 */
			return
				BGl_modulezd2initializa7ationz75zz__errorz00(((long) 173154212),
				BSTRING_TO_STRING(BGl_string2282z00zz__processz00));
		}
	}

#ifdef __cplusplus
}
#endif
